
//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2013  Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Filename       : $RCSfile: N_DEV_ADMSHBT_X.C,v $
//
// Purpose        :
//
// Special Notes  : Generated from verilog file fbhhbt-2.1_nonoise_limited_inductors_typed.va with ADMS 
//                  interface for Xyce 6.0.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.0
//
// Creation Date  : Thu, 09 May 2013 10:10:54
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.16.2.1 $
//
// Revision Date  : $Date: 2013/10/03 17:23:34 $
//
// Current Owner  : $Author: tvrusso $
//-------------------------------------------------------------------------

// ---------- Standard Includes ----------
// ----------   Xyce Includes   ----------
#include <Xyce_config.h>
#include <N_UTL_Misc.h>
#include <N_DEV_Const.h>
#include <N_DEV_ADMSHBT_X.h>

#include <N_DEV_ExternData.h>
#include <N_DEV_SolverState.h>
#include <N_DEV_DeviceOptions.h>
#include <N_DEV_MatrixLoadData.h>

#include <N_LAS_Matrix.h>
#include <N_LAS_Vector.h>

namespace Xyce {
namespace Device {

template<>
ParametricData<ADMSHBT_X::Instance>::ParametricData()
{
  // Set up configuration constants:
  // This assumes NO optional nodes on the instance line.  Might need that
  // fixed?
  setNumNodes(4);
  setNumOptionalNodes(0);
  setNumFillNodes(0);
  setModelRequired(1);

  // we're going to have to come up with a way of generating the addModelType
  // deal
  addModelType("NPN");
  addModelType("PNP");

  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  //  This kludge is to force us always to have an instance parameter
  //  that the device manager can set to the temperature, even if we have
  //  no "TEMP".
  addPar("XYCEADMSINSTTEMP",0.0,false,ParameterType::NO_DEP,&ADMSHBT_X::Instance::admsInstTemp,NULL,U_DEGK,CAT_TEMP,"Internal-use parameter for setting device instance temperature");
  addPar("TEMP",static_cast<double>(25.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Instance::Temp, NULL, U_DEGC, CAT_NONE,"Device operating temperature");
  addPar("N",static_cast<int>(1), false, ParameterType::NO_DEP, &ADMSHBT_X::Instance::N, NULL, U_NONE, CAT_NONE,"Number of emitter fingers");
  addPar("L",static_cast<double>(30*1.0e-6), false, ParameterType::NO_DEP, &ADMSHBT_X::Instance::L, NULL, U_METER, CAT_NONE,"Length of emitter fingers");
  addPar("W",static_cast<double>(3*1.0e-6), false, ParameterType::NO_DEP, &ADMSHBT_X::Instance::W, NULL, U_METER, CAT_NONE,"Width of emitter fingers");


}

template<>
ParametricData<ADMSHBT_X::Model>::ParametricData()
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.
  //  This kludge is to force us always to have a model parameter
  //  that the device manager can set to the temperature, even if we have
  //  no "TEMP".
  addPar("XYCEADMSMODTEMP",0.0,false,ParameterType::NO_DEP,&ADMSHBT_X::Model::admsModTemp,NULL,U_DEGK,CAT_TEMP,"Internal-use parameter for setting device model temperature");
  addPar("MODE",static_cast<int>(1), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Mode, NULL, U_NONE, CAT_NONE,"");
  addPar("NOISE",static_cast<int>(1), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Noise, NULL, U_NONE, CAT_NONE,"");
  addPar("DEBUG",static_cast<int>(0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Debug, NULL, U_NONE, CAT_NONE,"");
  addPar("DEBUGPLUS",static_cast<int>(0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::DebugPlus, NULL, U_NONE, CAT_NONE,"");
  addPar("RTH",static_cast<double>(0.1), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rth, NULL, U_NONE, CAT_NONE,"");
  addPar("CTH",static_cast<double>(700*1.0e-9), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Cth, NULL, U_NONE, CAT_NONE,"");
  addPar("JSF",static_cast<double>(20e-24), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Jsf, NULL, U_NONE, CAT_NONE,"");
  addPar("NF",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::nf, NULL, U_NONE, CAT_NONE,"");
  addPar("VG",static_cast<double>(1.3), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vg, NULL, U_NONE, CAT_NONE,"");
  addPar("JSE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Jse, NULL, U_NONE, CAT_NONE,"");
  addPar("NE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::ne, NULL, U_NONE, CAT_NONE,"");
  addPar("RBXX",static_cast<double>(1e6), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rbxx, NULL, U_NONE, CAT_NONE,"");
  addPar("VGB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vgb, NULL, U_NONE, CAT_NONE,"");
  addPar("JSEE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Jsee, NULL, U_NONE, CAT_NONE,"");
  addPar("NEE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::nee, NULL, U_NONE, CAT_NONE,"");
  addPar("RBBXX",static_cast<double>(1e6), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rbbxx, NULL, U_NONE, CAT_NONE,"");
  addPar("VGBB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vgbb, NULL, U_NONE, CAT_NONE,"");
  addPar("JSR",static_cast<double>(20e-18), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Jsr, NULL, U_NONE, CAT_NONE,"");
  addPar("NR",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::nr, NULL, U_NONE, CAT_NONE,"");
  addPar("VGR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vgr, NULL, U_NONE, CAT_NONE,"");
  addPar("XCJC",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::XCjc, NULL, U_NONE, CAT_NONE,"");
  addPar("JSC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Jsc, NULL, U_NONE, CAT_NONE,"");
  addPar("NC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::nc, NULL, U_NONE, CAT_NONE,"");
  addPar("RCXX",static_cast<double>(1e6), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rcxx, NULL, U_NONE, CAT_NONE,"");
  addPar("VGC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vgc, NULL, U_NONE, CAT_NONE,"");
  addPar("BF",static_cast<double>(100.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Bf, NULL, U_NONE, CAT_NONE,"");
  addPar("KBETA",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::kBeta, NULL, U_NONE, CAT_NONE,"");
  addPar("BR",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Br, NULL, U_NONE, CAT_NONE,"");
  addPar("VAF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::VAF, NULL, U_NONE, CAT_NONE,"");
  addPar("VAR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::VAR, NULL, U_NONE, CAT_NONE,"");
  addPar("IKF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::IKF, NULL, U_NONE, CAT_NONE,"");
  addPar("IKR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::IKR, NULL, U_NONE, CAT_NONE,"");
  addPar("MC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Mc, NULL, U_NONE, CAT_NONE,"");
  addPar("BVCEO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::BVceo, NULL, U_NONE, CAT_NONE,"");
  addPar("KC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::kc, NULL, U_NONE, CAT_NONE,"");
  addPar("BVEBO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::BVebo, NULL, U_NONE, CAT_NONE,"");
  addPar("TR",static_cast<double>(1*1.0e-15), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Tr, NULL, U_NONE, CAT_NONE,"");
  addPar("TRX",static_cast<double>(1*1.0e-15), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Trx, NULL, U_NONE, CAT_NONE,"");
  addPar("TF",static_cast<double>(1*1.0e-12), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Tf, NULL, U_NONE, CAT_NONE,"");
  addPar("TFT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Tft, NULL, U_NONE, CAT_NONE,"");
  addPar("THCS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Thcs, NULL, U_NONE, CAT_NONE,"");
  addPar("AHC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Ahc, NULL, U_NONE, CAT_NONE,"");
  addPar("CJE",static_cast<double>(1*1.0e-15), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Cje, NULL, U_NONE, CAT_NONE,"");
  addPar("MJE",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::mje, NULL, U_NONE, CAT_NONE,"");
  addPar("VJE",static_cast<double>(1.3), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vje, NULL, U_NONE, CAT_NONE,"");
  addPar("CJC",static_cast<double>(1*1.0e-15), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Cjc, NULL, U_NONE, CAT_NONE,"");
  addPar("MJC",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::mjc, NULL, U_NONE, CAT_NONE,"");
  addPar("VJC",static_cast<double>(1.3), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vjc, NULL, U_NONE, CAT_NONE,"");
  addPar("KJC",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::kjc, NULL, U_NONE, CAT_NONE,"");
  addPar("CMIN",static_cast<double>(0.1*1.0e-15), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Cmin, NULL, U_NONE, CAT_NONE,"");
  addPar("J0",static_cast<double>(1e-3), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::J0, NULL, U_NONE, CAT_NONE,"");
  addPar("XJ0",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::XJ0, NULL, U_NONE, CAT_NONE,"");
  addPar("RCI0",static_cast<double>(1e-3), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rci0, NULL, U_NONE, CAT_NONE,"");
  addPar("JK",static_cast<double>(4e-4), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Jk, NULL, U_NONE, CAT_NONE,"");
  addPar("RJK",static_cast<double>(1e-3), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::RJk, NULL, U_NONE, CAT_NONE,"");
  addPar("VCES",static_cast<double>(1e-3), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Vces, NULL, U_NONE, CAT_NONE,"");
  addPar("RC",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rc, NULL, U_NONE, CAT_NONE,"");
  addPar("RE",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Re, NULL, U_NONE, CAT_NONE,"");
  addPar("RB",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rb, NULL, U_NONE, CAT_NONE,"");
  addPar("RB2",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Rb2, NULL, U_NONE, CAT_NONE,"");
  addPar("LC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Lc, NULL, U_NONE, CAT_NONE,"");
  addPar("LE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Le, NULL, U_NONE, CAT_NONE,"");
  addPar("LB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Lb, NULL, U_NONE, CAT_NONE,"");
  addPar("CQ",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Cq, NULL, U_NONE, CAT_NONE,"");
  addPar("CPB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Cpb, NULL, U_NONE, CAT_NONE,"");
  addPar("CPC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Cpc, NULL, U_NONE, CAT_NONE,"");
  addPar("TNOM",static_cast<double>(20.0), false, ParameterType::NO_DEP, &ADMSHBT_X::Model::Tnom, NULL, U_NONE, CAT_NONE,"");
  //Hidden parameter dtype

}

namespace ADMSHBT_X {
vector< vector<int> > Instance::jacStamp;
vector<int> Instance::jacMap;
vector< vector<int> > Instance::jacMap2;


ParametricData<Instance> &Instance::getParametricData()
{
  static ParametricData<Instance> parMap;
  return parMap;
}

ParametricData<Model> &Model::getParametricData()
{
  static ParametricData<Model> parMap;
  return parMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::processParams(string param)
{
  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter Temp : [ (-273.15),  (+inf) [
  if ( (!((Temp >=(-273.15)))) )
  {
    string msg="ADMSHBT_X: Parameter Temp value out of range [ (-273.15),  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter N : ] 0,  (+inf) [
  if ( (!((N >0))) )
  {
    string msg="ADMSHBT_X: Parameter N value out of range ] 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter L : ] 0.0,  (+inf) [
  if ( (!((L >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter L value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter W : ] 0.0,  (+inf) [
  if ( (!((W >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter W value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }


  // this seems a little stupid, but verilog models that use $temperature
  // don't also use a defined parameter "Temp", and count on $temperature
  // to be the one the simulator wants:

  updateTemperature(admsInstTemp);

  // and of course, this routine is where we should put the initial_instance
  // stuff


  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::Instance
// Purpose       : "instance block" constructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------

Instance::Instance(
   InstanceBlock & IB,
   Model & Miter,
   MatrixLoadData & mlData1,
   SolverState & ss1,
   ExternData  & ed1,
   DeviceOptions & do1)
  : DeviceInstance(IB, mlData1, ss1, ed1, do1),
    model_(Miter),
    Temp(25.0),
    N(1),
    L(30*1.0e-6),
    W(3*1.0e-6),
    li_c(-1),
    li_b(-1),
    li_e(-1),
    li_t(-1),
    li_ei(-1),
    li_bi(-1),
    li_bii(-1),
    li_ci(-1),
    li_ti(-1),
    li_ex(-1),
    li_exx(-1),
    li_cx(-1),
    f_bi_Equ_ti_Node_Ptr(0),
    f_ci_Equ_ti_Node_Ptr(0),
  f_bi_Equ_bi_Node_Ptr(0),
  f_bi_Equ_ci_Node_Ptr(0),
  f_ci_Equ_bi_Node_Ptr(0),
  f_ci_Equ_ci_Node_Ptr(0),
  f_bii_Equ_ti_Node_Ptr(0),
  f_bii_Equ_bii_Node_Ptr(0),
  f_bii_Equ_ci_Node_Ptr(0),
  f_ci_Equ_bii_Node_Ptr(0),
  f_bii_Equ_ei_Node_Ptr(0),
  f_ci_Equ_ei_Node_Ptr(0),
  f_ei_Equ_bii_Node_Ptr(0),
  f_ei_Equ_ci_Node_Ptr(0),
  f_ei_Equ_ti_Node_Ptr(0),
  f_ei_Equ_ei_Node_Ptr(0),
  f_ex_Equ_ti_Node_Ptr(0),
  f_ex_Equ_ex_Node_Ptr(0),
  f_ex_Equ_ei_Node_Ptr(0),
  f_ei_Equ_ex_Node_Ptr(0),
  f_exx_Equ_ti_Node_Ptr(0),
  f_exx_Equ_exx_Node_Ptr(0),
  f_exx_Equ_ei_Node_Ptr(0),
  f_ei_Equ_exx_Node_Ptr(0),
  f_cx_Equ_ti_Node_Ptr(0),
  f_cx_Equ_cx_Node_Ptr(0),
  f_cx_Equ_ci_Node_Ptr(0),
  f_ci_Equ_cx_Node_Ptr(0),
  f_bii_Equ_bi_Node_Ptr(0),
  f_bi_Equ_bii_Node_Ptr(0),
  f_ex_Equ_bii_Node_Ptr(0),
  f_bii_Equ_ex_Node_Ptr(0),
  f_exx_Equ_bii_Node_Ptr(0),
  f_bii_Equ_exx_Node_Ptr(0),
  f_cx_Equ_bii_Node_Ptr(0),
  f_bii_Equ_cx_Node_Ptr(0),
  f_b_Equ_b_Node_Ptr(0),
  f_c_Equ_c_Node_Ptr(0),
  f_b_Equ_c_Node_Ptr(0),
  f_c_Equ_b_Node_Ptr(0),
  f_ti_Equ_bi_Node_Ptr(0),
  f_ti_Equ_ci_Node_Ptr(0),
  f_ti_Equ_ei_Node_Ptr(0),
  f_ti_Equ_bii_Node_Ptr(0),
  f_ti_Equ_ti_Node_Ptr(0),
  f_t_Equ_t_Node_Ptr(0),
  f_t_Equ_ti_Node_Ptr(0),
  f_ti_Equ_t_Node_Ptr(0),
  f_c_Equ_BRA_c_ci_Var_Ptr(0),
  f_b_Equ_BRA_b_bi_Var_Ptr(0),
  f_e_Equ_BRA_e_ei_Var_Ptr(0),
  f_ei_Equ_BRA_e_ei_Var_Ptr(0),
  f_bi_Equ_BRA_b_bi_Var_Ptr(0),
  f_ci_Equ_BRA_c_ci_Var_Ptr(0),
  f_BRA_b_bi_Equ_b_Node_Ptr(0),
  f_BRA_b_bi_Equ_bi_Node_Ptr(0),
  f_BRA_b_bi_Equ_BRA_b_bi_Var_Ptr(0),
  f_BRA_e_ei_Equ_e_Node_Ptr(0),
  f_BRA_e_ei_Equ_ei_Node_Ptr(0),
  f_BRA_e_ei_Equ_BRA_e_ei_Var_Ptr(0),
  f_BRA_c_ci_Equ_c_Node_Ptr(0),
  f_BRA_c_ci_Equ_ci_Node_Ptr(0),
  f_BRA_c_ci_Equ_BRA_c_ci_Var_Ptr(0),
  q_bi_Equ_ti_Node_Ptr(0),
  q_ci_Equ_ti_Node_Ptr(0),
  q_bi_Equ_bi_Node_Ptr(0),
  q_bi_Equ_ci_Node_Ptr(0),
  q_ci_Equ_bi_Node_Ptr(0),
  q_ci_Equ_ci_Node_Ptr(0),
  q_bii_Equ_ti_Node_Ptr(0),
  q_bii_Equ_bii_Node_Ptr(0),
  q_bii_Equ_ci_Node_Ptr(0),
  q_ci_Equ_bii_Node_Ptr(0),
  q_bii_Equ_ei_Node_Ptr(0),
  q_ci_Equ_ei_Node_Ptr(0),
  q_ei_Equ_bii_Node_Ptr(0),
  q_ei_Equ_ci_Node_Ptr(0),
  q_ei_Equ_ti_Node_Ptr(0),
  q_ei_Equ_ei_Node_Ptr(0),
  q_ex_Equ_ti_Node_Ptr(0),
  q_ex_Equ_ex_Node_Ptr(0),
  q_ex_Equ_ei_Node_Ptr(0),
  q_ei_Equ_ex_Node_Ptr(0),
  q_exx_Equ_ti_Node_Ptr(0),
  q_exx_Equ_exx_Node_Ptr(0),
  q_exx_Equ_ei_Node_Ptr(0),
  q_ei_Equ_exx_Node_Ptr(0),
  q_cx_Equ_ti_Node_Ptr(0),
  q_cx_Equ_cx_Node_Ptr(0),
  q_cx_Equ_ci_Node_Ptr(0),
  q_ci_Equ_cx_Node_Ptr(0),
  q_bii_Equ_bi_Node_Ptr(0),
  q_bi_Equ_bii_Node_Ptr(0),
  q_ex_Equ_bii_Node_Ptr(0),
  q_bii_Equ_ex_Node_Ptr(0),
  q_exx_Equ_bii_Node_Ptr(0),
  q_bii_Equ_exx_Node_Ptr(0),
  q_cx_Equ_bii_Node_Ptr(0),
  q_bii_Equ_cx_Node_Ptr(0),
  q_b_Equ_b_Node_Ptr(0),
  q_c_Equ_c_Node_Ptr(0),
  q_b_Equ_c_Node_Ptr(0),
  q_c_Equ_b_Node_Ptr(0),
  q_ti_Equ_bi_Node_Ptr(0),
  q_ti_Equ_ci_Node_Ptr(0),
  q_ti_Equ_ei_Node_Ptr(0),
  q_ti_Equ_bii_Node_Ptr(0),
  q_ti_Equ_ti_Node_Ptr(0),
  q_t_Equ_t_Node_Ptr(0),
  q_t_Equ_ti_Node_Ptr(0),
  q_ti_Equ_t_Node_Ptr(0),
  q_c_Equ_BRA_c_ci_Var_Ptr(0),
  q_b_Equ_BRA_b_bi_Var_Ptr(0),
  q_e_Equ_BRA_e_ei_Var_Ptr(0),
  q_ei_Equ_BRA_e_ei_Var_Ptr(0),
  q_bi_Equ_BRA_b_bi_Var_Ptr(0),
  q_ci_Equ_BRA_c_ci_Var_Ptr(0),
  q_BRA_b_bi_Equ_b_Node_Ptr(0),
  q_BRA_b_bi_Equ_bi_Node_Ptr(0),
  q_BRA_b_bi_Equ_BRA_b_bi_Var_Ptr(0),
  q_BRA_e_ei_Equ_e_Node_Ptr(0),
  q_BRA_e_ei_Equ_ei_Node_Ptr(0),
  q_BRA_e_ei_Equ_BRA_e_ei_Var_Ptr(0),
  q_BRA_c_ci_Equ_c_Node_Ptr(0),
  q_BRA_c_ci_Equ_ci_Node_Ptr(0),
  q_BRA_c_ci_Equ_BRA_c_ci_Var_Ptr(0),
  admsTemperature(getDeviceOptions().temp.dVal())

{
  numIntVars = 8 + 3;
  numExtVars = 4;


  // Right now, we only have state for limited probes...
  numStateVars = 3;


  // Set up jacobian stamp:

  if (jacStamp.empty())
  {
    jacStamp.resize(12);
    jacStamp[admsNodeID_c].resize(3);
    jacStamp[admsNodeID_c][0] = admsNodeID_c;
    jacStamp[admsNodeID_c][1] = admsNodeID_b;
    // Extra columns for dependence on branches
    {
      int tempOffset=0;
      jacStamp[admsNodeID_c][2+(tempOffset++)] = admsBRA_ID_c_ci;
    }

    jacStamp[admsNodeID_b].resize(3);
    jacStamp[admsNodeID_b][0] = admsNodeID_b;
    jacStamp[admsNodeID_b][1] = admsNodeID_c;
    // Extra columns for dependence on branches
    {
      int tempOffset=0;
      jacStamp[admsNodeID_b][2+(tempOffset++)] = admsBRA_ID_b_bi;
    }

    jacStamp[admsNodeID_e].resize(1);
    // Extra columns for dependence on branches
    {
      int tempOffset=0;
      jacStamp[admsNodeID_e][0+(tempOffset++)] = admsBRA_ID_e_ei;
    }

    jacStamp[admsNodeID_t].resize(2);
    jacStamp[admsNodeID_t][0] = admsNodeID_t;
    jacStamp[admsNodeID_t][1] = admsNodeID_ti;
    jacStamp[admsNodeID_ei].resize(7);
    jacStamp[admsNodeID_ei][0] = admsNodeID_bii;
    jacStamp[admsNodeID_ei][1] = admsNodeID_ci;
    jacStamp[admsNodeID_ei][2] = admsNodeID_ti;
    jacStamp[admsNodeID_ei][3] = admsNodeID_ei;
    jacStamp[admsNodeID_ei][4] = admsNodeID_ex;
    jacStamp[admsNodeID_ei][5] = admsNodeID_exx;
    // Extra columns for dependence on branches
    {
      int tempOffset=0;
      jacStamp[admsNodeID_ei][6+(tempOffset++)] = admsBRA_ID_e_ei;
    }

    jacStamp[admsNodeID_bi].resize(5);
    jacStamp[admsNodeID_bi][0] = admsNodeID_ti;
    jacStamp[admsNodeID_bi][1] = admsNodeID_bi;
    jacStamp[admsNodeID_bi][2] = admsNodeID_ci;
    jacStamp[admsNodeID_bi][3] = admsNodeID_bii;
    // Extra columns for dependence on branches
    {
      int tempOffset=0;
      jacStamp[admsNodeID_bi][4+(tempOffset++)] = admsBRA_ID_b_bi;
    }

    jacStamp[admsNodeID_bii].resize(8);
    jacStamp[admsNodeID_bii][0] = admsNodeID_ti;
    jacStamp[admsNodeID_bii][1] = admsNodeID_bii;
    jacStamp[admsNodeID_bii][2] = admsNodeID_ci;
    jacStamp[admsNodeID_bii][3] = admsNodeID_ei;
    jacStamp[admsNodeID_bii][4] = admsNodeID_bi;
    jacStamp[admsNodeID_bii][5] = admsNodeID_ex;
    jacStamp[admsNodeID_bii][6] = admsNodeID_exx;
    jacStamp[admsNodeID_bii][7] = admsNodeID_cx;
    jacStamp[admsNodeID_ci].resize(7);
    jacStamp[admsNodeID_ci][0] = admsNodeID_ti;
    jacStamp[admsNodeID_ci][1] = admsNodeID_bi;
    jacStamp[admsNodeID_ci][2] = admsNodeID_ci;
    jacStamp[admsNodeID_ci][3] = admsNodeID_bii;
    jacStamp[admsNodeID_ci][4] = admsNodeID_ei;
    jacStamp[admsNodeID_ci][5] = admsNodeID_cx;
    // Extra columns for dependence on branches
    {
      int tempOffset=0;
      jacStamp[admsNodeID_ci][6+(tempOffset++)] = admsBRA_ID_c_ci;
    }

    jacStamp[admsNodeID_ti].resize(6);
    jacStamp[admsNodeID_ti][0] = admsNodeID_bi;
    jacStamp[admsNodeID_ti][1] = admsNodeID_ci;
    jacStamp[admsNodeID_ti][2] = admsNodeID_ei;
    jacStamp[admsNodeID_ti][3] = admsNodeID_bii;
    jacStamp[admsNodeID_ti][4] = admsNodeID_ti;
    jacStamp[admsNodeID_ti][5] = admsNodeID_t;
    jacStamp[admsNodeID_ex].resize(4);
    jacStamp[admsNodeID_ex][0] = admsNodeID_ti;
    jacStamp[admsNodeID_ex][1] = admsNodeID_ex;
    jacStamp[admsNodeID_ex][2] = admsNodeID_ei;
    jacStamp[admsNodeID_ex][3] = admsNodeID_bii;
    jacStamp[admsNodeID_exx].resize(4);
    jacStamp[admsNodeID_exx][0] = admsNodeID_ti;
    jacStamp[admsNodeID_exx][1] = admsNodeID_exx;
    jacStamp[admsNodeID_exx][2] = admsNodeID_ei;
    jacStamp[admsNodeID_exx][3] = admsNodeID_bii;
    jacStamp[admsNodeID_cx].resize(4);
    jacStamp[admsNodeID_cx][0] = admsNodeID_ti;
    jacStamp[admsNodeID_cx][1] = admsNodeID_cx;
    jacStamp[admsNodeID_cx][2] = admsNodeID_ci;
    jacStamp[admsNodeID_cx][3] = admsNodeID_bii;
    // Jacobian rows for branch equations

    {
      int jacsize=jacStamp.size();
      jacStamp.resize(jacsize+1);
      jacStamp[admsBRA_ID_b_bi].resize(3);
      int tempCol = 0;
      jacStamp[admsBRA_ID_b_bi][tempCol++] = admsNodeID_b;   // Branch eqn b,bi - node b
      jacStamp[admsBRA_ID_b_bi][tempCol++] = admsNodeID_bi;   // Branch eqn b,bi - node bi
      jacStamp[admsBRA_ID_b_bi][tempCol++] = admsBRA_ID_b_bi; // Branch eqn b,bi - branch var b,bi
    }
    {
      int jacsize=jacStamp.size();
      jacStamp.resize(jacsize+1);
      jacStamp[admsBRA_ID_e_ei].resize(3);
      int tempCol = 0;
      jacStamp[admsBRA_ID_e_ei][tempCol++] = admsNodeID_e;   // Branch eqn e,ei - node e
      jacStamp[admsBRA_ID_e_ei][tempCol++] = admsNodeID_ei;   // Branch eqn e,ei - node ei
      jacStamp[admsBRA_ID_e_ei][tempCol++] = admsBRA_ID_e_ei; // Branch eqn e,ei - branch var e,ei
    }
    {
      int jacsize=jacStamp.size();
      jacStamp.resize(jacsize+1);
      jacStamp[admsBRA_ID_c_ci].resize(3);
      int tempCol = 0;
      jacStamp[admsBRA_ID_c_ci][tempCol++] = admsNodeID_c;   // Branch eqn c,ci - node c
      jacStamp[admsBRA_ID_c_ci][tempCol++] = admsNodeID_ci;   // Branch eqn c,ci - node ci
      jacStamp[admsBRA_ID_c_ci][tempCol++] = admsBRA_ID_c_ci; // Branch eqn c,ci - branch var c,ci
    }

    // This is really not strictly necessary when not mapping away nodes,
    // but makes life easier when we get to registerJacLIDs.  This block
    // simply makes a map that leaves everything in place.  Later, when we
    // start making nodes go away, we will need to modify this.

    int mapSize = jacStamp.size();
    jacMap.clear();
    jacMap2.clear();
    jacMap.resize(mapSize);
    jacMap2.resize(mapSize);
    for (int i=0;i<mapSize;++i)
    {
      int rowSize=jacStamp[i].size();
      jacMap[i]=i;
      jacMap2[i].resize(rowSize);
      for (int j=0;j<rowSize;++j)
      {
        jacMap2[i][j] = j;
      }
    }

  }


  setDefaultParams();
  setParams(IB.params);
  // set any non-constant parameter defaults

  // Real bogosity here...
  if (!given("XYCEADMSINSTTEMP"))
    admsInstTemp=getDeviceOptions().temp.dVal();

  // Fix the TEMP parameter that has "helpfully" been converted to Kelvin
  // by the DeviceEntity class

  if (given("TEMP"))
    Temp -= CONSTCtoK;

  //calculate any parameters specified as expressions
  updateDependentParameters();

  // calculate dependent (i.e. computed params) and check for errors.
  processParams();
}

//-----------------------------------------------------------------------------
// Function      : Instance::~Instance
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
Instance::~Instance()
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerLIDs
// Purpose       : function for registering, and setting up, local ID's.
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerLIDs( const vector<int> & intLIDVecRef,
                             const vector<int> & extLIDVecRef)
{
  string msg;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline =
    "------------------------------------------------------------------------"
    "-----";

  if (getDeviceOptions().debugLevel > 0)
  {
    cout << endl << dashedline << endl;
    cout << "In ADMSHBT_X::Instance::register LIDs\n\n";
    cout << "name             = " << getName() << endl;
  }
#endif

  // Check if the size of the ID lists corresponds to the
  // proper number of internal and external variables.
  int numInt = intLIDVecRef.size();
  int numExt = extLIDVecRef.size();

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "number of internal variables: " << numInt << endl;
    cout << "number of external variables: " << numExt << endl;
  }
#endif

  if (numExt != numExtVars)
  {
    msg = "ADMSHBT_X::Instance::registerLIDs:";
    msg += "numExt != numExtVars";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::DEV_FATAL, msg);
  }

  // copy over the global ID lists.
  intLIDVec = intLIDVecRef;
  extLIDVec = extLIDVecRef;

  // Now use these lists to obtain the indices into the linear algebra
  // entities.  This assumes an order.
  int i=0;
  li_c = extLIDVecRef[i++];
  li_b = extLIDVecRef[i++];
  li_e = extLIDVecRef[i++];
  li_t = extLIDVecRef[i++];


  i=0;
  li_ei = intLIDVecRef[i++];
  li_bi = intLIDVecRef[i++];
  li_bii = intLIDVecRef[i++];
  li_ci = intLIDVecRef[i++];
  li_ti = intLIDVecRef[i++];
  li_ex = intLIDVecRef[i++];
  li_exx = intLIDVecRef[i++];
  li_cx = intLIDVecRef[i++];
  li_BRA_b_bi = intLIDVecRef[i++];
  li_BRA_e_ei = intLIDVecRef[i++];
  li_BRA_c_ci = intLIDVecRef[i++];


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "\nSolution and RHS variables:\n";
    cout << "\nli_c = " << li_c << endl;
    cout << "\nli_b = " << li_b << endl;
    cout << "\nli_e = " << li_e << endl;
    cout << "\nli_t = " << li_t << endl;
    cout << "\nli_ei = " << li_ei << endl;
    cout << "\nli_bi = " << li_bi << endl;
    cout << "\nli_bii = " << li_bii << endl;
    cout << "\nli_ci = " << li_ci << endl;
    cout << "\nli_ti = " << li_ti << endl;
    cout << "\nli_ex = " << li_ex << endl;
    cout << "\nli_exx = " << li_exx << endl;
    cout << "\nli_cx = " << li_cx << endl;
    cout << "\nli_BRA_b_bi = " << li_BRA_b_bi << endl;
    cout << "\nli_BRA_e_ei = " << li_BRA_e_ei << endl;
    cout << "\nli_BRA_c_ci = " << li_BRA_c_ci << endl;
  }
#endif

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "\nEnd of ADMSHBT_X::Instance::register LIDs\n";
    cout << dashedline << endl;
  }
#endif
}

//-----------------------------------------------------------------------------
// Function      : Instance::getIntNameMap
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
map<int,string> & Instance::getIntNameMap ()
{

  if (intNameMap.empty())
  {
    string tmpstr;

    tmpstr = getName() + "_ei";
    spiceInternalName(tmpstr);
    intNameMap[li_ei] = tmpstr;

    tmpstr = getName() + "_bi";
    spiceInternalName(tmpstr);
    intNameMap[li_bi] = tmpstr;

    tmpstr = getName() + "_bii";
    spiceInternalName(tmpstr);
    intNameMap[li_bii] = tmpstr;

    tmpstr = getName() + "_ci";
    spiceInternalName(tmpstr);
    intNameMap[li_ci] = tmpstr;

    tmpstr = getName() + "_ti";
    spiceInternalName(tmpstr);
    intNameMap[li_ti] = tmpstr;

    tmpstr = getName() + "_ex";
    spiceInternalName(tmpstr);
    intNameMap[li_ex] = tmpstr;

    tmpstr = getName() + "_exx";
    spiceInternalName(tmpstr);
    intNameMap[li_exx] = tmpstr;

    tmpstr = getName() + "_cx";
    spiceInternalName(tmpstr);
    intNameMap[li_cx] = tmpstr;

    tmpstr = getName() + "_b_bi_branch";
    spiceInternalName(tmpstr);
    intNameMap[li_BRA_b_bi] = tmpstr;
    tmpstr = getName() + "_e_ei_branch";
    spiceInternalName(tmpstr);
    intNameMap[li_BRA_e_ei] = tmpstr;
    tmpstr = getName() + "_c_ci_branch";
    spiceInternalName(tmpstr);
    intNameMap[li_BRA_c_ci] = tmpstr;
  }
  return intNameMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerStateLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerStateLIDs( const vector <int> & staLIDVecRef)
{
  int numSta = staLIDVecRef.size();

  if (numSta != numStateVars)
  {
    string msg = "ADMSHBT_X::Instance::registerStateLIDs:";
    msg += "numSta != numStateVars";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::DEV_FATAL, msg);
  }

  if (numSta > 0)
  {
    int i=0;
    staLIDVec = staLIDVecRef;

    li_state_admsProbeID_V_bi_ci = staLIDVec[i++];
    li_state_admsProbeID_V_bii_ci = staLIDVec[i++];
    li_state_admsProbeID_V_bii_ei = staLIDVec[i++];
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::jacobianStamp
// Purpose       :
// Special Notes : In initial version, we won't support mapping away nodes
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
const vector< vector<int> > & Instance::jacobianStamp() const
{
  return jacStamp;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerJacLIDs
// Purpose       : Create Offset variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerJacLIDs( const vector < vector <int> > & jacLIDVec)
{
  DeviceInstance::registerJacLIDs(jacLIDVec);
  vector<int> & map=jacMap;
  vector< vector<int> > & map2=jacMap2;


  // do nothing, we won't use the jac lids anymore, we'll use pointers

}

//-----------------------------------------------------------------------------
// Function      : Instance::setupPointers
// Purpose       : Create pointer variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupPointers( )
{

  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;
  f_c_Equ_c_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_c,li_c);
  q_c_Equ_c_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_c,li_c);
  f_c_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_c,li_b);
  q_c_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_c,li_b);
  f_c_Equ_BRA_c_ci_Var_Ptr = dFdxMatPtr->returnRawEntryPointer(li_c,li_BRA_c_ci);
  q_c_Equ_BRA_c_ci_Var_Ptr = dQdxMatPtr->returnRawEntryPointer(li_c,li_BRA_c_ci);
  f_b_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_b);
  q_b_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_b);
  f_b_Equ_c_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_c);
  q_b_Equ_c_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_c);
  f_b_Equ_BRA_b_bi_Var_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_BRA_b_bi);
  q_b_Equ_BRA_b_bi_Var_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_BRA_b_bi);
  f_e_Equ_BRA_e_ei_Var_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_BRA_e_ei);
  q_e_Equ_BRA_e_ei_Var_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_BRA_e_ei);
  f_t_Equ_t_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_t,li_t);
  q_t_Equ_t_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_t,li_t);
  f_t_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_t,li_ti);
  q_t_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_t,li_ti);
  f_ei_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_bii);
  q_ei_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_bii);
  f_ei_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_ci);
  q_ei_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_ci);
  f_ei_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_ti);
  q_ei_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_ti);
  f_ei_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_ei);
  q_ei_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_ei);
  f_ei_Equ_ex_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_ex);
  q_ei_Equ_ex_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_ex);
  f_ei_Equ_exx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_exx);
  q_ei_Equ_exx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_exx);
  f_ei_Equ_BRA_e_ei_Var_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_BRA_e_ei);
  q_ei_Equ_BRA_e_ei_Var_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_BRA_e_ei);
  f_bi_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_ti);
  q_bi_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_ti);
  f_bi_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_bi);
  q_bi_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_bi);
  f_bi_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_ci);
  q_bi_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_ci);
  f_bi_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_bii);
  q_bi_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_bii);
  f_bi_Equ_BRA_b_bi_Var_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_BRA_b_bi);
  q_bi_Equ_BRA_b_bi_Var_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_BRA_b_bi);
  f_bii_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_ti);
  q_bii_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_ti);
  f_bii_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_bii);
  q_bii_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_bii);
  f_bii_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_ci);
  q_bii_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_ci);
  f_bii_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_ei);
  q_bii_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_ei);
  f_bii_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_bi);
  q_bii_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_bi);
  f_bii_Equ_ex_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_ex);
  q_bii_Equ_ex_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_ex);
  f_bii_Equ_exx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_exx);
  q_bii_Equ_exx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_exx);
  f_bii_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bii,li_cx);
  q_bii_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bii,li_cx);
  f_ci_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_ti);
  q_ci_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_ti);
  f_ci_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_bi);
  q_ci_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_bi);
  f_ci_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_ci);
  q_ci_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_ci);
  f_ci_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_bii);
  q_ci_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_bii);
  f_ci_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_ei);
  q_ci_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_ei);
  f_ci_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_cx);
  q_ci_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_cx);
  f_ci_Equ_BRA_c_ci_Var_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_BRA_c_ci);
  q_ci_Equ_BRA_c_ci_Var_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_BRA_c_ci);
  f_ti_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ti,li_bi);
  q_ti_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ti,li_bi);
  f_ti_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ti,li_ci);
  q_ti_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ti,li_ci);
  f_ti_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ti,li_ei);
  q_ti_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ti,li_ei);
  f_ti_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ti,li_bii);
  q_ti_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ti,li_bii);
  f_ti_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ti,li_ti);
  q_ti_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ti,li_ti);
  f_ti_Equ_t_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ti,li_t);
  q_ti_Equ_t_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ti,li_t);
  f_ex_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ex,li_ti);
  q_ex_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ex,li_ti);
  f_ex_Equ_ex_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ex,li_ex);
  q_ex_Equ_ex_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ex,li_ex);
  f_ex_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ex,li_ei);
  q_ex_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ex,li_ei);
  f_ex_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ex,li_bii);
  q_ex_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ex,li_bii);
  f_exx_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_exx,li_ti);
  q_exx_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_exx,li_ti);
  f_exx_Equ_exx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_exx,li_exx);
  q_exx_Equ_exx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_exx,li_exx);
  f_exx_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_exx,li_ei);
  q_exx_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_exx,li_ei);
  f_exx_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_exx,li_bii);
  q_exx_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_exx,li_bii);
  f_cx_Equ_ti_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_ti);
  q_cx_Equ_ti_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_ti);
  f_cx_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_cx);
  q_cx_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_cx);
  f_cx_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_ci);
  q_cx_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_ci);
  f_cx_Equ_bii_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_bii);
  q_cx_Equ_bii_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_bii);
  f_BRA_b_bi_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BRA_b_bi,li_b);
  q_BRA_b_bi_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BRA_b_bi,li_b);
  f_BRA_b_bi_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BRA_b_bi,li_bi);
  q_BRA_b_bi_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BRA_b_bi,li_bi);
  f_BRA_b_bi_Equ_BRA_b_bi_Var_Ptr=dFdxMatPtr->returnRawEntryPointer(li_BRA_b_bi,li_BRA_b_bi);
  q_BRA_b_bi_Equ_BRA_b_bi_Var_Ptr=dQdxMatPtr->returnRawEntryPointer(li_BRA_b_bi,li_BRA_b_bi);
  f_BRA_e_ei_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BRA_e_ei,li_e);
  q_BRA_e_ei_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BRA_e_ei,li_e);
  f_BRA_e_ei_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BRA_e_ei,li_ei);
  q_BRA_e_ei_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BRA_e_ei,li_ei);
  f_BRA_e_ei_Equ_BRA_e_ei_Var_Ptr=dFdxMatPtr->returnRawEntryPointer(li_BRA_e_ei,li_BRA_e_ei);
  q_BRA_e_ei_Equ_BRA_e_ei_Var_Ptr=dQdxMatPtr->returnRawEntryPointer(li_BRA_e_ei,li_BRA_e_ei);
  f_BRA_c_ci_Equ_c_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BRA_c_ci,li_c);
  q_BRA_c_ci_Equ_c_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BRA_c_ci,li_c);
  f_BRA_c_ci_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BRA_c_ci,li_ci);
  q_BRA_c_ci_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BRA_c_ci,li_ci);
  f_BRA_c_ci_Equ_BRA_c_ci_Var_Ptr=dFdxMatPtr->returnRawEntryPointer(li_BRA_c_ci,li_BRA_c_ci);
  q_BRA_c_ci_Equ_BRA_c_ci_Var_Ptr=dQdxMatPtr->returnRawEntryPointer(li_BRA_c_ci,li_BRA_c_ci);
 

}

// RHS load functions

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEFVector
// Purpose       : load F vector (static contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEFVector()
{

  bool bsuccess=true;

  (*extData.daeFVectorPtr)[li_c] += staticContributions[admsNodeID_c].val();
  (*extData.daeFVectorPtr)[li_b] += staticContributions[admsNodeID_b].val();
  (*extData.daeFVectorPtr)[li_e] += staticContributions[admsNodeID_e].val();
  (*extData.daeFVectorPtr)[li_t] += staticContributions[admsNodeID_t].val();
  (*extData.daeFVectorPtr)[li_ei] += staticContributions[admsNodeID_ei].val();
  (*extData.daeFVectorPtr)[li_bi] += staticContributions[admsNodeID_bi].val();
  (*extData.daeFVectorPtr)[li_bii] += staticContributions[admsNodeID_bii].val();
  (*extData.daeFVectorPtr)[li_ci] += staticContributions[admsNodeID_ci].val();
  (*extData.daeFVectorPtr)[li_ti] += staticContributions[admsNodeID_ti].val();
  (*extData.daeFVectorPtr)[li_ex] += staticContributions[admsNodeID_ex].val();
  (*extData.daeFVectorPtr)[li_exx] += staticContributions[admsNodeID_exx].val();
  (*extData.daeFVectorPtr)[li_cx] += staticContributions[admsNodeID_cx].val();
  (*extData.daeFVectorPtr)[li_BRA_b_bi] += staticContributions[admsBRA_ID_b_bi].val();
  (*extData.daeFVectorPtr)[li_BRA_e_ei] += staticContributions[admsBRA_ID_e_ei].val();
  (*extData.daeFVectorPtr)[li_BRA_c_ci] += staticContributions[admsBRA_ID_c_ci].val();
  if (getDeviceOptions().voltageLimiterFlag && !origFlag)
  {
    double *dFdxdVp = extData.dFdxdVpVectorRawPtr;
    dFdxdVp[li_c] += Jdxp_static[admsNodeID_c];
    dFdxdVp[li_b] += Jdxp_static[admsNodeID_b];
    dFdxdVp[li_e] += Jdxp_static[admsNodeID_e];
    dFdxdVp[li_t] += Jdxp_static[admsNodeID_t];
    dFdxdVp[li_ei] += Jdxp_static[admsNodeID_ei];
    dFdxdVp[li_bi] += Jdxp_static[admsNodeID_bi];
    dFdxdVp[li_bii] += Jdxp_static[admsNodeID_bii];
    dFdxdVp[li_ci] += Jdxp_static[admsNodeID_ci];
    dFdxdVp[li_ti] += Jdxp_static[admsNodeID_ti];
    dFdxdVp[li_ex] += Jdxp_static[admsNodeID_ex];
    dFdxdVp[li_exx] += Jdxp_static[admsNodeID_exx];
    dFdxdVp[li_cx] += Jdxp_static[admsNodeID_cx];
    dFdxdVp[li_BRA_b_bi] += Jdxp_static[admsBRA_ID_b_bi];
    dFdxdVp[li_BRA_e_ei] += Jdxp_static[admsBRA_ID_e_ei];
    dFdxdVp[li_BRA_c_ci] += Jdxp_static[admsBRA_ID_c_ci];

  }

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEQVector
// Purpose       : load Q vector (dynamic contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEQVector()
{
  (*extData.daeQVectorPtr)[li_c] += dynamicContributions[admsNodeID_c].val();
  (*extData.daeQVectorPtr)[li_b] += dynamicContributions[admsNodeID_b].val();
  (*extData.daeQVectorPtr)[li_e] += dynamicContributions[admsNodeID_e].val();
  (*extData.daeQVectorPtr)[li_t] += dynamicContributions[admsNodeID_t].val();
  (*extData.daeQVectorPtr)[li_ei] += dynamicContributions[admsNodeID_ei].val();
  (*extData.daeQVectorPtr)[li_bi] += dynamicContributions[admsNodeID_bi].val();
  (*extData.daeQVectorPtr)[li_bii] += dynamicContributions[admsNodeID_bii].val();
  (*extData.daeQVectorPtr)[li_ci] += dynamicContributions[admsNodeID_ci].val();
  (*extData.daeQVectorPtr)[li_ti] += dynamicContributions[admsNodeID_ti].val();
  (*extData.daeQVectorPtr)[li_ex] += dynamicContributions[admsNodeID_ex].val();
  (*extData.daeQVectorPtr)[li_exx] += dynamicContributions[admsNodeID_exx].val();
  (*extData.daeQVectorPtr)[li_cx] += dynamicContributions[admsNodeID_cx].val();
  (*extData.daeQVectorPtr)[li_BRA_b_bi] += dynamicContributions[admsBRA_ID_b_bi].val();
  (*extData.daeQVectorPtr)[li_BRA_e_ei] += dynamicContributions[admsBRA_ID_e_ei].val();
  (*extData.daeQVectorPtr)[li_BRA_c_ci] += dynamicContributions[admsBRA_ID_c_ci].val();
  if (getDeviceOptions().voltageLimiterFlag && !origFlag)
  {
    double *dQdxdVp = extData.dQdxdVpVectorRawPtr;
    dQdxdVp[li_c] += Jdxp_dynamic[admsNodeID_c];
    dQdxdVp[li_b] += Jdxp_dynamic[admsNodeID_b];
    dQdxdVp[li_e] += Jdxp_dynamic[admsNodeID_e];
    dQdxdVp[li_t] += Jdxp_dynamic[admsNodeID_t];
    dQdxdVp[li_ei] += Jdxp_dynamic[admsNodeID_ei];
    dQdxdVp[li_bi] += Jdxp_dynamic[admsNodeID_bi];
    dQdxdVp[li_bii] += Jdxp_dynamic[admsNodeID_bii];
    dQdxdVp[li_ci] += Jdxp_dynamic[admsNodeID_ci];
    dQdxdVp[li_ti] += Jdxp_dynamic[admsNodeID_ti];
    dQdxdVp[li_ex] += Jdxp_dynamic[admsNodeID_ex];
    dQdxdVp[li_exx] += Jdxp_dynamic[admsNodeID_exx];
    dQdxdVp[li_cx] += Jdxp_dynamic[admsNodeID_cx];
    dQdxdVp[li_BRA_b_bi] += Jdxp_dynamic[admsBRA_ID_b_bi];
    dQdxdVp[li_BRA_e_ei] += Jdxp_dynamic[admsBRA_ID_e_ei];
    dQdxdVp[li_BRA_c_ci] += Jdxp_dynamic[admsBRA_ID_c_ci];
  }

  return true;
}


//-----------------------------------------------------------------------------
// Function      : Instance::updatePrimaryState
// Purpose       :
// Special Notes : In this initial implementation, does little more than
//                 call updateIntermediateVars()
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updatePrimaryState()
{
  bool bsuccess = true;

  bsuccess = updateIntermediateVars();

  // if old DAE were implemented, we'd save dynamic contributions as state
  // here.

  double * staVec = extData.nextStaVectorRawPtr;
  // Also need to save limited voltage drops
  // This formulation assumes that we have *always* written the
  // limited voltages back into the probeVars[] array.

  staVec[li_state_admsProbeID_V_bi_ci] = probeVars[admsProbeID_V_bi_ci].val();
  staVec[li_state_admsProbeID_V_bii_ci] = probeVars[admsProbeID_V_bii_ci].val();
  staVec[li_state_admsProbeID_V_bii_ei] = probeVars[admsProbeID_V_bii_ei].val();

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateSecondaryState
// Purpose       :
// Special Notes : In this initial implementation, does nothing
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateSecondaryState()
{
  bool bsuccess = true;

  // were old DAE implemented, we'd pull dynamic contribution derivatives
  // out of state.

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateIntermediateVars
// Purpose       : update intermediate variables for one HBT_X instance
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateIntermediateVars()
{

  bool bsuccess=true;
  N_LAS_Vector * solVectorPtr = extData.nextSolVectorPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline =
    "------------------------------------------------------------------------"
    "-----";
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << endl << dashedline2 << endl;
    cout << "  In ADMSHBT_X::Instance::updateIntermediateVars\n\n";
    cout << "  name = " << getName() << endl;
  }
#endif

  // Local variables
  AdmsFadType qbe;
  AdmsFadType qbtf;
  AdmsFadType xtff;
  AdmsFadType Wh;
  AdmsFadType Ih;
  double AHC;
  double RCIO;
  double InvVpt;
  double Vlim;
  AdmsFadType qb2;
  AdmsFadType qbtra;
  AdmsFadType qbtr;
  AdmsFadType qb1;
  AdmsFadType qb2med;
  AdmsFadType xix;
  double I00;
  AdmsFadType Ipdiss;
  AdmsFadType Icdx;
  AdmsFadType Ibdxx;
  AdmsFadType Ibdx;
  AdmsFadType Ib1;
  AdmsFadType Ib0;
  AdmsFadType EdBeta;
  AdmsFadType mm;
  double Vbclin;
  double epsi;
  AdmsFadType Ibx;
  AdmsFadType Ib2;
  AdmsFadType Ic1;
  AdmsFadType Ic1r;
  AdmsFadType Ic0;
  AdmsFadType qb;
  AdmsFadType q2;
  AdmsFadType q1;
  AdmsFadType Ic1ra;
  AdmsFadType Ic0a;
  double TWO_Q;
  double FOUR_K;
  double Area;
  AdmsFadType Tex;
  AdmsFadType TjK;
  AdmsFadType Tj;
  AdmsFadType Texi;
  AdmsFadType vcei;
  AdmsFadType vxxe;
  AdmsFadType vxc;
  AdmsFadType vxe;
  AdmsFadType vbei;
  AdmsFadType vbci;
  AdmsFadType vbcx;
  double tVCrit;
  // temporary variables for limiting
  double vbei_orig,vbei_limited,vbei_old;
  double vbci_orig,vbci_limited,vbci_old;
  double vbcx_orig,vbcx_limited,vbcx_old;


  // set the sizes of the Fad arrays:

  if (probeVars.size() != (19))
  {
    probeVars.resize(19);
    staticContributions.resize(12+3);
    dynamicContributions.resize(12+3);
    probeDiffs.resize(19,0.0);
    Jdxp_static.resize(12+3);
    Jdxp_dynamic.resize(12+3);
  }

  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 12+3 ; ++i)
  {
    staticContributions[i]=0;
    dynamicContributions[i]=0;
    Jdxp_static[i]=0;
    Jdxp_dynamic[i]=0;
  }

  for (int i=0; i < 19 ; ++i)
  {
    probeDiffs[i] = 0.0;
  }
  // extract solution variables and set as Fad independent variables.
  probeVars[admsProbeID_V_t_ti] = (*solVectorPtr)[li_t] - (*solVectorPtr)[li_ti];
  probeVars[admsProbeID_V_t_ti].diff(admsProbeID_V_t_ti,19);

  probeVars[admsProbeID_V_b_c] = (*solVectorPtr)[li_b] - (*solVectorPtr)[li_c];
  probeVars[admsProbeID_V_b_c].diff(admsProbeID_V_b_c,19);

  probeVars[admsProbeID_V_c_GND] = (*solVectorPtr)[li_c];
  probeVars[admsProbeID_V_c_GND].diff(admsProbeID_V_c_GND,19);

  probeVars[admsProbeID_V_b_GND] = (*solVectorPtr)[li_b];
  probeVars[admsProbeID_V_b_GND].diff(admsProbeID_V_b_GND,19);

  probeVars[admsProbeID_V_cx_bii] = (*solVectorPtr)[li_cx] - (*solVectorPtr)[li_bii];
  probeVars[admsProbeID_V_cx_bii].diff(admsProbeID_V_cx_bii,19);

  probeVars[admsProbeID_V_exx_bii] = (*solVectorPtr)[li_exx] - (*solVectorPtr)[li_bii];
  probeVars[admsProbeID_V_exx_bii].diff(admsProbeID_V_exx_bii,19);

  probeVars[admsProbeID_V_ex_bii] = (*solVectorPtr)[li_ex] - (*solVectorPtr)[li_bii];
  probeVars[admsProbeID_V_ex_bii].diff(admsProbeID_V_ex_bii,19);

  probeVars[admsProbeID_V_bii_bi] = (*solVectorPtr)[li_bii] - (*solVectorPtr)[li_bi];
  probeVars[admsProbeID_V_bii_bi].diff(admsProbeID_V_bii_bi,19);

  probeVars[admsProbeID_I_c_ci] = (*solVectorPtr)[li_BRA_c_ci];
  probeVars[admsProbeID_I_c_ci].diff(admsProbeID_I_c_ci,19);

  probeVars[admsProbeID_I_e_ei] = (*solVectorPtr)[li_BRA_e_ei];
  probeVars[admsProbeID_I_e_ei].diff(admsProbeID_I_e_ei,19);

  probeVars[admsProbeID_I_b_bi] = (*solVectorPtr)[li_BRA_b_bi];
  probeVars[admsProbeID_I_b_bi].diff(admsProbeID_I_b_bi,19);

  probeVars[admsProbeID_V_ti_GND] = (*solVectorPtr)[li_ti];
  probeVars[admsProbeID_V_ti_GND].diff(admsProbeID_V_ti_GND,19);

  probeVars[admsProbeID_V_ci_ei] = (*solVectorPtr)[li_ci] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_ci_ei].diff(admsProbeID_V_ci_ei,19);

  probeVars[admsProbeID_V_exx_ei] = (*solVectorPtr)[li_exx] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_exx_ei].diff(admsProbeID_V_exx_ei,19);

  probeVars[admsProbeID_V_cx_ci] = (*solVectorPtr)[li_cx] - (*solVectorPtr)[li_ci];
  probeVars[admsProbeID_V_cx_ci].diff(admsProbeID_V_cx_ci,19);

  probeVars[admsProbeID_V_ex_ei] = (*solVectorPtr)[li_ex] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_ex_ei].diff(admsProbeID_V_ex_ei,19);

  probeVars[admsProbeID_V_bii_ei] = (*solVectorPtr)[li_bii] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_bii_ei].diff(admsProbeID_V_bii_ei,19);

  probeVars[admsProbeID_V_bii_ci] = (*solVectorPtr)[li_bii] - (*solVectorPtr)[li_ci];
  probeVars[admsProbeID_V_bii_ci].diff(admsProbeID_V_bii_ci,19);

  probeVars[admsProbeID_V_bi_ci] = (*solVectorPtr)[li_bi] - (*solVectorPtr)[li_ci];
  probeVars[admsProbeID_V_bi_ci].diff(admsProbeID_V_bi_ci,19);


  // pre-multiply any "typed" probes (i.e. those limited with "typedpnjlim")
  probeVars[admsProbeID_V_bii_ei] *= (model_.dtype);
  probeVars[admsProbeID_V_bii_ci] *= (model_.dtype);
  probeVars[admsProbeID_V_bi_ci] *= (model_.dtype);

  // Copy probes into limiting vars
  vbei_orig = vbei_limited = probeVars[admsProbeID_V_bii_ei].val();
  probeDiffs[admsProbeID_V_bii_ei] = 0.0;
  vbci_orig = vbci_limited = probeVars[admsProbeID_V_bii_ci].val();
  probeDiffs[admsProbeID_V_bii_ci] = 0.0;
  vbcx_orig = vbcx_limited = probeVars[admsProbeID_V_bi_ci].val();
  probeDiffs[admsProbeID_V_bi_ci] = 0.0;

  origFlag = true;

  //Manually moved from below
  tVCrit = (adms_vt_nom*log((adms_vt_nom/(1.41421356237309504880*(((((model_.Jsf)*L)*W)*N)*1e12)))));
  if (getSolverState().newtonIter == 0)
  {

    if (getSolverState().initJctFlag && getDeviceOptions().voltageLimiterFlag)
    {
      // manually inserted code:
      if (getSolverState().inputOPFlag)
      {
        N_LAS_Vector * flagSolVectorPtr = (extData.flagSolVectorPtr);
        if ((*flagSolVectorPtr)[li_e] == 0 ||
            (*flagSolVectorPtr)[li_ei] == 0 ||
            (*flagSolVectorPtr)[li_ex] == 0 ||
            (*flagSolVectorPtr)[li_exx] == 0 ||
            (*flagSolVectorPtr)[li_b] == 0 ||
            (*flagSolVectorPtr)[li_bi] == 0 ||
            (*flagSolVectorPtr)[li_bii] == 0 ||
            (*flagSolVectorPtr)[li_c] == 0 ||
            (*flagSolVectorPtr)[li_ci] == 0 ||
            (*flagSolVectorPtr)[li_cx] == 0 ||
            (*flagSolVectorPtr)[li_t] == 0 ||
            (*flagSolVectorPtr)[li_ti] == 0 )
        {
          vbcx_limited = vbci_limited = 0;
          vbei_limited = tVCrit;
          origFlag = false;
        }
      }
      else
      {
        vbcx_limited = vbci_limited = 0;
        vbei_limited = tVCrit;
        origFlag = false;
#ifdef Xyce_DEBUG_DEVICE
        if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
        {
          cout << " Setting device initial condition to Base-Emitter drop=tVCri (" << tVCrit << ")"<<endl;
        }
#endif
      }
    }
    // end manually inserted code

    if (!(getSolverState().dcopFlag)||(getSolverState().locaEnabledFlag && getSolverState().dcopFlag))
    {
      vbei_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bii_ei];
      vbci_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bii_ci];
      vbcx_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bi_ci];
    }
    else
    {
      vbei_old = vbei_limited;
      vbci_old = vbci_limited;
      vbcx_old = vbcx_limited;
    }
  }
  else
  {
    vbei_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bii_ei];
    vbci_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bii_ci];
    vbcx_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bi_ci];
  }

  // -- code converted from analog/code block
  // Manually moved to above
  //tVCrit = (adms_vt_nom*log((adms_vt_nom/(1.41421356237309504880*(((((model_.Jsf)*L)*W)*N)*1e12)))));


  //vbcx = ($limit(V(bi,ci),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    vbcx_limited = devSupport.pnjlim(vbcx_limited,vbcx_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bi_ci] = vbcx_limited - vbcx_orig;
      probeVars[admsProbeID_V_bi_ci] += probeDiffs[admsProbeID_V_bi_ci];
    }
  }
  vbcx = probeVars[admsProbeID_V_bi_ci];



  //vbci = ($limit(V(bii,ci),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    vbci_limited = devSupport.pnjlim(vbci_limited,vbci_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bii_ci] = vbci_limited - vbci_orig;
      probeVars[admsProbeID_V_bii_ci] += probeDiffs[admsProbeID_V_bii_ci];
    }
  }
  vbci = probeVars[admsProbeID_V_bii_ci];



  //vbei = ($limit(V(bii,ei),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    vbei_limited = devSupport.pnjlim(vbei_limited,vbei_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bii_ei] = vbei_limited - vbei_orig;
      probeVars[admsProbeID_V_bii_ei] += probeDiffs[admsProbeID_V_bii_ei];
    }
  }
  vbei = probeVars[admsProbeID_V_bii_ei];

  vxe = ((model_.dtype)*(probeVars[admsProbeID_V_ex_ei]));
  vxc = ((model_.dtype)*(probeVars[admsProbeID_V_cx_ci]));
  vxxe = ((model_.dtype)*(probeVars[admsProbeID_V_exx_ei]));
  vcei = ((model_.dtype)*(probeVars[admsProbeID_V_ci_ei]));
  Texi = (probeVars[admsProbeID_V_ti_GND]);
  Tj = (Texi+Temp);
  TjK = (Tj+273.15);
  Tex = (Tj-(model_.Tnom));
  Area = (((L*W)*1.0e12)*N);
  FOUR_K = (4*1.3806226e-23);
  TWO_Q = (2*1.6021918e-19);
  Ic0a = model_.analogFunctions.diode<AdmsFadType>(vbei,(model_.Jsf),(model_.Vg),(model_.nf),Area,Tj,(model_.Tnom));
  Ic1ra = model_.analogFunctions.diode<AdmsFadType>(vbci,((model_.XCjc)*(model_.Jsr)),(model_.Vgr),(model_.nr),Area,Tj,(model_.Tnom));
  if ((((model_.VAF)>0.0)&&((model_.VAR)>0.0)))
  {
    q1 = ((1.0+((model_.analogFunctions.charge<AdmsFadType>(vbei,1.0,(model_.Vje),(model_.mje),1.0)-model_.analogFunctions.charge<double>(0.0,1.0,(model_.Vje),(model_.mje),1.0))/(model_.VAR)))+((model_.analogFunctions.charge<AdmsFadType>(vbci,1.0,(model_.Vjc),(model_.mjc),1.0)-model_.analogFunctions.charge<double>(0.0,1.0,(model_.Vjc),(model_.mjc),1.0))/(model_.VAF)));
  }
  else
  {
    if ((((model_.VAF)>0.0)&&((model_.VAR)==0.0)))
    {
      q1 = (1.0+((model_.analogFunctions.charge<AdmsFadType>(vbci,1.0,(model_.Vjc),(model_.mjc),1.0)-model_.analogFunctions.charge<AdmsFadType>(0.0,1.0,(model_.Vjc),(model_.mjc),1.0))/(model_.VAF)));
    }
    else
    {
      if ((((model_.VAF)==0.0)&&((model_.VAR)>0.0)))
      {
        q1 = (1.0+((model_.analogFunctions.charge<AdmsFadType>(vbei,1.0,(model_.Vje),(model_.mje),1.0)-model_.analogFunctions.charge<AdmsFadType>(0.0,1.0,(model_.Vje),(model_.mje),1.0))/(model_.VAR)));
      }
      else
      {
        q1 = 1.0;
      }
    }
  }
  if ((((model_.IKF)>0.0)&&((model_.IKR)>0.0)))
  {
    q2 = ((Ic0a/(Area*(model_.IKF)))+(Ic1ra/(Area*(model_.IKR))));
  }
  else
  {
    if ((((model_.IKF)>0.0)&&((model_.IKR)==0.0)))
    {
      q2 = (Ic0a/(Area*(model_.IKF)));
    }
    else
    {
      if ((((model_.IKF)==0.0)&&((model_.IKR)>0.0)))
      {
        q2 = (Ic1ra/(Area*(model_.IKR)));
      }
      else
      {
        q2 = 0.0;
      }
    }
  }
  qb = ((q1+sqrt(((q1*q1)+(4.0*q2))))/2.0);
  Ic0 = (Ic0a/qb);
  Ic1r = (Ic1ra/qb);
  Ic1 = (Ic0-Ic1r);
  Ib2 = (model_.analogFunctions.diode<AdmsFadType>(vbci,((model_.XCjc)*(model_.Jsr)),(model_.Vgr),(model_.nr),Area,Tj,(model_.Tnom))/(model_.Br));
  Ibx = (model_.analogFunctions.diode<AdmsFadType>(vbcx,((1.0-(model_.XCjc))*(model_.Jsr)),(model_.Vgr),(model_.nr),Area,Tj,(model_.Tnom))/(model_.Br));
  epsi = 1.0e-6;
  Vbclin = ((model_.BVceo)*pow((1.0-epsi),(1/(model_.Mc))));
  mm = model_.analogFunctions.MM<AdmsFadType>(vbci,(model_.BVceo),(model_.Mc),Vbclin,(model_.Bf),(model_.kc));
  if ((mm>1.0))
  {
    if (((model_.kBeta)>0.0))
    {
      if ((((model_.Bf)-((model_.kBeta)*Tex))>1e-6))
      {
        EdBeta = (((1/((model_.Bf)-((model_.kBeta)*Tex)))-((model_.kc)*(mm-1)))/(((model_.kc)*(mm-1))+1));
      }
      else
      {
        EdBeta = ((1e6-((model_.kc)*(mm-1)))/(((model_.kc)*(mm-1))+1));
      }
    }
    else
    {
      EdBeta = (((1/(model_.Bf))-((model_.kc)*(mm-1)))/(((model_.kc)*(mm-1))+1));
    }
  }
  else
  {
    if (((model_.kBeta)>0.0))
    {
      if ((((model_.Bf)-((model_.kBeta)*Tex))>1e-6))
      {
        EdBeta = (1/((model_.Bf)-((model_.kBeta)*Tex)));
      }
      else
      {
        EdBeta = 1e6;
      }
    }
    else
    {
      EdBeta = (1/(model_.Bf));
    }
  }
  Ib0 = (Ic0a*EdBeta);
  if (((model_.BVebo)>0))
  {
    Ib1 = (Ib0-model_.analogFunctions.diode<AdmsFadType>(((-(model_.BVebo))-vbei),(model_.Jsf),0.0,1.0,Area,0.0,0.0));
  }
  else
  {
    Ib1 = Ib0;
  }
  if ((((model_.Jse)>0.0)&&((model_.ne)>0)))
  {
    Ibdx = model_.analogFunctions.diode<AdmsFadType>(vxe,(model_.Jse),(model_.Vgb),(model_.ne),Area,Tj,(model_.Tnom));
  }
  else
  {
    Ibdx = (vxe*1e-12);
  }
  if ((((model_.Jsee)>0.0)&&((model_.nee)>0)))
  {
    Ibdxx = model_.analogFunctions.diode<AdmsFadType>(vxxe,(model_.Jsee),(model_.Vgbb),(model_.nee),Area,Tj,(model_.Tnom));
  }
  else
  {
    Ibdxx = (vxxe*1e-12);
  }
  if ((((model_.Jsc)>0.0)&&((model_.nc)>0)))
  {
    Icdx = model_.analogFunctions.diode<AdmsFadType>(vxc,(model_.Jsc),(model_.Vgc),(model_.nc),Area,Tj,(model_.Tnom));
  }
  else
  {
    Icdx = (vxc*1e-12);
  }
  Ipdiss = ((((Ic1*vcei)+(Ib1*vbei))+(Ib2*vbci))+(Ibx*vbcx));
  if ((Ipdiss<0.0))
  {
    Ipdiss = 0;
  }
  I00 = ((model_.J0)*Area);
  if ((((model_.XCjc)<1.0)&&((model_.XCjc)>0.0)))
  {
    if ((((model_.J0)<=0.0)||(Ic0<0.0)))
    {
      qb2med = (((model_.XCjc)*model_.analogFunctions.charge<AdmsFadType>(vbci,((model_.Cjc)-(model_.Cmin)),(model_.Vjc),(model_.mjc),Area))+((((model_.XCjc)*Area)*(model_.Cmin))*vbci));
    }
    else
    {
      xix = (Ic0/I00);
      qb2med = ((((model_.XCjc)*(1.0-tanh(xix)))*(model_.analogFunctions.charge<AdmsFadType>(vbci,((model_.Cjc)-(model_.Cmin)),(model_.Vjc),(model_.mjc),Area)+((((1.0-(model_.XJ0))*Area)*(model_.Cmin))*vbci)))+(((((model_.XJ0)*(model_.XCjc))*Area)*(model_.Cmin))*vbci));
    }
  }
  else
  {
    if ((((model_.J0)<0.0)||(Ic0<0.0)))
    {
      qb2med = (model_.analogFunctions.charge<AdmsFadType>(vbci,((model_.Cjc)-(model_.Cmin)),(model_.Vjc),(model_.mjc),Area)+((Area*(model_.Cmin))*vbci));
    }
    else
    {
      xix = (Ic0/I00);
      qb2med = (((1.0-tanh(xix))*(model_.analogFunctions.charge<AdmsFadType>(vbci,((model_.Cjc)-(model_.Cmin)),(model_.Vjc),(model_.mjc),Area)+((((1.0-(model_.XJ0))*Area)*(model_.Cmin))*vbci)))+((((model_.XJ0)*Area)*(model_.Cmin))*vbci));
    }
  }
  if ((((model_.XCjc)<1.0)&&((model_.XCjc)>0.0)))
  {
    qb1 = (((1.0-(model_.XCjc))*model_.analogFunctions.charge<AdmsFadType>(vbcx,((model_.Cjc)-(model_.Cmin)),(model_.Vjc),(model_.mjc),Area))+((((1.0-(model_.XCjc))*Area)*(model_.Cmin))*vbcx));
  }
  else
  {
    qb1 = 0.0;
  }
  qbtr = ((model_.Tr)*Ic1r);
  qbtra = ((model_.Trx)*Ibx);
  qb2 = (qb2med+qbtr);
  if ((((model_.Jk)>0.0)&&((model_.Rci0)>0.0)))
  {
    if (((model_.RJk)>0.0))
    {
      Vlim = (((model_.Jk)*(model_.Rci0))/(1.0-((model_.Rci0)/(model_.RJk))));
      InvVpt = ((1.0-((model_.Rci0)/(model_.RJk)))/((model_.Jk)*(model_.RJk)));
    }
    else
    {
      Vlim = (((model_.Jk)*(model_.Rci0))/1.016);
      InvVpt = 0.0;
    }
  }
  if ((((((model_.Thcs)>0.0)&&((model_.Ahc)>0.0))&&((model_.Jk)>0.0))&&(Ic0>0.0)))
  {
    RCIO = ((model_.Rci0)/Area);
    AHC = (Area*(model_.Ahc));
    if ((((model_.Rci0)<(model_.RJk))||((model_.RJk)<=0.0)))
    {
      Ih = (1.0-(model_.analogFunctions.ICK<AdmsFadType>(vcei,RCIO,Vlim,InvVpt,(model_.Vces))/Ic0));
    }
    else
    {
      Ih = (1.0-(model_.analogFunctions.Vceff<AdmsFadType>(vcei,(model_.Vces))/(RCIO*Ic0)));
    }
    Wh = ((Ih+sqrt(((Ih*Ih)+AHC)))/(1.0+sqrt((1.0+AHC))));
    xtff = (((model_.Thcs)*Ic0)*(Wh*Wh));
  }
  else
  {
    xtff = 0;
  }
  qbtf = (((model_.Tf)+((model_.Tft)*Tex))*Ic0);
  qbe = ((xtff+qbtf)+model_.analogFunctions.charge<AdmsFadType>(vbei,(model_.Cje),(model_.Vje),(model_.mje),Area));
  // I(bi,ci) <+ ((dtype*Ibx))
  {
    AdmsFadType contribTemp;
    contribTemp= ((model_.dtype)*Ibx);
    staticContributions[admsNodeID_bi] += contribTemp;
    staticContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_static[admsNodeID_bi] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci);
    Jdxp_static[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci);
  }
  // I(bi,ci) <+ ((dtype*ddt((qb1+qbtra))))
  {
    AdmsFadType contribTemp;
    contribTemp= ((model_.dtype)*((qb1+qbtra)));
    dynamicContributions[admsNodeID_bi] += contribTemp;
    dynamicContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bi] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci);
    Jdxp_dynamic[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci);
  }
  // I(bii,ci) <+ ((dtype*Ib2))
  {
    AdmsFadType contribTemp;
    contribTemp= ((model_.dtype)*Ib2);
    staticContributions[admsNodeID_bii] += contribTemp;
    staticContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_static[admsNodeID_bii] += contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci);
    Jdxp_static[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci);
  }
  // I(bii,ci) <+ ((dtype*ddt(qb2)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((model_.dtype)*(qb2));
    dynamicContributions[admsNodeID_bii] += contribTemp;
    dynamicContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bii] += contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
    Jdxp_dynamic[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
  }
  // I(bii,ei) <+ ((dtype*Ib1))
  {
    AdmsFadType contribTemp;
    contribTemp= ((model_.dtype)*Ib1);
    staticContributions[admsNodeID_bii] += contribTemp;
    staticContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_static[admsNodeID_bii] += contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
    Jdxp_static[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
  }
  // I(bii,ei) <+ ((dtype*ddt(qbe)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((model_.dtype)*(qbe));
    dynamicContributions[admsNodeID_bii] += contribTemp;
    dynamicContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bii] += contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
    Jdxp_dynamic[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
  }
  // I(ci,ei) <+ ((dtype*Ic1))
  {
    AdmsFadType contribTemp;
    contribTemp= ((model_.dtype)*Ic1);
    staticContributions[admsNodeID_ci] += contribTemp;
    staticContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_static[admsNodeID_ci] += contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
    Jdxp_static[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
  }
  // I(ex,ei) <+ ((dtype*Ibdx))
  staticContributions[admsNodeID_ex] += ((model_.dtype)*Ibdx);
  staticContributions[admsNodeID_ei] -= ((model_.dtype)*Ibdx);
  // I(exx,ei) <+ ((dtype*Ibdxx))
  staticContributions[admsNodeID_exx] += ((model_.dtype)*Ibdxx);
  staticContributions[admsNodeID_ei] -= ((model_.dtype)*Ibdxx);
  // I(cx,ci) <+ ((dtype*Icdx))
  staticContributions[admsNodeID_cx] += ((model_.dtype)*Icdx);
  staticContributions[admsNodeID_ci] -= ((model_.dtype)*Icdx);
  // V(b,bi) <+ ((I(b,bi)*(Rb/N)))
  staticContributions[admsBRA_ID_b_bi] += ((probeVars[admsProbeID_I_b_bi])*((model_.Rb)/N));
  // V(b,bi) <+ (ddt((I(b,bi)*Lb)))
  dynamicContributions[admsBRA_ID_b_bi] += (((probeVars[admsProbeID_I_b_bi])*(model_.Lb)));
  // V(e,ei) <+ ((I(e,ei)*(Re/N)))
  staticContributions[admsBRA_ID_e_ei] += ((probeVars[admsProbeID_I_e_ei])*((model_.Re)/N));
  // V(e,ei) <+ (ddt((I(e,ei)*Le)))
  dynamicContributions[admsBRA_ID_e_ei] += (((probeVars[admsProbeID_I_e_ei])*(model_.Le)));
  // V(c,ci) <+ ((I(c,ci)*(Rc/N)))
  staticContributions[admsBRA_ID_c_ci] += ((probeVars[admsProbeID_I_c_ci])*((model_.Rc)/N));
  // V(c,ci) <+ (ddt((I(c,ci)*Lc)))
  dynamicContributions[admsBRA_ID_c_ci] += (((probeVars[admsProbeID_I_c_ci])*(model_.Lc)));
  // I(bii,bi) <+ ((V(bii,bi)/(Rb2/N)))
  staticContributions[admsNodeID_bii] += ((probeVars[admsProbeID_V_bii_bi])/((model_.Rb2)/N));
  staticContributions[admsNodeID_bi] -= ((probeVars[admsProbeID_V_bii_bi])/((model_.Rb2)/N));
  if ((((model_.Jse)>0.0)&&((model_.ne)>0)))
  {
    // I(ex,bii) <+ ((V(ex,bii)/(Rbxx/N)))
    staticContributions[admsNodeID_ex] += ((probeVars[admsProbeID_V_ex_bii])/((model_.Rbxx)/N));
    staticContributions[admsNodeID_bii] -= ((probeVars[admsProbeID_V_ex_bii])/((model_.Rbxx)/N));
  }
  else
  {
    // I(ex,bii) <+ ((V(ex,bii)*1e-12))
    staticContributions[admsNodeID_ex] += ((probeVars[admsProbeID_V_ex_bii])*1e-12);
    staticContributions[admsNodeID_bii] -= ((probeVars[admsProbeID_V_ex_bii])*1e-12);
  }
  if ((((model_.Jsee)>0.0)&&((model_.nee)>0)))
  {
    // I(exx,bii) <+ ((V(exx,bii)/(Rbbxx/N)))
    staticContributions[admsNodeID_exx] += ((probeVars[admsProbeID_V_exx_bii])/((model_.Rbbxx)/N));
    staticContributions[admsNodeID_bii] -= ((probeVars[admsProbeID_V_exx_bii])/((model_.Rbbxx)/N));
  }
  else
  {
    // I(exx,bii) <+ ((V(exx,bii)*1e-12))
    staticContributions[admsNodeID_exx] += ((probeVars[admsProbeID_V_exx_bii])*1e-12);
    staticContributions[admsNodeID_bii] -= ((probeVars[admsProbeID_V_exx_bii])*1e-12);
  }
  if ((((model_.Jsc)>0.0)&&((model_.nc)>0)))
  {
    // I(cx,bii) <+ ((V(cx,bii)/(Rcxx/N)))
    staticContributions[admsNodeID_cx] += ((probeVars[admsProbeID_V_cx_bii])/((model_.Rcxx)/N));
    staticContributions[admsNodeID_bii] -= ((probeVars[admsProbeID_V_cx_bii])/((model_.Rcxx)/N));
  }
  else
  {
    // I(cx,bii) <+ ((V(cx,bii)*1e-12))
    staticContributions[admsNodeID_cx] += ((probeVars[admsProbeID_V_cx_bii])*1e-12);
    staticContributions[admsNodeID_bii] -= ((probeVars[admsProbeID_V_cx_bii])*1e-12);
  }
  // I(b,GND) <+ (ddt((Cpb*V(b,GND))))
  dynamicContributions[admsNodeID_b] += (((model_.Cpb)*(probeVars[admsProbeID_V_b_GND])));
  // I(c,GND) <+ (ddt((Cpc*V(c,GND))))
  dynamicContributions[admsNodeID_c] += (((model_.Cpc)*(probeVars[admsProbeID_V_c_GND])));
  // I(b,c) <+ (ddt((Cq*V(b,c))))
  dynamicContributions[admsNodeID_b] += (((model_.Cq)*(probeVars[admsProbeID_V_b_c])));
  dynamicContributions[admsNodeID_c] -= (((model_.Cq)*(probeVars[admsProbeID_V_b_c])));
  // I(ti,GND) <+ ((-Ipdiss))
  {
    AdmsFadType contribTemp;
    contribTemp= (-Ipdiss);
    staticContributions[admsNodeID_ti] += contribTemp;

    Jdxp_static[admsNodeID_ti] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bii_ci)*probeDiffs[admsProbeID_V_bii_ci]*probeVars[admsProbeID_V_bii_ci].dx(admsProbeID_V_bii_ci)+contribTemp.dx(admsProbeID_V_bii_ei)*probeDiffs[admsProbeID_V_bii_ei]*probeVars[admsProbeID_V_bii_ei].dx(admsProbeID_V_bii_ei);
  }
  if ((model_.Rth))
  {
    // I(t,ti) <+ ((V(t,ti)/Rth))
    staticContributions[admsNodeID_t] += ((probeVars[admsProbeID_V_t_ti])/(model_.Rth));
    staticContributions[admsNodeID_ti] -= ((probeVars[admsProbeID_V_t_ti])/(model_.Rth));
    // I(t,ti) <+ ((Cth*ddt(V(t,ti))))
    dynamicContributions[admsNodeID_t] += ((model_.Cth)*((probeVars[admsProbeID_V_t_ti])));
    dynamicContributions[admsNodeID_ti] -= ((model_.Cth)*((probeVars[admsProbeID_V_t_ti])));
  }
  else
  {
    // I(t,ti) <+ ((V(t,ti)*1e3))
    staticContributions[admsNodeID_t] += ((probeVars[admsProbeID_V_t_ti])*1e3);
    staticContributions[admsNodeID_ti] -= ((probeVars[admsProbeID_V_t_ti])*1e3);
  }

  // Additional term resulting from contributions into V(b,bi)
  staticContributions[admsNodeID_b] += probeVars[admsProbeID_I_b_bi];
  staticContributions[admsNodeID_bi] -= probeVars[admsProbeID_I_b_bi];

  // Additional term resulting from contributions into V(e,ei)
  staticContributions[admsNodeID_e] += probeVars[admsProbeID_I_e_ei];
  staticContributions[admsNodeID_ei] -= probeVars[admsProbeID_I_e_ei];

  // Additional term resulting from contributions into V(c,ci)
  staticContributions[admsNodeID_c] += probeVars[admsProbeID_I_c_ci];
  staticContributions[admsNodeID_ci] -= probeVars[admsProbeID_I_c_ci];
  // Final term for branch equation admsBRA_ID_b_bi 
  staticContributions[admsBRA_ID_b_bi] -= (*solVectorPtr)[li_b]-(*solVectorPtr)[li_bi];
  // Final term for branch equation admsBRA_ID_e_ei 
  staticContributions[admsBRA_ID_e_ei] -= (*solVectorPtr)[li_e]-(*solVectorPtr)[li_ei];
  // Final term for branch equation admsBRA_ID_c_ci 
  staticContributions[admsBRA_ID_c_ci] -= (*solVectorPtr)[li_c]-(*solVectorPtr)[li_ci];


  // -- endcode converted from analog/code block
#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << " probeVars[admsProbeID_V_t_ti] =  "
         <<probeVars[admsProbeID_V_t_ti].val() << endl;
    cout << " probeVars[admsProbeID_V_b_c] =  "
         <<probeVars[admsProbeID_V_b_c].val() << endl;
    cout << " probeVars[admsProbeID_V_c_GND] =  "
         <<probeVars[admsProbeID_V_c_GND].val() << endl;
    cout << " probeVars[admsProbeID_V_b_GND] =  "
         <<probeVars[admsProbeID_V_b_GND].val() << endl;
    cout << " probeVars[admsProbeID_V_cx_bii] =  "
         <<probeVars[admsProbeID_V_cx_bii].val() << endl;
    cout << " probeVars[admsProbeID_V_exx_bii] =  "
         <<probeVars[admsProbeID_V_exx_bii].val() << endl;
    cout << " probeVars[admsProbeID_V_ex_bii] =  "
         <<probeVars[admsProbeID_V_ex_bii].val() << endl;
    cout << " probeVars[admsProbeID_V_bii_bi] =  "
         <<probeVars[admsProbeID_V_bii_bi].val() << endl;
    cout << " probeVars[admsProbeID_I_c_ci] =  "
         <<probeVars[admsProbeID_I_c_ci].val() << endl;
    cout << " probeVars[admsProbeID_I_e_ei] =  "
         <<probeVars[admsProbeID_I_e_ei].val() << endl;
    cout << " probeVars[admsProbeID_I_b_bi] =  "
         <<probeVars[admsProbeID_I_b_bi].val() << endl;
    cout << " probeVars[admsProbeID_V_ti_GND] =  "
         <<probeVars[admsProbeID_V_ti_GND].val() << endl;
    cout << " probeVars[admsProbeID_V_ci_ei] =  "
         <<probeVars[admsProbeID_V_ci_ei].val() << endl;
    cout << " probeVars[admsProbeID_V_exx_ei] =  "
         <<probeVars[admsProbeID_V_exx_ei].val() << endl;
    cout << " probeVars[admsProbeID_V_cx_ci] =  "
         <<probeVars[admsProbeID_V_cx_ci].val() << endl;
    cout << " probeVars[admsProbeID_V_ex_ei] =  "
         <<probeVars[admsProbeID_V_ex_ei].val() << endl;
    cout << " probeVars[admsProbeID_V_bii_ei] =  "
         <<probeVars[admsProbeID_V_bii_ei].val() << endl;
    cout << " probeVars[admsProbeID_V_bii_ci] =  "
         <<probeVars[admsProbeID_V_bii_ci].val() << endl;
    cout << " probeVars[admsProbeID_V_bi_ci] =  "
         <<probeVars[admsProbeID_V_bi_ci].val() << endl;
    cout << " staticContributions[admsNodeID_c] =  "
         <<staticContributions[admsNodeID_c].val() << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_c] =  "
         <<dynamicContributions[admsNodeID_c].val() << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_c] =  "
         <<Jdxp_static[admsNodeID_c] << endl;
    cout << " Jdxp_dynamic[admsNodeID_c] =  "
         <<Jdxp_dynamic[admsNodeID_c] << endl;
    cout << " staticContributions[admsNodeID_b] =  "
         <<staticContributions[admsNodeID_b].val() << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_b] =  "
         <<dynamicContributions[admsNodeID_b].val() << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_b] =  "
         <<Jdxp_static[admsNodeID_b] << endl;
    cout << " Jdxp_dynamic[admsNodeID_b] =  "
         <<Jdxp_dynamic[admsNodeID_b] << endl;
    cout << " staticContributions[admsNodeID_e] =  "
         <<staticContributions[admsNodeID_e].val() << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_e] =  "
         <<dynamicContributions[admsNodeID_e].val() << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_e] =  "
         <<Jdxp_static[admsNodeID_e] << endl;
    cout << " Jdxp_dynamic[admsNodeID_e] =  "
         <<Jdxp_dynamic[admsNodeID_e] << endl;
    cout << " staticContributions[admsNodeID_t] =  "
         <<staticContributions[admsNodeID_t].val() << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_t].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_t] =  "
         <<dynamicContributions[admsNodeID_t].val() << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_t].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_t] =  "
         <<Jdxp_static[admsNodeID_t] << endl;
    cout << " Jdxp_dynamic[admsNodeID_t] =  "
         <<Jdxp_dynamic[admsNodeID_t] << endl;
    cout << " staticContributions[admsNodeID_ei] =  "
         <<staticContributions[admsNodeID_ei].val() << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_ei] =  "
         <<dynamicContributions[admsNodeID_ei].val() << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_ei] =  "
         <<Jdxp_static[admsNodeID_ei] << endl;
    cout << " Jdxp_dynamic[admsNodeID_ei] =  "
         <<Jdxp_dynamic[admsNodeID_ei] << endl;
    cout << " staticContributions[admsNodeID_bi] =  "
         <<staticContributions[admsNodeID_bi].val() << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_bi] =  "
         <<dynamicContributions[admsNodeID_bi].val() << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_bi] =  "
         <<Jdxp_static[admsNodeID_bi] << endl;
    cout << " Jdxp_dynamic[admsNodeID_bi] =  "
         <<Jdxp_dynamic[admsNodeID_bi] << endl;
    cout << " staticContributions[admsNodeID_bii] =  "
         <<staticContributions[admsNodeID_bii].val() << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_bii].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_bii].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_bii] =  "
         <<dynamicContributions[admsNodeID_bii].val() << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_bii] =  "
         <<Jdxp_static[admsNodeID_bii] << endl;
    cout << " Jdxp_dynamic[admsNodeID_bii] =  "
         <<Jdxp_dynamic[admsNodeID_bii] << endl;
    cout << " staticContributions[admsNodeID_ci] =  "
         <<staticContributions[admsNodeID_ci].val() << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_ci] =  "
         <<dynamicContributions[admsNodeID_ci].val() << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_ci] =  "
         <<Jdxp_static[admsNodeID_ci] << endl;
    cout << " Jdxp_dynamic[admsNodeID_ci] =  "
         <<Jdxp_dynamic[admsNodeID_ci] << endl;
    cout << " staticContributions[admsNodeID_ti] =  "
         <<staticContributions[admsNodeID_ti].val() << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_ti] =  "
         <<dynamicContributions[admsNodeID_ti].val() << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_ti] =  "
         <<Jdxp_static[admsNodeID_ti] << endl;
    cout << " Jdxp_dynamic[admsNodeID_ti] =  "
         <<Jdxp_dynamic[admsNodeID_ti] << endl;
    cout << " staticContributions[admsNodeID_ex] =  "
         <<staticContributions[admsNodeID_ex].val() << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_ex].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_ex].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_ex] =  "
         <<dynamicContributions[admsNodeID_ex].val() << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_ex].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_ex] =  "
         <<Jdxp_static[admsNodeID_ex] << endl;
    cout << " Jdxp_dynamic[admsNodeID_ex] =  "
         <<Jdxp_dynamic[admsNodeID_ex] << endl;
    cout << " staticContributions[admsNodeID_exx] =  "
         <<staticContributions[admsNodeID_exx].val() << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_exx].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_exx].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_exx] =  "
         <<dynamicContributions[admsNodeID_exx].val() << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_exx].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_exx] =  "
         <<Jdxp_static[admsNodeID_exx] << endl;
    cout << " Jdxp_dynamic[admsNodeID_exx] =  "
         <<Jdxp_dynamic[admsNodeID_exx] << endl;
    cout << " staticContributions[admsNodeID_cx] =  "
         <<staticContributions[admsNodeID_cx].val() << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsNodeID_cx] =  "
         <<dynamicContributions[admsNodeID_cx].val() << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) << endl;
    cout << " Jdxp_static[admsNodeID_cx] =  "
         <<Jdxp_static[admsNodeID_cx] << endl;
    cout << " Jdxp_dynamic[admsNodeID_cx] =  "
         <<Jdxp_dynamic[admsNodeID_cx] << endl;
    cout << " staticContributions[admsBRA_ID_b_bi] =  "
         <<staticContributions[admsBRA_ID_b_bi].val() << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsBRA_ID_b_bi] =  "
         <<dynamicContributions[admsBRA_ID_b_bi].val() << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_V_bi_ci) << endl;
    cout << " staticContributions[admsBRA_ID_e_ei] =  "
         <<staticContributions[admsBRA_ID_e_ei].val() << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsBRA_ID_e_ei] =  "
         <<dynamicContributions[admsBRA_ID_e_ei].val() << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_V_bi_ci) << endl;
    cout << " staticContributions[admsBRA_ID_c_ci] =  "
         <<staticContributions[admsBRA_ID_c_ci].val() << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_t_ti) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_t_ti) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_c_GND) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_c_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_GND) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_bii) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_bii) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_bii) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_bi) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_c_ci) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_c_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_e_ei) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_e_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_b_bi) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_b_bi) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ti_GND) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_ei) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_ei) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ei) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ci) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bi_ci) << endl;
    cout << " dynamicContributions[admsBRA_ID_c_ci] =  "
         <<dynamicContributions[admsBRA_ID_c_ci].val() << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_t_ti) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_t_ti) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_c_GND) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_c_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_GND) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_b_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_bii) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_bii) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_bii) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_bii) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_bi) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_bi) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_c_ci) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_c_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_e_ei) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_e_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_b_bi) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_b_bi) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ti_GND) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ti_GND) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_ei) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_exx_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_ei) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_ex_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ei) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ei) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ci) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bii_ci) << endl;
    cout << "    dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_V_bi_ci) << endl;

    if (!origFlag)
      cout << "This step was limited by this device." << endl;
  }
#endif // Xyce_DEBUG_DEVICE
  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdFdx
// Purpose       :
// Special Notes : Load the dFdx ("static jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdFdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << dashedline2 << endl;
    cout << "ADMSHBT_X::Instance::loadDAEdFdx (" << getName() << "):" << endl;
  }
#endif
  (*f_bi_Equ_ti_Node_Ptr) +=  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_ti_Node_Ptr) += " <<  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_ci_Equ_ti_Node_Ptr) +=  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_ti_Node_Ptr) += " <<  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_bi_Equ_bi_Node_Ptr) +=  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi) +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_bi_Node_Ptr) += " <<  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi) +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_bi_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_ci_Equ_bi_Node_Ptr) +=  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_bi_Node_Ptr) += " <<  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_ci_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_bii_Equ_ti_Node_Ptr) +=  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_ti_Node_Ptr) += " <<  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_bii_Equ_bii_Node_Ptr) +=  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii) -staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii) -staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii) +staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi) +staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_bii_Node_Ptr) += " <<  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii) -staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii) -staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii) +staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi) +staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*f_bii_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*f_ci_Equ_bii_Node_Ptr) +=  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_bii_Node_Ptr) += " <<  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*f_bii_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei)<< endl;
  }
#endif
  (*f_ci_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei)<< endl;
  }
#endif
  (*f_ei_Equ_bii_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_bii_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*f_ei_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*f_ei_Equ_ti_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_ti_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_ei_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei)<< endl;
  }
#endif
  (*f_ex_Equ_ti_Node_Ptr) +=  +staticContributions[admsNodeID_ex].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ex_Equ_ti_Node_Ptr) += " <<  +staticContributions[admsNodeID_ex].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_ex_Equ_ex_Node_Ptr) +=  +staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii) +staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ex_Equ_ex_Node_Ptr) += " <<  +staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii) +staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei)<< endl;
  }
#endif
  (*f_ex_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ex_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_ei)<< endl;
  }
#endif
  (*f_ei_Equ_ex_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_ex_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_ex_ei)<< endl;
  }
#endif
  (*f_exx_Equ_ti_Node_Ptr) +=  +staticContributions[admsNodeID_exx].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_exx_Equ_ti_Node_Ptr) += " <<  +staticContributions[admsNodeID_exx].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_exx_Equ_exx_Node_Ptr) +=  +staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii) +staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_exx_Equ_exx_Node_Ptr) += " <<  +staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii) +staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei)<< endl;
  }
#endif
  (*f_exx_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_exx_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_ei)<< endl;
  }
#endif
  (*f_ei_Equ_exx_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_exx_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_exx_ei)<< endl;
  }
#endif
  (*f_cx_Equ_ti_Node_Ptr) +=  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_ti_Node_Ptr) += " <<  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_cx_Equ_cx_Node_Ptr) +=  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii) +staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_cx_Node_Ptr) += " <<  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii) +staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci)<< endl;
  }
#endif
  (*f_cx_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci)<< endl;
  }
#endif
  (*f_ci_Equ_cx_Node_Ptr) +=  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_cx_Node_Ptr) += " <<  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci)<< endl;
  }
#endif
  (*f_bii_Equ_bi_Node_Ptr) +=  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_bi_Node_Ptr) += " <<  -staticContributions[admsNodeID_bii].dx(admsProbeID_V_bii_bi)<< endl;
  }
#endif
  (*f_bi_Equ_bii_Node_Ptr) +=  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_bii_Node_Ptr) += " <<  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bii_bi)<< endl;
  }
#endif
  (*f_ex_Equ_bii_Node_Ptr) +=  -staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ex_Equ_bii_Node_Ptr) += " <<  -staticContributions[admsNodeID_ex].dx(admsProbeID_V_ex_bii)<< endl;
  }
#endif
  (*f_bii_Equ_ex_Node_Ptr) +=  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_ex_Node_Ptr) += " <<  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_ex_bii)<< endl;
  }
#endif
  (*f_exx_Equ_bii_Node_Ptr) +=  -staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_exx_Equ_bii_Node_Ptr) += " <<  -staticContributions[admsNodeID_exx].dx(admsProbeID_V_exx_bii)<< endl;
  }
#endif
  (*f_bii_Equ_exx_Node_Ptr) +=  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_exx_Node_Ptr) += " <<  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_exx_bii)<< endl;
  }
#endif
  (*f_cx_Equ_bii_Node_Ptr) +=  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_bii_Node_Ptr) += " <<  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_bii)<< endl;
  }
#endif
  (*f_bii_Equ_cx_Node_Ptr) +=  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bii_Equ_cx_Node_Ptr) += " <<  +staticContributions[admsNodeID_bii].dx(admsProbeID_V_cx_bii)<< endl;
  }
#endif
  (*f_ti_Equ_bi_Node_Ptr) +=  +staticContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ti_Equ_bi_Node_Ptr) += " <<  +staticContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_ti_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci) +staticContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei) -staticContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ti_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci) +staticContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei) -staticContributions[admsNodeID_ti].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_ti_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) -staticContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ti_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) -staticContributions[admsNodeID_ti].dx(admsProbeID_V_ci_ei)<< endl;
  }
#endif
  (*f_ti_Equ_bii_Node_Ptr) +=  +staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ti_Equ_bii_Node_Ptr) += " <<  +staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ei) +staticContributions[admsNodeID_ti].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*f_ti_Equ_ti_Node_Ptr) +=  -staticContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti) +staticContributions[admsNodeID_ti].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ti_Equ_ti_Node_Ptr) += " <<  -staticContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti) +staticContributions[admsNodeID_ti].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*f_t_Equ_t_Node_Ptr) +=  +staticContributions[admsNodeID_t].dx(admsProbeID_V_t_ti);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_t_Equ_t_Node_Ptr) += " <<  +staticContributions[admsNodeID_t].dx(admsProbeID_V_t_ti)<< endl;
  }
#endif
  (*f_t_Equ_ti_Node_Ptr) +=  -staticContributions[admsNodeID_t].dx(admsProbeID_V_t_ti);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_t_Equ_ti_Node_Ptr) += " <<  -staticContributions[admsNodeID_t].dx(admsProbeID_V_t_ti)<< endl;
  }
#endif
  (*f_ti_Equ_t_Node_Ptr) +=  +staticContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ti_Equ_t_Node_Ptr) += " <<  +staticContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti)<< endl;
  }
#endif
  (*f_c_Equ_BRA_c_ci_Var_Ptr) += staticContributions[admsNodeID_c].dx(admsProbeID_I_c_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_c_Equ_BRA_c_ci_Var_Ptr) += " << staticContributions[admsNodeID_c].dx(admsProbeID_I_c_ci) << endl;

  }
#endif
  (*f_b_Equ_BRA_b_bi_Var_Ptr) += staticContributions[admsNodeID_b].dx(admsProbeID_I_b_bi);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_b_Equ_BRA_b_bi_Var_Ptr) += " << staticContributions[admsNodeID_b].dx(admsProbeID_I_b_bi) << endl;

  }
#endif
  (*f_e_Equ_BRA_e_ei_Var_Ptr) += staticContributions[admsNodeID_e].dx(admsProbeID_I_e_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_e_Equ_BRA_e_ei_Var_Ptr) += " << staticContributions[admsNodeID_e].dx(admsProbeID_I_e_ei) << endl;

  }
#endif
  (*f_ei_Equ_BRA_e_ei_Var_Ptr) += staticContributions[admsNodeID_ei].dx(admsProbeID_I_e_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_BRA_e_ei_Var_Ptr) += " << staticContributions[admsNodeID_ei].dx(admsProbeID_I_e_ei) << endl;

  }
#endif
  (*f_bi_Equ_BRA_b_bi_Var_Ptr) += staticContributions[admsNodeID_bi].dx(admsProbeID_I_b_bi);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_BRA_b_bi_Var_Ptr) += " << staticContributions[admsNodeID_bi].dx(admsProbeID_I_b_bi) << endl;

  }
#endif
  (*f_ci_Equ_BRA_c_ci_Var_Ptr) += staticContributions[admsNodeID_ci].dx(admsProbeID_I_c_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_BRA_c_ci_Var_Ptr) += " << staticContributions[admsNodeID_ci].dx(admsProbeID_I_c_ci) << endl;

  }
#endif
  // there also need to be extra loads for branch b,bi
  // Load for branch b,bi equ var b
  (*f_BRA_b_bi_Equ_b_Node_Ptr) +=  -1;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {  cout << "       (*f_BRA_b_bi_Equ_b_Node_Ptr) += " << -1<< endl;

  }
#endif
  // Load for branch b,bi equ var bi
  (*f_BRA_b_bi_Equ_bi_Node_Ptr) +=  +1;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {  cout << "       (*f_BRA_b_bi_Equ_bi_Node_Ptr) += " << +1<< endl;

  }
#endif
  //load for branch b,bi equ branch b,bi var
  (*f_BRA_b_bi_Equ_BRA_b_bi_Var_Ptr) += staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_b_bi);

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {cout << "       (*f_BRA_b_bi_Equ_BRA_b_bi_Var_Ptr) += " << staticContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_b_bi) << endl;

  }
#endif
  // there also need to be extra loads for branch e,ei
  // Load for branch e,ei equ var e
  (*f_BRA_e_ei_Equ_e_Node_Ptr) +=  -1;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {  cout << "       (*f_BRA_e_ei_Equ_e_Node_Ptr) += " << -1<< endl;

  }
#endif
  // Load for branch e,ei equ var ei
  (*f_BRA_e_ei_Equ_ei_Node_Ptr) +=  +1;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {  cout << "       (*f_BRA_e_ei_Equ_ei_Node_Ptr) += " << +1<< endl;

  }
#endif
  //load for branch e,ei equ branch e,ei var
  (*f_BRA_e_ei_Equ_BRA_e_ei_Var_Ptr) += staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_e_ei);

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {cout << "       (*f_BRA_e_ei_Equ_BRA_e_ei_Var_Ptr) += " << staticContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_e_ei) << endl;

  }
#endif
  // there also need to be extra loads for branch c,ci
  // Load for branch c,ci equ var c
  (*f_BRA_c_ci_Equ_c_Node_Ptr) +=  -1;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {  cout << "       (*f_BRA_c_ci_Equ_c_Node_Ptr) += " << -1<< endl;

  }
#endif
  // Load for branch c,ci equ var ci
  (*f_BRA_c_ci_Equ_ci_Node_Ptr) +=  +1;

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {  cout << "       (*f_BRA_c_ci_Equ_ci_Node_Ptr) += " << +1<< endl;

  }
#endif
  //load for branch c,ci equ branch c,ci var
  (*f_BRA_c_ci_Equ_BRA_c_ci_Var_Ptr) += staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_c_ci);

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {cout << "       (*f_BRA_c_ci_Equ_BRA_c_ci_Var_Ptr) += " << staticContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_c_ci) << endl;

  }
#endif


  return bsuccess;
}


//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdQdx
// Purpose       :
// Special Notes : Load the dQdx ("dynamic jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdQdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << dashedline2 << endl;
    cout << "ADMSHBT_X::Instance::loadDAEdQdx (" << getName() << "):" << endl;
  }
#endif
  (*q_bi_Equ_ti_Node_Ptr) +=  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_ti_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*q_ci_Equ_ti_Node_Ptr) +=  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_ti_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*q_bi_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_bi_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_ci_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_ci_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci) -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_bii_Equ_ti_Node_Ptr) +=  +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bii_Equ_ti_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*q_bii_Equ_bii_Node_Ptr) +=  +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bii_Equ_bii_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei) +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*q_bii_Equ_ci_Node_Ptr) +=  +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) -dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bii_Equ_ci_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) -dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*q_ci_Equ_bii_Node_Ptr) +=  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_bii_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei) +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*q_bii_Equ_ei_Node_Ptr) +=  -dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) -dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bii_Equ_ei_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_ci_ei) -dynamicContributions[admsNodeID_bii].dx(admsProbeID_V_bii_ei)<< endl;
  }
#endif
  (*q_ci_Equ_ei_Node_Ptr) +=  -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_ei_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bii_ei)<< endl;
  }
#endif
  (*q_ei_Equ_bii_Node_Ptr) +=  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_bii_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci)<< endl;
  }
#endif
  (*q_ei_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci) +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ci) +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei)<< endl;
  }
#endif
  (*q_ei_Equ_ti_Node_Ptr) +=  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_ti_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ti_GND)<< endl;
  }
#endif
  (*q_ei_Equ_ei_Node_Ptr) +=  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_ei_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bii_ei) -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei)<< endl;
  }
#endif
  (*q_b_Equ_b_Node_Ptr) +=  +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_b_Equ_b_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_GND)<< endl;
  }
#endif
  (*q_c_Equ_c_Node_Ptr) +=  -dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c) +dynamicContributions[admsNodeID_c].dx(admsProbeID_V_c_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_c_Equ_c_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c) +dynamicContributions[admsNodeID_c].dx(admsProbeID_V_c_GND)<< endl;
  }
#endif
  (*q_b_Equ_c_Node_Ptr) +=  -dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_b_Equ_c_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c)<< endl;
  }
#endif
  (*q_c_Equ_b_Node_Ptr) +=  +dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_c_Equ_b_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c)<< endl;
  }
#endif
  (*q_ti_Equ_ti_Node_Ptr) +=  -dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ti_Equ_ti_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti)<< endl;
  }
#endif
  (*q_t_Equ_t_Node_Ptr) +=  +dynamicContributions[admsNodeID_t].dx(admsProbeID_V_t_ti);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_t_Equ_t_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_t].dx(admsProbeID_V_t_ti)<< endl;
  }
#endif
  (*q_t_Equ_ti_Node_Ptr) +=  -dynamicContributions[admsNodeID_t].dx(admsProbeID_V_t_ti);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_t_Equ_ti_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_t].dx(admsProbeID_V_t_ti)<< endl;
  }
#endif
  (*q_ti_Equ_t_Node_Ptr) +=  +dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ti_Equ_t_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ti].dx(admsProbeID_V_t_ti)<< endl;
  }
#endif
  (*q_c_Equ_BRA_c_ci_Var_Ptr) += dynamicContributions[admsNodeID_c].dx(admsProbeID_I_c_ci);
  (*q_b_Equ_BRA_b_bi_Var_Ptr) += dynamicContributions[admsNodeID_b].dx(admsProbeID_I_b_bi);
  (*q_e_Equ_BRA_e_ei_Var_Ptr) += dynamicContributions[admsNodeID_e].dx(admsProbeID_I_e_ei);
  (*q_ei_Equ_BRA_e_ei_Var_Ptr) += dynamicContributions[admsNodeID_ei].dx(admsProbeID_I_e_ei);
  (*q_bi_Equ_BRA_b_bi_Var_Ptr) += dynamicContributions[admsNodeID_bi].dx(admsProbeID_I_b_bi);
  (*q_ci_Equ_BRA_c_ci_Var_Ptr) += dynamicContributions[admsNodeID_ci].dx(admsProbeID_I_c_ci);
  // there also need to be extra loads for branch b,bi
  // Load for branch b,bi equ var b
  // Load for branch b,bi equ var bi
  //load for branch b,bi equ branch b,bi var
  (*q_BRA_b_bi_Equ_BRA_b_bi_Var_Ptr) += dynamicContributions[admsBRA_ID_b_bi].dx(admsProbeID_I_b_bi);
  // there also need to be extra loads for branch e,ei
  // Load for branch e,ei equ var e
  // Load for branch e,ei equ var ei
  //load for branch e,ei equ branch e,ei var
  (*q_BRA_e_ei_Equ_BRA_e_ei_Var_Ptr) += dynamicContributions[admsBRA_ID_e_ei].dx(admsProbeID_I_e_ei);
  // there also need to be extra loads for branch c,ci
  // Load for branch c,ci equ var c
  // Load for branch c,ci equ var ci
  //load for branch c,ci equ branch c,ci var
  (*q_BRA_c_ci_Equ_BRA_c_ci_Var_Ptr) += dynamicContributions[admsBRA_ID_c_ci].dx(admsProbeID_I_c_ci);


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateTemperature
// Purpose       : Set temperature and update any parameters that depend on it
// Special Notes : In Xyce ADMS, we'll simply copy the temperature, which is
//                 in Kelvin, to our "admsTemperature" variable, which needs
//                 to be in Celsius.
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateTemperature(const double & temperatureTemp)
{

  admsTemperature = temperatureTemp;
  adms_vt_nom = adms_vt(temperatureTemp);

  return true;
}

// Class Model
//-----------------------------------------------------------------------------
// Function      : Model::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Model::processParams(string param)
{

  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter Mode : [ 0, 4 ]
  if ( (!((Mode >=0 && Mode <=4 ))) )
  {
    string msg="ADMSHBT_X: Parameter Mode value out of range [ 0, 4 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Noise : [ 0, 4 ]
  if ( (!((Noise >=0 && Noise <=4 ))) )
  {
    string msg="ADMSHBT_X: Parameter Noise value out of range [ 0, 4 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Debug : [ 0,  (+inf) [
  if ( (!((Debug >=0))) )
  {
    string msg="ADMSHBT_X: Parameter Debug value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter DebugPlus : [ 0,  (+inf) [
  if ( (!((DebugPlus >=0))) )
  {
    string msg="ADMSHBT_X: Parameter DebugPlus value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rth : [ 0.0,  (+inf) [
  if ( (!((Rth >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rth value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Cth : [ 0.0,  (+inf) [
  if ( (!((Cth >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Cth value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Jsf : [ 0.0,  (+inf) [
  if ( (!((Jsf >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Jsf value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter nf : [ 0.0,  (+inf) [
  if ( (!((nf >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter nf value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vg : [ (-2.0),  (+inf) [
  if ( (!((Vg >=(-2.0)))) )
  {
    string msg="ADMSHBT_X: Parameter Vg value out of range [ (-2.0),  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Jse : [ 0.0,  (+inf) [
  if ( (!((Jse >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Jse value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ne : [ 0.0,  (+inf) [
  if ( (!((ne >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter ne value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rbxx : ] 0.0,  (+inf) [
  if ( (!((Rbxx >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rbxx value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vgb : [ 0.0,  (+inf) [
  if ( (!((Vgb >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Vgb value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Jsee : [ 0.0,  (+inf) [
  if ( (!((Jsee >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Jsee value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter nee : [ 0.0,  (+inf) [
  if ( (!((nee >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter nee value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rbbxx : ] 0.0,  (+inf) [
  if ( (!((Rbbxx >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rbbxx value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vgbb : [ 0.0,  (+inf) [
  if ( (!((Vgbb >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Vgbb value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Jsr : [ 0.0,  (+inf) [
  if ( (!((Jsr >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Jsr value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter nr : [ 0.0,  (+inf) [
  if ( (!((nr >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter nr value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vgr : [ 0.0,  (+inf) [
  if ( (!((Vgr >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Vgr value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XCjc : [ 0.0, 1.0 [
  if ( (!((XCjc >=0.0 && XCjc <1.0 ))) )
  {
    string msg="ADMSHBT_X: Parameter XCjc value out of range [ 0.0, 1.0 [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Jsc : [ 0.0,  (+inf) [
  if ( (!((Jsc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Jsc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter nc : [ 0.0,  (+inf) [
  if ( (!((nc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter nc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rcxx : ] 0.0,  (+inf) [
  if ( (!((Rcxx >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rcxx value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vgc : [ 0.0,  (+inf) [
  if ( (!((Vgc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Vgc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Bf : [ 0.0,  (+inf) [
  if ( (!((Bf >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Bf value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter kBeta : [ 0.0,  (+inf) [
  if ( (!((kBeta >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter kBeta value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Br : [ 0.0,  (+inf) [
  if ( (!((Br >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Br value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VAF : [ 0.0,  (+inf) [
  if ( (!((VAF >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter VAF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VAR : [ 0.0,  (+inf) [
  if ( (!((VAR >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter VAR value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IKF : [ 0.0,  (+inf) [
  if ( (!((IKF >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter IKF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IKR : [ 0.0,  (+inf) [
  if ( (!((IKR >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter IKR value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Mc : [ 0.0,  (+inf) [
  if ( (!((Mc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Mc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter BVceo : [ 0.0,  (+inf) [
  if ( (!((BVceo >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter BVceo value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter kc : [ 0.0,  (+inf) [
  if ( (!((kc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter kc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter BVebo : [ 0.0,  (+inf) [
  if ( (!((BVebo >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter BVebo value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Tr : [ 0.0,  (+inf) [
  if ( (!((Tr >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Tr value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Trx : [ 0.0,  (+inf) [
  if ( (!((Trx >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Trx value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Tf : [ 0.0,  (+inf) [
  if ( (!((Tf >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Tf value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Tft : [ 0.0,  (+inf) [
  if ( (!((Tft >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Tft value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Thcs : [ 0.0,  (+inf) [
  if ( (!((Thcs >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Thcs value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Ahc : [ 0.0,  (+inf) [
  if ( (!((Ahc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Ahc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Cje : [ 0.0,  (+inf) [
  if ( (!((Cje >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Cje value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter mje : [ 0.0, 1 [
  if ( (!((mje >=0.0 && mje <1 ))) )
  {
    string msg="ADMSHBT_X: Parameter mje value out of range [ 0.0, 1 [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vje : [ 0.0,  (+inf) [
  if ( (!((Vje >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Vje value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Cjc : [ 0.0,  (+inf) [
  if ( (!((Cjc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Cjc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter mjc : [ 0.0,  (+inf) [
  if ( (!((mjc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter mjc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vjc : [ 0.0,  (+inf) [
  if ( (!((Vjc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Vjc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter kjc :  ] (-inf)  (+inf) [

  //    Parameter Cmin : [ 0.0,  (+inf) [
  if ( (!((Cmin >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Cmin value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter J0 : [ 0.0,  (+inf) [
  if ( (!((J0 >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter J0 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XJ0 : [ 0.0, 1.0 ]
  if ( (!((XJ0 >=0.0 && XJ0 <=1.0 ))) )
  {
    string msg="ADMSHBT_X: Parameter XJ0 value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rci0 : ] 0.0,  (+inf) [
  if ( (!((Rci0 >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rci0 value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Jk : [ 0.0,  (+inf) [
  if ( (!((Jk >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Jk value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RJk : [ 0.0,  (+inf) [
  if ( (!((RJk >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter RJk value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Vces : [ 0.0,  (+inf) [
  if ( (!((Vces >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Vces value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rc : ] 0.0,  (+inf) [
  if ( (!((Rc >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rc value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Re : ] 0.0,  (+inf) [
  if ( (!((Re >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Re value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rb : ] 0.0,  (+inf) [
  if ( (!((Rb >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rb value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Rb2 : ] 0.0,  (+inf) [
  if ( (!((Rb2 >0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Rb2 value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Lc : [ 0.0,  (+inf) [
  if ( (!((Lc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Lc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Le : [ 0.0,  (+inf) [
  if ( (!((Le >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Le value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Lb : [ 0.0,  (+inf) [
  if ( (!((Lb >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Lb value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Cq : [ 0.0,  (+inf) [
  if ( (!((Cq >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Cq value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Cpb : [ 0.0,  (+inf) [
  if ( (!((Cpb >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Cpb value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Cpc : [ 0.0,  (+inf) [
  if ( (!((Cpc >=0.0))) )
  {
    string msg="ADMSHBT_X: Parameter Cpc value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter Tnom : [ (-273.15),  (+inf) [
  if ( (!((Tnom >=(-273.15)))) )
  {
    string msg="ADMSHBT_X: Parameter Tnom value out of range [ (-273.15),  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter dtype : [ (-1), 1 ][ 0, 0 ]
  if ( (!((dtype >=(-1) && dtype <=1 )) || (dtype >=0 && dtype <=0 )) )
  {
    string msg="ADMSHBT_X: Parameter dtype value out of range [ (-1), 1 ] or in excluded range [ 0, 0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }


  // and of course, this routine is where we should put the initial_model
  // stuff


  return true;
}
//----------------------------------------------------------------------------
// Function      : Model::processInstanceParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//----------------------------------------------------------------------------
bool Model::processInstanceParams(string param)
{

  vector<Instance*>::iterator iter;
  vector<Instance*>::iterator first = instanceContainer.begin();
  vector<Instance*>::iterator last  = instanceContainer.end();

  for (iter=first; iter!=last; ++iter)
  {
    (*iter)->processParams();
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Model::Model
// Purpose       : model block constructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::Model(const ModelBlock & MB,
             SolverState & ss1,
             DeviceOptions & do1)
  : DeviceModel(MB,ss1,do1),
    Mode(1),
    Noise(1),
    Debug(0),
    DebugPlus(0),
    Rth(0.1),
    Cth(700*1.0e-9),
    Jsf(20e-24),
    nf(1.0),
    Vg(1.3),
    Jse(0.0),
    ne(0.0),
    Rbxx(1e6),
    Vgb(0.0),
    Jsee(0.0),
    nee(0.0),
    Rbbxx(1e6),
    Vgbb(0.0),
    Jsr(20e-18),
    nr(1.0),
    Vgr(0.0),
    XCjc(0.5),
    Jsc(0.0),
    nc(0.0),
    Rcxx(1e6),
    Vgc(0.0),
    Bf(100.0),
            kBeta(0.0),
            Br(1.0),
            VAF(0.0),
            VAR(0.0),
            IKF(0.0),
            IKR(0.0),
            Mc(0.0),
            BVceo(0.0),
            kc(0.0),
            BVebo(0.0),
            Tr(1*1.0e-15),
            Trx(1*1.0e-15),
            Tf(1*1.0e-12),
            Tft(0.0),
            Thcs(0.0),
            Ahc(0.0),
            Cje(1*1.0e-15),
            mje(0.5),
            Vje(1.3),
            Cjc(1*1.0e-15),
            mjc(0.5),
            Vjc(1.3),
            kjc(1.0),
            Cmin(0.1*1.0e-15),
            J0(1e-3),
            XJ0(1.0),
            Rci0(1e-3),
            Jk(4e-4),
            RJk(1e-3),
            Vces(1e-3),
            Rc(1.0),
            Re(1.0),
            Rb(1.0),
            Rb2(1.0),
            Lc(0.0),
            Le(0.0),
            Lb(0.0),
            Cq(0.0),
            Cpb(0.0),
            Cpc(0.0),
            Tnom(20.0),
            dtype(1)
{

  // Set params to constant default values (from parTable):

  setDefaultParams();

  // Set params according to .model line and constant defaults from metadata:

  setModParams(MB.params);

  // Set any non-constant parameter defaults:

  if (!given("XYCEADMSMODTEMP"))
    admsModTemp=getDeviceOptions().temp.dVal();

  // Fix the TNOM parameter that has "helpfully" been converted to Kelvin
  // by the DeviceEntity class

  if (given("TNOM"))
    Tnom -= CONSTCtoK;

  // Calculate any parameters specified as expressions:

  updateDependentParameters();

  // calculate dependent (ie computed) params and check for errors:

  // Manually inserted these two lines:
  if (getType() == "pnp" || getType() == "PNP")
    dtype = -1;

  processParams ();

}

//-----------------------------------------------------------------------------
// Function      : Model::~Model
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::~Model()
{
  vector<Instance*>::iterator iterI;
  vector<Instance*>::iterator firstI = instanceContainer.begin ();
  vector<Instance*>::iterator lastI  = instanceContainer.end ();

  // loop over instances:
  for (iterI = firstI; iterI != lastI; ++iterI)
  {
    delete (*iterI);
  }
}

//-----------------------------------------------------------------------------
// Function      : Model::printOutInstances
// Purpose       : debugging tool.
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
std::ostream &Model::printOutInstances(std::ostream &os) const
{
  vector<Instance*>::const_iterator iter;
  vector<Instance*>::const_iterator first = instanceContainer.begin();
  vector<Instance*>::const_iterator last  = instanceContainer.end();

  int i;
  os << endl;
  os << "    name     getModelName()  Parameters" << endl;
  for (i=0, iter=first; iter!=last; ++iter, ++i)
  {
    os << "  " << i << ": " << (*iter)->getName() << "      ";
    os << (*iter)->getModelName();

    os << endl;
    os << "TEMP  =  " << (*iter)->Temp << endl;
    os << "N  =  " << (*iter)->N << endl;
    os << "L  =  " << (*iter)->L << endl;
    os << "W  =  " << (*iter)->W << endl; 
    os << endl;
  }

  os << endl;

  return os;
}

} // namespace ADMSHBT_X
} // namespace Device
} // namespace Xyce
