
//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2013  Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Filename       : $RCSfile: N_DEV_ADMSPSP103VA.C,v $
//
// Purpose        :
//
// Special Notes  : Generated from verilog file psp103.va with ADMS 
//                  interface for Xyce 6.0.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.0
//
// Creation Date  : Thu, 09 May 2013 10:03:52
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.16.2.1 $
//
// Revision Date  : $Date: 2013/10/03 17:23:34 $
//
// Current Owner  : $Author: tvrusso $
//-------------------------------------------------------------------------

// ---------- Standard Includes ----------
// ----------   Xyce Includes   ----------
#include <Xyce_config.h>
#include <N_UTL_Misc.h>
#include <N_DEV_Const.h>
#include <N_DEV_ADMSPSP103VA.h>

#include <N_DEV_ExternData.h>
#include <N_DEV_SolverState.h>
#include <N_DEV_DeviceOptions.h>
#include <N_DEV_MatrixLoadData.h>

#include <N_LAS_Matrix.h>
#include <N_LAS_Vector.h>

namespace Xyce {
namespace Device {

template<>
ParametricData<ADMSPSP103VA::Instance>::ParametricData()
{
  // Set up configuration constants:
  // This assumes NO optional nodes on the instance line.  Might need that
  // fixed?
  setNumNodes(4);
  setNumOptionalNodes(0);
  setNumFillNodes(0);
  setModelRequired(1);

  // we're going to have to come up with a way of generating the addModelType
  // deal
  addModelType("NMOS");
  addModelType("PMOS");


  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  //  This kludge is to force us always to have an instance parameter
  //  that the device manager can set to the temperature, even if we have
  //  no "TEMP".
  addPar("XYCEADMSINSTTEMP",0.0,false,ParameterType::NO_DEP,&ADMSPSP103VA::Instance::admsInstTemp,NULL,U_DEGK,CAT_TEMP,"Internal-use parameter for setting device instance temperature");
  addPar("L",static_cast<double>(10e-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::L, NULL, U_METER, CAT_NONE,"Design length");
  addPar("W",static_cast<double>(10e-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::W, NULL, U_METER, CAT_NONE,"Design width");
  addPar("SA",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::SA, NULL, U_METER, CAT_NONE,"Distance between OD-edge and poly from one side");
  addPar("SB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::SB, NULL, U_METER, CAT_NONE,"Distance between OD-edge and poly from other side");
  addPar("SD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::SD, NULL, U_METER, CAT_NONE,"Distance between neighbouring fingers");
  addPar("SCA",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::SCA, NULL, U_NONE, CAT_NONE,"Integral of the first distribution function for scattered well dopants");
  addPar("SCB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::SCB, NULL, U_NONE, CAT_NONE,"Integral of the second distribution function for scattered well dopants");
  addPar("SCC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::SCC, NULL, U_NONE, CAT_NONE,"Integral of the third distribution function for scattered well dopants");
  addPar("SC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::SC, NULL, U_METER, CAT_NONE,"Distance between OD-edge and nearest well edge");
  addPar("NF",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::NF, NULL, U_NONE, CAT_NONE,"Number of fingers");
  addPar("NGCON",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::NGCON, NULL, U_NONE, CAT_NONE,"Number of gate contacts");
  addPar("XGW",static_cast<double>(1.0E-7), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::XGW, NULL, U_METER, CAT_NONE,"Distance from the gate contact to the channel edge");
  addPar("NRS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::NRS, NULL, U_NONE, CAT_NONE,"Number of squares of source diffusion");
  addPar("NRD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::NRD, NULL, U_NONE, CAT_NONE,"Number of squares of drain diffusion");
  addPar("JW",static_cast<double>(1E-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::JW, NULL, U_METER, CAT_NONE,"Gate-edge length of source/drain junction");
  addPar("DELVTO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::DELVTO, NULL, U_VOLT, CAT_NONE,"Threshold voltage shift parameter");
  addPar("FACTUO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::FACTUO, NULL, U_NONE, CAT_NONE,"Zero-field mobility pre-factor");
  addPar("ABSOURCE",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::ABSOURCE, NULL, U_NONE, CAT_NONE,"Bottom area of source junction");
  addPar("LSSOURCE",static_cast<double>(1E-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::LSSOURCE, NULL, U_METER, CAT_NONE,"STI-edge length of source junction");
  addPar("LGSOURCE",static_cast<double>(1E-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::LGSOURCE, NULL, U_METER, CAT_NONE,"Gate-edge length of source junction");
  addPar("ABDRAIN",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::ABDRAIN, NULL, U_NONE, CAT_NONE,"Bottom area of drain junction");
  addPar("LSDRAIN",static_cast<double>(1E-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::LSDRAIN, NULL, U_METER, CAT_NONE,"STI-edge length of drain junction");
  addPar("LGDRAIN",static_cast<double>(1E-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::LGDRAIN, NULL, U_METER, CAT_NONE,"Gate-edge length of drain junction");
  addPar("AS",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::AS, NULL, U_NONE, CAT_NONE,"Bottom area of source junction");
  addPar("PS",static_cast<double>(1E-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::PS, NULL, U_METER, CAT_NONE,"Perimeter of source junction");
  addPar("AD",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::AD, NULL, U_NONE, CAT_NONE,"Bottom area of drain junction");
  addPar("PD",static_cast<double>(1E-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::PD, NULL, U_METER, CAT_NONE,"Perimeter of drain junction");
  addPar("MULT",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Instance::MULT, NULL, U_NONE, CAT_NONE,"Number of devices in parallel");


}

template<>
ParametricData<ADMSPSP103VA::Model>::ParametricData()
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.
  //  This kludge is to force us always to have a model parameter
  //  that the device manager can set to the temperature, even if we have
  //  no "TEMP".
  addPar("XYCEADMSMODTEMP",0.0,false,ParameterType::NO_DEP,&ADMSPSP103VA::Model::admsModTemp,NULL,U_DEGK,CAT_TEMP,"Internal-use parameter for setting device model temperature");
  addPar("LEVEL",static_cast<double>(103), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LEVEL, NULL, U_NONE, CAT_NONE,"Model level");
  addPar("TYPE",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TYPE, NULL, U_NONE, CAT_NONE,"Channel type parameter, +1=NMOS -1=PMOS");
  addPar("TR",static_cast<double>(21.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TR, NULL, U_DEGC, CAT_NONE,"nominal (reference) temperature");
  addPar("SWGEO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWGEO, NULL, U_NONE, CAT_NONE,"Flag for geometrical model, 0=local, 1=global, 2=binning");
  addPar("SWIGATE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWIGATE, NULL, U_NONE, CAT_NONE,"Flag for gate current, 0=turn off IG");
  addPar("SWIMPACT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWIMPACT, NULL, U_NONE, CAT_NONE,"Flag for impact ionization current, 0=turn off II");
  addPar("SWGIDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWGIDL, NULL, U_NONE, CAT_NONE,"Flag for GIDL current, 0=turn off IGIDL");
  addPar("SWJUNCAP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWJUNCAP, NULL, U_NONE, CAT_NONE,"Flag for juncap, 0=turn off juncap");
  addPar("SWJUNASYM",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWJUNASYM, NULL, U_NONE, CAT_NONE,"Flag for asymmetric junctions; 0=symmetric, 1=asymmetric");
  addPar("SWNUD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWNUD, NULL, U_NONE, CAT_NONE,"Flag for NUD-effect; 0=off, 1=on, 2=on+CV-correction");
  addPar("SWDELVTAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWDELVTAC, NULL, U_NONE, CAT_NONE,"Flag for separate capacitance calculation; 0=off, 1=on");
  addPar("QMC",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::QMC, NULL, U_NONE, CAT_NONE,"Quantum-mechanical correction factor");
  addPar("VFB",static_cast<double>((-1.0)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VFB, NULL, U_VOLT, CAT_NONE,"Flat band voltage at TR");
  addPar("STVFB",static_cast<double>(5.0e-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STVFB, NULL, U_VKM1, CAT_NONE,"Temperature dependence of VFB");
  addPar("TOX",static_cast<double>(2.0e-09), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TOX, NULL, U_METER, CAT_NONE,"Gate oxide thickness");
  addPar("EPSROX",static_cast<double>(3.9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::EPSROX, NULL, U_NONE, CAT_NONE,"Relative permittivity of gate dielectric");
  addPar("NEFF",static_cast<double>(5.0e+23), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NEFF, NULL, U_METERM3, CAT_NONE,"Effective substrate doping");
  addPar("FACNEFFAC",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FACNEFFAC, NULL, U_NONE, CAT_NONE,"Pre-factor for effective substrate doping in separate charge calculation");
  addPar("GFACNUD",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GFACNUD, NULL, U_NONE, CAT_NONE,"Bodyfactor change due to NUD-effect");
  addPar("VSBNUD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VSBNUD, NULL, U_VOLT, CAT_NONE,"Lower Vsb value for NUD-effect");
  addPar("DVSBNUD",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DVSBNUD, NULL, U_VOLT, CAT_NONE,"Vsb-range for NUD-effect");
  addPar("VNSUB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VNSUB, NULL, U_VOLT, CAT_NONE,"Effective doping bias-dependence parameter");
  addPar("NSLP",static_cast<double>(0.05), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NSLP, NULL, U_VOLT, CAT_NONE,"Effective doping bias-dependence parameter");
  addPar("DNSUB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DNSUB, NULL, U_VOLTM1, CAT_NONE,"Effective doping bias-dependence parameter");
  addPar("DPHIB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DPHIB, NULL, U_VOLT, CAT_NONE,"Offset parameter for PHIB");
  addPar("DELVTAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DELVTAC, NULL, U_VOLT, CAT_NONE,"Offset parameter for PHIB in separate charge calculation");
  addPar("NP",static_cast<double>(1.0e+26), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NP, NULL, U_METERM3, CAT_NONE,"Gate poly-silicon doping");
  addPar("CT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CT, NULL, U_NONE, CAT_NONE,"Interface states factor");
  addPar("TOXOV",static_cast<double>(2.0e-09), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TOXOV, NULL, U_METER, CAT_NONE,"Overlap oxide thickness");
  addPar("TOXOVD",static_cast<double>(2.0e-09), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TOXOVD, NULL, U_METER, CAT_NONE,"Overlap oxide thickness for drain side");
  addPar("NOV",static_cast<double>(5.0e+25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NOV, NULL, U_METERM3, CAT_NONE,"Effective doping of overlap region");
  addPar("NOVD",static_cast<double>(5.0e+25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NOVD, NULL, U_METERM3, CAT_NONE,"Effective doping of overlap region for drain side");
  addPar("CF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CF, NULL, U_NONE, CAT_NONE,"DIBL-parameter");
  addPar("CFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFB, NULL, U_VOLTM1, CAT_NONE,"Back bias dependence of CF");
  addPar("BETN",static_cast<double>(7e-2), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::BETN, NULL, U_M2VM1SM1, CAT_NONE,"Channel aspect ratio times zero-field mobility");
  addPar("STBET",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBET, NULL, U_NONE, CAT_NONE,"Temperature dependence of BETN");
  addPar("MUE",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MUE, NULL, U_MVM1, CAT_NONE,"Mobility reduction coefficient at TR");
  addPar("STMUE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STMUE, NULL, U_NONE, CAT_NONE,"Temperature dependence of MUE");
  addPar("THEMU",static_cast<double>(1.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THEMU, NULL, U_NONE, CAT_NONE,"Mobility reduction exponent at TR");
  addPar("STTHEMU",static_cast<double>(1.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STTHEMU, NULL, U_NONE, CAT_NONE,"Temperature dependence of THEMU");
  addPar("CS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CS, NULL, U_NONE, CAT_NONE,"Coulomb scattering parameter at TR");
  addPar("STCS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STCS, NULL, U_NONE, CAT_NONE,"Temperature dependence of CS");
  addPar("XCOR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XCOR, NULL, U_VOLTM1, CAT_NONE,"Non-universality factor");
  addPar("STXCOR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STXCOR, NULL, U_NONE, CAT_NONE,"Temperature dependence of XCOR");
  addPar("FETA",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FETA, NULL, U_NONE, CAT_NONE,"Effective field parameter");
  addPar("RS",static_cast<double>(30), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RS, NULL, U_OHM, CAT_NONE,"Series resistance at TR");
  addPar("STRS",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STRS, NULL, U_NONE, CAT_NONE,"Temperature dependence of RS");
  addPar("RSB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSB, NULL, U_VOLTM1, CAT_NONE,"Back-bias dependence of series resistance");
  addPar("RSG",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSG, NULL, U_VOLTM1, CAT_NONE,"Gate-bias dependence of series resistance");
  addPar("THESAT",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESAT, NULL, U_VOLTM1, CAT_NONE,"Velocity saturation parameter at TR");
  addPar("STTHESAT",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STTHESAT, NULL, U_NONE, CAT_NONE,"Temperature dependence of THESAT");
  addPar("THESATB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATB, NULL, U_VOLTM1, CAT_NONE,"Back-bias dependence of velocity saturation");
  addPar("THESATG",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATG, NULL, U_VOLTM1, CAT_NONE,"Gate-bias dependence of velocity saturation");
  addPar("AX",static_cast<double>(3.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::AX, NULL, U_NONE, CAT_NONE,"Linear/saturation transition factor");
  addPar("ALP",static_cast<double>(0.01), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP, NULL, U_NONE, CAT_NONE,"CLM pre-factor");
  addPar("ALP1",static_cast<double>(0.00), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP1, NULL, U_VOLT, CAT_NONE,"CLM enhancement factor above threshold");
  addPar("ALP2",static_cast<double>(0.00), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP2, NULL, U_VOLTM1, CAT_NONE,"CLM enhancement factor below threshold");
  addPar("VP",static_cast<double>(0.05), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VP, NULL, U_VOLT, CAT_NONE,"CLM logarithm dependence factor");
  addPar("A1",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A1, NULL, U_NONE, CAT_NONE,"Impact-ionization pre-factor");
  addPar("A2",static_cast<double>(10.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A2, NULL, U_VOLT, CAT_NONE,"Impact-ionization exponent at TR");
  addPar("STA2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STA2, NULL, U_VOLT, CAT_NONE,"Temperature dependence of A2");
  addPar("A3",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A3, NULL, U_NONE, CAT_NONE,"Saturation-voltage dependence of impact-ionization");
  addPar("A4",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A4, NULL, U_VOLTMH, CAT_NONE,"Back-bias dependence of impact-ionization");
  addPar("GCO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GCO, NULL, U_NONE, CAT_NONE,"Gate tunneling energy adjustment");
  addPar("IGINV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IGINV, NULL, U_AMP, CAT_NONE,"Gate channel current pre-factor");
  addPar("IGOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IGOV, NULL, U_AMP, CAT_NONE,"Gate overlap current pre-factor");
  addPar("IGOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IGOVD, NULL, U_AMP, CAT_NONE,"Gate overlap current pre-factor for drain side");
  addPar("STIG",static_cast<double>(2.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STIG, NULL, U_NONE, CAT_NONE,"Temperature dependence of IGINV and IGOV");
  addPar("GC2",static_cast<double>(0.375), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GC2, NULL, U_NONE, CAT_NONE,"Gate current slope factor");
  addPar("GC3",static_cast<double>(0.063), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GC3, NULL, U_NONE, CAT_NONE,"Gate current curvature factor");
  addPar("CHIB",static_cast<double>(3.1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CHIB, NULL, U_VOLT, CAT_NONE,"Tunneling barrier height");
  addPar("AGIDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::AGIDL, NULL, U_AMPVM3, CAT_NONE,"GIDL pre-factor");
  addPar("AGIDLD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::AGIDLD, NULL, U_AMPVM3, CAT_NONE,"GIDL pre-factor for drain side");
  addPar("BGIDL",static_cast<double>(41.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::BGIDL, NULL, U_VOLT, CAT_NONE,"GIDL probability factor at TR");
  addPar("BGIDLD",static_cast<double>(41.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::BGIDLD, NULL, U_VOLT, CAT_NONE,"GIDL probability factor at TR for drain side");
  addPar("STBGIDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBGIDL, NULL, U_VKM1, CAT_NONE,"Temperature dependence of BGIDL");
  addPar("STBGIDLD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBGIDLD, NULL, U_VKM1, CAT_NONE,"Temperature dependence of BGIDL for drain side");
  addPar("CGIDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGIDL, NULL, U_NONE, CAT_NONE,"Back-bias dependence of GIDL");
  addPar("CGIDLD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGIDLD, NULL, U_NONE, CAT_NONE,"Back-bias dependence of GIDL for drain side");
  addPar("COX",static_cast<double>(1.0e-14), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::COX, NULL, U_FARAD, CAT_NONE,"Oxide capacitance for intrinsic channel");
  addPar("CGOV",static_cast<double>(1.0e-15), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGOV, NULL, U_FARAD, CAT_NONE,"Oxide capacitance for gate-drain/source overlap");
  addPar("CGOVD",static_cast<double>(1.0e-15), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGOVD, NULL, U_FARAD, CAT_NONE,"Oxide capacitance for gate-drain overlap");
  addPar("CGBOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGBOV, NULL, U_FARAD, CAT_NONE,"Oxide capacitance for gate-bulk overlap");
  addPar("CFR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFR, NULL, U_FARAD, CAT_NONE,"Outer fringe capacitance");
  addPar("CFRD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFRD, NULL, U_FARAD, CAT_NONE,"Outer fringe capacitance for drain side");
  addPar("FNT",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FNT, NULL, U_NONE, CAT_NONE,"Thermal noise coefficient");
  addPar("NFA",static_cast<double>(8.0e+22), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NFA, NULL, U_NONE, CAT_NONE,"First coefficient of flicker noise");
  addPar("NFB",static_cast<double>(3.0e+07), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NFB, NULL, U_NONE, CAT_NONE,"Second coefficient of flicker noise");
  addPar("NFC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NFC, NULL, U_VOLTM1, CAT_NONE,"Third coefficient of flicker noise");
  addPar("EF",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::EF, NULL, U_NONE, CAT_NONE,"Flicker noise frequency exponent");
  addPar("RG",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RG, NULL, U_OHM, CAT_NONE,"Gate resistance");
  addPar("RSE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSE, NULL, U_OHM, CAT_NONE,"External source resistance");
  addPar("RDE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RDE, NULL, U_OHM, CAT_NONE,"External drain resistance");
  addPar("RBULK",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RBULK, NULL, U_OHM, CAT_NONE,"Bulk resistance between node BP and BI");
  addPar("RWELL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RWELL, NULL, U_OHM, CAT_NONE,"Well resistance between node BI and B");
  addPar("RJUNS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RJUNS, NULL, U_OHM, CAT_NONE,"Source-side bulk resistance between node BI and BS");
  addPar("RJUND",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RJUND, NULL, U_OHM, CAT_NONE,"Drain-side bulk resistance between node BI and BD");
  addPar("POVFB",static_cast<double>((-1)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POVFB, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of VFB");
  addPar("PLVFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLVFB, NULL, U_VOLT, CAT_NONE,"Coefficient for the length dependence of VFB");
  addPar("PWVFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWVFB, NULL, U_VOLT, CAT_NONE,"Coefficient for the width dependence of VFB");
  addPar("PLWVFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWVFB, NULL, U_VOLT, CAT_NONE,"Coefficient for the length times width dependence of VFB");
  addPar("POSTVFB",static_cast<double>(0.0005), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTVFB, NULL, U_VKM1, CAT_NONE,"Coefficient for the geometry independent part of STVFB");
  addPar("PLSTVFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLSTVFB, NULL, U_VKM1, CAT_NONE,"Coefficient for the length dependence of STVFB");
  addPar("PWSTVFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWSTVFB, NULL, U_VKM1, CAT_NONE,"Coefficient for the width dependence of STVFB");
  addPar("PLWSTVFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWSTVFB, NULL, U_VKM1, CAT_NONE,"Coefficient for the length times width dependence of STVFB");
  addPar("POTOX",static_cast<double>(2E-09), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POTOX, NULL, U_METER, CAT_NONE,"Coefficient for the geometry independent part of TOX");
  addPar("POEPSROX",static_cast<double>(3.9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POEPSROX, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of EPSOX");
  addPar("PONEFF",static_cast<double>(5E+23), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONEFF, NULL, U_METERM3, CAT_NONE,"Coefficient for the geometry independent part of NEFF");
  addPar("PLNEFF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLNEFF, NULL, U_METERM3, CAT_NONE,"Coefficient for the length dependence of NEFF");
  addPar("PWNEFF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWNEFF, NULL, U_METERM3, CAT_NONE,"Coefficient for the width dependence of NEFF");
  addPar("PLWNEFF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWNEFF, NULL, U_METERM3, CAT_NONE,"Coefficient for the length times width dependence of NEFF");
  addPar("POFACNEFFAC",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POFACNEFFAC, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of FACNEFFAC");
  addPar("PLFACNEFFAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLFACNEFFAC, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of FACNEFFAC");
  addPar("PWFACNEFFAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWFACNEFFAC, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of FACNEFFAC");
  addPar("PLWFACNEFFAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWFACNEFFAC, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of FACNEFFAC");
  addPar("POGFACNUD",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POGFACNUD, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of GFACNUD");
  addPar("PLGFACNUD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLGFACNUD, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of GFACNUD");
  addPar("PWGFACNUD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWGFACNUD, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of GFACNUD");
  addPar("PLWGFACNUD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWGFACNUD, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of GFACNUD");
  addPar("POVSBNUD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POVSBNUD, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of VSBNUD");
  addPar("PODVSBNUD",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PODVSBNUD, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of DVSBNUD");
  addPar("POVNSUB",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POVNSUB, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of VNSUB");
  addPar("PONSLP",static_cast<double>(0.05), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONSLP, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of NSLP");
  addPar("PODNSUB",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PODNSUB, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of DNSUB");
  addPar("PODPHIB",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PODPHIB, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of DPHIB");
  addPar("PLDPHIB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLDPHIB, NULL, U_VOLT, CAT_NONE,"Coefficient for the length dependence of DPHIB");
  addPar("PWDPHIB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWDPHIB, NULL, U_VOLT, CAT_NONE,"Coefficient for the width dependence of DPHIB");
  addPar("PLWDPHIB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWDPHIB, NULL, U_VOLT, CAT_NONE,"Coefficient for the length times width dependence of DPHIB");
  addPar("PODELVTAC",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PODELVTAC, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of DELVTAC");
  addPar("PLDELVTAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLDELVTAC, NULL, U_VOLT, CAT_NONE,"Coefficient for the length dependence of DELVTAC");
  addPar("PWDELVTAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWDELVTAC, NULL, U_VOLT, CAT_NONE,"Coefficient for the width dependence of DELVTAC");
  addPar("PLWDELVTAC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWDELVTAC, NULL, U_VOLT, CAT_NONE,"Coefficient for the length times width dependence of DELVTAC");
  addPar("PONP",static_cast<double>(1E+26), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONP, NULL, U_METERM3, CAT_NONE,"Coefficient for the geometry independent part of NP");
  addPar("PLNP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLNP, NULL, U_METERM3, CAT_NONE,"Coefficient for the length dependence of NP");
  addPar("PWNP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWNP, NULL, U_METERM3, CAT_NONE,"Coefficient for the width dependence of NP");
  addPar("PLWNP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWNP, NULL, U_METERM3, CAT_NONE,"Coefficient for the length times width dependence of NP");
  addPar("POCT",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCT, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of CT");
  addPar("PLCT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCT, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of CT");
  addPar("PWCT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCT, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of CT");
  addPar("PLWCT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCT, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of CT");
  addPar("POTOXOV",static_cast<double>(2E-09), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POTOXOV, NULL, U_METER, CAT_NONE,"Coefficient for the geometry independent part of TOXOV");
  addPar("POTOXOVD",static_cast<double>(2E-09), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POTOXOVD, NULL, U_METER, CAT_NONE,"Coefficient for the geometry independent part of TOXOV for drain side");
  addPar("PONOV",static_cast<double>(5E+25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONOV, NULL, U_METERM3, CAT_NONE,"Coefficient for the geometry independent part of NOV");
  addPar("PLNOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLNOV, NULL, U_METERM3, CAT_NONE,"Coefficient for the length dependence of NOV");
  addPar("PWNOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWNOV, NULL, U_METERM3, CAT_NONE,"Coefficient for the width dependence of NOV");
  addPar("PLWNOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWNOV, NULL, U_METERM3, CAT_NONE,"Coefficient for the length times width dependence of NOV");
  addPar("PONOVD",static_cast<double>(5E+25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONOVD, NULL, U_METERM3, CAT_NONE,"Coefficient for the geometry independent part of NOV for drain side");
  addPar("PLNOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLNOVD, NULL, U_METERM3, CAT_NONE,"Coefficient for the length dependence of NOV for drain side");
  addPar("PWNOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWNOVD, NULL, U_METERM3, CAT_NONE,"Coefficient for the width dependence of NOV for drain side");
  addPar("PLWNOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWNOVD, NULL, U_METERM3, CAT_NONE,"Coefficient for the length times width dependence of NOV for drain side");
  addPar("POCF",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCF, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of CF");
  addPar("PLCF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCF, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of CF");
  addPar("PWCF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCF, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of CF");
  addPar("PLWCF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCF, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of CF");
  addPar("POCFB",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCFB, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of CFB");
  addPar("POBETN",static_cast<double>(0.07), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POBETN, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of BETN");
  addPar("PLBETN",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLBETN, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of BETN");
  addPar("PWBETN",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWBETN, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of BETN");
  addPar("PLWBETN",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWBETN, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of BETN");
  addPar("POSTBET",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTBET, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STBET");
  addPar("PLSTBET",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLSTBET, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of STBET");
  addPar("PWSTBET",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWSTBET, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of STBET");
  addPar("PLWSTBET",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWSTBET, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of STBET");
  addPar("POMUE",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POMUE, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of MUE");
  addPar("PLMUE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLMUE, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of MUE");
  addPar("PWMUE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWMUE, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of MUE");
  addPar("PLWMUE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWMUE, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of MUE");
  addPar("POSTMUE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTMUE, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STMUE");
  addPar("POTHEMU",static_cast<double>(1.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POTHEMU, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of THEMU");
  addPar("POSTTHEMU",static_cast<double>(1.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTTHEMU, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STTHEMU");
  addPar("POCS",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCS, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of CS");
  addPar("PLCS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCS, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of CS");
  addPar("PWCS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCS, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of CS");
  addPar("PLWCS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCS, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of CS");
  addPar("POSTCS",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTCS, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STCS");
  addPar("POXCOR",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POXCOR, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of XCOR");
  addPar("PLXCOR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLXCOR, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of XCOR");
  addPar("PWXCOR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWXCOR, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of XCOR");
  addPar("PLWXCOR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWXCOR, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of XCOR");
  addPar("POSTXCOR",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTXCOR, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STXCOR");
  addPar("POFETA",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POFETA, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of FETA");
  addPar("PORS",static_cast<double>(30), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PORS, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of RS");
  addPar("PLRS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLRS, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of RS");
  addPar("PWRS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWRS, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of RS");
  addPar("PLWRS",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWRS, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of RS");
  addPar("POSTRS",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTRS, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STRS");
  addPar("PORSB",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PORSB, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of RSB");
  addPar("PORSG",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PORSG, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of RSG");
  addPar("POTHESAT",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of THESAT");
  addPar("PLTHESAT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of THESAT");
  addPar("PWTHESAT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of THESAT");
  addPar("PLWTHESAT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of THESAT");
  addPar("POSTTHESAT",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STTHESAT");
  addPar("PLSTTHESAT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLSTTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of STTHESAT");
  addPar("PWSTTHESAT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWSTTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of STTHESAT");
  addPar("PLWSTTHESAT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWSTTHESAT, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of STTHESAT");
  addPar("POTHESATB",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POTHESATB, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of THESATB");
  addPar("PLTHESATB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLTHESATB, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of THESATB");
  addPar("PWTHESATB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWTHESATB, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of THESATB");
  addPar("PLWTHESATB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWTHESATB, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of THESATB");
  addPar("POTHESATG",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POTHESATG, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of THESATG");
  addPar("PLTHESATG",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLTHESATG, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of THESATG");
  addPar("PWTHESATG",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWTHESATG, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of THESATG");
  addPar("PLWTHESATG",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWTHESATG, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of THESATG");
  addPar("POAX",static_cast<double>(3), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POAX, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of AX");
  addPar("PLAX",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLAX, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of AX");
  addPar("PWAX",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWAX, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of AX");
  addPar("PLWAX",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWAX, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of AX");
  addPar("POALP",static_cast<double>(0.01), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POALP, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of ALP");
  addPar("PLALP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLALP, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of ALP");
  addPar("PWALP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWALP, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of ALP");
  addPar("PLWALP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWALP, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of ALP");
  addPar("POALP1",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POALP1, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of ALP1");
  addPar("PLALP1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLALP1, NULL, U_VOLT, CAT_NONE,"Coefficient for the length dependence of ALP1");
  addPar("PWALP1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWALP1, NULL, U_VOLT, CAT_NONE,"Coefficient for the width dependence of ALP1");
  addPar("PLWALP1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWALP1, NULL, U_VOLT, CAT_NONE,"Coefficient for the length times width dependence of ALP1");
  addPar("POALP2",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POALP2, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of ALP2");
  addPar("PLALP2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLALP2, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of ALP2");
  addPar("PWALP2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWALP2, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of ALP2");
  addPar("PLWALP2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWALP2, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of ALP2");
  addPar("POVP",static_cast<double>(0.05), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POVP, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of VP");
  addPar("POA1",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POA1, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of A1");
  addPar("PLA1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLA1, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of A1");
  addPar("PWA1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWA1, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of A1");
  addPar("PLWA1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWA1, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of A1");
  addPar("POA2",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POA2, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of A2");
  addPar("POSTA2",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTA2, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of STA2");
  addPar("POA3",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POA3, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of A3");
  addPar("PLA3",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLA3, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of A3");
  addPar("PWA3",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWA3, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of A3");
  addPar("PLWA3",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWA3, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of A3");
  addPar("POA4",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POA4, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of A4");
  addPar("PLA4",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLA4, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of A4");
  addPar("PWA4",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWA4, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of A4");
  addPar("PLWA4",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWA4, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of A4");
  addPar("POGCO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POGCO, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of GCO");
  addPar("POIGINV",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POIGINV, NULL, U_AMP, CAT_NONE,"Coefficient for the geometry independent part of IGINV");
  addPar("PLIGINV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLIGINV, NULL, U_AMP, CAT_NONE,"Coefficient for the length dependence of IGINV");
  addPar("PWIGINV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWIGINV, NULL, U_AMP, CAT_NONE,"Coefficient for the width dependence of IGINV");
  addPar("PLWIGINV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWIGINV, NULL, U_AMP, CAT_NONE,"Coefficient for the length times width dependence of IGINV");
  addPar("POIGOV",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POIGOV, NULL, U_AMP, CAT_NONE,"Coefficient for the geometry independent part of IGOV");
  addPar("PLIGOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLIGOV, NULL, U_AMP, CAT_NONE,"Coefficient for the length dependence of IGOV");
  addPar("PWIGOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWIGOV, NULL, U_AMP, CAT_NONE,"Coefficient for the width dependence of IGOV");
  addPar("PLWIGOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWIGOV, NULL, U_AMP, CAT_NONE,"Coefficient for the length times width dependence of IGOV");
  addPar("POIGOVD",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POIGOVD, NULL, U_AMP, CAT_NONE,"Coefficient for the geometry independent part of IGOV for drain side");
  addPar("PLIGOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLIGOVD, NULL, U_AMP, CAT_NONE,"Coefficient for the length dependence of IGOV for drain side");
  addPar("PWIGOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWIGOVD, NULL, U_AMP, CAT_NONE,"Coefficient for the width dependence of IGOV for drain side");
  addPar("PLWIGOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWIGOVD, NULL, U_AMP, CAT_NONE,"Coefficient for the length times width dependence of IGOV for drain side");
  addPar("POSTIG",static_cast<double>(2), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTIG, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of STIG");
  addPar("POGC2",static_cast<double>(0.375), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POGC2, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of GC2");
  addPar("POGC3",static_cast<double>(0.063), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POGC3, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of GC3");
  addPar("POCHIB",static_cast<double>(3.1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCHIB, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of CHIB");
  addPar("POAGIDL",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POAGIDL, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the geometry independent part of AGIDL");
  addPar("PLAGIDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLAGIDL, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the length dependence of AGIDL");
  addPar("PWAGIDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWAGIDL, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the width dependence of AGIDL");
  addPar("PLWAGIDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWAGIDL, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the length times width dependence of AGIDL");
  addPar("POAGIDLD",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POAGIDLD, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the geometry independent part of AGIDL for drain side");
  addPar("PLAGIDLD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLAGIDLD, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the length dependence of AGIDL for drain side");
  addPar("PWAGIDLD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWAGIDLD, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the width dependence of AGIDL for drain side");
  addPar("PLWAGIDLD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWAGIDLD, NULL, U_AMPVM3, CAT_NONE,"Coefficient for the length times width dependence of AGIDL for drain side");
  addPar("POBGIDL",static_cast<double>(41), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POBGIDL, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of BGIDL");
  addPar("POBGIDLD",static_cast<double>(41), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POBGIDLD, NULL, U_VOLT, CAT_NONE,"Coefficient for the geometry independent part of BGIDL for drain side");
  addPar("POSTBGIDL",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTBGIDL, NULL, U_VKM1, CAT_NONE,"Coefficient for the geometry independent part of STBGIDL");
  addPar("POSTBGIDLD",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POSTBGIDLD, NULL, U_VKM1, CAT_NONE,"Coefficient for the geometry independent part of STBGIDL for drain side");
  addPar("POCGIDL",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCGIDL, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of CGIDL");
  addPar("POCGIDLD",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCGIDLD, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of CGIDL for drain side");
  addPar("POCOX",static_cast<double>(1E-14), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCOX, NULL, U_FARAD, CAT_NONE,"Coefficient for the geometry independent part of COX");
  addPar("PLCOX",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCOX, NULL, U_FARAD, CAT_NONE,"Coefficient for the length dependence of COX");
  addPar("PWCOX",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCOX, NULL, U_FARAD, CAT_NONE,"Coefficient for the width dependence of COX");
  addPar("PLWCOX",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCOX, NULL, U_FARAD, CAT_NONE,"Coefficient for the length times width dependence of COX");
  addPar("POCGOV",static_cast<double>(1E-15), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCGOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the geometry independent part of CGOV");
  addPar("PLCGOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCGOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the length dependence of CGOV");
  addPar("PWCGOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCGOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the width dependence of CGOV");
  addPar("PLWCGOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCGOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the length times width dependence of CGOV");
  addPar("POCGOVD",static_cast<double>(1E-15), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCGOVD, NULL, U_FARAD, CAT_NONE,"Coefficient for the geometry independent part of CGOV for drain side");
  addPar("PLCGOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCGOVD, NULL, U_FARAD, CAT_NONE,"Coefficient for the length dependence of CGOV for drain side");
  addPar("PWCGOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCGOVD, NULL, U_FARAD, CAT_NONE,"Coefficient for the width dependence of CGOV for drain side");
  addPar("PLWCGOVD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCGOVD, NULL, U_FARAD, CAT_NONE,"Coefficient for the length times width dependence of CGOV for drain side");
  addPar("POCGBOV",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCGBOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the geometry independent part of CGBOV");
  addPar("PLCGBOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCGBOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the length dependence of CGBOV");
  addPar("PWCGBOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCGBOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the width dependence of CGBOV");
  addPar("PLWCGBOV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCGBOV, NULL, U_FARAD, CAT_NONE,"Coefficient for the length times width dependence of CGBOV");
  addPar("POCFR",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCFR, NULL, U_FARAD, CAT_NONE,"Coefficient for the geometry independent part of CFR");
  addPar("PLCFR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCFR, NULL, U_FARAD, CAT_NONE,"Coefficient for the length dependence of CFR");
  addPar("PWCFR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCFR, NULL, U_FARAD, CAT_NONE,"Coefficient for the width dependence of CFR");
  addPar("PLWCFR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCFR, NULL, U_FARAD, CAT_NONE,"Coefficient for the length times width dependence of CFR");
  addPar("POCFRD",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POCFRD, NULL, U_FARAD, CAT_NONE,"Coefficient for the geometry independent part of CFR for drain side");
  addPar("PLCFRD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLCFRD, NULL, U_FARAD, CAT_NONE,"Coefficient for the length dependence of CFR for drain side");
  addPar("PWCFRD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWCFRD, NULL, U_FARAD, CAT_NONE,"Coefficient for the width dependence of CFR for drain side");
  addPar("PLWCFRD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWCFRD, NULL, U_FARAD, CAT_NONE,"Coefficient for the length times width dependence of CFR for drain side");
  addPar("POFNT",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POFNT, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of FNT");
  addPar("PONFA",static_cast<double>(8E+22), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONFA, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of NFA");
  addPar("PLNFA",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLNFA, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of NFA");
  addPar("PWNFA",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWNFA, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of NFA");
  addPar("PLWNFA",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWNFA, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of NFA");
  addPar("PONFB",static_cast<double>(3E+07), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONFB, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of NFB");
  addPar("PLNFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLNFB, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of NFB");
  addPar("PWNFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWNFB, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of NFB");
  addPar("PLWNFB",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWNFB, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of NFB");
  addPar("PONFC",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PONFC, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of NFC");
  addPar("PLNFC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLNFC, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence of NFC");
  addPar("PWNFC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWNFC, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence of NFC");
  addPar("PLWNFC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWNFC, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence of NFC");
  addPar("POEF",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POEF, NULL, U_NONE, CAT_NONE,"Coefficient for the flicker noise frequency exponent");
  addPar("POKVTHOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POKVTHOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of KVTHOWE");
  addPar("PLKVTHOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLKVTHOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence part of KVTHOWE");
  addPar("PWKVTHOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWKVTHOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence part of KVTHOWE");
  addPar("PLWKVTHOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWKVTHOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence part of KVTHOWE");
  addPar("POKUOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::POKUOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the geometry independent part of KUOWE");
  addPar("PLKUOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLKUOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the length dependence part of KUOWE");
  addPar("PWKUOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PWKUOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the width dependence part of KUOWE");
  addPar("PLWKUOWE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PLWKUOWE, NULL, U_NONE, CAT_NONE,"Coefficient for the length times width dependence part of KUOWE");
  addPar("LMIN",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LMIN, NULL, U_METER, CAT_NONE,"Dummy parameter to label binning set");
  addPar("LMAX",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LMAX, NULL, U_METER, CAT_NONE,"Dummy parameter to label binning set");
  addPar("WMIN",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WMIN, NULL, U_METER, CAT_NONE,"Dummy parameter to label binning set");
  addPar("WMAX",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WMAX, NULL, U_METER, CAT_NONE,"Dummy parameter to label binning set");
  addPar("LVARO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LVARO, NULL, U_METER, CAT_NONE,"Geom. independent difference between actual and programmed gate length");
  addPar("LVARL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LVARL, NULL, U_NONE, CAT_NONE,"Length dependence of LVAR");
  addPar("LVARW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LVARW, NULL, U_NONE, CAT_NONE,"Width dependence of LVAR");
  addPar("LAP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LAP, NULL, U_METER, CAT_NONE,"Effective channel length reduction per side");
  addPar("WVARO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WVARO, NULL, U_METER, CAT_NONE,"Geom. independent difference between actual and programmed field-oxide opening");
  addPar("WVARL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WVARL, NULL, U_NONE, CAT_NONE,"Length dependence of WVAR");
  addPar("WVARW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WVARW, NULL, U_NONE, CAT_NONE,"Width dependence of WVAR");
  addPar("WOT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WOT, NULL, U_METER, CAT_NONE,"Effective channel width reduction per side");
  addPar("DLQ",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DLQ, NULL, U_METER, CAT_NONE,"Effective channel length reduction for CV");
  addPar("DWQ",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DWQ, NULL, U_METER, CAT_NONE,"Effective channel width reduction for CV");
  addPar("VFBO",static_cast<double>((-1.0)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VFBO, NULL, U_VOLT, CAT_NONE,"Geometry-independent flat-band voltage at TR");
  addPar("VFBL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VFBL, NULL, U_VOLT, CAT_NONE,"Length dependence of flat-band voltage");
  addPar("VFBW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VFBW, NULL, U_VOLT, CAT_NONE,"Width dependence of flat-band voltage");
  addPar("VFBLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VFBLW, NULL, U_VOLT, CAT_NONE,"Area dependence of flat-band voltage");
  addPar("STVFBO",static_cast<double>(5e-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STVFBO, NULL, U_VKM1, CAT_NONE,"Geometry-independent temperature dependence of VFB");
  addPar("STVFBL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STVFBL, NULL, U_VKM1, CAT_NONE,"Length dependence of temperature dependence of VFB");
  addPar("STVFBW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STVFBW, NULL, U_VKM1, CAT_NONE,"Width dependence of temperature dependence of VFB");
  addPar("STVFBLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STVFBLW, NULL, U_VKM1, CAT_NONE,"Area dependence of temperature dependence of VFB");
  addPar("TOXO",static_cast<double>(2e-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TOXO, NULL, U_METER, CAT_NONE,"Gate oxide thickness");
  addPar("EPSROXO",static_cast<double>(3.9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::EPSROXO, NULL, U_NONE, CAT_NONE,"Relative permittivity of gate dielectric");
  addPar("NSUBO",static_cast<double>(3e23), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NSUBO, NULL, U_METERM3, CAT_NONE,"Geometry independent substrate doping");
  addPar("NSUBW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NSUBW, NULL, U_NONE, CAT_NONE,"Width dependence of background doping NSUBO due to segregation");
  addPar("WSEG",static_cast<double>(1e-8), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WSEG, NULL, U_METER, CAT_NONE,"Char. length of segregation of background doping NSUBO");
  addPar("NPCK",static_cast<double>(1e24), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NPCK, NULL, U_METERM3, CAT_NONE,"Pocket doping level");
  addPar("NPCKW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NPCKW, NULL, U_NONE, CAT_NONE,"Width dependence of pocket doping NPCK due to segregation");
  addPar("WSEGP",static_cast<double>(1e-8), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WSEGP, NULL, U_METER, CAT_NONE,"Char. length of segregation of pocket doping NPCK");
  addPar("LPCK",static_cast<double>(1e-8), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LPCK, NULL, U_METER, CAT_NONE,"Char. length of lateral doping profile");
  addPar("LPCKW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LPCKW, NULL, U_NONE, CAT_NONE,"Width dependence of char. length of lateral doping profile");
  addPar("FOL1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FOL1, NULL, U_NONE, CAT_NONE,"First length dependence coefficient for short channel body effect");
  addPar("FOL2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FOL2, NULL, U_NONE, CAT_NONE,"Second length dependence coefficient for short channel body effect");
  addPar("FACNEFFACO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FACNEFFACO, NULL, U_NONE, CAT_NONE,"Geom. independent pre-factor for effective substrate doping in separate charge calculation");
  addPar("FACNEFFACL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FACNEFFACL, NULL, U_NONE, CAT_NONE,"Length dependence of FACNEFFAC");
  addPar("FACNEFFACW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FACNEFFACW, NULL, U_NONE, CAT_NONE,"Width dependence of FACNEFFAC");
  addPar("FACNEFFACLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FACNEFFACLW, NULL, U_NONE, CAT_NONE,"Area dependence of FACNEFFAC");
  addPar("GFACNUDO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GFACNUDO, NULL, U_NONE, CAT_NONE,"Geom. independent bodyfactor change due to NUD-effect");
  addPar("GFACNUDL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GFACNUDL, NULL, U_NONE, CAT_NONE,"Length dependence of GFACNUD");
  addPar("GFACNUDLEXP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GFACNUDLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of GFACNUD");
  addPar("GFACNUDW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GFACNUDW, NULL, U_NONE, CAT_NONE,"Width dependence of GFACNUD");
  addPar("GFACNUDLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GFACNUDLW, NULL, U_NONE, CAT_NONE,"Area dependence of GFACNUD");
  addPar("VSBNUDO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VSBNUDO, NULL, U_VOLT, CAT_NONE,"Lower Vsb value for NUD-effect");
  addPar("DVSBNUDO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DVSBNUDO, NULL, U_VOLT, CAT_NONE,"Vsb range for NUD-effect");
  addPar("VNSUBO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VNSUBO, NULL, U_VOLT, CAT_NONE,"Effective doping bias-dependence parameter");
  addPar("NSLPO",static_cast<double>(0.05), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NSLPO, NULL, U_VOLT, CAT_NONE,"Effective doping bias-dependence parameter");
  addPar("DNSUBO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DNSUBO, NULL, U_VOLTM1, CAT_NONE,"Effective doping bias-dependence parameter");
  addPar("DPHIBO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DPHIBO, NULL, U_VOLT, CAT_NONE,"Geometry independent offset of PHIB");
  addPar("DPHIBL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DPHIBL, NULL, U_VOLT, CAT_NONE,"Length dependence offset of PHIB");
  addPar("DPHIBLEXP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DPHIBLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of offset of PHIB");
  addPar("DPHIBW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DPHIBW, NULL, U_VOLT, CAT_NONE,"Width dependence of offset of PHIB");
  addPar("DPHIBLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DPHIBLW, NULL, U_VOLT, CAT_NONE,"Area dependence of offset of PHIB");
  addPar("DELVTACO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DELVTACO, NULL, U_VOLT, CAT_NONE,"Geom. independent offset parameter for PHIB in separate charge calculation");
  addPar("DELVTACL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DELVTACL, NULL, U_VOLT, CAT_NONE,"Length dependence of DELVTAC");
  addPar("DELVTACLEXP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DELVTACLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of offset of DELVTAC");
  addPar("DELVTACW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DELVTACW, NULL, U_VOLT, CAT_NONE,"Width dependence of DELVTAC");
  addPar("DELVTACLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DELVTACLW, NULL, U_VOLT, CAT_NONE,"Area dependence of DELVTAC");
  addPar("NPO",static_cast<double>(1e26), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NPO, NULL, U_METERM3, CAT_NONE,"Geometry-independent gate poly-silicon doping");
  addPar("NPL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NPL, NULL, U_NONE, CAT_NONE,"Length dependence of gate poly-silicon doping");
  addPar("CTO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTO, NULL, U_NONE, CAT_NONE,"Geometry-independent interface states factor");
  addPar("CTL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTL, NULL, U_NONE, CAT_NONE,"Length dependence of interface states factor");
  addPar("CTLEXP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of interface states factor");
  addPar("CTW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTW, NULL, U_NONE, CAT_NONE,"Width dependence of interface states factor");
  addPar("CTLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTLW, NULL, U_NONE, CAT_NONE,"Area dependence of interface states factor");
  addPar("TOXOVO",static_cast<double>(2e-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TOXOVO, NULL, U_METER, CAT_NONE,"Overlap oxide thickness");
  addPar("TOXOVDO",static_cast<double>(2e-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TOXOVDO, NULL, U_METER, CAT_NONE,"Overlap oxide thickness for drain side");
  addPar("LOV",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LOV, NULL, U_METER, CAT_NONE,"Overlap length for gate/drain and gate/source overlap capacitance");
  addPar("LOVD",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LOVD, NULL, U_METER, CAT_NONE,"Overlap length for gate/drain overlap capacitance");
  addPar("NOVO",static_cast<double>(5e25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NOVO, NULL, U_METERM3, CAT_NONE,"Effective doping of overlap region");
  addPar("NOVDO",static_cast<double>(5e25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NOVDO, NULL, U_METERM3, CAT_NONE,"Effective doping of overlap region for drain side");
  addPar("CFL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFL, NULL, U_NONE, CAT_NONE,"Length dependence of DIBL-parameter");
  addPar("CFLEXP",static_cast<double>(2.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of CF");
  addPar("CFW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFW, NULL, U_NONE, CAT_NONE,"Width dependence of CF");
  addPar("CFBO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFBO, NULL, U_VOLTM1, CAT_NONE,"Back-bias dependence of CF");
  addPar("UO",static_cast<double>(5e-2), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::UO, NULL, U_M2VM1SM1, CAT_NONE,"Zero-field mobility at TR");
  addPar("FBET1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBET1, NULL, U_NONE, CAT_NONE,"Relative mobility decrease due to first lateral profile");
  addPar("FBET1W",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBET1W, NULL, U_NONE, CAT_NONE,"Width dependence of relative mobility decrease due to first lateral profile");
  addPar("LP1",static_cast<double>(1e-8), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LP1, NULL, U_METER, CAT_NONE,"Mobility-related characteristic length of first lateral profile");
  addPar("LP1W",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LP1W, NULL, U_NONE, CAT_NONE,"Width dependence of mobility-related characteristic length of first lateral profile");
  addPar("FBET2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBET2, NULL, U_NONE, CAT_NONE,"Relative mobility decrease due to second lateral profile");
  addPar("LP2",static_cast<double>(1e-8), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LP2, NULL, U_METER, CAT_NONE,"Mobility-related characteristic length of second lateral profile");
  addPar("BETW1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::BETW1, NULL, U_NONE, CAT_NONE,"First higher-order width scaling coefficient of BETN");
  addPar("BETW2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::BETW2, NULL, U_NONE, CAT_NONE,"Second higher-order width scaling coefficient of BETN");
  addPar("WBET",static_cast<double>(1e-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WBET, NULL, U_METER, CAT_NONE,"Characteristic width for width scaling of BETN");
  addPar("STBETO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBETO, NULL, U_NONE, CAT_NONE,"Geometry independent temperature dependence of BETN");
  addPar("STBETL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBETL, NULL, U_NONE, CAT_NONE,"Length dependence of temperature dependence of BETN");
  addPar("STBETW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBETW, NULL, U_NONE, CAT_NONE,"Width dependence of temperature dependence of BETN");
  addPar("STBETLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBETLW, NULL, U_NONE, CAT_NONE,"Area dependence of temperature dependence of BETN");
  addPar("MUEO",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MUEO, NULL, U_MVM1, CAT_NONE,"Geometry independent mobility reduction coefficient at TR");
  addPar("MUEW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MUEW, NULL, U_NONE, CAT_NONE,"Width dependence of mobility reduction coefficient at TR");
  addPar("STMUEO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STMUEO, NULL, U_NONE, CAT_NONE,"Temperature dependence of MUE");
  addPar("THEMUO",static_cast<double>(1.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THEMUO, NULL, U_NONE, CAT_NONE,"Mobility reduction exponent at TR");
  addPar("STTHEMUO",static_cast<double>(1.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STTHEMUO, NULL, U_NONE, CAT_NONE,"Temperature dependence of THEMU");
  addPar("CSO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSO, NULL, U_NONE, CAT_NONE,"Geometry independent coulomb scattering parameter at TR");
  addPar("CSL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSL, NULL, U_NONE, CAT_NONE,"Length dependence of CS");
  addPar("CSLEXP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of CS");
  addPar("CSW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSW, NULL, U_NONE, CAT_NONE,"Width dependence of CS");
  addPar("CSLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSLW, NULL, U_NONE, CAT_NONE,"Area dependence of CS");
  addPar("STCSO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STCSO, NULL, U_NONE, CAT_NONE,"Temperature dependence of CS");
  addPar("XCORO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XCORO, NULL, U_VOLTM1, CAT_NONE,"Geometry independent non-universality parameter");
  addPar("XCORL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XCORL, NULL, U_NONE, CAT_NONE,"Length dependence of non-universality parameter");
  addPar("XCORW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XCORW, NULL, U_NONE, CAT_NONE,"Width dependence of non-universality parameter");
  addPar("XCORLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XCORLW, NULL, U_NONE, CAT_NONE,"Area dependence of non-universality parameter");
  addPar("STXCORO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STXCORO, NULL, U_NONE, CAT_NONE,"Temperature dependence of XCOR");
  addPar("FETAO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FETAO, NULL, U_NONE, CAT_NONE,"Effective field parameter");
  addPar("RSW1",static_cast<double>(50.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSW1, NULL, U_OHM, CAT_NONE,"Source/drain series resistance for 1 um wide channel at TR");
  addPar("RSW2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSW2, NULL, U_NONE, CAT_NONE,"Higher-order width scaling of RS");
  addPar("STRSO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STRSO, NULL, U_NONE, CAT_NONE,"Temperature dependence of RS");
  addPar("RSBO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSBO, NULL, U_VOLTM1, CAT_NONE,"Back-bias dependence of series resistance");
  addPar("RSGO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSGO, NULL, U_VOLTM1, CAT_NONE,"Gate-bias dependence of series resistance");
  addPar("THESATO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATO, NULL, U_VOLTM1, CAT_NONE,"Geometry independent velocity saturation parameter at TR");
  addPar("THESATL",static_cast<double>(0.05), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATL, NULL, U_VOLTM1, CAT_NONE,"Length dependence of THESAT");
  addPar("THESATLEXP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of THESAT");
  addPar("THESATW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATW, NULL, U_NONE, CAT_NONE,"Width dependence of velocity saturation parameter");
  addPar("THESATLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATLW, NULL, U_NONE, CAT_NONE,"Area dependence of velocity saturation parameter");
  addPar("STTHESATO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STTHESATO, NULL, U_NONE, CAT_NONE,"Geometry independent temperature dependence of THESAT");
  addPar("STTHESATL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STTHESATL, NULL, U_NONE, CAT_NONE,"Length dependence of temperature dependence of THESAT");
  addPar("STTHESATW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STTHESATW, NULL, U_NONE, CAT_NONE,"Width dependence of temperature dependence of THESAT");
  addPar("STTHESATLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STTHESATLW, NULL, U_NONE, CAT_NONE,"Area dependence of temperature dependence of THESAT");
  addPar("THESATBO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATBO, NULL, U_VOLTM1, CAT_NONE,"Back-bias dependence of velocity saturation");
  addPar("THESATGO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::THESATGO, NULL, U_VOLTM1, CAT_NONE,"Gate-bias dependence of velocity saturation");
  addPar("AXO",static_cast<double>(18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::AXO, NULL, U_NONE, CAT_NONE,"Geometry independent linear/saturation transition factor");
  addPar("AXL",static_cast<double>(0.4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::AXL, NULL, U_NONE, CAT_NONE,"Length dependence of AX");
  addPar("ALPL",static_cast<double>(5e-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALPL, NULL, U_NONE, CAT_NONE,"Length dependence of ALP");
  addPar("ALPLEXP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALPLEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of ALP");
  addPar("ALPW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALPW, NULL, U_NONE, CAT_NONE,"Width dependence of ALP");
  addPar("ALP1L1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP1L1, NULL, U_VOLT, CAT_NONE,"Length dependence of CLM enhancement factor above threshold");
  addPar("ALP1LEXP",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP1LEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of ALP1");
  addPar("ALP1L2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP1L2, NULL, U_NONE, CAT_NONE,"Second order length dependence of ALP1");
  addPar("ALP1W",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP1W, NULL, U_NONE, CAT_NONE,"Width dependence of ALP1");
  addPar("ALP2L1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP2L1, NULL, U_VOLTM1, CAT_NONE,"Length dependence of CLM enhancement factor below threshold");
  addPar("ALP2LEXP",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP2LEXP, NULL, U_NONE, CAT_NONE,"Exponent for length dependence of ALP2");
  addPar("ALP2L2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP2L2, NULL, U_NONE, CAT_NONE,"Second order length dependence of ALP2");
  addPar("ALP2W",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALP2W, NULL, U_NONE, CAT_NONE,"Width dependence of ALP2");
  addPar("VPO",static_cast<double>(0.05), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VPO, NULL, U_VOLT, CAT_NONE,"CLM logarithmic dependence parameter");
  addPar("A1O",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A1O, NULL, U_NONE, CAT_NONE,"Geometry independent impact-ionization pre-factor");
  addPar("A1L",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A1L, NULL, U_NONE, CAT_NONE,"Length dependence of A1");
  addPar("A1W",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A1W, NULL, U_NONE, CAT_NONE,"Width dependence of A1");
  addPar("A2O",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A2O, NULL, U_VOLT, CAT_NONE,"Impact-ionization exponent at TR");
  addPar("STA2O",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STA2O, NULL, U_VOLT, CAT_NONE,"Temperature dependence of A2");
  addPar("A3O",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A3O, NULL, U_NONE, CAT_NONE,"Geometry independent saturation-voltage dependence of II");
  addPar("A3L",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A3L, NULL, U_NONE, CAT_NONE,"Length dependence of A3");
  addPar("A3W",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A3W, NULL, U_NONE, CAT_NONE,"Width dependence of A3");
  addPar("A4O",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A4O, NULL, U_VOLTMH, CAT_NONE,"Geometry independent back-bias dependence of II");
  addPar("A4L",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A4L, NULL, U_NONE, CAT_NONE,"Length dependence of A4");
  addPar("A4W",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::A4W, NULL, U_NONE, CAT_NONE,"Width dependence of A4");
  addPar("GCOO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GCOO, NULL, U_NONE, CAT_NONE,"Gate tunneling energy adjustment");
  addPar("IGINVLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IGINVLW, NULL, U_AMP, CAT_NONE,"Gate channel current pre-factor for 1 um**2 channel area");
  addPar("IGOVW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IGOVW, NULL, U_AMP, CAT_NONE,"Gate overlap current pre-factor for 1 um wide channel");
  addPar("IGOVDW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IGOVDW, NULL, U_AMP, CAT_NONE,"Gate overlap current pre-factor for 1 um wide channel for drain side");
  addPar("STIGO",static_cast<double>(2.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STIGO, NULL, U_NONE, CAT_NONE,"Temperature dependence of IGINV and IGOV");
  addPar("GC2O",static_cast<double>(0.375), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GC2O, NULL, U_NONE, CAT_NONE,"Gate current slope factor");
  addPar("GC3O",static_cast<double>(0.063), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::GC3O, NULL, U_NONE, CAT_NONE,"Gate current curvature factor");
  addPar("CHIBO",static_cast<double>(3.1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CHIBO, NULL, U_VOLT, CAT_NONE,"Tunneling barrier height");
  addPar("AGIDLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::AGIDLW, NULL, U_AMPVM3, CAT_NONE,"Width dependence of GIDL pre-factor");
  addPar("AGIDLDW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::AGIDLDW, NULL, U_AMPVM3, CAT_NONE,"Width dependence of GIDL pre-factor for drain side");
  addPar("BGIDLO",static_cast<double>(41), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::BGIDLO, NULL, U_VOLT, CAT_NONE,"GIDL probability factor at TR");
  addPar("BGIDLDO",static_cast<double>(41), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::BGIDLDO, NULL, U_VOLT, CAT_NONE,"GIDL probability factor at TR for drain side");
  addPar("STBGIDLO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBGIDLO, NULL, U_VKM1, CAT_NONE,"Temperature dependence of BGIDL");
  addPar("STBGIDLDO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STBGIDLDO, NULL, U_VKM1, CAT_NONE,"Temperature dependence of BGIDL for drain side");
  addPar("CGIDLO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGIDLO, NULL, U_NONE, CAT_NONE,"Back-bias dependence of GIDL");
  addPar("CGIDLDO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGIDLDO, NULL, U_NONE, CAT_NONE,"Back-bias dependence of GIDL for drain side");
  addPar("CGBOVL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CGBOVL, NULL, U_FARAD, CAT_NONE,"Oxide capacitance for gate-bulk overlap for 1 um long channel");
  addPar("CFRW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFRW, NULL, U_FARAD, CAT_NONE,"Outer fringe capacitance for 1 um wide channel");
  addPar("CFRDW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CFRDW, NULL, U_FARAD, CAT_NONE,"Outer fringe capacitance for 1 um wide channel for drain side");
  addPar("FNTO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FNTO, NULL, U_NONE, CAT_NONE,"Thermal noise coefficient");
  addPar("NFALW",static_cast<double>(8e22), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NFALW, NULL, U_NONE, CAT_NONE,"First coefficient of flicker noise for 1 um**2 channel area");
  addPar("NFBLW",static_cast<double>(3e7), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NFBLW, NULL, U_NONE, CAT_NONE,"Second coefficient of flicker noise for 1 um**2 channel area");
  addPar("NFCLW",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::NFCLW, NULL, U_VOLTM1, CAT_NONE,"Third coefficient of flicker noise for 1 um**2 channel area");
  addPar("EFO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::EFO, NULL, U_NONE, CAT_NONE,"Flicker noise frequency exponent");
  addPar("LINTNOI",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LINTNOI, NULL, U_METER, CAT_NONE,"Length offset for flicker noise");
  addPar("ALPNOI",static_cast<double>(2.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::ALPNOI, NULL, U_NONE, CAT_NONE,"Exponent for length offset for flicker noise");
  addPar("KVTHOWEO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KVTHOWEO, NULL, U_NONE, CAT_NONE,"Geometrical independent threshold shift parameter");
  addPar("KVTHOWEL",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KVTHOWEL, NULL, U_NONE, CAT_NONE,"Length dependent threshold shift parameter");
  addPar("KVTHOWEW",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KVTHOWEW, NULL, U_NONE, CAT_NONE,"Width dependent threshold shift parameter");
  addPar("KVTHOWELW",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KVTHOWELW, NULL, U_NONE, CAT_NONE,"Area dependent threshold shift parameter");
  addPar("KUOWEO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KUOWEO, NULL, U_NONE, CAT_NONE,"Geometrical independent mobility degradation factor");
  addPar("KUOWEL",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KUOWEL, NULL, U_NONE, CAT_NONE,"Length dependent mobility degradation factor");
  addPar("KUOWEW",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KUOWEW, NULL, U_NONE, CAT_NONE,"Width dependent mobility degradation factor");
  addPar("KUOWELW",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KUOWELW, NULL, U_NONE, CAT_NONE,"Area dependent mobility degradation factor");
  addPar("RGO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RGO, NULL, U_OHM, CAT_NONE,"Gate resistance");
  addPar("RINT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RINT, NULL, U_OHMM2, CAT_NONE,"Contact resistance between silicide and ploy");
  addPar("RVPOLY",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RVPOLY, NULL, U_OHMM2, CAT_NONE,"Vertical poly resistance");
  addPar("RSHG",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSHG, NULL, U_OSQM1, CAT_NONE,"Gate electrode diffusion sheet resistance");
  addPar("DLSIL",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DLSIL, NULL, U_METER, CAT_NONE,"Silicide extension over the physical gate length");
  addPar("RSH",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSH, NULL, U_OSQM1, CAT_NONE,"Sheet resistance of source diffusion");
  addPar("RSHD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RSHD, NULL, U_OSQM1, CAT_NONE,"Sheet resistance of drain diffusion");
  addPar("RBULKO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RBULKO, NULL, U_OHM, CAT_NONE,"Bulk resistance between node BP and BI");
  addPar("RWELLO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RWELLO, NULL, U_OHM, CAT_NONE,"Well resistance between node BI and B");
  addPar("RJUNSO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RJUNSO, NULL, U_OHM, CAT_NONE,"Source-side bulk resistance between node BI and BS");
  addPar("RJUNDO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::RJUNDO, NULL, U_OHM, CAT_NONE,"Drain-side bulk resistance between node BI and BD");
  addPar("SAREF",static_cast<double>(1.0e-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SAREF, NULL, U_METER, CAT_NONE,"Reference distance between OD-edge and poly from one side");
  addPar("SBREF",static_cast<double>(1.0e-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SBREF, NULL, U_METER, CAT_NONE,"Reference distance between OD-edge and poly from other side");
  addPar("WLOD",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WLOD, NULL, U_METER, CAT_NONE,"Width parameter");
  addPar("KUO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KUO, NULL, U_METER, CAT_NONE,"Mobility degradation/enhancement coefficient");
  addPar("KVSAT",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KVSAT, NULL, U_METER, CAT_NONE,"Saturation velocity degradation/enhancement coefficient");
  addPar("TKUO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TKUO, NULL, U_NONE, CAT_NONE,"Temperature dependence of KUO");
  addPar("LKUO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LKUO, NULL, U_NONE, CAT_NONE,"Length dependence of KUO");
  addPar("WKUO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WKUO, NULL, U_NONE, CAT_NONE,"Width dependence of KUO");
  addPar("PKUO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PKUO, NULL, U_NONE, CAT_NONE,"Cross-term dependence of KUO");
  addPar("LLODKUO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LLODKUO, NULL, U_NONE, CAT_NONE,"Length parameter for UO stress effect");
  addPar("WLODKUO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WLODKUO, NULL, U_NONE, CAT_NONE,"Width parameter for UO stress effect");
  addPar("KVTHO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::KVTHO, NULL, U_VM, CAT_NONE,"Threshold shift parameter");
  addPar("LKVTHO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LKVTHO, NULL, U_NONE, CAT_NONE,"Length dependence of KVTHO");
  addPar("WKVTHO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WKVTHO, NULL, U_NONE, CAT_NONE,"Width dependence of KVTHO");
  addPar("PKVTHO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PKVTHO, NULL, U_NONE, CAT_NONE,"Cross-term dependence of KVTHO");
  addPar("LLODVTH",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LLODVTH, NULL, U_NONE, CAT_NONE,"Length parameter for VTH-stress effect");
  addPar("WLODVTH",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WLODVTH, NULL, U_NONE, CAT_NONE,"Width parameter for VTH-stress effect");
  addPar("STETAO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STETAO, NULL, U_METER, CAT_NONE,"eta0 shift factor related to VTHO change");
  addPar("LODETAO",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::LODETAO, NULL, U_NONE, CAT_NONE,"eta0 shift modification factor for stress effect");
  addPar("SCREF",static_cast<double>(1.0e-6), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SCREF, NULL, U_METER, CAT_NONE,"Distance between OD-edge and well edge of a reference device");
  addPar("WEB",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WEB, NULL, U_NONE, CAT_NONE,"Coefficient for SCB");
  addPar("WEC",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::WEC, NULL, U_NONE, CAT_NONE,"Coefficient for SCC");
  addPar("IMAX",static_cast<double>(1000), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IMAX, NULL, U_NONE, CAT_NONE,"Maximum current up to which forward current behaves exponentially");
  addPar("TRJ",static_cast<double>(21), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::TRJ, NULL, U_NONE, CAT_NONE,"reference temperature");
  addPar("CJORBOT",static_cast<double>(1E-3), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CJORBOT, NULL, U_NONE, CAT_NONE,"Zero-bias capacitance per unit-of-area of bottom component for source-bulk junction");
  addPar("CJORSTI",static_cast<double>(1E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CJORSTI, NULL, U_NONE, CAT_NONE,"Zero-bias capacitance per unit-of-length of STI-edge component for source-bulk junction");
  addPar("CJORGAT",static_cast<double>(1E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CJORGAT, NULL, U_NONE, CAT_NONE,"Zero-bias capacitance per unit-of-length of gate-edge component for source-bulk junction");
  addPar("VBIRBOT",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBIRBOT, NULL, U_NONE, CAT_NONE,"Built-in voltage at the reference temperature of bottom component for source-bulk junction");
  addPar("VBIRSTI",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBIRSTI, NULL, U_NONE, CAT_NONE,"Built-in voltage at the reference temperature of STI-edge component for source-bulk junction");
  addPar("VBIRGAT",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBIRGAT, NULL, U_NONE, CAT_NONE,"Built-in voltage at the reference temperature of gate-edge component for source-bulk junction");
  addPar("PBOT",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBOT, NULL, U_NONE, CAT_NONE,"Grading coefficient of bottom component for source-bulk junction");
  addPar("PSTI",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PSTI, NULL, U_NONE, CAT_NONE,"Grading coefficient of STI-edge component for source-bulk junction");
  addPar("PGAT",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PGAT, NULL, U_NONE, CAT_NONE,"Grading coefficient of gate-edge component for source-bulk junction");
  addPar("PHIGBOT",static_cast<double>(1.16), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PHIGBOT, NULL, U_NONE, CAT_NONE,"Zero-temperature bandgap voltage of bottom component for source-bulk junction");
  addPar("PHIGSTI",static_cast<double>(1.16), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PHIGSTI, NULL, U_NONE, CAT_NONE,"Zero-temperature bandgap voltage of STI-edge component for source-bulk junction");
  addPar("PHIGGAT",static_cast<double>(1.16), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PHIGGAT, NULL, U_NONE, CAT_NONE,"Zero-temperature bandgap voltage of gate-edge component for source-bulk junction");
  addPar("IDSATRBOT",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IDSATRBOT, NULL, U_NONE, CAT_NONE,"Saturation current density at the reference temperature of bottom component for source-bulk junction");
  addPar("IDSATRSTI",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IDSATRSTI, NULL, U_NONE, CAT_NONE,"Saturation current density at the reference temperature of STI-edge component for source-bulk junction");
  addPar("IDSATRGAT",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IDSATRGAT, NULL, U_NONE, CAT_NONE,"Saturation current density at the reference temperature of gate-edge component for source-bulk junction");
  addPar("CSRHBOT",static_cast<double>(1E2), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSRHBOT, NULL, U_NONE, CAT_NONE,"Shockley-Read-Hall prefactor of bottom component for source-bulk junction");
  addPar("CSRHSTI",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSRHSTI, NULL, U_NONE, CAT_NONE,"Shockley-Read-Hall prefactor of STI-edge component for source-bulk junction");
  addPar("CSRHGAT",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSRHGAT, NULL, U_NONE, CAT_NONE,"Shockley-Read-Hall prefactor of gate-edge component for source-bulk junction");
  addPar("XJUNSTI",static_cast<double>(100E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XJUNSTI, NULL, U_NONE, CAT_NONE,"Junction depth of STI-edge component for source-bulk junction");
  addPar("XJUNGAT",static_cast<double>(100E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XJUNGAT, NULL, U_NONE, CAT_NONE,"Junction depth of gate-edge component for source-bulk junction");
  addPar("CTATBOT",static_cast<double>(1E2), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTATBOT, NULL, U_NONE, CAT_NONE,"Trap-assisted tunneling prefactor of bottom component for source-bulk junction");
  addPar("CTATSTI",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTATSTI, NULL, U_NONE, CAT_NONE,"Trap-assisted tunneling prefactor of STI-edge component for source-bulk junction");
  addPar("CTATGAT",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTATGAT, NULL, U_NONE, CAT_NONE,"Trap-assisted tunneling prefactor of gate-edge component for source-bulk junction");
  addPar("MEFFTATBOT",static_cast<double>(0.25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MEFFTATBOT, NULL, U_NONE, CAT_NONE,"Effective mass (in units of m0) for trap-assisted tunneling of bottom component for source-bulk junction");
  addPar("MEFFTATSTI",static_cast<double>(0.25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MEFFTATSTI, NULL, U_NONE, CAT_NONE,"Effective mass (in units of m0) for trap-assisted tunneling of STI-edge component for source-bulk junction");
  addPar("MEFFTATGAT",static_cast<double>(0.25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MEFFTATGAT, NULL, U_NONE, CAT_NONE,"Effective mass (in units of m0) for trap-assisted tunneling of gate-edge component for source-bulk junction");
  addPar("CBBTBOT",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CBBTBOT, NULL, U_NONE, CAT_NONE,"Band-to-band tunneling prefactor of bottom component for source-bulk junction");
  addPar("CBBTSTI",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CBBTSTI, NULL, U_NONE, CAT_NONE,"Band-to-band tunneling prefactor of STI-edge component for source-bulk junction");
  addPar("CBBTGAT",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CBBTGAT, NULL, U_NONE, CAT_NONE,"Band-to-band tunneling prefactor of gate-edge component for source-bulk junction");
  addPar("FBBTRBOT",static_cast<double>(1E9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBBTRBOT, NULL, U_NONE, CAT_NONE,"Normalization field at the reference temperature for band-to-band tunneling of bottom component for source-bulk junction");
  addPar("FBBTRSTI",static_cast<double>(1E9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBBTRSTI, NULL, U_NONE, CAT_NONE,"Normalization field at the reference temperature for band-to-band tunneling of STI-edge component for source-bulk junction");
  addPar("FBBTRGAT",static_cast<double>(1E9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBBTRGAT, NULL, U_NONE, CAT_NONE,"Normalization field at the reference temperature for band-to-band tunneling of gate-edge component for source-bulk junction");
  addPar("STFBBTBOT",static_cast<double>((-1E-3)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STFBBTBOT, NULL, U_NONE, CAT_NONE,"Temperature scaling parameter for band-to-band tunneling of bottom component for source-bulk junction");
  addPar("STFBBTSTI",static_cast<double>((-1E-3)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STFBBTSTI, NULL, U_NONE, CAT_NONE,"Temperature scaling parameter for band-to-band tunneling of STI-edge component for source-bulk junction");
  addPar("STFBBTGAT",static_cast<double>((-1E-3)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STFBBTGAT, NULL, U_NONE, CAT_NONE,"Temperature scaling parameter for band-to-band tunneling of gate-edge component for source-bulk junction");
  addPar("VBRBOT",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBRBOT, NULL, U_NONE, CAT_NONE,"Breakdown voltage of bottom component for source-bulk junction");
  addPar("VBRSTI",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBRSTI, NULL, U_NONE, CAT_NONE,"Breakdown voltage of STI-edge component for source-bulk junction");
  addPar("VBRGAT",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBRGAT, NULL, U_NONE, CAT_NONE,"Breakdown voltage of gate-edge component for source-bulk junction");
  addPar("PBRBOT",static_cast<double>(4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBRBOT, NULL, U_NONE, CAT_NONE,"Breakdown onset tuning parameter of bottom component for source-bulk junction");
  addPar("PBRSTI",static_cast<double>(4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBRSTI, NULL, U_NONE, CAT_NONE,"Breakdown onset tuning parameter of STI-edge component for source-bulk junction");
  addPar("PBRGAT",static_cast<double>(4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBRGAT, NULL, U_NONE, CAT_NONE,"Breakdown onset tuning parameter of gate-edge component for source-bulk junction");
  addPar("CJORBOTD",static_cast<double>(1E-3), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CJORBOTD, NULL, U_NONE, CAT_NONE,"Zero-bias capacitance per unit-of-area of bottom component for drain-bulk junction");
  addPar("CJORSTID",static_cast<double>(1E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CJORSTID, NULL, U_NONE, CAT_NONE,"Zero-bias capacitance per unit-of-length of STI-edge component for drain-bulk junction");
  addPar("CJORGATD",static_cast<double>(1E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CJORGATD, NULL, U_NONE, CAT_NONE,"Zero-bias capacitance per unit-of-length of gate-edge component for drain-bulk junction");
  addPar("VBIRBOTD",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBIRBOTD, NULL, U_NONE, CAT_NONE,"Built-in voltage at the reference temperature of bottom component for drain-bulk junction");
  addPar("VBIRSTID",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBIRSTID, NULL, U_NONE, CAT_NONE,"Built-in voltage at the reference temperature of STI-edge component for drain-bulk junction");
  addPar("VBIRGATD",static_cast<double>(1), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBIRGATD, NULL, U_NONE, CAT_NONE,"Built-in voltage at the reference temperature of gate-edge component for drain-bulk junction");
  addPar("PBOTD",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBOTD, NULL, U_NONE, CAT_NONE,"Grading coefficient of bottom component for drain-bulk junction");
  addPar("PSTID",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PSTID, NULL, U_NONE, CAT_NONE,"Grading coefficient of STI-edge component for drain-bulk junction");
  addPar("PGATD",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PGATD, NULL, U_NONE, CAT_NONE,"Grading coefficient of gate-edge component for drain-bulk junction");
  addPar("PHIGBOTD",static_cast<double>(1.16), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PHIGBOTD, NULL, U_NONE, CAT_NONE,"Zero-temperature bandgap voltage of bottom component for drain-bulk junction");
  addPar("PHIGSTID",static_cast<double>(1.16), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PHIGSTID, NULL, U_NONE, CAT_NONE,"Zero-temperature bandgap voltage of STI-edge component for drain-bulk junction");
  addPar("PHIGGATD",static_cast<double>(1.16), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PHIGGATD, NULL, U_NONE, CAT_NONE,"Zero-temperature bandgap voltage of gate-edge component for drain-bulk junction");
  addPar("IDSATRBOTD",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IDSATRBOTD, NULL, U_NONE, CAT_NONE,"Saturation current density at the reference temperature of bottom component for drain-bulk junction");
  addPar("IDSATRSTID",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IDSATRSTID, NULL, U_NONE, CAT_NONE,"Saturation current density at the reference temperature of STI-edge component for drain-bulk junction");
  addPar("IDSATRGATD",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::IDSATRGATD, NULL, U_NONE, CAT_NONE,"Saturation current density at the reference temperature of gate-edge component for drain-bulk junction");
  addPar("CSRHBOTD",static_cast<double>(1E2), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSRHBOTD, NULL, U_NONE, CAT_NONE,"Shockley-Read-Hall prefactor of bottom component for drain-bulk junction");
  addPar("CSRHSTID",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSRHSTID, NULL, U_NONE, CAT_NONE,"Shockley-Read-Hall prefactor of STI-edge component for drain-bulk junction");
  addPar("CSRHGATD",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CSRHGATD, NULL, U_NONE, CAT_NONE,"Shockley-Read-Hall prefactor of gate-edge component for drain-bulk junction");
  addPar("XJUNSTID",static_cast<double>(100E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XJUNSTID, NULL, U_NONE, CAT_NONE,"Junction depth of STI-edge component for drain-bulk junction");
  addPar("XJUNGATD",static_cast<double>(100E-9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::XJUNGATD, NULL, U_NONE, CAT_NONE,"Junction depth of gate-edge component for drain-bulk junction");
  addPar("CTATBOTD",static_cast<double>(1E2), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTATBOTD, NULL, U_NONE, CAT_NONE,"Trap-assisted tunneling prefactor of bottom component for drain-bulk junction");
  addPar("CTATSTID",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTATSTID, NULL, U_NONE, CAT_NONE,"Trap-assisted tunneling prefactor of STI-edge component for drain-bulk junction");
  addPar("CTATGATD",static_cast<double>(1E-4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CTATGATD, NULL, U_NONE, CAT_NONE,"Trap-assisted tunneling prefactor of gate-edge component for drain-bulk junction");
  addPar("MEFFTATBOTD",static_cast<double>(0.25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MEFFTATBOTD, NULL, U_NONE, CAT_NONE,"Effective mass (in units of m0) for trap-assisted tunneling of bottom component for drain-bulk junction");
  addPar("MEFFTATSTID",static_cast<double>(0.25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MEFFTATSTID, NULL, U_NONE, CAT_NONE,"Effective mass (in units of m0) for trap-assisted tunneling of STI-edge component for drain-bulk junction");
  addPar("MEFFTATGATD",static_cast<double>(0.25), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::MEFFTATGATD, NULL, U_NONE, CAT_NONE,"Effective mass (in units of m0) for trap-assisted tunneling of gate-edge component for drain-bulk junction");
  addPar("CBBTBOTD",static_cast<double>(1E-12), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CBBTBOTD, NULL, U_NONE, CAT_NONE,"Band-to-band tunneling prefactor of bottom component for drain-bulk junction");
  addPar("CBBTSTID",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CBBTSTID, NULL, U_NONE, CAT_NONE,"Band-to-band tunneling prefactor of STI-edge component for drain-bulk junction");
  addPar("CBBTGATD",static_cast<double>(1E-18), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::CBBTGATD, NULL, U_NONE, CAT_NONE,"Band-to-band tunneling prefactor of gate-edge component for drain-bulk junction");
  addPar("FBBTRBOTD",static_cast<double>(1E9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBBTRBOTD, NULL, U_NONE, CAT_NONE,"Normalization field at the reference temperature for band-to-band tunneling of bottom component for drain-bulk junction");
  addPar("FBBTRSTID",static_cast<double>(1E9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBBTRSTID, NULL, U_NONE, CAT_NONE,"Normalization field at the reference temperature for band-to-band tunneling of STI-edge component for drain-bulk junction");
  addPar("FBBTRGATD",static_cast<double>(1E9), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FBBTRGATD, NULL, U_NONE, CAT_NONE,"Normalization field at the reference temperature for band-to-band tunneling of gate-edge component for drain-bulk junction");
  addPar("STFBBTBOTD",static_cast<double>((-1E-3)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STFBBTBOTD, NULL, U_NONE, CAT_NONE,"Temperature scaling parameter for band-to-band tunneling of bottom component for drain-bulk junction");
  addPar("STFBBTSTID",static_cast<double>((-1E-3)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STFBBTSTID, NULL, U_NONE, CAT_NONE,"Temperature scaling parameter for band-to-band tunneling of STI-edge component for drain-bulk junction");
  addPar("STFBBTGATD",static_cast<double>((-1E-3)), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::STFBBTGATD, NULL, U_NONE, CAT_NONE,"Temperature scaling parameter for band-to-band tunneling of gate-edge component for drain-bulk junction");
  addPar("VBRBOTD",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBRBOTD, NULL, U_NONE, CAT_NONE,"Breakdown voltage of bottom component for drain-bulk junction");
  addPar("VBRSTID",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBRSTID, NULL, U_NONE, CAT_NONE,"Breakdown voltage of STI-edge component for drain-bulk junction");
  addPar("VBRGATD",static_cast<double>(10), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VBRGATD, NULL, U_NONE, CAT_NONE,"Breakdown voltage of gate-edge component for drain-bulk junction");
  addPar("PBRBOTD",static_cast<double>(4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBRBOTD, NULL, U_NONE, CAT_NONE,"Breakdown onset tuning parameter of bottom component for drain-bulk junction");
  addPar("PBRSTID",static_cast<double>(4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBRSTID, NULL, U_NONE, CAT_NONE,"Breakdown onset tuning parameter of STI-edge component for drain-bulk junction");
  addPar("PBRGATD",static_cast<double>(4), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::PBRGATD, NULL, U_NONE, CAT_NONE,"Breakdown onset tuning parameter of gate-edge component for drain-bulk junction");
  addPar("SWJUNEXP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::SWJUNEXP, NULL, U_NONE, CAT_NONE,"Flag for JUNCAP-express; 0=full model, 1=express model");
  addPar("VJUNREF",static_cast<double>(2.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VJUNREF, NULL, U_NONE, CAT_NONE,"Typical maximum source-bulk junction voltage; usually about 2*VSUP");
  addPar("FJUNQ",static_cast<double>(0.03), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FJUNQ, NULL, U_NONE, CAT_NONE,"Fraction below which source-bulk junction capacitance components are considered negligible");
  addPar("VJUNREFD",static_cast<double>(2.5), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::VJUNREFD, NULL, U_NONE, CAT_NONE,"Typical maximum drain-bulk junction voltage; usually about 2*VSUP");
  addPar("FJUNQD",static_cast<double>(0.03), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::FJUNQD, NULL, U_NONE, CAT_NONE,"Fraction below which drain-bulk junction capacitance components are considered negligible");
  addPar("DTA",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSPSP103VA::Model::DTA, NULL, U_DEGK, CAT_NONE,"Temperature offset w.r.t. ambient temperature");

}

namespace ADMSPSP103VA {


ParametricData<Instance> &Instance::getParametricData()
{
  static ParametricData<Instance> parMap;
  return parMap;
}

ParametricData<Model> &Model::getParametricData()
{
  static ParametricData<Model> parMap;
  return parMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::processParams(string param)
{
  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter L : [ 1e-9,  (+inf) [
  if ( (!((L >=1e-9))) )
  {
    string msg="ADMSPSP103VA: Parameter L value out of range [ 1e-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter W : [ 1e-9,  (+inf) [
  if ( (!((W >=1e-9))) )
  {
    string msg="ADMSPSP103VA: Parameter W value out of range [ 1e-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SCA : [ 0.0,  (+inf) [
  if ( (!((SCA >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter SCA value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SCB : [ 0.0,  (+inf) [
  if ( (!((SCB >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter SCB value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SCC : [ 0.0,  (+inf) [
  if ( (!((SCC >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter SCC value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NF : [ 1.0,  (+inf) [
  if ( (!((NF >=1.0))) )
  {
    string msg="ADMSPSP103VA: Parameter NF value out of range [ 1.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NGCON : [ 1.0, 2.0 ]
  if ( (!((NGCON >=1.0 && NGCON <=2.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter NGCON value out of range [ 1.0, 2.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter JW : [ 0,  (+inf) [
  if ( (!((JW >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter JW value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter FACTUO : [ 0.0,  (+inf) [
  if ( (!((FACTUO >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter FACTUO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ABSOURCE : [ 0,  (+inf) [
  if ( (!((ABSOURCE >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter ABSOURCE value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LSSOURCE : [ 0,  (+inf) [
  if ( (!((LSSOURCE >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter LSSOURCE value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LGSOURCE : [ 0,  (+inf) [
  if ( (!((LGSOURCE >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter LGSOURCE value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ABDRAIN : [ 0,  (+inf) [
  if ( (!((ABDRAIN >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter ABDRAIN value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LSDRAIN : [ 0,  (+inf) [
  if ( (!((LSDRAIN >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter LSDRAIN value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LGDRAIN : [ 0,  (+inf) [
  if ( (!((LGDRAIN >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter LGDRAIN value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AS : [ 0,  (+inf) [
  if ( (!((AS >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter AS value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PS : [ 0,  (+inf) [
  if ( (!((PS >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter PS value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AD : [ 0,  (+inf) [
  if ( (!((AD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter AD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PD : [ 0,  (+inf) [
  if ( (!((PD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter PD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MULT : [ 0.0,  (+inf) [
  if ( (!((MULT >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter MULT value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }


  // this seems a little stupid, but verilog models that use $temperature
  // don't also use a defined parameter "Temp", and count on $temperature
  // to be the one the simulator wants:

  updateTemperature(admsInstTemp);

  // and of course, this routine is where we should put the initial_instance
  // stuff
  double I5;
  double I4;
  double I3;
  double I2;
  double I1;
  double ijungat;
  double ijunsti;
  double ijunbot;
  double V5;
  double V4;
  double V3;
  double V2;
  double V1;
  double FRACI;
  double FRACNB;
  double FRACNA;
  double qjungat;
  double qjunsti;
  double qjunbot;
  double fbreakdown;
  double Fmaxr;
  double ibbt;
  double gammamax;
  double erfctimesexpmtat;
  double xerfc;
  double mtat;
  double ltat;
  double ktat;
  double wtat;
  double wgamma;
  double umaxpoweronepointfive;
  double sqrtumax;
  double umax;
  double umaxbeforelimiting;
  double twoatatoverthreebtat;
  double btat;
  double itat;
  double asrh;
  double wdep;
  double wsrh;
  double dwsrh;
  double wsrhstep;
  double vbi_minus_vjsrh;
  double isrh;
  double id;
  double tmp;
  double vav;
  double vbbt;
  double vjsrh;
  double vjlim;
  double two_psistar;
  double zinv;
  double z;
  double vj;
  double idmult;
  double h5;
  double h4;
  double h3;
  double h2d;
  double h2;
  double h1;
  double erfcpos;
  double terfc;
  double ysq;
  double pmax;
  double vbigat2r;
  double vbisti2r;
  double vbibot2r;
  double pgat2;
  double psti2;
  double pbot2;
  double vbigat2;
  double vbisti2;
  double vbibot2;
  double vmaxgat;
  double vmaxsti;
  double vmaxbot;
  double alphaje;
  double zfrac;
  double tt2;
  double tt1;
  double tt0;
  double I5_cor;
  double I4_cor;
  double I3_cor;
  double I2_cor;
  double I1_cor;
  double mcor_rev;
  double m0_rev;
  double jww;
  double jwcorr;
  double LGD_i;
  double LSD_i;
  double ABD_i;
  double LGS_i;
  double LSS_i;
  double ABS_i;
  double NEFFAC_i;
  double Sfl_prefac;
  double Cox_over_q;
  double nt;
  double tempM;
  double tf_ig;
  double tf_thesat;
  double tf_ther;
  double tf_xcor;
  double tf_cs;
  double tf_mue;
  double tf_bet;
  double CoxovPrime_d;
  double CoxovPrime;
  double phix2;
  double dphibq;
  double qb0;
  double np;
  double arg2max;
  double tox_sq;
  double CoxPrime;
  double EPSOX;
  double DELVTO_i;
  double FACTUO_i;
  double EF_i;
  double NFC_i;
  double NFB_i;
  double NFA_i;
  double FNT_i;
  double STBGIDLD_i;
  double STBGIDL_i;
  double STIG_i;
  double GCO_i;
  double STA2_i;
  double VP_i;
  double STTHESAT_i;
  double STRS_i;
  double RS_i;
  double FETA_i;
  double STXCOR_i;
  double STCS_i;
  double STTHEMU_i;
  double STMUE_i;
  double STBET_i;
  double BETN_i;
  double NOVD_i;
  double NOV_i;
  double TOXOVD_i;
  double TOXOV_i;
  double CT_i;
  double NP_i;
  double DELVTAC_i;
  double DPHIB_i;
  double DVSBNUD_i;
  double VSBNUD_i;
  double FACNEFFAC_i;
  double NEFF_i;
  double EPSROX_i;
  double TOX_i;
  double STVFB_i;
  double temp00;
  double Kstressvth0;
  double rhobetaref;
  double rhobeta;
  double Kstressu0;
  double tempw;
  double templ;
  double Wx;
  double Lx;
  double Invsbref;
  double Invsaref;
  double Invsb;
  double Invsa;
  double loop;
  double tmpb;
  double tmpa;
  double iiiLWcv;
  double iLcv;
  double iiLWcv;
  double iiWcv;
  double iiLcv;
  double iiiLEWEcv;
  double iLEcv;
  double iiLEWEcv;
  double iiWEcv;
  double iiLEcv;
  double iiiLEWE;
  double iiLEWE;
  double iiWE;
  double iiLE;
  double iLEWE;
  double KUOWE;
  double KVTHOWE;
  double Lred;
  double Lnoi;
  double temp0;
  double tmpx;
  double GWE;
  double GPE;
  double LP1e;
  double FBET1e;
  double NSUB;
  double BB;
  double AA;
  double LPCKe;
  double NPCKe;
  double NSUB0e;
  double RJUND_p;
  double RJUNS_p;
  double RBULK_p;
  double RWELL_p;
  double RDE_p;
  double RSE_p;
  double RG_p;
  double EF_p;
  double NFC_p;
  double NFB_p;
  double NFA_p;
  double FNT_p;
  double CFRD_p;
  double CFR_p;
  double CGBOV_p;
  double CGOVD_p;
  double CGOV_p;
  double COX_p;
  double CGIDLD_p;
  double CGIDL_p;
  double STBGIDLD_p;
  double STBGIDL_p;
  double BGIDLD_p;
  double BGIDL_p;
  double AGIDLD_p;
  double AGIDL_p;
  double CHIB_p;
  double GC3_p;
  double GC2_p;
  double STIG_p;
  double IGOVD_p;
  double IGOV_p;
  double IGINV_p;
  double GCO_p;
  double A4_p;
  double A3_p;
  double STA2_p;
  double A2_p;
  double A1_p;
  double VP_p;
  double ALP2_p;
  double ALP1_p;
  double ALP_p;
  double AX_p;
  double THESATG_p;
  double THESATB_p;
  double STTHESAT_p;
  double THESAT_p;
  double RSG_p;
  double RSB_p;
  double STRS_p;
  double RS_p;
  double FETA_p;
  double STXCOR_p;
  double XCOR_p;
  double STCS_p;
  double CS_p;
  double STTHEMU_p;
  double THEMU_p;
  double STMUE_p;
  double MUE_p;
  double STBET_p;
  double BETN_p;
  double CFB_p;
  double CF_p;
  double NOVD_p;
  double NOV_p;
  double TOXOVD_p;
  double TOXOV_p;
  double CT_p;
  double NP_p;
  double DELVTAC_p;
  double DPHIB_p;
  double DNSUB_p;
  double NSLP_p;
  double VNSUB_p;
  double DVSBNUD_p;
  double VSBNUD_p;
  double GFACNUD_p;
  double FACNEFFAC_p;
  double NEFF_p;
  double EPSROX_p;
  double TOX_p;
  double STVFB_p;
  double VFB_p;
  double XGWE;
  double W_f;
  double L_slif;
  double L_f;
  double iWE;
  double iLE;
  double Wcv;
  double Lcv;
  double WEcv;
  double LEcv;
  double delWOD;
  double delLPS;
  double iW;
  double iL;
  double WEN;
  double LEN;
  double NGCON_i;
  double SCC_i;
  double SCB_i;
  double SCA_i;
  double JW_i;
  double PD_i;
  double AD_i;
  double PS_i;
  double AS_i;
  double XGW_i;
  double SC_i;
  double SD_i;
  double SB_i;
  double SA_i;
  double W_i;
  double L_i;
  double WE;
  double LE;
  double invNF;
  double NF_i;
  //Begin block initial_instance
  {
    NF_i = 1.0;
    invNF = 1.0;
    LE = 0.0;
    WE = 0.0;
    L_i = L;
    W_i = W;
    SA_i = SA;
    SB_i = SB;
    SD_i = SD;
    SC_i = SC;
    XGW_i = XGW;
    ABSOURCE_i = ABSOURCE;
    LSSOURCE_i = LSSOURCE;
    LGSOURCE_i = LGSOURCE;
    ABDRAIN_i = ABDRAIN;
    LSDRAIN_i = LSDRAIN;
    LGDRAIN_i = LGDRAIN;
    AS_i = AS;
    PS_i = PS;
    AD_i = AD;
    PD_i = PD;
    JW_i = JW;
    if ((((model_.SWGEO_i)==1)||((model_.SWGEO_i)==2)))
    {
      NF_i = ((NF>1.0)?NF:1.0);
      NF_i = floor((NF_i+0.5));
      invNF = (1.0/NF_i);
      L_i = ((L_i>1e-9)?L_i:1e-9);
      W_i = (((W_i*invNF)>1e-9)?(W_i*invNF):1e-9);
      SCA_i = ((SCA>0.0)?SCA:0.0);
      SCB_i = ((SCB>0.0)?SCB:0.0);
      SCC_i = ((SCC>0.0)?SCC:0.0);
      NGCON_i = ((NGCON<1.5)?1.0:2.0);
      LEN = 1e-6;
      WEN = 1e-6;
      iL = (LEN/L_i);
      iW = (WEN/W_i);
      if (((model_.SWGEO_i)==2))
      {
        delLPS = ((model_.LVARO)*(1.0+((model_.LVARL)*iL)));
        delWOD = ((model_.WVARO)*(1.0+((model_.WVARW)*iW)));
      }
      else
      {
        delLPS = (((model_.LVARO)*(1.0+((model_.LVARL)*iL)))*(1.0+((model_.LVARW)*iW)));
        delWOD = (((model_.WVARO)*(1.0+((model_.WVARL)*iL)))*(1.0+((model_.WVARW)*iW)));
      }
      LE = ((((L_i+delLPS)-(2.0*(model_.LAP)))>1e-9)?((L_i+delLPS)-(2.0*(model_.LAP))):1e-9);
      WE = ((((W_i+delWOD)-(2.0*(model_.WOT)))>1e-9)?((W_i+delWOD)-(2.0*(model_.WOT))):1e-9);
      LEcv = (((((L_i+delLPS)-(2.0*(model_.LAP)))+(model_.DLQ))>1e-9)?(((L_i+delLPS)-(2.0*(model_.LAP)))+(model_.DLQ)):1e-9);
      WEcv = (((((W_i+delWOD)-(2.0*(model_.WOT)))+(model_.DWQ))>1e-9)?(((W_i+delWOD)-(2.0*(model_.WOT)))+(model_.DWQ)):1e-9);
      Lcv = ((((L_i+delLPS)+(model_.DLQ))>1e-9)?((L_i+delLPS)+(model_.DLQ)):1e-9);
      Wcv = ((((W_i+delWOD)+(model_.DWQ))>1e-9)?((W_i+delWOD)+(model_.DWQ)):1e-9);
      iLE = (LEN/LE);
      iWE = (WEN/WE);
      L_f = (((L_i+delLPS)>1e-9)?(L_i+delLPS):1e-9);
      L_slif = (((L_f+(model_.DLSIL))>1e-9)?(L_f+(model_.DLSIL)):1e-9);
      W_f = (((W_i+delWOD)>1e-9)?(W_i+delWOD):1e-9);
      XGWE = (((XGW_i-(0.5*delWOD))>1e-9)?(XGW_i-(0.5*delWOD)):1e-9);
    }
    if (((model_.SWGEO_i)==0))
    {
      VFB_p = (model_.VFB);
      STVFB_p = (model_.STVFB);
      TOX_p = (model_.TOX);
      EPSROX_p = (model_.EPSROX);
      NEFF_p = (model_.NEFF);
      FACNEFFAC_p = (model_.FACNEFFAC);
      GFACNUD_p = (model_.GFACNUD);
      VSBNUD_p = (model_.VSBNUD);
      DVSBNUD_p = (model_.DVSBNUD);
      VNSUB_p = (model_.VNSUB);
      NSLP_p = (model_.NSLP);
      DNSUB_p = (model_.DNSUB);
      DPHIB_p = (model_.DPHIB);
      DELVTAC_p = (model_.DELVTAC);
      NP_p = (model_.NP);
      CT_p = (model_.CT);
      TOXOV_p = (model_.TOXOV);
      TOXOVD_p = (model_.TOXOVD);
      NOV_p = (model_.NOV);
      NOVD_p = (model_.NOVD);
      CF_p = (model_.CF);
      CFB_p = (model_.CFB);
      BETN_p = (model_.BETN);
      STBET_p = (model_.STBET);
      MUE_p = (model_.MUE);
      STMUE_p = (model_.STMUE);
      THEMU_p = (model_.THEMU);
      STTHEMU_p = (model_.STTHEMU);
      CS_p = (model_.CS);
      STCS_p = (model_.STCS);
      XCOR_p = (model_.XCOR);
      STXCOR_p = (model_.STXCOR);
      FETA_p = (model_.FETA);
      RS_p = (model_.RS);
      STRS_p = (model_.STRS);
      RSB_p = (model_.RSB);
      RSG_p = (model_.RSG);
      THESAT_p = (model_.THESAT);
      STTHESAT_p = (model_.STTHESAT);
      THESATB_p = (model_.THESATB);
      THESATG_p = (model_.THESATG);
      AX_p = (model_.AX);
      ALP_p = (model_.ALP);
      ALP1_p = (model_.ALP1);
      ALP2_p = (model_.ALP2);
      VP_p = (model_.VP);
      A1_p = (model_.A1);
      A2_p = (model_.A2);
      STA2_p = (model_.STA2);
      A3_p = (model_.A3);
      A4_p = (model_.A4);
      GCO_p = (model_.GCO);
      IGINV_p = (model_.IGINV);
      IGOV_p = (model_.IGOV);
      IGOVD_p = (model_.IGOVD);
      STIG_p = (model_.STIG);
      GC2_p = (model_.GC2);
      GC3_p = (model_.GC3);
      CHIB_p = (model_.CHIB);
      AGIDL_p = (model_.AGIDL);
      AGIDLD_p = (model_.AGIDLD);
      BGIDL_p = (model_.BGIDL);
      BGIDLD_p = (model_.BGIDLD);
      STBGIDL_p = (model_.STBGIDL);
      STBGIDLD_p = (model_.STBGIDLD);
      CGIDL_p = (model_.CGIDL);
      CGIDLD_p = (model_.CGIDLD);
      COX_p = (model_.COX);
      CGOV_p = (model_.CGOV);
      CGOVD_p = (model_.CGOVD);
      CGBOV_p = (model_.CGBOV);
      CFR_p = (model_.CFR);
      CFRD_p = (model_.CFRD);
      FNT_p = (model_.FNT);
      NFA_p = (model_.NFA);
      NFB_p = (model_.NFB);
      NFC_p = (model_.NFC);
      EF_p = (model_.EF);
      RG_p = (model_.RG);
      RSE_p = (model_.RSE);
      RDE_p = (model_.RDE);
      RWELL_p = (model_.RWELL);
      RBULK_p = (model_.RBULK);
      RJUNS_p = (model_.RJUNS);
      RJUND_p = (model_.RJUND);
    }
    if (((model_.SWGEO_i)==1))
    {
      VFB_p = ((((model_.VFBO)+((model_.VFBL)*iLE))+((model_.VFBW)*iWE))+(((model_.VFBLW)*iLE)*iWE));
      STVFB_p = ((((model_.STVFBO)+((model_.STVFBL)*iLE))+((model_.STVFBW)*iWE))+(((model_.STVFBLW)*iLE)*iWE));
      TOX_p = (model_.TOXO);
      EPSROX_p = (model_.EPSROXO);
      NSUB0e = ((model_.NSUBO_i)*(((1.0+(((model_.NSUBW)*iWE)*log((1.0+(WE/(model_.WSEG_i))))))>1.0E-03)?(1.0+(((model_.NSUBW)*iWE)*log((1.0+(WE/(model_.WSEG_i)))))):1.0E-03));
      NPCKe = ((model_.NPCK_i)*(((1.0+(((model_.NPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i))))))>1.0E-03)?(1.0+(((model_.NPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i)))))):1.0E-03));
      LPCKe = ((model_.LPCK_i)*(((1.0+(((model_.LPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i))))))>1.0E-03)?(1.0+(((model_.LPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i)))))):1.0E-03));
      if ((LE>(2*LPCKe)))
      {
        AA = 7.5e10;
        BB = (sqrt((NSUB0e+(0.5*NPCKe)))-sqrt(NSUB0e));
        NSUB = (sqrt(NSUB0e)+(AA*log((1+(((2*LPCKe)/LE)*(exp((BB/AA))-1))))));
        NSUB = (NSUB*NSUB);
      }
      else
      {
        if ((LE>=LPCKe))
        {
          NSUB = (NSUB0e+((NPCKe*LPCKe)/LE));
        }
        else
        {
          NSUB = (NSUB0e+(NPCKe*(2-(LE/LPCKe))));
        }
      }
      NEFF_p = (NSUB*((1-((model_.FOL1)*iLE))-(((model_.FOL2)*iLE)*iLE)));
      FACNEFFAC_p = ((((model_.FACNEFFACO)+((model_.FACNEFFACL)*iLE))+((model_.FACNEFFACW)*iWE))+(((model_.FACNEFFACLW)*iLE)*iWE));
      GFACNUD_p = ((((model_.GFACNUDO)+((model_.GFACNUDL)*pow(iLE,(model_.GFACNUDLEXP))))+((model_.GFACNUDW)*iWE))+(((model_.GFACNUDLW)*iLE)*iWE));
      VSBNUD_p = (model_.VSBNUDO);
      DVSBNUD_p = (model_.DVSBNUDO);
      VNSUB_p = (model_.VNSUBO);
      NSLP_p = (model_.NSLPO);
      DNSUB_p = (model_.DNSUBO);
      DPHIB_p = ((((model_.DPHIBO)+((model_.DPHIBL)*pow(iLE,(model_.DPHIBLEXP))))+((model_.DPHIBW)*iWE))+(((model_.DPHIBLW)*iLE)*iWE));
      DELVTAC_p = ((((model_.DELVTACO)+((model_.DELVTACL)*pow(iLE,(model_.DELVTACLEXP))))+((model_.DELVTACW)*iWE))+(((model_.DELVTACLW)*iLE)*iWE));
      NP_p = ((model_.NPO)*((1e-6>(1.0+((model_.NPL)*iLE)))?1e-6:(1.0+((model_.NPL)*iLE))));
      CT_p = ((((model_.CTO)+((model_.CTL)*pow(iLE,(model_.CTLEXP))))*(1.0+((model_.CTW)*iWE)))*(1.0+(((model_.CTLW)*iLE)*iWE)));
      TOXOV_p = (model_.TOXOVO);
      TOXOVD_p = (model_.TOXOVDO);
      NOV_p = (model_.NOVO);
      NOVD_p = (model_.NOVDO);
      CF_p = (((model_.CFL)*pow(iLE,(model_.CFLEXP)))*(1.0+((model_.CFW)*iWE)));
      CFB_p = (model_.CFBO);
      FBET1e = ((model_.FBET1)*(1.0+((model_.FBET1W)*iWE)));
      LP1e = ((model_.LP1_i)*(((1.0+((model_.LP1W)*iWE))>1.0E-03)?(1.0+((model_.LP1W)*iWE)):1.0E-03));
      GPE = ((1.0+(((FBET1e*LP1e)/LE)*(1.0-exp(((-LE)/LP1e)))))+((((model_.FBET2)*(model_.LP2_i))/LE)*(1.0-exp(((-LE)/(model_.LP2_i))))));
      GPE = ((GPE>1e-15)?GPE:1e-15);
      GWE = ((1.0+((model_.BETW1)*iWE))+(((model_.BETW2)*iWE)*log((1.0+(WE/(model_.WBET_i))))));
      BETN_p = ((((model_.UO)*WE)/(GPE*LE))*GWE);
      STBET_p = ((((model_.STBETO)+((model_.STBETL)*iLE))+((model_.STBETW)*iWE))+(((model_.STBETLW)*iLE)*iWE));
      MUE_p = ((model_.MUEO)*(1.0+((model_.MUEW)*iWE)));
      STMUE_p = (model_.STMUEO);
      THEMU_p = (model_.THEMUO);
      STTHEMU_p = (model_.STTHEMUO);
      CS_p = ((((model_.CSO)+((model_.CSL)*pow(iLE,(model_.CSLEXP))))*(1.0+((model_.CSW)*iWE)))*(1.0+(((model_.CSLW)*iLE)*iWE)));
      STCS_p = (model_.STCSO);
      XCOR_p = ((((model_.XCORO)*(1.0+((model_.XCORL)*iLE)))*(1.0+((model_.XCORW)*iWE)))*(1.0+(((model_.XCORLW)*iLE)*iWE)));
      STXCOR_p = (model_.STXCORO);
      FETA_p = (model_.FETAO);
      RS_p = (((model_.RSW1)*iWE)*(1.0+((model_.RSW2)*iWE)));
      STRS_p = (model_.STRSO);
      RSB_p = (model_.RSBO);
      RSG_p = (model_.RSGO);
      THESAT_p = ((((model_.THESATO)+((((model_.THESATL)*GWE)/GPE)*pow(iLE,(model_.THESATLEXP))))*(1.0+((model_.THESATW)*iWE)))*(1.0+(((model_.THESATLW)*iLE)*iWE)));
      STTHESAT_p = ((((model_.STTHESATO)+((model_.STTHESATL)*iLE))+((model_.STTHESATW)*iWE))+(((model_.STTHESATLW)*iLE)*iWE));
      THESATB_p = (model_.THESATBO);
      THESATG_p = (model_.THESATGO);
      AX_p = ((model_.AXO)/(1.0+((model_.AXL_i)*iLE)));
      ALP_p = (((model_.ALPL)*pow(iLE,(model_.ALPLEXP)))*(1.0+((model_.ALPW)*iWE)));
      tmpx = pow(iLE,(model_.ALP1LEXP));
      ALP1_p = ((((model_.ALP1L1)*tmpx)*(1.0+((model_.ALP1W)*iWE)))/(1.0+(((model_.ALP1L2_i)*iLE)*tmpx)));
      tmpx = pow(iLE,(model_.ALP2LEXP));
      ALP2_p = ((((model_.ALP2L1)*tmpx)*(1.0+((model_.ALP2W)*iWE)))/(1.0+(((model_.ALP2L2_i)*iLE)*tmpx)));
      VP_p = (model_.VPO);
      A1_p = (((model_.A1O)*(1.0+((model_.A1L)*iLE)))*(1.0+((model_.A1W)*iWE)));
      A2_p = (model_.A2O);
      STA2_p = (model_.STA2O);
      A3_p = (((model_.A3O)*(1.0+((model_.A3L)*iLE)))*(1.0+((model_.A3W)*iWE)));
      A4_p = (((model_.A4O)*(1.0+((model_.A4L)*iLE)))*(1.0+((model_.A4W)*iWE)));
      GCO_p = (model_.GCOO);
      IGINV_p = ((model_.IGINVLW)/(iWE*iLE));
      IGOV_p = (((model_.IGOVW)*(model_.LOV_i))/(LEN*iWE));
      IGOVD_p = (((model_.IGOVDW)*(model_.LOVD_i))/(LEN*iWE));
      STIG_p = (model_.STIGO);
      GC2_p = (model_.GC2O);
      GC3_p = (model_.GC3O);
      CHIB_p = (model_.CHIBO);
      AGIDL_p = (((model_.AGIDLW)*(model_.LOV_i))/(LEN*iWE));
      AGIDLD_p = (((model_.AGIDLDW)*(model_.LOVD_i))/(LEN*iWE));
      BGIDL_p = (model_.BGIDLO);
      BGIDLD_p = (model_.BGIDLDO);
      STBGIDL_p = (model_.STBGIDLO);
      STBGIDLD_p = (model_.STBGIDLDO);
      CGIDL_p = (model_.CGIDLO);
      CGIDLD_p = (model_.CGIDLDO);
      COX_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*LEcv)/(model_.TOXO_i));
      CGOV_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*(model_.LOV_i))/(model_.TOXOVO_i));
      CGOVD_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*(model_.LOVD_i))/(model_.TOXOVDO_i));
      CGBOV_p = (((model_.CGBOVL)*Lcv)/LEN);
      CFR_p = (((model_.CFRW)*Wcv)/WEN);
      CFRD_p = (((model_.CFRDW)*Wcv)/WEN);
      temp0 = (1.0-(((2.0*(model_.LINTNOI))*iLE)/LEN));
      Lnoi = ((temp0>1.0e-3)?temp0:1.0e-3);
      Lred = (1.0/pow(Lnoi,(model_.ALPNOI)));
      FNT_p = (model_.FNTO);
      NFA_p = (((Lred*iWE)*iLE)*(model_.NFALW));
      NFB_p = (((Lred*iWE)*iLE)*(model_.NFBLW));
      NFC_p = (((Lred*iWE)*iLE)*(model_.NFCLW));
      EF_p = (model_.EFO);
      KVTHOWE = ((((model_.KVTHOWEO)+((model_.KVTHOWEL)*iLE))+((model_.KVTHOWEW)*iWE))+(((model_.KVTHOWELW)*iLE)*iWE));
      KUOWE = ((((model_.KUOWEO)+((model_.KUOWEL)*iLE))+((model_.KUOWEW)*iWE))+(((model_.KUOWELW)*iLE)*iWE));
    }
    if (((model_.SWGEO_i)==2))
    {
      iLEWE = (iLE*iWE);
      iiLE = (LE/LEN);
      iiWE = (WE/WEN);
      iiLEWE = (iiLE*iiWE);
      iiiLEWE = (iiWE/iiLE);
      iiLEcv = (LEcv/LEN);
      iiWEcv = (WEcv/WEN);
      iiLEWEcv = (iiLEcv*iiWEcv);
      iLEcv = (LEN/LEcv);
      iiiLEWEcv = (iiWEcv/iiLEcv);
      iiLcv = (Lcv/LEN);
      iiWcv = (Wcv/WEN);
      iiLWcv = (iiLcv*iiWcv);
      iLcv = (LEN/Lcv);
      iiiLWcv = (iiWcv/iiLcv);
      VFB_p = ((((model_.POVFB)+(iLE*(model_.PLVFB)))+(iWE*(model_.PWVFB)))+(iLEWE*(model_.PLWVFB)));
      STVFB_p = ((((model_.POSTVFB)+(iLE*(model_.PLSTVFB)))+(iWE*(model_.PWSTVFB)))+(iLEWE*(model_.PLWSTVFB)));
      TOX_p = (model_.POTOX);
      EPSROX_p = (model_.POEPSROX);
      NEFF_p = ((((model_.PONEFF)+(iLE*(model_.PLNEFF)))+(iWE*(model_.PWNEFF)))+(iLEWE*(model_.PLWNEFF)));
      FACNEFFAC_p = ((((model_.POFACNEFFAC)+(iLE*(model_.PLFACNEFFAC)))+(iWE*(model_.PWFACNEFFAC)))+(iLEWE*(model_.PLWFACNEFFAC)));
      GFACNUD_p = ((((model_.POGFACNUD)+((model_.PLGFACNUD)*iLE))+((model_.PWGFACNUD)*iWE))+(((model_.PLWGFACNUD)*iLE)*iWE));
      VSBNUD_p = (model_.POVSBNUD);
      DVSBNUD_p = (model_.PODVSBNUD);
      VNSUB_p = (model_.POVNSUB);
      NSLP_p = (model_.PONSLP);
      DNSUB_p = (model_.PODNSUB);
      DPHIB_p = ((((model_.PODPHIB)+(iLE*(model_.PLDPHIB)))+(iWE*(model_.PWDPHIB)))+(iLEWE*(model_.PLWDPHIB)));
      DELVTAC_p = ((((model_.PODELVTAC)+(iLE*(model_.PLDELVTAC)))+(iWE*(model_.PWDELVTAC)))+(iLEWE*(model_.PLWDELVTAC)));
      NP_p = ((((model_.PONP)+(iLE*(model_.PLNP)))+(iWE*(model_.PWNP)))+(iLEWE*(model_.PLWNP)));
      CT_p = ((((model_.POCT)+(iLE*(model_.PLCT)))+(iWE*(model_.PWCT)))+(iLEWE*(model_.PLWCT)));
      TOXOV_p = (model_.POTOXOV);
      TOXOVD_p = (model_.POTOXOVD);
      NOV_p = ((((model_.PONOV)+(iLE*(model_.PLNOV)))+(iWE*(model_.PWNOV)))+(iLEWE*(model_.PLWNOV)));
      NOVD_p = ((((model_.PONOVD)+(iLE*(model_.PLNOVD)))+(iWE*(model_.PWNOVD)))+(iLEWE*(model_.PLWNOVD)));
      CF_p = ((((model_.POCF)+(iLE*(model_.PLCF)))+(iWE*(model_.PWCF)))+(iLEWE*(model_.PLWCF)));
      CFB_p = (model_.POCFB);
      BETN_p = ((iiWE*iLE)*((((model_.POBETN)+(iLE*(model_.PLBETN)))+(iWE*(model_.PWBETN)))+(iLEWE*(model_.PLWBETN))));
      STBET_p = ((((model_.POSTBET)+(iLE*(model_.PLSTBET)))+(iWE*(model_.PWSTBET)))+(iLEWE*(model_.PLWSTBET)));
      MUE_p = ((((model_.POMUE)+(iLE*(model_.PLMUE)))+(iWE*(model_.PWMUE)))+(iLEWE*(model_.PLWMUE)));
      STMUE_p = (model_.POSTMUE);
      THEMU_p = (model_.POTHEMU);
      STTHEMU_p = (model_.POSTTHEMU);
      CS_p = ((((model_.POCS)+(iLE*(model_.PLCS)))+(iWE*(model_.PWCS)))+(iLEWE*(model_.PLWCS)));
      STCS_p = (model_.POSTCS);
      XCOR_p = ((((model_.POXCOR)+(iLE*(model_.PLXCOR)))+(iWE*(model_.PWXCOR)))+(iLEWE*(model_.PLWXCOR)));
      STXCOR_p = (model_.POSTXCOR);
      FETA_p = (model_.POFETA);
      RS_p = ((((model_.PORS)+(iLE*(model_.PLRS)))+(iWE*(model_.PWRS)))+(iLEWE*(model_.PLWRS)));
      STRS_p = (model_.POSTRS);
      RSB_p = (model_.PORSB);
      RSG_p = (model_.PORSG);
      THESAT_p = ((((model_.POTHESAT)+(iLE*(model_.PLTHESAT)))+(iWE*(model_.PWTHESAT)))+(iLEWE*(model_.PLWTHESAT)));
      STTHESAT_p = ((((model_.POSTTHESAT)+(iLE*(model_.PLSTTHESAT)))+(iWE*(model_.PWSTTHESAT)))+(iLEWE*(model_.PLWSTTHESAT)));
      THESATB_p = ((((model_.POTHESATB)+(iLE*(model_.PLTHESATB)))+(iWE*(model_.PWTHESATB)))+(iLEWE*(model_.PLWTHESATB)));
      THESATG_p = ((((model_.POTHESATG)+(iLE*(model_.PLTHESATG)))+(iWE*(model_.PWTHESATG)))+(iLEWE*(model_.PLWTHESATG)));
      AX_p = ((((model_.POAX)+(iLE*(model_.PLAX)))+(iWE*(model_.PWAX)))+(iLEWE*(model_.PLWAX)));
      ALP_p = ((((model_.POALP)+(iLE*(model_.PLALP)))+(iWE*(model_.PWALP)))+(iLEWE*(model_.PLWALP)));
      ALP1_p = ((((model_.POALP1)+(iLE*(model_.PLALP1)))+(iWE*(model_.PWALP1)))+(iLEWE*(model_.PLWALP1)));
      ALP2_p = ((((model_.POALP2)+(iLE*(model_.PLALP2)))+(iWE*(model_.PWALP2)))+(iLEWE*(model_.PLWALP2)));
      VP_p = (model_.POVP);
      A1_p = ((((model_.POA1)+(iLE*(model_.PLA1)))+(iWE*(model_.PWA1)))+(iLEWE*(model_.PLWA1)));
      A2_p = (model_.POA2);
      STA2_p = (model_.POSTA2);
      A3_p = ((((model_.POA3)+(iLE*(model_.PLA3)))+(iWE*(model_.PWA3)))+(iLEWE*(model_.PLWA3)));
      A4_p = ((((model_.POA4)+(iLE*(model_.PLA4)))+(iWE*(model_.PWA4)))+(iLEWE*(model_.PLWA4)));
      GCO_p = (model_.POGCO);
      IGINV_p = ((((model_.POIGINV)+(iiLE*(model_.PLIGINV)))+(iiWE*(model_.PWIGINV)))+(iiLEWE*(model_.PLWIGINV)));
      IGOV_p = ((((model_.POIGOV)+(iLE*(model_.PLIGOV)))+(iiWE*(model_.PWIGOV)))+(iiiLEWE*(model_.PLWIGOV)));
      IGOVD_p = ((((model_.POIGOVD)+(iLE*(model_.PLIGOVD)))+(iiWE*(model_.PWIGOVD)))+(iiiLEWE*(model_.PLWIGOVD)));
      STIG_p = (model_.POSTIG);
      GC2_p = (model_.POGC2);
      GC3_p = (model_.POGC3);
      CHIB_p = (model_.POCHIB);
      AGIDL_p = ((((model_.POAGIDL)+(iLE*(model_.PLAGIDL)))+(iiWE*(model_.PWAGIDL)))+(iiiLEWE*(model_.PLWAGIDL)));
      AGIDLD_p = ((((model_.POAGIDLD)+(iLE*(model_.PLAGIDLD)))+(iiWE*(model_.PWAGIDLD)))+(iiiLEWE*(model_.PLWAGIDLD)));
      BGIDL_p = (model_.POBGIDL);
      BGIDLD_p = (model_.POBGIDLD);
      STBGIDL_p = (model_.POSTBGIDL);
      STBGIDLD_p = (model_.POSTBGIDLD);
      CGIDL_p = (model_.POCGIDL);
      CGIDLD_p = (model_.POCGIDLD);
      COX_p = ((((model_.POCOX)+(iiLEcv*(model_.PLCOX)))+(iiWEcv*(model_.PWCOX)))+(iiLEWEcv*(model_.PLWCOX)));
      CGOV_p = ((((model_.POCGOV)+(iLEcv*(model_.PLCGOV)))+(iiWEcv*(model_.PWCGOV)))+(iiiLEWEcv*(model_.PLWCGOV)));
      CGOVD_p = ((((model_.POCGOVD)+(iLEcv*(model_.PLCGOVD)))+(iiWEcv*(model_.PWCGOVD)))+(iiiLEWEcv*(model_.PLWCGOVD)));
      CGBOV_p = ((((model_.POCGBOV)+(iiLcv*(model_.PLCGBOV)))+(iiWcv*(model_.PWCGBOV)))+(iiLWcv*(model_.PLWCGBOV)));
      CFR_p = ((((model_.POCFR)+(iLcv*(model_.PLCFR)))+(iiWcv*(model_.PWCFR)))+(iiiLWcv*(model_.PLWCFR)));
      CFRD_p = ((((model_.POCFRD)+(iLcv*(model_.PLCFRD)))+(iiWcv*(model_.PWCFRD)))+(iiiLWcv*(model_.PLWCFRD)));
      FNT_p = (model_.POFNT);
      NFA_p = ((((model_.PONFA)+(iLE*(model_.PLNFA)))+(iWE*(model_.PWNFA)))+(iLEWE*(model_.PLWNFA)));
      NFB_p = ((((model_.PONFB)+(iLE*(model_.PLNFB)))+(iWE*(model_.PWNFB)))+(iLEWE*(model_.PLWNFB)));
      NFC_p = ((((model_.PONFC)+(iLE*(model_.PLNFC)))+(iWE*(model_.PWNFC)))+(iLEWE*(model_.PLWNFC)));
      EF_p = (model_.POEF);
      KVTHOWE = ((((model_.POKVTHOWE)+(iLE*(model_.PLKVTHOWE)))+(iWE*(model_.PWKVTHOWE)))+(iLEWE*(model_.PLWKVTHOWE)));
      KUOWE = ((((model_.POKUOWE)+(iLE*(model_.PLKUOWE)))+(iWE*(model_.PWKUOWE)))+(iLEWE*(model_.PLWKUOWE)));
    }
    if ((((model_.SWGEO_i)==1)||((model_.SWGEO_i)==2)))
    {
      RG_p = (((((model_.RSHG_i)*(((3.3333333333333333e-01*W_f)/NGCON_i)+XGWE))/(NGCON_i*L_slif))+(((model_.RINT_i)+(model_.RVPOLY_i))/(W_f*L_f)))+(NF_i*(model_.RGO)));
      if (((model_.SWJUNASYM)==0))
      {
        (model_.RSHD_i) = (model_.RSH_i);
      }
      RSE_p = (NRS*(model_.RSH_i));
      RDE_p = (NRD*(model_.RSHD_i));
      RWELL_p = (NF_i*(model_.RWELLO));
      RBULK_p = (NF_i*(model_.RBULKO));
      RJUNS_p = (NF_i*(model_.RJUNSO));
      RJUND_p = (NF_i*(model_.RJUNDO));
      tmpa = 0.0;
      tmpb = 0.0;
      loop = 0.0;
      if ((((SA_i>0.0)&&(SB_i>0.0))&&((NF_i==1.0)||((NF_i>1.0)&&(SD_i>0.0)))))
      {
        while ((loop<(NF_i-0.5)))
        {
          tmpa = (tmpa+(1.0/((SA_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          tmpb = (tmpb+(1.0/((SB_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          loop = (loop+1.0);
        }
        Invsa = (tmpa*invNF);
        Invsb = (tmpb*invNF);
        Invsaref = (1.0/((model_.SAREF_i)+(0.5*L_i)));
        Invsbref = (1.0/((model_.SBREF_i)+(0.5*L_i)));
        Lx = (((L_i+delLPS)>1e-9)?(L_i+delLPS):1e-9);
        Wx = ((((W_i+delWOD)+(model_.WLOD))>1e-9)?((W_i+delWOD)+(model_.WLOD)):1e-9);
        templ = (1.0/pow(Lx,(model_.LLODKUO_i)));
        tempw = (1.0/pow(Wx,(model_.WLODKUO_i)));
        Kstressu0 = ((((1.0+((model_.LKUO)*templ))+((model_.WKUO)*tempw))+(((model_.PKUO)*templ)*tempw))*(1.0+((model_.TKUO)*((model_.rT)-1.0))));
        rhobeta = (((model_.KUO)*(Invsa+Invsb))/Kstressu0);
        rhobetaref = (((model_.KUO)*(Invsaref+Invsbref))/Kstressu0);
        templ = (1.0/pow(Lx,(model_.LLODVTH_i)));
        tempw = (1.0/pow(Wx,(model_.WLODVTH_i)));
        Kstressvth0 = (((1.0+((model_.LKVTHO)*templ))+((model_.WKVTHO)*tempw))+(((model_.PKVTHO)*templ)*tempw));
        temp0 = (((Invsa+Invsb)-Invsaref)-Invsbref);
        BETN_p = ((BETN_p*(1.0+rhobeta))/(1.0+rhobetaref));
        THESAT_p = (((THESAT_p*(1.0+rhobeta))*(1.0+((model_.KVSAT_i)*rhobetaref)))/((1.0+rhobetaref)*(1.0+((model_.KVSAT_i)*rhobeta))));
        VFB_p = (VFB_p+(((model_.KVTHO)*temp0)/Kstressvth0));
        CF_p = (CF_p+(((model_.STETAO)*temp0)/pow(Kstressvth0,(model_.LODETAO_i))));
      }
      if (((((SCA_i>0.0)||(SCB_i>0.0))||(SCC_i>0.0))||(SC_i>0.0)))
      {
        if ((((SCA_i==0.0)&&(SCB_i==0.0))&&(SCC_i==0.0)))
        {
          temp0 = (SC_i+W_i);
          temp00 = (1.0/(model_.SCREF_i));
          SCA_i = (((model_.SCREF_i)*(model_.SCREF_i))/(SC_i*temp0));
          SCB_i = (((((0.1*SC_i)+(0.01*(model_.SCREF_i)))*exp((((-10.0)*SC_i)*temp00)))-(((0.1*temp0)+(0.01*(model_.SCREF_i)))*exp((((-10.0)*temp0)*temp00))))/W_i);
          SCC_i = (((((0.05*SC_i)+(0.0025*(model_.SCREF_i)))*exp((((-20.0)*SC_i)*temp00)))-(((0.05*temp0)+(0.0025*(model_.SCREF_i)))*exp((((-20.0)*temp0)*temp00))))/W_i);
        }
        temp0 = ((SCA_i+((model_.WEB_i)*SCB_i))+((model_.WEC_i)*SCC_i));
        VFB_p = (VFB_p+(KVTHOWE*temp0));
        BETN_p = (BETN_p*(1.0+(KUOWE*temp0)));
      }
    }
    VFB_i = VFB_p;
    STVFB_i = STVFB_p;
    TOX_i = ((TOX_p>1e-10)?TOX_p:1e-10);
    EPSROX_i = ((EPSROX_p>1.0)?EPSROX_p:1.0);
    NEFF_i = ((NEFF_p>1e20)?((NEFF_p<1e26)?NEFF_p:1e26):1e20);
    FACNEFFAC_i = ((FACNEFFAC_p>0.0)?FACNEFFAC_p:0.0);
    GFACNUD_i = ((GFACNUD_p>0.01)?GFACNUD_p:0.01);
    VSBNUD_i = ((VSBNUD_p>0.0)?VSBNUD_p:0.0);
    DVSBNUD_i = ((DVSBNUD_p>0.1)?DVSBNUD_p:0.1);
    VNSUB_i = VNSUB_p;
    NSLP_i = ((NSLP_p>1e-3)?NSLP_p:1e-3);
    DNSUB_i = ((DNSUB_p>0.0)?((DNSUB_p<1.0)?DNSUB_p:1.0):0.0);
    DPHIB_i = DPHIB_p;
    DELVTAC_i = DELVTAC_p;
    NP_i = ((NP_p>0.0)?NP_p:0.0);
    CT_i = ((CT_p>0.0)?CT_p:0.0);
    TOXOV_i = ((TOXOV_p>1e-10)?TOXOV_p:1e-10);
    TOXOVD_i = ((TOXOVD_p>1e-10)?TOXOVD_p:1e-10);
    NOV_i = ((NOV_p>1e20)?((NOV_p<1e27)?NOV_p:1e27):1e20);
    NOVD_i = ((NOVD_p>1e20)?((NOVD_p<1e27)?NOVD_p:1e27):1e20);
    CF_i = ((CF_p>0.0)?CF_p:0.0);
    CFB_i = ((CFB_p>0.0)?((CFB_p<1.0)?CFB_p:1.0):0.0);
    BETN_i = ((BETN_p>0.0)?BETN_p:0.0);
    STBET_i = STBET_p;
    MUE_i = ((MUE_p>0.0)?MUE_p:0.0);
    STMUE_i = STMUE_p;
    THEMU_i = ((THEMU_p>0.0)?THEMU_p:0.0);
    STTHEMU_i = STTHEMU_p;
    CS_i = ((CS_p>0.0)?CS_p:0.0);
    STCS_i = STCS_p;
    XCOR_i = ((XCOR_p>0.0)?XCOR_p:0.0);
    STXCOR_i = STXCOR_p;
    FETA_i = ((FETA_p>0.0)?FETA_p:0.0);
    RS_i = ((RS_p>0.0)?RS_p:0.0);
    STRS_i = STRS_p;
    RSB_i = ((RSB_p>(-0.5))?((RSB_p<1.0)?RSB_p:1.0):(-0.5));
    RSG_i = ((RSG_p>(-0.5))?RSG_p:(-0.5));
    THESAT_i = ((THESAT_p>0.0)?THESAT_p:0.0);
    STTHESAT_i = STTHESAT_p;
    THESATB_i = ((THESATB_p>(-0.5))?((THESATB_p<1.0)?THESATB_p:1.0):(-0.5));
    THESATG_i = ((THESATG_p>(-0.5))?THESATG_p:(-0.5));
    AX_i = ((AX_p>2.0)?AX_p:2.0);
    ALP_i = ((ALP_p>0.0)?ALP_p:0.0);
    ALP1_i = ((ALP1_p>0.0)?ALP1_p:0.0);
    ALP2_i = ((ALP2_p>0.0)?ALP2_p:0.0);
    VP_i = ((VP_p>1.0e-10)?VP_p:1.0e-10);
    A1_i = ((A1_p>0.0)?A1_p:0.0);
    A2_i = ((A2_p>0.0)?A2_p:0.0);
    STA2_i = STA2_p;
    A3_i = ((A3_p>0.0)?A3_p:0.0);
    A4_i = ((A4_p>0.0)?A4_p:0.0);
    GCO_i = ((GCO_p>(-10.0))?((GCO_p<10.0)?GCO_p:10.0):(-10.0));
    IGINV_i = ((IGINV_p>0.0)?IGINV_p:0.0);
    IGOV_i = ((IGOV_p>0.0)?IGOV_p:0.0);
    IGOVD_i = ((IGOVD_p>0.0)?IGOVD_p:0.0);
    STIG_i = STIG_p;
    GC2_i = ((GC2_p>0.0)?((GC2_p<10.0)?GC2_p:10.0):0.0);
    GC3_i = ((GC3_p>(-10.0))?((GC3_p<10.0)?GC3_p:10.0):(-10.0));
    CHIB_i = ((CHIB_p>1.0)?CHIB_p:1.0);
    AGIDL_i = ((AGIDL_p>0.0)?AGIDL_p:0.0);
    AGIDLD_i = ((AGIDLD_p>0.0)?AGIDLD_p:0.0);
    BGIDL_i = ((BGIDL_p>0.0)?BGIDL_p:0.0);
    BGIDLD_i = ((BGIDLD_p>0.0)?BGIDLD_p:0.0);
    STBGIDL_i = STBGIDL_p;
    STBGIDLD_i = STBGIDLD_p;
    CGIDL_i = CGIDL_p;
    CGIDLD_i = CGIDLD_p;
    COX_i = ((COX_p>0.0)?COX_p:0.0);
    CGOV_i = ((CGOV_p>0.0)?CGOV_p:0.0);
    CGOVD_i = ((CGOVD_p>0.0)?CGOVD_p:0.0);
    CGBOV_i = ((CGBOV_p>0.0)?CGBOV_p:0.0);
    CFR_i = ((CFR_p>0.0)?CFR_p:0.0);
    CFRD_i = ((CFRD_p>0.0)?CFRD_p:0.0);
    FNT_i = ((FNT_p>0.0)?FNT_p:0.0);
    NFA_i = ((NFA_p>0.0)?NFA_p:0.0);
    NFB_i = ((NFB_p>0.0)?NFB_p:0.0);
    NFC_i = ((NFC_p>0.0)?NFC_p:0.0);
    EF_i = ((EF_p>0.0)?EF_p:0.0);
    RG_i = ((RG_p>0.0)?RG_p:0.0);
    RSE_i = ((RSE_p>0.0)?RSE_p:0.0);
    RDE_i = ((RDE_p>0.0)?RDE_p:0.0);
    RBULK_i = ((RBULK_p>0.0)?RBULK_p:0.0);
    RJUNS_i = ((RJUNS_p>0.0)?RJUNS_p:0.0);
    RJUND_i = ((RJUND_p>0.0)?RJUND_p:0.0);
    RWELL_i = ((RWELL_p>0.0)?RWELL_p:0.0);
    MULT_i = (((MULT*NF_i)>0.0)?(MULT*NF_i):0.0);
    FACTUO_i = ((FACTUO>0.0)?FACTUO:0.0);
    DELVTO_i = DELVTO;
    if (((model_.SWJUNASYM_i)==0))
    {
      TOXOVD_i = TOXOV_i;
      NOVD_i = NOV_i;
      AGIDLD_i = AGIDL_i;
      BGIDLD_i = BGIDL_i;
      STBGIDLD_i = STBGIDL_i;
      CGIDLD_i = CGIDL_i;
      IGOVD_i = IGOV_i;
      CGOVD_i = CGOV_i;
      CFRD_i = CFR_i;
    }
    EPSOX = (8.8541878176E-12*EPSROX_i);
    phit1 = ((model_.phit)*(1.0+(CT_i*(model_.rTn))));
    inv_phit1 = (1.0/phit1);
    VFB_i = ((VFB_i+(STVFB_i*(model_.dT)))+DELVTO_i);
    phib_dc = (((model_.Eg)+DPHIB_i)+((2.0*(model_.phit))*log(((NEFF_i*pow((model_.phibFac),(-0.75)))*4.0e-26))));
    phib_dc = ((phib_dc>5.0E-2)?phib_dc:5.0E-2);
    CoxPrime = (EPSOX/TOX_i);
    tox_sq = (TOX_i*TOX_i);
    G_0_dc = (sqrt(((((2.0*1.6021918E-19)*NEFF_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxPrime);
    kp = 0.0;
    if ((NP_i>0.0))
    {
      arg2max = (8.0e7/tox_sq);
      np = ((NP_i>arg2max)?NP_i:arg2max);
      np = ((5.0e24>np)?5.0e24:np);
      kp = ((((2.0*CoxPrime)*CoxPrime)*(model_.phit))/((1.6021918E-19*np)*(model_.EPSSI)));
    }
    qlim2 = ((100.0*(model_.phit))*(model_.phit));
    qq = 0.0;
    if (((model_.QMC_i)>0.0))
    {
      qq = (((0.4*5.951993)*(model_.QMC_i))*pow(CoxPrime,6.6666666666666667e-01));
      if (((model_.CHNL_TYPE)==(-1)))
      {
        qq = ((7.448711/5.951993)*qq);
      }
      qb0 = sqrt(((((model_.phit)*G_0_dc)*G_0_dc)*phib_dc));
      dphibq = ((0.75*qq)*pow(qb0,6.6666666666666667e-01));
      phib_dc = (phib_dc+dphibq);
      G_0_dc = (G_0_dc*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    sqrt_phib_dc = sqrt(phib_dc);
    phix_dc = (0.95*phib_dc);
    aphi_dc = ((0.0025*phib_dc)*phib_dc);
    bphi_dc = aphi_dc;
    phix2 = (0.5*sqrt(bphi_dc));
    phix1_dc = (0.5*(((phix_dc-phix2))-sqrt(((((phix_dc-phix2))*((phix_dc-phix2)))+aphi_dc))));
    us1 = (sqrt((VSBNUD_i+phib_dc))-sqrt_phib_dc);
    us21 = ((sqrt(((VSBNUD_i+DVSBNUD_i)+phib_dc))-sqrt_phib_dc)-us1);
    CoxovPrime = (EPSOX/TOXOV_i);
    CoxovPrime_d = (EPSOX/TOXOVD_i);
    GOV_s = (sqrt(((((2.0*1.6021918E-19)*NOV_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxovPrime);
    GOV_d = (sqrt(((((2.0*1.6021918E-19)*NOVD_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxovPrime_d);
    GOV2_s = (GOV_s*GOV_s);
    GOV2_d = (GOV_d*GOV_d);
    xi_ov_s = (1.0+(GOV_s*7.0710678118654746e-01));
    xi_ov_d = (1.0+(GOV_d*7.0710678118654746e-01));
    inv_xi_ov_s = (1.0/xi_ov_s);
    inv_xi_ov_d = (1.0/xi_ov_d);
    x_mrg_ov_s = (1.0e-5*xi_ov_s);
    x_mrg_ov_d = (1.0e-5*xi_ov_d);
    tf_bet = pow((model_.rTn),STBET_i);
    BETN_i = (BETN_i*tf_bet);
    BET_i = ((FACTUO_i*BETN_i)*CoxPrime);
    THEMU_i = (THEMU_i*pow((model_.rTn),STTHEMU_i));
    tf_mue = pow((model_.rTn),STMUE_i);
    MUE_i = (MUE_i*tf_mue);
    tf_cs = pow((model_.rTn),STCS_i);
    CS_i = (CS_i*tf_cs);
    tf_xcor = pow((model_.rTn),STXCOR_i);
    XCOR_i = (XCOR_i*tf_xcor);
    E_eff0 = ((1.0e-8*CoxPrime)/(model_.EPSSI));
    eta_mu = (0.5*FETA_i);
    eta_mu1 = 0.5;
    if (((model_.CHNL_TYPE)==(-1)))
    {
      eta_mu = (3.3333333333333333e-01*FETA_i);
      eta_mu1 = 3.3333333333333333e-01;
    }
    tf_ther = pow((model_.rTn),STRS_i);
    RS_i = (RS_i*tf_ther);
    THER_i = ((2*BET_i)*RS_i);
    tf_thesat = pow((model_.rTn),STTHESAT_i);
    THESAT_i = (THESAT_i*tf_thesat);
    Vdsat_lim = (3.912023005*phit1);
    inv_AX = (1.0/AX_i);
    inv_VP = (1.0/VP_i);
    A2_i = (A2_i*pow((model_.rT),STA2_i));
    tf_ig = pow((model_.rT),STIG_i);
    IGINV_i = (IGINV_i*tf_ig);
    IGOV_i = (IGOV_i*tf_ig);
    IGOVD_i = (IGOVD_i*tf_ig);
    inv_CHIB = (1.0/CHIB_i);
    tempM = (((4.0*3.3333333333333333e-01)*sqrt((((2*1.6021918E-19)*9.1093826E-31)*CHIB_i)))/1.05457168E-34);
    BCH = (tempM*TOX_i);
    BOV = (tempM*TOXOV_i);
    BOV_d = (tempM*TOXOVD_i);
    GCQ = 0;
    if ((GC3_i<0))
    {
      GCQ = (((-0.495)*GC2_i)/GC3_i);
    }
    alpha_b = (0.5*(phib_dc+(model_.Eg)));
    Dch = (GCO_i*phit1);
    Dov = (GCO_i*(model_.phit));
    AGIDL_i = ((AGIDL_i*4e-18)/(TOXOV_i*TOXOV_i));
    AGIDLD_i = ((AGIDLD_i*4e-18)/(TOXOVD_i*TOXOVD_i));
    tempM = (((1.0+(STBGIDL_i*(model_.dT)))>0)?(1.0+(STBGIDL_i*(model_.dT))):0);
    BGIDL_i = (((BGIDL_i*tempM)*TOXOV_i)*5e8);
    tempM = (((1.0+(STBGIDLD_i*(model_.dT)))>0)?(1.0+(STBGIDLD_i*(model_.dT))):0);
    BGIDLD_i = (((BGIDLD_i*tempM)*TOXOVD_i)*5e8);
    nt = (((FNT_i*4)*1.3806505E-23)*(model_.TKD));
    Cox_over_q = (CoxPrime/1.6021918E-19);
    Sfl_prefac = ((((model_.phit)*(model_.phit))*BET_i)/Cox_over_q);
    x1 = 1.25;
    inv_xg1_s = (1.0/(x1+(GOV_s*7.324648775608221e-1)));
    inv_xg1_d = (1.0/(x1+(GOV_d*7.324648775608221e-1)));
    NEFFAC_i = (FACNEFFAC_i*NEFF_i);
    NEFFAC_i = ((NEFFAC_i>1e20)?((NEFFAC_i<1e26)?NEFFAC_i:1e26):1e20);
    phib_ac = ((((model_.Eg)+DPHIB_i)+DELVTAC_i)+((2.0*(model_.phit))*log(((NEFFAC_i*pow((model_.phibFac),(-0.75)))*4.0e-26))));
    phib_ac = ((phib_ac>5.0E-2)?phib_ac:5.0E-2);
    G_0_ac = (sqrt(((((2.0*1.6021918E-19)*NEFFAC_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxPrime);
    if (((model_.QMC_i)>0.0))
    {
      qb0 = sqrt(((((model_.phit)*G_0_ac)*G_0_ac)*phib_ac));
      dphibq = ((0.75*qq)*pow(qb0,6.6666666666666667e-01));
      phib_ac = (phib_ac+dphibq);
      G_0_ac = (G_0_ac*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    sqrt_phib_ac = sqrt(phib_ac);
    phix_ac = (0.95*phib_ac);
    aphi_ac = ((0.0025*phib_ac)*phib_ac);
    bphi_ac = aphi_ac;
    phix2 = (0.5*sqrt(bphi_ac));
    phix1_ac = (0.5*(((phix_ac-phix2))-sqrt(((((phix_ac-phix2))*((phix_ac-phix2)))+aphi_ac))));
    if ((RG_i>0.0))
    {
      ggate = (1.0/RG_i);
    }
    else
    {
      ggate = 0.0;
    }
    if ((RSE_i>0.0))
    {
      gsource = (1.0/RSE_i);
    }
    else
    {
      gsource = 0.0;
    }
    if ((RDE_i>0.0))
    {
      gdrain = (1.0/RDE_i);
    }
    else
    {
      gdrain = 0.0;
    }
    if ((RBULK_i>0.0))
    {
      gbulk = (1.0/RBULK_i);
    }
    else
    {
      gbulk = 0.0;
    }
    if ((RJUNS_i>0.0))
    {
      gjuns = (1.0/RJUNS_i);
    }
    else
    {
      gjuns = 0.0;
    }
    if ((RJUND_i>0.0))
    {
      gjund = (1.0/RJUND_i);
    }
    else
    {
      gjund = 0.0;
    }
    if ((RWELL_i>0.0))
    {
      gwell = (1.0/RWELL_i);
    }
    else
    {
      gwell = 0.0;
    }
    ABS_i = 0.0;
    LSS_i = 0.0;
    LGS_i = 0.0;
    ABD_i = 0.0;
    LSD_i = 0.0;
    LGD_i = 0.0;
    jwcorr = 0.0;
    jww = WE;
    if (((model_.SWGEO_i)==0))
    {
      jww = ((JW_i>0)?JW_i:0);
    }
    if (((model_.SWJUNCAP_i)==3))
    {
      jwcorr = 1.0;
    }
    ABS_i = (ABSOURCE_i*invNF);
    LSS_i = (LSSOURCE_i*invNF);
    LGS_i = (LGSOURCE_i*invNF);
    ABD_i = (ABDRAIN_i*invNF);
    LSD_i = (LSDRAIN_i*invNF);
    LGD_i = (LGDRAIN_i*invNF);
    if ((((model_.SWJUNCAP_i)==2)||((model_.SWJUNCAP_i)==3)))
    {
      ABS_i = (AS_i*invNF);
      LSS_i = ((PS_i*invNF)-(jwcorr*jww));
      LGS_i = jww;
      ABD_i = (AD_i*invNF);
      LSD_i = ((PD_i*invNF)-(jwcorr*jww));
      LGD_i = jww;
    }
    if (((((model_.SWJUNCAP_i)==1)||((model_.SWJUNCAP_i)==2))||((model_.SWJUNCAP_i)==3)))
    {
      ABSOURCE_i = ((ABS_i>0)?ABS_i:0);
      LSSOURCE_i = ((LSS_i>0)?LSS_i:0);
      LGSOURCE_i = ((LGS_i>0)?LGS_i:0);
      ABDRAIN_i = ((ABD_i>0)?ABD_i:0);
      LSDRAIN_i = ((LSD_i>0)?LSD_i:0);
      LGDRAIN_i = ((LGD_i>0)?LGD_i:0);
    }
    else
    {
      ABSOURCE_i = 0.0;
      LSSOURCE_i = 0.0;
      LGSOURCE_i = 0.0;
      ABDRAIN_i = 0.0;
      LSDRAIN_i = 0.0;
      LGDRAIN_i = 0.0;
    }
    vbimin_s = 0.0;
    vbimin_d = 0.0;
    vfmin_s = 0.0;
    vfmin_d = 0.0;
    vch_s = 0.0;
    vch_d = 0.0;
    vbbtlim_s = 0.0;
    vbbtlim_d = 0.0;
    VMAX_s = 0.0;
    VMAX_d = 0.0;
    exp_VMAX_over_phitd_s = 0.0;
    exp_VMAX_over_phitd_d = 0.0;
    vj = 0.0;
    idmult = 0.0;
    vjsrh = 0.0;
    zinv = 0.0;
    wdep = 0.0;
    wsrh = 0.0;
    asrh = 0.0;
    vav = 0.0;
    vbi_minus_vjsrh = 0.0;
    ISATFOR1_s = 0.0;
    ISATFOR1_d = 0.0;
    MFOR1_s = 1.0;
    MFOR1_d = 1.0;
    ISATFOR2_s = 0.0;
    ISATFOR2_d = 0.0;
    MFOR2_s = 1.0;
    MFOR2_d = 1.0;
    ISATREV_s = 0.0;
    ISATREV_d = 0.0;
    MREV_s = 1.0;
    MREV_d = 1.0;
    m0flag_s = 0.0;
    m0flag_d = 0.0;
    xhighf1_s = 0.0;
    xhighf1_d = 0.0;
    expxhf1_s = 0.0;
    expxhf1_d = 0.0;
    xhighf2_s = 0.0;
    xhighf2_d = 0.0;
    expxhf2_s = 0.0;
    expxhf2_d = 0.0;
    xhighr_s = 0.0;
    xhighr_d = 0.0;
    expxhr_s = 0.0;
    expxhr_d = 0.0;
    zflagbot_s = 1.0;
    zflagbot_d = 1.0;
    zflagsti_s = 1.0;
    zflagsti_d = 1.0;
    zflaggat_s = 1.0;
    zflaggat_d = 1.0;
    m0_rev = 0.0;
    mcor_rev = 0.0;
    I1_cor = 0.0;
    I2_cor = 0.0;
    I3_cor = 0.0;
    I4_cor = 0.0;
    I5_cor = 0.0;
    tt0 = 0.0;
    tt1 = 0.0;
    tt2 = 0.0;
    zfrac = 0.0;
    alphaje = 0.0;
    tmpv = 0.0;
    vjv = 0.0;
    ijun_s = 0.0;
    ijunbot_s = 0.0;
    ijunsti_s = 0.0;
    ijungat_s = 0.0;
    qjun_s = 0.0;
    qjunbot_s = 0.0;
    qjunsti_s = 0.0;
    qjungat_s = 0.0;
    ijun_d = 0.0;
    ijunbot_d = 0.0;
    ijunsti_d = 0.0;
    ijungat_d = 0.0;
    qjun_d = 0.0;
    qjunbot_d = 0.0;
    qjunsti_d = 0.0;
    qjungat_d = 0.0;
    if (((model_.SWJUNCAP_i)>0))
    {
      (model_.CJORBOT_i) = (model_.CJORBOTS_i);
      (model_.CJORSTI_i) = (model_.CJORSTIS_i);
      (model_.CJORGAT_i) = (model_.CJORGATS_i);
      (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
      (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
      (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
      (model_.PBOT_i) = (model_.PBOTS_i);
      (model_.PSTI_i) = (model_.PSTIS_i);
      (model_.PGAT_i) = (model_.PGATS_i);
      (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
      (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
      (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
      (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
      (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
      (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
      (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
      (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
      (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
      (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
      (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
      (model_.CTATBOT_i) = (model_.CTATBOTS_i);
      (model_.CTATSTI_i) = (model_.CTATSTIS_i);
      (model_.CTATGAT_i) = (model_.CTATGATS_i);
      (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
      (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
      (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
      (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
      (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
      (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
      (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
      (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
      (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
      (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
      (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
      (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
      (model_.VBRBOT_i) = (model_.VBRBOTS_i);
      (model_.VBRSTI_i) = (model_.VBRSTIS_i);
      (model_.VBRGAT_i) = (model_.VBRGATS_i);
      (model_.PBRBOT_i) = (model_.PBRBOTS_i);
      (model_.PBRSTI_i) = (model_.PBRSTIS_i);
      (model_.PBRGAT_i) = (model_.PBRGATS_i);
      (model_.VJUNREF_i) = (model_.VJUNREFS_i);
      (model_.FJUNQ_i) = (model_.FJUNQS_i);
      (model_.phigrbot) = (model_.phigrbot_s);
      (model_.phigrsti) = (model_.phigrsti_s);
      (model_.phigrgat) = (model_.phigrgat_s);
      (model_.phigdbot) = (model_.phigdbot_s);
      (model_.phigdsti) = (model_.phigdsti_s);
      (model_.phigdgat) = (model_.phigdgat_s);
      (model_.ftdbot) = (model_.ftdbot_s);
      (model_.ftdsti) = (model_.ftdsti_s);
      (model_.ftdgat) = (model_.ftdgat_s);
      (model_.idsatbot) = (model_.idsatbot_s);
      (model_.idsatsti) = (model_.idsatsti_s);
      (model_.idsatgat) = (model_.idsatgat_s);
      (model_.ubibot) = (model_.ubibot_s);
      (model_.ubisti) = (model_.ubisti_s);
      (model_.ubigat) = (model_.ubigat_s);
      (model_.vbibot) = (model_.vbibot_s);
      (model_.vbisti) = (model_.vbisti_s);
      (model_.vbigat) = (model_.vbigat_s);
      (model_.vbiinvbot) = (model_.vbiinvbot_s);
      (model_.vbiinvsti) = (model_.vbiinvsti_s);
      (model_.vbiinvgat) = (model_.vbiinvgat_s);
      (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
      (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
      (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
      (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
      (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
      (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
      (model_.cjobot) = (model_.cjobot_s);
      (model_.cjosti) = (model_.cjosti_s);
      (model_.cjogat) = (model_.cjogat_s);
      (model_.qprefbot) = (model_.qprefbot_s);
      (model_.qprefsti) = (model_.qprefsti_s);
      (model_.qprefgat) = (model_.qprefgat_s);
      (model_.qpref2bot) = (model_.qpref2bot_s);
      (model_.qpref2sti) = (model_.qpref2sti_s);
      (model_.qpref2gat) = (model_.qpref2gat_s);
      (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
      (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
      (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
      (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
      (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
      (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
      (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
      (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
      (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
      (model_.deltaEbot) = (model_.deltaEbot_s);
      (model_.deltaEsti) = (model_.deltaEsti_s);
      (model_.deltaEgat) = (model_.deltaEgat_s);
      (model_.atatbot) = (model_.atatbot_s);
      (model_.atatsti) = (model_.atatsti_s);
      (model_.atatgat) = (model_.atatgat_s);
      (model_.btatpartbot) = (model_.btatpartbot_s);
      (model_.btatpartsti) = (model_.btatpartsti_s);
      (model_.btatpartgat) = (model_.btatpartgat_s);
      (model_.fbbtbot) = (model_.fbbtbot_s);
      (model_.fbbtsti) = (model_.fbbtsti_s);
      (model_.fbbtgat) = (model_.fbbtgat_s);
      (model_.fbbtbot) = (model_.fbbtbot_s);
      (model_.fbbtsti) = (model_.fbbtsti_s);
      (model_.fbbtgat) = (model_.fbbtgat_s);
      (model_.fstopbot) = (model_.fstopbot_s);
      (model_.fstopsti) = (model_.fstopsti_s);
      (model_.fstopgat) = (model_.fstopgat_s);
      (model_.VBRinvbot) = (model_.VBRinvbot_s);
      (model_.VBRinvsti) = (model_.VBRinvsti_s);
      (model_.VBRinvgat) = (model_.VBRinvgat_s);
      (model_.slopebot) = (model_.slopebot_s);
      (model_.slopesti) = (model_.slopesti_s);
      (model_.slopegat) = (model_.slopegat_s);
      if ((((model_.idsatbot)*ABSOURCE_i)>0))
      {
        vmaxbot = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatbot)*ABSOURCE_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if ((((model_.idsatsti)*LSSOURCE_i)>0))
      {
        vmaxsti = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatsti)*LSSOURCE_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if ((((model_.idsatgat)*LGSOURCE_i)>0))
      {
        vmaxgat = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatgat)*LGSOURCE_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      VMAX_s = min(min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((VMAX_s*(model_.phitdinv)))<2.3025850929940458e+02))
      {
        exp_VMAX_over_phitd_s = exp((VMAX_s*(model_.phitdinv)));
      }
      else
      {
        if (((VMAX_s*(model_.phitdinv))<(-2.3025850929940458e+02)))
        {
          exp_VMAX_over_phitd_s = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*3.3333333333333333e-01))))))));
        }
        else
        {
          exp_VMAX_over_phitd_s = (1.0e100*(1.0+(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = (model_.vbibot);
      vbisti2 = (model_.vbisti);
      vbigat2 = (model_.vbigat);
      pbot2 = (model_.PBOT_i);
      psti2 = (model_.PSTI_i);
      pgat2 = (model_.PGAT_i);
      vbibot2r = (model_.VBIRBOT_i);
      vbisti2r = (model_.VBIRSTI_i);
      vbigat2r = (model_.VBIRGAT_i);
      if ((ABSOURCE_i==0))
      {
        vbibot2 = ((model_.vbisti)+(model_.vbigat));
        pbot2 = (0.9*min((model_.PSTI_i),(model_.PGAT_i)));
        vbibot2r = ((model_.VBIRSTI_i)+(model_.VBIRGAT_i));
      }
      if ((LSSOURCE_i==0))
      {
        vbisti2 = ((model_.vbibot)+(model_.vbigat));
        psti2 = (0.9*min((model_.PBOT_i),(model_.PGAT_i)));
        vbisti2r = ((model_.VBIRBOT_i)+(model_.VBIRGAT_i));
      }
      if ((LGSOURCE_i==0))
      {
        vbigat2 = ((model_.vbibot)+(model_.vbisti));
        pgat2 = (0.9*min((model_.PBOT_i),(model_.PSTI_i)));
        vbigat2r = ((model_.VBIRBOT_i)+(model_.VBIRSTI_i));
      }
      vbimin_s = min(min(vbibot2,vbisti2),vbigat2);
      vch_s = (vbimin_s*0.1);
      pmax = max(max(pbot2,psti2),pgat2);
      vfmin_s = (vbimin_s*(1-pow(2,((-1.0)/pmax))));
      vbbtlim_s = (min(min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      (model_.CJORBOT_i) = (model_.CJORBOTD_i);
      (model_.CJORSTI_i) = (model_.CJORSTID_i);
      (model_.CJORGAT_i) = (model_.CJORGATD_i);
      (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
      (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
      (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
      (model_.PBOT_i) = (model_.PBOTD_i);
      (model_.PSTI_i) = (model_.PSTID_i);
      (model_.PGAT_i) = (model_.PGATD_i);
      (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
      (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
      (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
      (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
      (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
      (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
      (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
      (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
      (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
      (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
      (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
      (model_.CTATBOT_i) = (model_.CTATBOTD_i);
      (model_.CTATSTI_i) = (model_.CTATSTID_i);
      (model_.CTATGAT_i) = (model_.CTATGATD_i);
      (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
      (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
      (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
      (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
      (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
      (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
      (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
      (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
      (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
      (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
      (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
      (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
      (model_.VBRBOT_i) = (model_.VBRBOTD_i);
      (model_.VBRSTI_i) = (model_.VBRSTID_i);
      (model_.VBRGAT_i) = (model_.VBRGATD_i);
      (model_.PBRBOT_i) = (model_.PBRBOTD_i);
      (model_.PBRSTI_i) = (model_.PBRSTID_i);
      (model_.PBRGAT_i) = (model_.PBRGATD_i);
      (model_.VJUNREF_i) = (model_.VJUNREFD_i);
      (model_.FJUNQ_i) = (model_.FJUNQD_i);
      (model_.phigrbot) = (model_.phigrbot_d);
      (model_.phigrsti) = (model_.phigrsti_d);
      (model_.phigrgat) = (model_.phigrgat_d);
      (model_.phigdbot) = (model_.phigdbot_d);
      (model_.phigdsti) = (model_.phigdsti_d);
      (model_.phigdgat) = (model_.phigdgat_d);
      (model_.ftdbot) = (model_.ftdbot_d);
      (model_.ftdsti) = (model_.ftdsti_d);
      (model_.ftdgat) = (model_.ftdgat_d);
      (model_.idsatbot) = (model_.idsatbot_d);
      (model_.idsatsti) = (model_.idsatsti_d);
      (model_.idsatgat) = (model_.idsatgat_d);
      (model_.ubibot) = (model_.ubibot_d);
      (model_.ubisti) = (model_.ubisti_d);
      (model_.ubigat) = (model_.ubigat_d);
      (model_.vbibot) = (model_.vbibot_d);
      (model_.vbisti) = (model_.vbisti_d);
      (model_.vbigat) = (model_.vbigat_d);
      (model_.vbiinvbot) = (model_.vbiinvbot_d);
      (model_.vbiinvsti) = (model_.vbiinvsti_d);
      (model_.vbiinvgat) = (model_.vbiinvgat_d);
      (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
      (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
      (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
      (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
      (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
      (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
      (model_.cjobot) = (model_.cjobot_d);
      (model_.cjosti) = (model_.cjosti_d);
      (model_.cjogat) = (model_.cjogat_d);
      (model_.qprefbot) = (model_.qprefbot_d);
      (model_.qprefsti) = (model_.qprefsti_d);
      (model_.qprefgat) = (model_.qprefgat_d);
      (model_.qpref2bot) = (model_.qpref2bot_d);
      (model_.qpref2sti) = (model_.qpref2sti_d);
      (model_.qpref2gat) = (model_.qpref2gat_d);
      (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
      (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
      (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
      (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
      (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
      (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
      (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
      (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
      (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
      (model_.deltaEbot) = (model_.deltaEbot_d);
      (model_.deltaEsti) = (model_.deltaEsti_d);
      (model_.deltaEgat) = (model_.deltaEgat_d);
      (model_.atatbot) = (model_.atatbot_d);
      (model_.atatsti) = (model_.atatsti_d);
      (model_.atatgat) = (model_.atatgat_d);
      (model_.btatpartbot) = (model_.btatpartbot_d);
      (model_.btatpartsti) = (model_.btatpartsti_d);
      (model_.btatpartgat) = (model_.btatpartgat_d);
      (model_.fbbtbot) = (model_.fbbtbot_d);
      (model_.fbbtsti) = (model_.fbbtsti_d);
      (model_.fbbtgat) = (model_.fbbtgat_d);
      (model_.fbbtbot) = (model_.fbbtbot_d);
      (model_.fbbtsti) = (model_.fbbtsti_d);
      (model_.fbbtgat) = (model_.fbbtgat_d);
      (model_.fstopbot) = (model_.fstopbot_d);
      (model_.fstopsti) = (model_.fstopsti_d);
      (model_.fstopgat) = (model_.fstopgat_d);
      (model_.VBRinvbot) = (model_.VBRinvbot_d);
      (model_.VBRinvsti) = (model_.VBRinvsti_d);
      (model_.VBRinvgat) = (model_.VBRinvgat_d);
      (model_.slopebot) = (model_.slopebot_d);
      (model_.slopesti) = (model_.slopesti_d);
      (model_.slopegat) = (model_.slopegat_d);
      if ((((model_.idsatbot)*ABDRAIN_i)>0))
      {
        vmaxbot = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatbot)*ABDRAIN_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if ((((model_.idsatsti)*LSDRAIN_i)>0))
      {
        vmaxsti = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatsti)*LSDRAIN_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if ((((model_.idsatgat)*LGDRAIN_i)>0))
      {
        vmaxgat = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatgat)*LGDRAIN_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      VMAX_d = min(min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((VMAX_d*(model_.phitdinv)))<2.3025850929940458e+02))
      {
        exp_VMAX_over_phitd_d = exp((VMAX_d*(model_.phitdinv)));
      }
      else
      {
        if (((VMAX_d*(model_.phitdinv))<(-2.3025850929940458e+02)))
        {
          exp_VMAX_over_phitd_d = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*3.3333333333333333e-01))))))));
        }
        else
        {
          exp_VMAX_over_phitd_d = (1.0e100*(1.0+(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = (model_.vbibot);
      vbisti2 = (model_.vbisti);
      vbigat2 = (model_.vbigat);
      pbot2 = (model_.PBOT_i);
      psti2 = (model_.PSTI_i);
      pgat2 = (model_.PGAT_i);
      vbibot2r = (model_.VBIRBOT_i);
      vbisti2r = (model_.VBIRSTI_i);
      vbigat2r = (model_.VBIRGAT_i);
      if ((ABDRAIN_i==0))
      {
        vbibot2 = ((model_.vbisti)+(model_.vbigat));
        pbot2 = (0.9*min((model_.PSTI_i),(model_.PGAT_i)));
        vbibot2r = ((model_.VBIRSTI_i)+(model_.VBIRGAT_i));
      }
      if ((LSDRAIN_i==0))
      {
        vbisti2 = ((model_.vbibot)+(model_.vbigat));
        psti2 = (0.9*min((model_.PBOT_i),(model_.PGAT_i)));
        vbisti2r = ((model_.VBIRBOT_i)+(model_.VBIRGAT_i));
      }
      if ((LGDRAIN_i==0))
      {
        vbigat2 = ((model_.vbibot)+(model_.vbisti));
        pgat2 = (0.9*min((model_.PBOT_i),(model_.PSTI_i)));
        vbigat2r = ((model_.VBIRBOT_i)+(model_.VBIRSTI_i));
      }
      vbimin_d = min(min(vbibot2,vbisti2),vbigat2);
      vch_d = (vbimin_d*0.1);
      pmax = max(max(pbot2,psti2),pgat2);
      vfmin_d = (vbimin_d*(1-pow(2,((-1.0)/pmax))));
      vbbtlim_d = (min(min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      if (((model_.SWJUNEXP_i)==1))
        //Begin block JUNCAPexpressInit
      {
        //Block-local variables for block JUNCAPexpressInit
        double ysq;
        double terfc;
        double erfcpos;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double h1;
        double h2;
        double h2d;
        double h3;
        double h4;
        double h5;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double idmult;
        double vj;
        double z;
        double zinv;
        double two_psistar;
        double vjlim;
        double vjsrh;
        double vbbt;
        double vav;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double tmp;
        double id;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double isrh;
        double vbi_minus_vjsrh;
        double wsrhstep;
        double dwsrh;
        double wsrh;
        double wdep;
        double asrh;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double itat;
        double btat;
        double twoatatoverthreebtat;
        double umaxbeforelimiting;
        double umax;
        double sqrtumax;
        double umaxpoweronepointfive;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double wgamma;
        double wtat;
        double ktat;
        double ltat;
        double mtat;
        double xerfc;
        double erfctimesexpmtat;
        double gammamax;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double ibbt;
        double Fmaxr;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double fbreakdown;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double ijunbot;
        double ijunsti;
        double ijungat;
        double qjunbot;
        double qjunsti;
        double qjungat;
        //End of Block-local variables
        ysq = 0.0;
        terfc = 0.0;
        erfcpos = 0.0;
        h1 = 0.0;
        h2 = 0.0;
        h2d = 0.0;
        h3 = 0.0;
        h4 = 0.0;
        h5 = 0.0;
        idmult = 0.0;
        vj = 0.0;
        z = 0.0;
        zinv = 0.0;
        two_psistar = 0.0;
        vjlim = 0.0;
        vjsrh = 0.0;
        vbbt = 0.0;
        vav = 0.0;
        tmp = 0.0;
        id = 0.0;
        isrh = 0.0;
        vbi_minus_vjsrh = 0.0;
        wsrhstep = 0.0;
        dwsrh = 0.0;
        wsrh = 0.0;
        wdep = 0.0;
        asrh = 0.0;
        itat = 0.0;
        btat = 0.0;
        twoatatoverthreebtat = 0.0;
        umaxbeforelimiting = 0.0;
        umax = 0.0;
        sqrtumax = 0.0;
        umaxpoweronepointfive = 0.0;
        wgamma = 0.0;
        wtat = 0.0;
        ktat = 0.0;
        ltat = 0.0;
        mtat = 0.0;
        xerfc = 0.0;
        erfctimesexpmtat = 0.0;
        gammamax = 0.0;
        ibbt = 0.0;
        Fmaxr = 0.0;
        fbreakdown = 0.0;
        qjunbot = 0.0;
        qjunsti = 0.0;
        qjungat = 0.0;
        (model_.CJORBOT_i) = (model_.CJORBOTS_i);
        (model_.CJORSTI_i) = (model_.CJORSTIS_i);
        (model_.CJORGAT_i) = (model_.CJORGATS_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
        (model_.PBOT_i) = (model_.PBOTS_i);
        (model_.PSTI_i) = (model_.PSTIS_i);
        (model_.PGAT_i) = (model_.PGATS_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
        (model_.CTATBOT_i) = (model_.CTATBOTS_i);
        (model_.CTATSTI_i) = (model_.CTATSTIS_i);
        (model_.CTATGAT_i) = (model_.CTATGATS_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
        (model_.VBRBOT_i) = (model_.VBRBOTS_i);
        (model_.VBRSTI_i) = (model_.VBRSTIS_i);
        (model_.VBRGAT_i) = (model_.VBRGATS_i);
        (model_.PBRBOT_i) = (model_.PBRBOTS_i);
        (model_.PBRSTI_i) = (model_.PBRSTIS_i);
        (model_.PBRGAT_i) = (model_.PBRGATS_i);
        (model_.VJUNREF_i) = (model_.VJUNREFS_i);
        (model_.FJUNQ_i) = (model_.FJUNQS_i);
        (model_.phigrbot) = (model_.phigrbot_s);
        (model_.phigrsti) = (model_.phigrsti_s);
        (model_.phigrgat) = (model_.phigrgat_s);
        (model_.phigdbot) = (model_.phigdbot_s);
        (model_.phigdsti) = (model_.phigdsti_s);
        (model_.phigdgat) = (model_.phigdgat_s);
        (model_.ftdbot) = (model_.ftdbot_s);
        (model_.ftdsti) = (model_.ftdsti_s);
        (model_.ftdgat) = (model_.ftdgat_s);
        (model_.idsatbot) = (model_.idsatbot_s);
        (model_.idsatsti) = (model_.idsatsti_s);
        (model_.idsatgat) = (model_.idsatgat_s);
        (model_.ubibot) = (model_.ubibot_s);
        (model_.ubisti) = (model_.ubisti_s);
        (model_.ubigat) = (model_.ubigat_s);
        (model_.vbibot) = (model_.vbibot_s);
        (model_.vbisti) = (model_.vbisti_s);
        (model_.vbigat) = (model_.vbigat_s);
        (model_.vbiinvbot) = (model_.vbiinvbot_s);
        (model_.vbiinvsti) = (model_.vbiinvsti_s);
        (model_.vbiinvgat) = (model_.vbiinvgat_s);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
        (model_.cjobot) = (model_.cjobot_s);
        (model_.cjosti) = (model_.cjosti_s);
        (model_.cjogat) = (model_.cjogat_s);
        (model_.qprefbot) = (model_.qprefbot_s);
        (model_.qprefsti) = (model_.qprefsti_s);
        (model_.qprefgat) = (model_.qprefgat_s);
        (model_.qpref2bot) = (model_.qpref2bot_s);
        (model_.qpref2sti) = (model_.qpref2sti_s);
        (model_.qpref2gat) = (model_.qpref2gat_s);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
        (model_.deltaEbot) = (model_.deltaEbot_s);
        (model_.deltaEsti) = (model_.deltaEsti_s);
        (model_.deltaEgat) = (model_.deltaEgat_s);
        (model_.atatbot) = (model_.atatbot_s);
        (model_.atatsti) = (model_.atatsti_s);
        (model_.atatgat) = (model_.atatgat_s);
        (model_.btatpartbot) = (model_.btatpartbot_s);
        (model_.btatpartsti) = (model_.btatpartsti_s);
        (model_.btatpartgat) = (model_.btatpartgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fstopbot) = (model_.fstopbot_s);
        (model_.fstopsti) = (model_.fstopsti_s);
        (model_.fstopgat) = (model_.fstopgat_s);
        (model_.VBRinvbot) = (model_.VBRinvbot_s);
        (model_.VBRinvsti) = (model_.VBRinvsti_s);
        (model_.VBRinvgat) = (model_.VBRinvgat_s);
        (model_.slopebot) = (model_.slopebot_s);
        (model_.slopesti) = (model_.slopesti_s);
        (model_.slopegat) = (model_.slopegat_s);
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*(model_.VJUNREF_i));
        V2 = ((-FRACNB)*(model_.VJUNREF_i));
        V3 = ((-FRACI)*(model_.VJUNREF_i));
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V1+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*vfmin_s)/(h3+h5)));
          if ((V1<VMAX_s))
          {
            if ((fabs((0.5*(V1*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V1*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V1+vbbtlim_s)-sqrt((((V1-vbbtlim_s)*(V1-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V1-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V1-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V1-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V2+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*vfmin_s)/(h3+h5)));
          if ((V2<VMAX_s))
          {
            if ((fabs((0.5*(V2*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V2*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V2+vbbtlim_s)-sqrt((((V2-vbbtlim_s)*(V2-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V2-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V2-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V2-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V3+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*vfmin_s)/(h3+h5)));
          if ((V3<VMAX_s))
          {
            if ((fabs((0.5*(V3*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V3*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V3+vbbtlim_s)-sqrt((((V3-vbbtlim_s)*(V3-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V3-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V3-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V3-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V4+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*vfmin_s)/(h3+h5)));
          if ((V4<VMAX_s))
          {
            if ((fabs((0.5*(V4*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V4*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V4+vbbtlim_s)-sqrt((((V4-vbbtlim_s)*(V4-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V4-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V4-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V4-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V5+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*vfmin_s)/(h3+h5)));
          if ((V5<VMAX_s))
          {
            if ((fabs((0.5*(V5*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V5*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V5+vbbtlim_s)-sqrt((((V5-vbbtlim_s)*(V5-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V5-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V5-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V5-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        ISATFOR1_s = (((ABSOURCE_i*(model_.idsatbot))+(LSSOURCE_i*(model_.idsatsti)))+(LGSOURCE_i*(model_.idsatgat)));
        I4_cor = (I4-(ISATFOR1_s*(exp(((V4*(model_.phitdinv))*MFOR1_s))-1.0)));
        I5_cor = (I5-(ISATFOR1_s*(exp(((V5*(model_.phitdinv))*MFOR1_s))-1.0)));
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              MFOR2_s = (((model_.phitd)*log(alphaje))/(V4-V5));
              ISATFOR2_s = (I4_cor/(exp(((V4*(model_.phitdinv))*MFOR2_s))-1));
            }
          }
          I1_cor = ((I1-(ISATFOR1_s*(exp(((V1*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V1*(model_.phitdinv))*MFOR2_s))-1.0)));
          I2_cor = ((I2-(ISATFOR1_s*(exp(((V2*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V2*(model_.phitdinv))*MFOR2_s))-1.0)));
          I3_cor = ((I3-(ISATFOR1_s*(exp(((V3*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V3*(model_.phitdinv))*MFOR2_s))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-(model_.phitd))*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = (((model_.phitd)*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              MREV_s = (m0_rev+mcor_rev);
              if ((fabs(((V3*(model_.phitdinv))*MREV_s))<1e-6))
              {
                m0flag_s = 1.0;
                ISATREV_s = (I3_cor*((1/V3)+((0.5*(model_.phitdinv))*MREV_s)));
                MREV_s = (((((-0.5)*I3_cor)*MREV_s)*(model_.phitdinv))/V3);
              }
              else
              {
                m0flag_s = 0.0;
                ISATREV_s = ((-I3_cor)/(exp((((-V3)*(model_.phitdinv))*MREV_s))-1));
              }
            }
          }
        }
        zfrac = ((model_.FJUNQ_i)*(((ABSOURCE_i*(model_.cjobot))+(LSSOURCE_i*(model_.cjosti)))+(LGSOURCE_i*(model_.cjogat))));
        if (((ABSOURCE_i*(model_.cjobot))<=zfrac))
        {
          zflagbot_s = 0.0;
        }
        if (((LSSOURCE_i*(model_.cjosti))<=zfrac))
        {
          zflagsti_s = 0.0;
        }
        if (((LGSOURCE_i*(model_.cjogat))<=zfrac))
        {
          zflaggat_s = 0.0;
        }
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          xhighf1_s = log(((0.5*(model_.IMAX_i))/(ISATFOR1_s+1e-21)));
          xhighf2_s = log(((0.5*(model_.IMAX_i))/(ISATFOR2_s+1e-21)));
          xhighr_s = log(((0.5*(model_.IMAX_i))/(fabs(ISATREV_s)+1e-21)));
        }
        xhighf1_s = min(xhighf1_s,2.3025850929940458e+02);
        expxhf1_s = exp(xhighf1_s);
        xhighf2_s = min(xhighf2_s,2.3025850929940458e+02);
        expxhf2_s = exp(xhighf2_s);
        xhighr_s = min(xhighr_s,2.3025850929940458e+02);
        expxhr_s = exp(xhighr_s);
        (model_.CJORBOT_i) = (model_.CJORBOTD_i);
        (model_.CJORSTI_i) = (model_.CJORSTID_i);
        (model_.CJORGAT_i) = (model_.CJORGATD_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
        (model_.PBOT_i) = (model_.PBOTD_i);
        (model_.PSTI_i) = (model_.PSTID_i);
        (model_.PGAT_i) = (model_.PGATD_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
        (model_.CTATBOT_i) = (model_.CTATBOTD_i);
        (model_.CTATSTI_i) = (model_.CTATSTID_i);
        (model_.CTATGAT_i) = (model_.CTATGATD_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
        (model_.VBRBOT_i) = (model_.VBRBOTD_i);
        (model_.VBRSTI_i) = (model_.VBRSTID_i);
        (model_.VBRGAT_i) = (model_.VBRGATD_i);
        (model_.PBRBOT_i) = (model_.PBRBOTD_i);
        (model_.PBRSTI_i) = (model_.PBRSTID_i);
        (model_.PBRGAT_i) = (model_.PBRGATD_i);
        (model_.VJUNREF_i) = (model_.VJUNREFD_i);
        (model_.FJUNQ_i) = (model_.FJUNQD_i);
        (model_.phigrbot) = (model_.phigrbot_d);
        (model_.phigrsti) = (model_.phigrsti_d);
        (model_.phigrgat) = (model_.phigrgat_d);
        (model_.phigdbot) = (model_.phigdbot_d);
        (model_.phigdsti) = (model_.phigdsti_d);
        (model_.phigdgat) = (model_.phigdgat_d);
        (model_.ftdbot) = (model_.ftdbot_d);
        (model_.ftdsti) = (model_.ftdsti_d);
        (model_.ftdgat) = (model_.ftdgat_d);
        (model_.idsatbot) = (model_.idsatbot_d);
        (model_.idsatsti) = (model_.idsatsti_d);
        (model_.idsatgat) = (model_.idsatgat_d);
        (model_.ubibot) = (model_.ubibot_d);
        (model_.ubisti) = (model_.ubisti_d);
        (model_.ubigat) = (model_.ubigat_d);
        (model_.vbibot) = (model_.vbibot_d);
        (model_.vbisti) = (model_.vbisti_d);
        (model_.vbigat) = (model_.vbigat_d);
        (model_.vbiinvbot) = (model_.vbiinvbot_d);
        (model_.vbiinvsti) = (model_.vbiinvsti_d);
        (model_.vbiinvgat) = (model_.vbiinvgat_d);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
        (model_.cjobot) = (model_.cjobot_d);
        (model_.cjosti) = (model_.cjosti_d);
        (model_.cjogat) = (model_.cjogat_d);
        (model_.qprefbot) = (model_.qprefbot_d);
        (model_.qprefsti) = (model_.qprefsti_d);
        (model_.qprefgat) = (model_.qprefgat_d);
        (model_.qpref2bot) = (model_.qpref2bot_d);
        (model_.qpref2sti) = (model_.qpref2sti_d);
        (model_.qpref2gat) = (model_.qpref2gat_d);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
        (model_.deltaEbot) = (model_.deltaEbot_d);
        (model_.deltaEsti) = (model_.deltaEsti_d);
        (model_.deltaEgat) = (model_.deltaEgat_d);
        (model_.atatbot) = (model_.atatbot_d);
        (model_.atatsti) = (model_.atatsti_d);
        (model_.atatgat) = (model_.atatgat_d);
        (model_.btatpartbot) = (model_.btatpartbot_d);
        (model_.btatpartsti) = (model_.btatpartsti_d);
        (model_.btatpartgat) = (model_.btatpartgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fstopbot) = (model_.fstopbot_d);
        (model_.fstopsti) = (model_.fstopsti_d);
        (model_.fstopgat) = (model_.fstopgat_d);
        (model_.VBRinvbot) = (model_.VBRinvbot_d);
        (model_.VBRinvsti) = (model_.VBRinvsti_d);
        (model_.VBRinvgat) = (model_.VBRinvgat_d);
        (model_.slopebot) = (model_.slopebot_d);
        (model_.slopesti) = (model_.slopesti_d);
        (model_.slopegat) = (model_.slopegat_d);
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*(model_.VJUNREF_i));
        V2 = ((-FRACNB)*(model_.VJUNREF_i));
        V3 = ((-FRACI)*(model_.VJUNREF_i));
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V1+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*vfmin_d)/(h3+h5)));
          if ((V1<VMAX_d))
          {
            if ((fabs((0.5*(V1*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V1*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V1+vbbtlim_d)-sqrt((((V1-vbbtlim_d)*(V1-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V1-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V1-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V1-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V2+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*vfmin_d)/(h3+h5)));
          if ((V2<VMAX_d))
          {
            if ((fabs((0.5*(V2*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V2*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V2+vbbtlim_d)-sqrt((((V2-vbbtlim_d)*(V2-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V2-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V2-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V2-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V3+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*vfmin_d)/(h3+h5)));
          if ((V3<VMAX_d))
          {
            if ((fabs((0.5*(V3*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V3*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V3+vbbtlim_d)-sqrt((((V3-vbbtlim_d)*(V3-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V3-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V3-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V3-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V4+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*vfmin_d)/(h3+h5)));
          if ((V4<VMAX_d))
          {
            if ((fabs((0.5*(V4*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V4*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V4+vbbtlim_d)-sqrt((((V4-vbbtlim_d)*(V4-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V4-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V4-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V4-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V5+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*vfmin_d)/(h3+h5)));
          if ((V5<VMAX_d))
          {
            if ((fabs((0.5*(V5*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V5*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V5+vbbtlim_d)-sqrt((((V5-vbbtlim_d)*(V5-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V5-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V5-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V5-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        ISATFOR1_d = (((ABDRAIN_i*(model_.idsatbot))+(LSDRAIN_i*(model_.idsatsti)))+(LGDRAIN_i*(model_.idsatgat)));
        I4_cor = (I4-(ISATFOR1_d*(exp(((V4*(model_.phitdinv))*MFOR1_d))-1.0)));
        I5_cor = (I5-(ISATFOR1_d*(exp(((V5*(model_.phitdinv))*MFOR1_d))-1.0)));
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              MFOR2_d = (((model_.phitd)*log(alphaje))/(V4-V5));
              ISATFOR2_d = (I4_cor/(exp(((V4*(model_.phitdinv))*MFOR2_d))-1));
            }
          }
          I1_cor = ((I1-(ISATFOR1_d*(exp(((V1*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V1*(model_.phitdinv))*MFOR2_d))-1.0)));
          I2_cor = ((I2-(ISATFOR1_d*(exp(((V2*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V2*(model_.phitdinv))*MFOR2_d))-1.0)));
          I3_cor = ((I3-(ISATFOR1_d*(exp(((V3*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V3*(model_.phitdinv))*MFOR2_d))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-(model_.phitd))*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = (((model_.phitd)*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              MREV_d = (m0_rev+mcor_rev);
              if ((fabs(((V3*(model_.phitdinv))*MREV_d))<1e-6))
              {
                m0flag_d = 1.0;
                ISATREV_d = (I3_cor*((1/V3)+((0.5*(model_.phitdinv))*MREV_d)));
                MREV_d = (((((-0.5)*I3_cor)*MREV_d)*(model_.phitdinv))/V3);
              }
              else
              {
                m0flag_d = 0.0;
                ISATREV_d = ((-I3_cor)/(exp((((-V3)*(model_.phitdinv))*MREV_d))-1));
              }
            }
          }
        }
        zfrac = ((model_.FJUNQ_i)*(((ABDRAIN_i*(model_.cjobot))+(LSDRAIN_i*(model_.cjosti)))+(LGDRAIN_i*(model_.cjogat))));
        if (((ABDRAIN_i*(model_.cjobot))<=zfrac))
        {
          zflagbot_d = 0.0;
        }
        if (((LSDRAIN_i*(model_.cjosti))<=zfrac))
        {
          zflagsti_d = 0.0;
        }
        if (((LGDRAIN_i*(model_.cjogat))<=zfrac))
        {
          zflaggat_d = 0.0;
        }
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          xhighf1_d = log(((0.5*(model_.IMAX_i))/(ISATFOR1_d+1e-21)));
          xhighf2_d = log(((0.5*(model_.IMAX_i))/(ISATFOR2_d+1e-21)));
          xhighr_d = log(((0.5*(model_.IMAX_i))/(fabs(ISATREV_d)+1e-21)));
        }
        xhighf1_d = min(xhighf1_d,2.3025850929940458e+02);
        expxhf1_d = exp(xhighf1_d);
        xhighf2_d = min(xhighf2_d,2.3025850929940458e+02);
        expxhf2_d = exp(xhighf2_d);
        xhighr_d = min(xhighr_d,2.3025850929940458e+02);
        expxhr_d = exp(xhighr_d);
      }
      // End block JUNCAPexpressInit
    }
  }
  // End block initial_instance


  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::Instance
// Purpose       : "instance block" constructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------

Instance::Instance(
   InstanceBlock & IB,
   Model & Miter,
   MatrixLoadData & mlData1,
   SolverState & ss1,
   ExternData  & ed1,
   DeviceOptions & do1)
  : DeviceInstance(IB, mlData1, ss1, ed1, do1),
    model_(Miter),
    L(10e-6),
    W(10e-6),
    SA(0.0),
    SB(0.0),
    SD(0.0),
    SCA(0.0),
    SCB(0.0),
    SCC(0.0),
    SC(0.0),
    NF(1.0),
    NGCON(1.0),
    XGW(1.0E-7),
    NRS(0.0),
    NRD(0.0),
    JW(1E-6),
    DELVTO(0.0),
    FACTUO(1.0),
    ABSOURCE(1E-12),
    LSSOURCE(1E-6),
    LGSOURCE(1E-6),
  ABDRAIN(1E-12),
  LSDRAIN(1E-6),
  LGDRAIN(1E-6),
  AS(1E-12),
  PS(1E-6),
  AD(1E-12),
  PD(1E-6),
  MULT(1.0),
  VFB_i(0.0),
  GFACNUD_i(0.0),
  VNSUB_i(0.0),
  NSLP_i(0.0),
  DNSUB_i(0.0),
  CF_i(0.0),
  CFB_i(0.0),
  MUE_i(0.0),
  THEMU_i(0.0),
  CS_i(0.0),
  XCOR_i(0.0),
  THER_i(0.0),
  RSB_i(0.0),
  RSG_i(0.0),
  THESAT_i(0.0),
  THESATB_i(0.0),
  THESATG_i(0.0),
  AX_i(0.0),
  ALP_i(0.0),
  ALP1_i(0.0),
  ALP2_i(0.0),
  A1_i(0.0),
  A2_i(0.0),
  A3_i(0.0),
  A4_i(0.0),
  IGINV_i(0.0),
  IGOV_i(0.0),
  IGOVD_i(0.0),
  GC2_i(0.0),
  GC3_i(0.0),
  CHIB_i(0.0),
  AGIDL_i(0.0),
  BGIDL_i(0.0),
  CGIDL_i(0.0),
  AGIDLD_i(0.0),
  BGIDLD_i(0.0),
  CGIDLD_i(0.0),
  COX_i(0.0),
  CGOV_i(0.0),
  CGOVD_i(0.0),
  CGBOV_i(0.0),
  CFR_i(0.0),
  CFRD_i(0.0),
  MULT_i(0.0),
  BET_i(0.0),
  kp(0.0),
  qq(0.0),
  qlim2(0.0),
  E_eff0(0.0),
  eta_mu(0.0),
  eta_mu1(0.0),
  BCH(0.0),
  BOV(0.0),
  inv_CHIB(0.0),
  GCQ(0.0),
  Dch(0.0),
  Dov(0.0),
  x1(0.0),
  Vdsat_lim(0.0),
  GOV_s(0.0),
  GOV_d(0.0),
  GOV2_s(0.0),
  GOV2_d(0.0),
  BOV_d(0.0),
  xi_ov_s(0.0),
  xi_ov_d(0.0),
  inv_xi_ov_s(0.0),
  inv_xi_ov_d(0.0),
  x_mrg_ov_s(0.0),
  x_mrg_ov_d(0.0),
  inv_xg1_s(0.0),
  inv_xg1_d(0.0),
  phit1(0.0),
  inv_phit1(0.0),
  alpha_b(0.0),
  inv_VP(0.0),
  inv_AX(0.0),
  us1(0.0),
  us21(0.0),
  phib_dc(0.0),
  sqrt_phib_dc(0.0),
  G_0_dc(0.0),
  aphi_dc(0.0),
  bphi_dc(0.0),
  phix_dc(0.0),
  phix1_dc(0.0),
  phib_ac(0.0),
  sqrt_phib_ac(0.0),
  G_0_ac(0.0),
  aphi_ac(0.0),
  bphi_ac(0.0),
  phix_ac(0.0),
  phix1_ac(0.0),
  RG_i(0.0),
  RSE_i(0.0),
  RDE_i(0.0),
  RBULK_i(0.0),
  RWELL_i(0.0),
  RJUNS_i(0.0),
  RJUND_i(0.0),
  ggate(0.0),
  gsource(0.0),
  gdrain(0.0),
  gbulk(0.0),
  gwell(0.0),
  gjund(0.0),
  gjuns(0.0),
  tmpv(0.0),
  vjv(0.0),
  idmult(0.0),
  vj(0.0),
  zinv(0.0),
  vjsrh(0.0),
  vav(0.0),
  vbi_minus_vjsrh(0.0),
  wsrh(0.0),
  wdep(0.0),
  asrh(0.0),
  ABSOURCE_i(0.0),
  LSSOURCE_i(0.0),
  LGSOURCE_i(0.0),
  zflagbot_s(0.0),
  zflagsti_s(0.0),
  zflaggat_s(0.0),
  VMAX_s(0.0),
  exp_VMAX_over_phitd_s(0.0),
  vbimin_s(0.0),
  vch_s(0.0),
  vfmin_s(0.0),
  vbbtlim_s(0.0),
  ijunbot_s(0.0),
  qjunbot_s(0.0),
  ijunsti_s(0.0),
  qjunsti_s(0.0),
  ijungat_s(0.0),
  qjungat_s(0.0),
  ijun_s(0.0),
  qjun_s(0.0),
  xhighf1_s(0.0),
  expxhf1_s(0.0),
  xhighf2_s(0.0),
  expxhf2_s(0.0),
  xhighr_s(0.0),
  expxhr_s(0.0),
  m0flag_s(0.0),
  ISATFOR1_s(0.0),
  MFOR1_s(0.0),
  ISATFOR2_s(0.0),
  MFOR2_s(0.0),
  ISATREV_s(0.0),
  MREV_s(0.0),
  ABDRAIN_i(0.0),
  LSDRAIN_i(0.0),
  LGDRAIN_i(0.0),
  zflagbot_d(0.0),
  zflagsti_d(0.0),
  zflaggat_d(0.0),
  VMAX_d(0.0),
  exp_VMAX_over_phitd_d(0.0),
  vbimin_d(0.0),
  vch_d(0.0),
  vfmin_d(0.0),
  vbbtlim_d(0.0),
  ijunbot_d(0.0),
  qjunbot_d(0.0),
  ijunsti_d(0.0),
  qjunsti_d(0.0),
  ijungat_d(0.0),
  qjungat_d(0.0),
  ijun_d(0.0),
  qjun_d(0.0),
  xhighf1_d(0.0),
  expxhf1_d(0.0),
  xhighf2_d(0.0),
  expxhf2_d(0.0),
  xhighr_d(0.0),
  expxhr_d(0.0),
  m0flag_d(0.0),
  ISATFOR1_d(0.0),
  MFOR1_d(0.0),
  ISATFOR2_d(0.0),
  MFOR2_d(0.0),
  ISATREV_d(0.0),
  MREV_d(0.0),
  li_D(-1),
  li_G(-1),
  li_S(-1),
  li_B(-1),
  li_GP(-1),
  li_SI(-1),
  li_DI(-1),
  li_BI(-1),
  li_BP(-1),
  li_BS(-1),
  li_BD(-1),
  f_DI_Equ_SI_Node_Ptr(0),
  f_DI_Equ_BP_Node_Ptr(0),
  f_BP_Equ_SI_Node_Ptr(0),
  f_BP_Equ_BP_Node_Ptr(0),
  f_DI_Equ_GP_Node_Ptr(0),
  f_BP_Equ_GP_Node_Ptr(0),
  f_DI_Equ_DI_Node_Ptr(0),
  f_BP_Equ_DI_Node_Ptr(0),
  f_SI_Equ_SI_Node_Ptr(0),
  f_SI_Equ_BP_Node_Ptr(0),
  f_SI_Equ_GP_Node_Ptr(0),
  f_SI_Equ_DI_Node_Ptr(0),
  f_GP_Equ_SI_Node_Ptr(0),
  f_GP_Equ_BP_Node_Ptr(0),
  f_GP_Equ_DI_Node_Ptr(0),
  f_GP_Equ_GP_Node_Ptr(0),
  f_BS_Equ_SI_Node_Ptr(0),
  f_BS_Equ_BS_Node_Ptr(0),
  f_SI_Equ_BS_Node_Ptr(0),
  f_BS_Equ_DI_Node_Ptr(0),
  f_BS_Equ_BD_Node_Ptr(0),
  f_SI_Equ_BD_Node_Ptr(0),
  f_BD_Equ_SI_Node_Ptr(0),
  f_BD_Equ_BS_Node_Ptr(0),
  f_DI_Equ_BS_Node_Ptr(0),
  f_BD_Equ_DI_Node_Ptr(0),
  f_BD_Equ_BD_Node_Ptr(0),
  f_DI_Equ_BD_Node_Ptr(0),
  f_G_Equ_G_Node_Ptr(0),
  f_G_Equ_GP_Node_Ptr(0),
  f_GP_Equ_G_Node_Ptr(0),
  f_S_Equ_S_Node_Ptr(0),
  f_S_Equ_SI_Node_Ptr(0),
  f_SI_Equ_S_Node_Ptr(0),
  f_D_Equ_D_Node_Ptr(0),
  f_D_Equ_DI_Node_Ptr(0),
  f_DI_Equ_D_Node_Ptr(0),
  f_BP_Equ_BI_Node_Ptr(0),
  f_BI_Equ_BP_Node_Ptr(0),
  f_BI_Equ_BI_Node_Ptr(0),
  f_BS_Equ_BI_Node_Ptr(0),
  f_BI_Equ_BS_Node_Ptr(0),
  f_BD_Equ_BI_Node_Ptr(0),
  f_BI_Equ_BD_Node_Ptr(0),
  f_B_Equ_B_Node_Ptr(0),
  f_B_Equ_BI_Node_Ptr(0),
  f_BI_Equ_B_Node_Ptr(0),
  q_DI_Equ_SI_Node_Ptr(0),
  q_DI_Equ_BP_Node_Ptr(0),
  q_BP_Equ_SI_Node_Ptr(0),
  q_BP_Equ_BP_Node_Ptr(0),
  q_DI_Equ_GP_Node_Ptr(0),
  q_BP_Equ_GP_Node_Ptr(0),
  q_DI_Equ_DI_Node_Ptr(0),
  q_BP_Equ_DI_Node_Ptr(0),
  q_SI_Equ_SI_Node_Ptr(0),
  q_SI_Equ_BP_Node_Ptr(0),
  q_SI_Equ_GP_Node_Ptr(0),
  q_SI_Equ_DI_Node_Ptr(0),
  q_GP_Equ_SI_Node_Ptr(0),
  q_GP_Equ_BP_Node_Ptr(0),
  q_GP_Equ_DI_Node_Ptr(0),
  q_GP_Equ_GP_Node_Ptr(0),
  q_BS_Equ_SI_Node_Ptr(0),
  q_BS_Equ_BS_Node_Ptr(0),
  q_SI_Equ_BS_Node_Ptr(0),
  q_BS_Equ_DI_Node_Ptr(0),
  q_BS_Equ_BD_Node_Ptr(0),
  q_SI_Equ_BD_Node_Ptr(0),
  q_BD_Equ_SI_Node_Ptr(0),
  q_BD_Equ_BS_Node_Ptr(0),
  q_DI_Equ_BS_Node_Ptr(0),
  q_BD_Equ_DI_Node_Ptr(0),
  q_BD_Equ_BD_Node_Ptr(0),
  q_DI_Equ_BD_Node_Ptr(0),
  q_G_Equ_G_Node_Ptr(0),
  q_G_Equ_GP_Node_Ptr(0),
  q_GP_Equ_G_Node_Ptr(0),
  q_S_Equ_S_Node_Ptr(0),
  q_S_Equ_SI_Node_Ptr(0),
  q_SI_Equ_S_Node_Ptr(0),
  q_D_Equ_D_Node_Ptr(0),
  q_D_Equ_DI_Node_Ptr(0),
  q_DI_Equ_D_Node_Ptr(0),
  q_BP_Equ_BI_Node_Ptr(0),
  q_BI_Equ_BP_Node_Ptr(0),
  q_BI_Equ_BI_Node_Ptr(0),
  q_BS_Equ_BI_Node_Ptr(0),
  q_BI_Equ_BS_Node_Ptr(0),
  q_BD_Equ_BI_Node_Ptr(0),
  q_BI_Equ_BD_Node_Ptr(0),
  q_B_Equ_B_Node_Ptr(0),
  q_B_Equ_BI_Node_Ptr(0),
  q_BI_Equ_B_Node_Ptr(0),
  admsTemperature(getDeviceOptions().temp.dVal())

{
  numIntVars = 7 + 0;
  numExtVars = 4;


  // Right now, we only have state for limited probes...
  numStateVars = 0;


  // Set up jacobian stamp:

  if (jacStamp.empty())
  {
    jacStamp.resize(11);
    jacStamp[admsNodeID_D].resize(2);
    jacStamp[admsNodeID_D][0] = admsNodeID_D;
    jacStamp[admsNodeID_D][1] = admsNodeID_DI;
    jacStamp[admsNodeID_G].resize(2);
    jacStamp[admsNodeID_G][0] = admsNodeID_G;
    jacStamp[admsNodeID_G][1] = admsNodeID_GP;
    jacStamp[admsNodeID_S].resize(2);
    jacStamp[admsNodeID_S][0] = admsNodeID_S;
    jacStamp[admsNodeID_S][1] = admsNodeID_SI;
    jacStamp[admsNodeID_B].resize(2);
    jacStamp[admsNodeID_B][0] = admsNodeID_B;
    jacStamp[admsNodeID_B][1] = admsNodeID_BI;
    jacStamp[admsNodeID_GP].resize(5);
    jacStamp[admsNodeID_GP][0] = admsNodeID_SI;
    jacStamp[admsNodeID_GP][1] = admsNodeID_BP;
    jacStamp[admsNodeID_GP][2] = admsNodeID_DI;
    jacStamp[admsNodeID_GP][3] = admsNodeID_GP;
    jacStamp[admsNodeID_GP][4] = admsNodeID_G;
    jacStamp[admsNodeID_SI].resize(7);
    jacStamp[admsNodeID_SI][0] = admsNodeID_SI;
    jacStamp[admsNodeID_SI][1] = admsNodeID_BP;
    jacStamp[admsNodeID_SI][2] = admsNodeID_GP;
    jacStamp[admsNodeID_SI][3] = admsNodeID_DI;
    jacStamp[admsNodeID_SI][4] = admsNodeID_BS;
    jacStamp[admsNodeID_SI][5] = admsNodeID_BD;
    jacStamp[admsNodeID_SI][6] = admsNodeID_S;
    jacStamp[admsNodeID_DI].resize(7);
    jacStamp[admsNodeID_DI][0] = admsNodeID_SI;
    jacStamp[admsNodeID_DI][1] = admsNodeID_BP;
    jacStamp[admsNodeID_DI][2] = admsNodeID_GP;
    jacStamp[admsNodeID_DI][3] = admsNodeID_DI;
    jacStamp[admsNodeID_DI][4] = admsNodeID_BS;
    jacStamp[admsNodeID_DI][5] = admsNodeID_BD;
    jacStamp[admsNodeID_DI][6] = admsNodeID_D;
    jacStamp[admsNodeID_BI].resize(5);
    jacStamp[admsNodeID_BI][0] = admsNodeID_BP;
    jacStamp[admsNodeID_BI][1] = admsNodeID_BI;
    jacStamp[admsNodeID_BI][2] = admsNodeID_BS;
    jacStamp[admsNodeID_BI][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BI][4] = admsNodeID_B;
    jacStamp[admsNodeID_BP].resize(5);
    jacStamp[admsNodeID_BP][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BP][1] = admsNodeID_BP;
    jacStamp[admsNodeID_BP][2] = admsNodeID_GP;
    jacStamp[admsNodeID_BP][3] = admsNodeID_DI;
    jacStamp[admsNodeID_BP][4] = admsNodeID_BI;
    jacStamp[admsNodeID_BS].resize(5);
    jacStamp[admsNodeID_BS][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BS][1] = admsNodeID_BS;
    jacStamp[admsNodeID_BS][2] = admsNodeID_DI;
    jacStamp[admsNodeID_BS][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BS][4] = admsNodeID_BI;
    jacStamp[admsNodeID_BD].resize(5);
    jacStamp[admsNodeID_BD][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BD][1] = admsNodeID_BS;
    jacStamp[admsNodeID_BD][2] = admsNodeID_DI;
    jacStamp[admsNodeID_BD][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BD][4] = admsNodeID_BI;


    // This is really not strictly necessary when not mapping away nodes,
    // but makes life easier when we get to registerJacLIDs.  This block
    // simply makes a map that leaves everything in place.  Later, when we
    // start making nodes go away, we will need to modify this.

    int mapSize = jacStamp.size();
    jacMap.clear();
    jacMap2.clear();
    jacMap.resize(mapSize);
    jacMap2.resize(mapSize);
    for (int i=0;i<mapSize;++i)
    {
      int rowSize=jacStamp[i].size();
      jacMap[i]=i;
      jacMap2[i].resize(rowSize);
      for (int j=0;j<rowSize;++j)
      {
        jacMap2[i][j] = j;
      }
    }

  }


  setDefaultParams();
  setParams(IB.params);
  // set any non-constant parameter defaults

  // Real bogosity here...
  if (!given("XYCEADMSINSTTEMP"))
    admsInstTemp=getDeviceOptions().temp.dVal();

  //calculate any parameters specified as expressions
  updateDependentParameters();

  // calculate dependent (i.e. computed params) and check for errors.
  processParams();
  collapseNodes();
}

//-----------------------------------------------------------------------------
// Function      : Instance::collapseNodes
// Purpose       : function to handle collapsing of nodes
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::collapseNodes()
{
  // Many, many lines of unnecessary and incorrect code manually deleted.

  if (!((RG_i>0.0)))
  {

    collapseNode_GP = true;

  }

  if (!((RSE_i>0.0)))
  {

    collapseNode_SI = true;

  }

  if (!((RDE_i>0.0)))
  {

    collapseNode_DI = true;

  }

  if (!((RBULK_i>0.0)))
  {

    collapseNode_BP = true;

  }

  if (!((RJUNS_i>0.0)))
  {

    collapseNode_BS = true;

  }

  if (!((RJUND_i>0.0)))
  {

    collapseNode_BD = true;

  }

  if (!((RWELL_i>0.0)))
  {

    collapseNode_BI = true;

  }

  // end block  named loadStatic



  // Map away any unneeded internal nodes:
  // temporary stamps and maps
  vector< vector<int> > tempStamp;
  vector<int> tempMap;
  vector< vector<int> > tempMap2;

  int OriginalSize = jacMap.size();

  // If the columns of the jacstamp are not in ascending order then
  // jacStampMap will do bogus things.  Our ADMS back-end doesn't guarantee
  // in-order jacStamps.  So we reorder (through the maps)
  jacStampMap_fixOrder(jacStamp,jacMap2,tempStamp,tempMap2);
  jacStamp=tempStamp; jacMap2=tempMap2;

  if (collapseNode_GP)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_GP] , jacMap[admsNodeID_G],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_SI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_SI] , jacMap[admsNodeID_S],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_DI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_DI] , jacMap[admsNodeID_D],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BI] , jacMap[admsNodeID_B],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BP)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BP] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BS)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BS] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BD)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BD] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::~Instance
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
Instance::~Instance()
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerLIDs
// Purpose       : function for registering, and setting up, local ID's.
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerLIDs( const vector<int> & intLIDVecRef,
                             const vector<int> & extLIDVecRef)
{
  string msg;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline =
    "------------------------------------------------------------------------"
    "-----";

  if (getDeviceOptions().debugLevel > 0)
  {
    cout << endl << dashedline << endl;
    cout << "In ADMSPSP103VA::Instance::register LIDs\n\n";
    cout << "name             = " << getName() << endl;
  }
#endif

  // Check if the size of the ID lists corresponds to the
  // proper number of internal and external variables.
  int numInt = intLIDVecRef.size();
  int numExt = extLIDVecRef.size();

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "number of internal variables: " << numInt << endl;
    cout << "number of external variables: " << numExt << endl;
  }
#endif

  if (numExt != numExtVars)
  {
    msg = "ADMSPSP103VA::Instance::registerLIDs:";
    msg += "numExt != numExtVars";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::DEV_FATAL, msg);
  }

  // copy over the global ID lists.
  intLIDVec = intLIDVecRef;
  extLIDVec = extLIDVecRef;

  // Now use these lists to obtain the indices into the linear algebra
  // entities.  This assumes an order.
  int i=0;
  li_D = extLIDVecRef[i++];
  li_G = extLIDVecRef[i++];
  li_S = extLIDVecRef[i++];
  li_B = extLIDVecRef[i++];


  i=0;
  if (!collapseNode_GP)
    li_GP = intLIDVecRef[i++];
  else
    li_GP = li_G;
  if (!collapseNode_SI)
    li_SI = intLIDVecRef[i++];
  else
    li_SI = li_S;
  if (!collapseNode_DI)
    li_DI = intLIDVecRef[i++];
  else
    li_DI = li_D;
  if (!collapseNode_BI)
    li_BI = intLIDVecRef[i++];
  else
    li_BI = li_B;
  if (!collapseNode_BP)
    li_BP = intLIDVecRef[i++];
  else
    li_BP = li_BI;
  if (!collapseNode_BS)
    li_BS = intLIDVecRef[i++];
  else
    li_BS = li_BI;
  if (!collapseNode_BD)
    li_BD = intLIDVecRef[i++];
  else
    li_BD = li_BI;


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "\nSolution and RHS variables:\n";
    cout << "\nli_D = " << li_D << endl;
    cout << "\nli_G = " << li_G << endl;
    cout << "\nli_S = " << li_S << endl;
    cout << "\nli_B = " << li_B << endl;
    cout << "\nli_GP = " << li_GP << endl;
    cout << "\nli_SI = " << li_SI << endl;
    cout << "\nli_DI = " << li_DI << endl;
    cout << "\nli_BI = " << li_BI << endl;
    cout << "\nli_BP = " << li_BP << endl;
    cout << "\nli_BS = " << li_BS << endl;
    cout << "\nli_BD = " << li_BD << endl;
  }
#endif

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "\nEnd of ADMSPSP103VA::Instance::register LIDs\n";
    cout << dashedline << endl;
  }
#endif
}

//-----------------------------------------------------------------------------
// Function      : Instance::getIntNameMap
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
map<int,string> & Instance::getIntNameMap ()
{

  if (intNameMap.empty())
  {
    string tmpstr;
    if (!collapseNode_GP)
    {

      tmpstr = getName() + "_GP";
      spiceInternalName(tmpstr);
      intNameMap[li_GP] = tmpstr;
    }
    if (!collapseNode_SI)
    {

      tmpstr = getName() + "_SI";
      spiceInternalName(tmpstr);
      intNameMap[li_SI] = tmpstr;
    }
    if (!collapseNode_DI)
    {

      tmpstr = getName() + "_DI";
      spiceInternalName(tmpstr);
      intNameMap[li_DI] = tmpstr;
    }
    if (!collapseNode_BI)
    {

      tmpstr = getName() + "_BI";
      spiceInternalName(tmpstr);
      intNameMap[li_BI] = tmpstr;
    }
    if (!collapseNode_BP)
    {

      tmpstr = getName() + "_BP";
      spiceInternalName(tmpstr);
      intNameMap[li_BP] = tmpstr;
    }
    if (!collapseNode_BS)
    {

      tmpstr = getName() + "_BS";
      spiceInternalName(tmpstr);
      intNameMap[li_BS] = tmpstr;
    }
    if (!collapseNode_BD)
    {

      tmpstr = getName() + "_BD";
      spiceInternalName(tmpstr);
      intNameMap[li_BD] = tmpstr;
    }

  }
  return intNameMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerStateLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerStateLIDs( const vector <int> & staLIDVecRef)
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::jacobianStamp
// Purpose       :
// Special Notes : In initial version, we won't support mapping away nodes
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
const vector< vector<int> > & Instance::jacobianStamp() const
{
  return jacStamp;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerJacLIDs
// Purpose       : Create Offset variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerJacLIDs( const vector < vector <int> > & jacLIDVec)
{
  DeviceInstance::registerJacLIDs(jacLIDVec);
  vector<int> & map=jacMap;
  vector< vector<int> > & map2=jacMap2;


  // do nothing, we won't use the jac lids anymore, we'll use pointers

}

//-----------------------------------------------------------------------------
// Function      : Instance::setupPointers
// Purpose       : Create pointer variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupPointers( )
{

  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;
  f_D_Equ_D_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_D,li_D);
  q_D_Equ_D_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_D,li_D);
  f_D_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_D,li_DI);
  q_D_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_D,li_DI);
  f_G_Equ_G_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_G,li_G);
  q_G_Equ_G_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_G,li_G);
  f_G_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_G,li_GP);
  q_G_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_G,li_GP);
  f_S_Equ_S_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_S,li_S);
  q_S_Equ_S_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_S,li_S);
  f_S_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_S,li_SI);
  q_S_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_S,li_SI);
  f_B_Equ_B_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_B,li_B);
  q_B_Equ_B_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_B,li_B);
  f_B_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_B,li_BI);
  q_B_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_B,li_BI);
  f_GP_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_SI);
  q_GP_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_SI);
  f_GP_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_BP);
  q_GP_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_BP);
  f_GP_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_DI);
  q_GP_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_DI);
  f_GP_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_GP);
  q_GP_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_GP);
  f_GP_Equ_G_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_G);
  q_GP_Equ_G_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_G);
  f_SI_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_SI);
  q_SI_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_SI);
  f_SI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BP);
  q_SI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BP);
  f_SI_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_GP);
  q_SI_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_GP);
  f_SI_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_DI);
  q_SI_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_DI);
  f_SI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BS);
  q_SI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BS);
  f_SI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BD);
  q_SI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BD);
  f_SI_Equ_S_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_S);
  q_SI_Equ_S_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_S);
  f_DI_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_SI);
  q_DI_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_SI);
  f_DI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BP);
  q_DI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BP);
  f_DI_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_GP);
  q_DI_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_GP);
  f_DI_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_DI);
  q_DI_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_DI);
  f_DI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BS);
  q_DI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BS);
  f_DI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BD);
  q_DI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BD);
  f_DI_Equ_D_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_D);
  q_DI_Equ_D_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_D);
  f_BI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BP);
  q_BI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BP);
  f_BI_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BI);
  q_BI_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BI);
  f_BI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BS);
  q_BI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BS);
  f_BI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BD);
  q_BI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BD);
  f_BI_Equ_B_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_B);
  q_BI_Equ_B_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_B);
  f_BP_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_SI);
  q_BP_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_SI);
  f_BP_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_BP);
  q_BP_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_BP);
  f_BP_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_GP);
  q_BP_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_GP);
  f_BP_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_DI);
  q_BP_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_DI);
  f_BP_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_BI);
  q_BP_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_BI);
  f_BS_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_SI);
  q_BS_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_SI);
  f_BS_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BS);
  q_BS_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BS);
  f_BS_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_DI);
  q_BS_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_DI);
  f_BS_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BD);
  q_BS_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BD);
  f_BS_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BI);
  q_BS_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BI);
  f_BD_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_SI);
  q_BD_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_SI);
  f_BD_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BS);
  q_BD_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BS);
  f_BD_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_DI);
  q_BD_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_DI);
  f_BD_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BD);
  q_BD_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BD);
  f_BD_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BI);
  q_BD_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BI);
 

}

// RHS load functions

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEFVector
// Purpose       : load F vector (static contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEFVector()
{

  bool bsuccess=true;

  (*extData.daeFVectorPtr)[li_D] += staticContributions[admsNodeID_D].val();
  (*extData.daeFVectorPtr)[li_G] += staticContributions[admsNodeID_G].val();
  (*extData.daeFVectorPtr)[li_S] += staticContributions[admsNodeID_S].val();
  (*extData.daeFVectorPtr)[li_B] += staticContributions[admsNodeID_B].val();
  (*extData.daeFVectorPtr)[li_GP] += staticContributions[admsNodeID_GP].val();
  (*extData.daeFVectorPtr)[li_SI] += staticContributions[admsNodeID_SI].val();
  (*extData.daeFVectorPtr)[li_DI] += staticContributions[admsNodeID_DI].val();
  (*extData.daeFVectorPtr)[li_BI] += staticContributions[admsNodeID_BI].val();
  (*extData.daeFVectorPtr)[li_BP] += staticContributions[admsNodeID_BP].val();
  (*extData.daeFVectorPtr)[li_BS] += staticContributions[admsNodeID_BS].val();
  (*extData.daeFVectorPtr)[li_BD] += staticContributions[admsNodeID_BD].val();

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEQVector
// Purpose       : load Q vector (dynamic contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEQVector()
{
  (*extData.daeQVectorPtr)[li_D] += dynamicContributions[admsNodeID_D].val();
  (*extData.daeQVectorPtr)[li_G] += dynamicContributions[admsNodeID_G].val();
  (*extData.daeQVectorPtr)[li_S] += dynamicContributions[admsNodeID_S].val();
  (*extData.daeQVectorPtr)[li_B] += dynamicContributions[admsNodeID_B].val();
  (*extData.daeQVectorPtr)[li_GP] += dynamicContributions[admsNodeID_GP].val();
  (*extData.daeQVectorPtr)[li_SI] += dynamicContributions[admsNodeID_SI].val();
  (*extData.daeQVectorPtr)[li_DI] += dynamicContributions[admsNodeID_DI].val();
  (*extData.daeQVectorPtr)[li_BI] += dynamicContributions[admsNodeID_BI].val();
  (*extData.daeQVectorPtr)[li_BP] += dynamicContributions[admsNodeID_BP].val();
  (*extData.daeQVectorPtr)[li_BS] += dynamicContributions[admsNodeID_BS].val();
  (*extData.daeQVectorPtr)[li_BD] += dynamicContributions[admsNodeID_BD].val();

  return true;
}


//-----------------------------------------------------------------------------
// Function      : Instance::updatePrimaryState
// Purpose       :
// Special Notes : In this initial implementation, does little more than
//                 call updateIntermediateVars()
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updatePrimaryState()
{
  bool bsuccess = true;

  bsuccess = updateIntermediateVars();

  // if old DAE were implemented, we'd save dynamic contributions as state
  // here.


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateSecondaryState
// Purpose       :
// Special Notes : In this initial implementation, does nothing
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateSecondaryState()
{
  bool bsuccess = true;

  // were old DAE implemented, we'd pull dynamic contribution derivatives
  // out of state.

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateIntermediateVars
// Purpose       : update intermediate variables for one PSP103VA instance
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateIntermediateVars()
{

  bool bsuccess=true;
  N_LAS_Vector * solVectorPtr = extData.nextSolVectorPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline =
    "------------------------------------------------------------------------"
    "-----";
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << endl << dashedline2 << endl;
    cout << "  In ADMSPSP103VA::Instance::updateIntermediateVars\n\n";
    cout << "  name = " << getName() << endl;
  }
#endif

  // Local variables
  AdmsFadType Qs;
  AdmsFadType Idse;
  AdmsFadType Igbe;
  AdmsFadType Igcse;
  AdmsFadType Igcde;
  AdmsFadType Igsove;
  AdmsFadType Igdove;
  AdmsFadType Igidle;
  AdmsFadType Igisle;
  AdmsFadType Iimpacte;
  double rgatenoise;
  double rsourcenoise;
  double rdrainnoise;
  double rbulknoise;
  double rjunsnoise;
  double rjundnoise;
  double rwellnoise;
  AdmsFadType vbbt;
  AdmsFadType two_psistar;
  AdmsFadType z;
  AdmsFadType vjlim;
  AdmsFadType tmp;
  AdmsFadType id;
  AdmsFadType wsrhstep;
  AdmsFadType dwsrh;
  AdmsFadType isrh;
  AdmsFadType btat;
  AdmsFadType twoatatoverthreebtat;
  AdmsFadType umaxbeforelimiting;
  AdmsFadType umax;
  AdmsFadType sqrtumax;
  AdmsFadType umaxpoweronepointfive;
  AdmsFadType wgamma;
  AdmsFadType wtat;
  AdmsFadType ktat;
  AdmsFadType ltat;
  AdmsFadType mtat;
  AdmsFadType xerfc;
  AdmsFadType ysq;
  AdmsFadType terfc;
  AdmsFadType erfcpos;
  AdmsFadType erfctimesexpmtat;
  AdmsFadType gammamax;
  AdmsFadType itat;
  AdmsFadType Fmaxr;
  AdmsFadType ibbt;
  AdmsFadType fbreakdown;
  AdmsFadType tm0;
  AdmsFadType tm1;
  AdmsFadType ijunfor1;
  AdmsFadType ijunfor2;
  AdmsFadType ijunrev;
  AdmsFadType h5;
  AdmsFadType h4;
  AdmsFadType h3;
  AdmsFadType h2d;
  double h2;
  double h1;
  AdmsFadType Gf_ac;
  AdmsFadType x_m_ac;
  AdmsFadType Gmob_dL_ac;
  AdmsFadType Gvsat_ac;
  AdmsFadType eta_p_ac;
  AdmsFadType H_ac;
  AdmsFadType GdL_ac;
  AdmsFadType qim1_ac;
  AdmsFadType qim_ac;
  AdmsFadType dps_ac;
  AdmsFadType alpha_ac;
  AdmsFadType Voxm_ac;
  AdmsFadType qeff1_ac;
  AdmsFadType xg_ac;
  AdmsFadType Vsbstar_ac;
  AdmsFadType Vgb;
  AdmsFadType COX_qm;
  AdmsFadType Fj;
  AdmsFadType Fj2;
  AdmsFadType QG;
  AdmsFadType QI;
  AdmsFadType QD;
  AdmsFadType QB;
  AdmsFadType Qg;
  AdmsFadType Qd;
  AdmsFadType Qb;
  AdmsFadType Qgs_ov;
  AdmsFadType Qgd_ov;
  AdmsFadType Qgb_ov;
  AdmsFadType Qfgs;
  AdmsFadType Qfgd;
  AdmsFadType QCLM;
  AdmsFadType xs_ov;
  AdmsFadType xd_ov;
  AdmsFadType Vovs;
  AdmsFadType Vovd;
  AdmsFadType Iimpact;
  AdmsFadType mavl;
  AdmsFadType Vrg;
  AdmsFadType Vrs;
  AdmsFadType Vrd;
  AdmsFadType Vrjuns;
  AdmsFadType Vrjund;
  AdmsFadType Vrbulk;
  AdmsFadType Vrwell;
  AdmsFadType Vgs;
  AdmsFadType Vds;
  AdmsFadType Vsb;
  AdmsFadType Vjun_s;
  AdmsFadType Vjun_d;
  AdmsFadType VgsPrime;
  AdmsFadType VsbPrime;
  AdmsFadType VdbPrime;
  AdmsFadType VgdPrime;
  AdmsFadType xgs_ov;
  AdmsFadType xgd_ov;
  double sigVds;
  AdmsFadType Vgd;
  AdmsFadType Vdb;
  AdmsFadType Vdsx;
  AdmsFadType Udse_dc;
  AdmsFadType Vdsat_dc;
  AdmsFadType Gf_dc;
  AdmsFadType x_m_dc;
  AdmsFadType x_ds_dc;
  AdmsFadType Gmob_dL_dc;
  AdmsFadType Gvsatinv_dc;
  AdmsFadType Gvsat_dc;
  AdmsFadType eta_p_dc;
  AdmsFadType H_dc;
  AdmsFadType FdL_dc;
  AdmsFadType GdL_dc;
  AdmsFadType qim1_dc;
  AdmsFadType qim_dc;
  AdmsFadType dps_dc;
  AdmsFadType alpha_dc;
  AdmsFadType Voxm_dc;
  AdmsFadType qeff1_dc;
  AdmsFadType xg_dc;
  AdmsFadType help;
  AdmsFadType temp1;
  AdmsFadType temp2;
  AdmsFadType mutau;
  AdmsFadType nu;
  AdmsFadType delVg;
  AdmsFadType Vgb1;
  AdmsFadType Vgbstar;
  AdmsFadType Vdbstar;
  AdmsFadType Vsbnud;
  AdmsFadType Vmbnew;
  AdmsFadType usnew;
  AdmsFadType us;
  AdmsFadType Vmb;
  AdmsFadType Vsbstar_dc;
  AdmsFadType temp;
  AdmsFadType delVsat;
  AdmsFadType Ids;
  double GOV;
  double GOV2;
  double xi_ov;
  double inv_xi_ov;
  double x_mrg_ov;
  double inv_xg1;
  double SP_OV_Afac;
  AdmsFadType SP_OV_xbar;
  AdmsFadType SP_OV_x0;
  AdmsFadType SP_OV_u;
  AdmsFadType SP_OV_yg;
  AdmsFadType SP_OV_z;
  AdmsFadType SP_OV_eta;
  AdmsFadType SP_OV_a;
  AdmsFadType SP_OV_c;
  AdmsFadType SP_OV_tau;
  AdmsFadType SP_OV_y0;
  AdmsFadType SP_OV_D0;
  AdmsFadType SP_OV_temp;
  AdmsFadType SP_OV_p;
  AdmsFadType SP_OV_q;
  AdmsFadType SP_OV_xi;
  AdmsFadType SP_OV_w;
  AdmsFadType Igsov;
  AdmsFadType Igdov;
  AdmsFadType Igc;
  AdmsFadType Igb;
  AdmsFadType Igcs;
  AdmsFadType Igcd;
  AdmsFadType arg2mina;
  AdmsFadType psi_t;
  AdmsFadType zg;
  AdmsFadType arg1;
  AdmsFadType Dsi;
  AdmsFadType Dgate;
  AdmsFadType TP;
  AdmsFadType Vm;
  AdmsFadType Igc0;
  AdmsFadType u0;
  AdmsFadType x;
  AdmsFadType u0_div_H;
  AdmsFadType Bg;
  AdmsFadType Ag;
  AdmsFadType inv_x;
  AdmsFadType ex;
  AdmsFadType inv_ex;
  AdmsFadType xsq;
  AdmsFadType igc;
  AdmsFadType igcd_h;
  AdmsFadType Sg;
  AdmsFadType Igidl;
  AdmsFadType Igisl;
  AdmsFadType Vtovd;
  AdmsFadType Vtovs;


  // set the sizes of the Fad arrays:

  if (probeVars.size() != (12))
  {
    probeVars.resize(12);
    staticContributions.resize(11+0);
    dynamicContributions.resize(11+0);
  }

  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 11+0 ; ++i)
  {
    staticContributions[i]=0;
    dynamicContributions[i]=0;
  }

  // extract solution variables and set as Fad independent variables.
  probeVars[admsProbeID_V_DI_BD] = (*solVectorPtr)[li_DI] - (*solVectorPtr)[li_BD];
  probeVars[admsProbeID_V_DI_BD].diff(admsProbeID_V_DI_BD,12);

  probeVars[admsProbeID_V_SI_BS] = (*solVectorPtr)[li_SI] - (*solVectorPtr)[li_BS];
  probeVars[admsProbeID_V_SI_BS].diff(admsProbeID_V_SI_BS,12);

  probeVars[admsProbeID_V_SI_BP] = (*solVectorPtr)[li_SI] - (*solVectorPtr)[li_BP];
  probeVars[admsProbeID_V_SI_BP].diff(admsProbeID_V_SI_BP,12);

  probeVars[admsProbeID_V_DI_SI] = (*solVectorPtr)[li_DI] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_DI_SI].diff(admsProbeID_V_DI_SI,12);

  probeVars[admsProbeID_V_GP_SI] = (*solVectorPtr)[li_GP] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_GP_SI].diff(admsProbeID_V_GP_SI,12);

  probeVars[admsProbeID_V_B_BI] = (*solVectorPtr)[li_B] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_B_BI].diff(admsProbeID_V_B_BI,12);

  probeVars[admsProbeID_V_BP_BI] = (*solVectorPtr)[li_BP] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BP_BI].diff(admsProbeID_V_BP_BI,12);

  probeVars[admsProbeID_V_BD_BI] = (*solVectorPtr)[li_BD] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BD_BI].diff(admsProbeID_V_BD_BI,12);

  probeVars[admsProbeID_V_BS_BI] = (*solVectorPtr)[li_BS] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BS_BI].diff(admsProbeID_V_BS_BI,12);

  probeVars[admsProbeID_V_D_DI] = (*solVectorPtr)[li_D] - (*solVectorPtr)[li_DI];
  probeVars[admsProbeID_V_D_DI].diff(admsProbeID_V_D_DI,12);

  probeVars[admsProbeID_V_S_SI] = (*solVectorPtr)[li_S] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_S_SI].diff(admsProbeID_V_S_SI,12);

  probeVars[admsProbeID_V_G_GP] = (*solVectorPtr)[li_G] - (*solVectorPtr)[li_GP];
  probeVars[admsProbeID_V_G_GP].diff(admsProbeID_V_G_GP,12);


  // -- code converted from analog/code block
  //Begin block evaluateStatic
  {
    QCLM = 0.0;
    xs_ov = 0.0;
    xd_ov = 0.0;
    Vovs = 0.0;
    Vovd = 0.0;
    Iimpact = 0.0;
    mavl = 0.0;
    Vrg = (probeVars[admsProbeID_V_G_GP]);
    Vrs = (probeVars[admsProbeID_V_S_SI]);
    Vrd = (probeVars[admsProbeID_V_D_DI]);
    Vrjuns = (probeVars[admsProbeID_V_BS_BI]);
    Vrjund = (probeVars[admsProbeID_V_BD_BI]);
    Vrbulk = (probeVars[admsProbeID_V_BP_BI]);
    Vrwell = (probeVars[admsProbeID_V_B_BI]);
    if (((model_.CHNL_TYPE)==(+1)))
    {
      Vgs = (probeVars[admsProbeID_V_GP_SI]);
      Vds = (probeVars[admsProbeID_V_DI_SI]);
      Vsb = (probeVars[admsProbeID_V_SI_BP]);
      Vjun_s = (-(probeVars[admsProbeID_V_SI_BS]));
      Vjun_d = (-(probeVars[admsProbeID_V_DI_BD]));
    }
    else
    {
      Vgs = (-(probeVars[admsProbeID_V_GP_SI]));
      Vds = (-(probeVars[admsProbeID_V_DI_SI]));
      Vsb = (-(probeVars[admsProbeID_V_SI_BP]));
      Vjun_s = (probeVars[admsProbeID_V_SI_BS]);
      Vjun_d = (probeVars[admsProbeID_V_DI_BD]);
    }
    VgsPrime = Vgs;
    VsbPrime = Vsb;
    VdbPrime = (Vds+Vsb);
    VgdPrime = (Vgs-Vds);
    xgs_ov = ((-VgsPrime)*(model_.inv_phit));
    xgd_ov = ((-VgdPrime)*(model_.inv_phit));
    sigVds = 1.0;
    if ((Vds<0.0))
    {
      sigVds = (-1.0);
      Vgs = (Vgs-Vds);
      Vsb = (Vsb+Vds);
      Vds = (-Vds);
    }
    Vgd = (Vgs-Vds);
    Vdb = (Vds+Vsb);
    Vdsx = (sqrt(((Vds*Vds)+0.01))-0.1);
    //Begin block SPcalc_dc
    {
      //Block-local variables for block SPcalc_dc
      double phib;
      double G_0;
      double sqrt_phib;
      AdmsFadType Vsbstar;
      AdmsFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xg;
      AdmsFadType qeff;
      AdmsFadType qeff1;
      AdmsFadType Voxm;
      AdmsFadType alpha;
      AdmsFadType dps;
      AdmsFadType qim;
      AdmsFadType qim1;
      AdmsFadType GdL;
      AdmsFadType H;
      AdmsFadType eta_p;
      AdmsFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Gvsat;
      AdmsFadType Gvsatinv;
      AdmsFadType Gmob_dL;
      AdmsFadType x_ds;
      AdmsFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType x_s;
      AdmsFadType sqm;
      AdmsFadType alpha1;
      AdmsFadType phi_inf;
      AdmsFadType za;
      AdmsFadType xitsb;
      AdmsFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType thesat1;
      AdmsFadType wsat;
      AdmsFadType ysat;
      AdmsFadType zsat;
      AdmsFadType dL;
      AdmsFadType GR;
      AdmsFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xgm;
      AdmsFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xn_s;
      AdmsFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Gf;
      AdmsFadType Gf2;
      AdmsFadType inv_Gf2;
      AdmsFadType xi;
      AdmsFadType inv_xi;
      AdmsFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_xg1;
      AdmsFadType SP_S_temp;
      AdmsFadType SP_S_temp1;
      AdmsFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_yg;
      AdmsFadType SP_S_ysub;
      AdmsFadType SP_S_y0;
      AdmsFadType SP_S_a;
      AdmsFadType SP_S_b;
      AdmsFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_bx;
      AdmsFadType SP_S_tau;
      AdmsFadType SP_S_eta;
      AdmsFadType SP_S_delta0;
      AdmsFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_pC;
      AdmsFadType SP_S_qC;
      AdmsFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_x1;
      AdmsFadType SP_S_w;
      AdmsFadType SP_S_xbar;
      AdmsFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_xi0;
      AdmsFadType SP_S_xi1;
      AdmsFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType x_d;
      AdmsFadType Rxcor;
      AdmsFadType delta_1s;
      AdmsFadType xi0s;
      AdmsFadType xi1s;
      AdmsFadType xi2s;
      AdmsFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Es;
      AdmsFadType Em;
      AdmsFadType Ed;
      AdmsFadType Ds;
      AdmsFadType Dm;
      AdmsFadType Dd;
      AdmsFadType Ps;
      AdmsFadType xgs;
      AdmsFadType qis;
      AdmsFadType qbs;
      AdmsFadType qbm;
      AdmsFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Phi_0;
      AdmsFadType Phi_2;
      AdmsFadType asat;
      AdmsFadType Phi_0_2;
      AdmsFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Vdse;
      AdmsFadType Vdsat;
      AdmsFadType Udse;
      AdmsFadType xn_d;
      AdmsFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Mutmp;
      AdmsFadType Phi_sat;
      AdmsFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType pC;
      AdmsFadType qC;
      AdmsFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType d0;
      AdmsFadType D_bar;
      AdmsFadType km;
      AdmsFadType x_pm;
      AdmsFadType xi_pd;
      AdmsFadType p_pd;
      AdmsFadType u_pd;
      AdmsFadType q_pd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType FdL;
      AdmsFadType qim1_1;
      AdmsFadType r1;
      AdmsFadType r2;
      AdmsFadType s2;
      AdmsFadType dL1;
      //End of Block-local variables
      temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+bphi_dc))))+phix_dc);
      Vsbstar_dc = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+aphi_dc)))))+phix1_dc);
      if ((((model_.SWNUD_i)!=0)&&(GFACNUD_i!=1.0)))
      {
        Vmb = (Vsbstar_dc+(0.5*(Vds-Vdsx)));
        us = (sqrt((Vmb+phib_dc))-sqrt_phib_dc);
        temp = (((2*(us-us1))/us21)-1);
        usnew = (us-(((0.25*(1-GFACNUD_i))*us21)*(temp+sqrt(((temp*temp)+0.4804530139182)))));
        Vmbnew = ((usnew*usnew)+((2*sqrt_phib_dc)*usnew));
        Vsbnud = (Vmbnew-(0.5*(Vds-Vdsx)));
      }
      else
      {
        Vsbnud = Vsbstar_dc;
      }
      phib = phib_dc;
      G_0 = G_0_dc;
      sqrt_phib = sqrt_phib_dc;
      Vsbstar = Vsbnud;
      FdL = 1.0;
      alpha = 0.0;
      GdL = 1.0;
      dL = 0.0;
      qbm = 0.0;
      dps = 0.0;
      qim = 0.0;
      qim1 = 0.0;
      H = 1.0;
      eta_p = 1.0;
      Gvsat = 1.0;
      Gvsatinv = 1.0;
      SP_S_x1 = 0.0;
      x_s = 0.0;
      sqm = 0.0;
      xitsb = 0.0;
      rhob = 0.0;
      Gmob = 1.0;
      Gmob_dL = 1.0;
      Udse = 0.0;
      thesat1 = 0.0;
      xgm = 0.0;
      Vdbstar = (Vds+Vsbstar);
      Vgbstar = (Vgs+Vsbstar);
      Vgb1 = (Vgbstar-VFB_i);
      Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
      delVg = (CF_i*(Vdsx*(1+(CFB_i*Vsbx))));
      Vgb1 = (Vgb1+delVg);
      xg = (Vgb1*inv_phit1);
      if ((DNSUB_i>0.0))
      {
        Dnsub = ((DNSUB_i*0.5)*((+((Vgs+Vsb)-VNSUB_i))+sqrt((((-((Vgs+Vsb)-VNSUB_i))*(-((Vgs+Vsb)-VNSUB_i)))+NSLP_i))));
        Gf = (G_0*sqrt((1.0+Dnsub)));
      }
      else
      {
        Gf = G_0;
      }
      Gf2 = (Gf*Gf);
      inv_Gf2 = (1.0/Gf2);
      xi = (1.0+(Gf*7.0710678118654746e-01));
      inv_xi = (1.0/xi);
      Ux = (Vsbstar*inv_phit1);
      xn_s = ((phib*inv_phit1)+Ux);
      if ((xn_s<4.6051701859880916e+02))
      {
        delta_ns = exp((-xn_s));
      }
      else
      {
        delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
      }
      margin = (1e-5*xi);
      if ((fabs(xg)<=margin))
      {
        SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
        x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
      }
      else
      {
        if ((xg<(-margin)))
        {
          SP_S_yg = (-xg);
          SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
          SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
          SP_S_temp = (SP_S_yg-SP_S_eta);
          SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
          SP_S_c = ((2.0*SP_S_temp)-Gf2);
          SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
          SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
          if ((SP_S_y0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_y0);
          }
          else
          {
            SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
          SP_S_delta1 = (1.0/SP_S_delta0);
          SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
          SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (SP_S_yg-SP_S_y0);
          SP_S_temp1 = (delta_ns*SP_S_delta1);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        else
        {
          SP_xg1 = (1.0/(x1+(Gf*7.324648775608221e-001)));
          SP_S_A_fac = ((((xi*x1)*SP_xg1)-1.0)*SP_xg1);
          SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
          if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
          {
            SP_S_temp = exp((-SP_S_xbar));
          }
          else
          {
            SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
          }
          SP_S_w = (1.0-SP_S_temp);
          SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
          SP_S_bx = (xn_s+3.0);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_ns*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_s));
              SP_S_delta1 = (delta_ns/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
      }
      x_d = x_s;
      x_m = x_s;
      x_ds = 0.0;
      if ((xg<=0.0))
      {
        qis = 0.0;
        xgm = (xg-x_s);
        Voxm = (xgm*phit1);
        qeff1 = Voxm;
        Vdsat = Vdsat_lim;
      }
      else
      {
        delta_1s = 0.0;
        temp = (1.0/(2.0+(x_s*x_s)));
        xi0s = ((x_s*x_s)*temp);
        xi1s = (4.0*((x_s*temp)*temp));
        xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
        if ((x_s<2.3025850929940458e+02))
        {
          delta_1s = exp(x_s);
          Es = (1.0/delta_1s);
          delta_1s = (delta_ns*delta_1s);
        }
        else
        {
          if ((x_s>(xn_s-2.3025850929940458e+02)))
          {
            delta_1s = exp((x_s-xn_s));
            Es = (delta_ns/delta_1s);
          }
          else
          {
            delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
        if ((x_s<1.0e-5))
        {
          Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
          Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
          sqm = (7.0710678118654746e-01*(x_s*temp));
          alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
        }
        else
        {
          Ps = ((x_s-1.0)+Es);
          sqm = sqrt(Ps);
          alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
        }
        Em = Es;
        Ed = Em;
        Dm = Ds;
        Dd = Dm;
        Rxcor = ((1.0+((0.2*XCOR_i)*Vsbx))/(1.0+(XCOR_i*Vsbx)));
        if ((Ds>1.0e-100))
        {
          xgs = (Gf*sqrt((Ps+Ds)));
          qis = (((Gf2*Ds)*phit1)/(xgs+(Gf*sqm)));
          qbs = ((sqm*Gf)*phit1);
          if ((RSB_i<0))
          {
            rhob = (1.0/(1.0-(RSB_i*Vsbx)));
          }
          else
          {
            rhob = (1.0+(RSB_i*Vsbx));
          }
          if ((RSG_i<0))
          {
            temp = (1.0-(RSG_i*qis));
          }
          else
          {
            temp = (1.0/(1.0+(RSG_i*qis)));
          }
          GR = (THER_i*((rhob*temp)*qis));
          Eeffm = (E_eff0*(qbs+(eta_mu*qis)));
          if (((Eeffm*MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Ps/((Ps+Ds)+1.0e-14))));
          }
          else
          {
            Mutmp = (CS_i*(Ps/((Ps+Ds)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          if ((THESATB_i<0))
          {
            xitsb = (1.0/(1.0-(THESATB_i*Vsbx)));
          }
          else
          {
            xitsb = (1.0+(THESATB_i*Vsbx));
          }
          temp2 = (qis*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          if ((THESATG_i<0))
          {
            temp = (1/(1-(THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(THESATG_i*wsat));
          }
          thesat1 = (THESAT_i*(temp/Gmob));
          phi_inf = ((qis/alpha)+phit1);
          ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
          if (((model_.CHNL_TYPE)==(-1)))
          {
            ysat = (ysat/sqrt((1.0+ysat)));
          }
          za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
          temp1 = (za*ysat);
          Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
          asat = (xgs+(0.5*Gf2));
          Phi_2 = (0.98*(((Gf2*Ds)*phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
          Phi_0_2 = (Phi_0+Phi_2);
          Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
          Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
          Vdsat = (Phi_sat-(phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*phit1)))*inv_Gf2)/((phit1*phit1)*Ds))))));
        }
        else
        {
          Vdsat = Vdsat_lim;
        }
        if (((Vds/Vdsat)!=0))
        {
          temp = pow((Vds/Vdsat),AX_i);
        }
        else
        {
          temp = 0;
        }
        Vdse = (Vds*pow((1.0+temp),(-inv_AX)));
        Udse = (Vdse*inv_phit1);
        xn_d = (xn_s+Udse);
        if ((Udse<4.6051701859880916e+02))
        {
          k_ds = exp((-Udse));
        }
        else
        {
          k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        delta_nd = (delta_ns*k_ds);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
        }
        else
        {
          SP_S_bx = (xn_d+3);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_nd*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_d));
              SP_S_delta1 = (delta_nd/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        x_ds = (x_d-x_s);
        if ((x_ds<1.0E-10))
        {
          pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
          qC = ((Gf2*(1.0-k_ds))*Ds);
          temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
          temp = ((pC*pC)-(2.0*(temp*qC)));
          x_ds = (2.0*(qC/(pC+sqrt(temp))));
          x_d = (x_s+x_ds);
        }
        dps = (x_ds*phit1);
        xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
        if ((x_d<2.3025850929940458e+02))
        {
          Ed = exp((-x_d));
          if ((x_d<1.0e-5))
          {
            Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
          }
          else
          {
            Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
          }
        }
        else
        {
          if ((x_d>(xn_d-2.3025850929940458e+02)))
          {
            temp = exp((x_d-xn_d));
            Ed = (delta_nd/temp);
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
          else
          {
            Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
        }
        x_m = (0.5*(x_s+x_d));
        Em = 0.0;
        temp = (Ed*Es);
        if ((temp>0.0))
        {
          Em = sqrt(temp);
        }
        D_bar = (0.5*(Ds+Dd));
        Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
        if ((x_m<1.0e-5))
        {
          Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((kp>0.0))
          {
            eta_p = (1.0/sqrt((1.0+(kp*xgm))));
          }
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
          sqm = (7.0710678118654746e-01*(x_m*temp));
          alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
        }
        else
        {
          Pm = ((x_m-1.0)+Em);
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((kp>0.0))
          {
            d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
            eta_p = (1.0/sqrt((1.0+(kp*xgm))));
            temp = (eta_p/(eta_p+1.0));
            x_pm = (kp*(((temp*temp)*Gf2)*Dm));
            p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
            q_pd = (x_pm*(x_pm-(2.0*xgm)));
            xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
            u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
            x_m = (x_m+u_pd);
            km = exp(u_pd);
            Em = (Em/km);
            Dm = (Dm*km);
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
            x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
            dps = (x_ds*phit1);
          }
          sqm = sqrt(Pm);
          alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
        }
        qim = (phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
        qim1 = (qim+(phit1*alpha));
        qbm = ((sqm*Gf)*phit1);
        if ((RSG_i<0))
        {
          temp = (1.0-(RSG_i*qim));
        }
        else
        {
          temp = (1.0/(1.0+(RSG_i*qim)));
        }
        GR = (THER_i*((rhob*temp)*qim));
        qeff = (qbm+(eta_mu*qim));
        qeff1 = (qbm+(eta_mu1*qim));
        Eeffm = (E_eff0*qeff);
        if (((Eeffm*MUE_i)!=0))
        {
          Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Pm/((Pm+Dm)+1.0e-14))));
        }
        else
        {
          Mutmp = (CS_i*(Pm/((Pm+Dm)+1.0e-14)));
        }
        Gmob = (((1.0+Mutmp)+GR)*Rxcor);
        s1 = log(((1.0+((Vds-dps)*inv_VP))/(1.0+((Vdse-dps)*inv_VP))));
        dL = (ALP_i*s1);
        GdL = (1.0/((1.0+dL)+(dL*dL)));
        temp2 = (qim*xitsb);
        wsat = (100.0*(temp2/(100.0+temp2)));
        Gmob_dL = (Gmob*GdL);
        if ((THESATG_i<0))
        {
          temp = (1/(1-(THESATG_i*wsat)));
        }
        else
        {
          temp = (1+(THESATG_i*wsat));
        }
        thesat1 = (THESAT_i*(temp/Gmob_dL));
        zsat = (((thesat1*thesat1)*dps)*dps);
        if (((model_.CHNL_TYPE)==(-1)))
        {
          zsat = (zsat/(1.0+(thesat1*dps)));
        }
        Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
        Gvsatinv = (1.0/Gvsat);
        Voxm = (xgm*phit1);
        temp = (Gmob_dL*Gvsatinv);
        alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
        H = ((temp*qim1)/alpha1);
      }
      if ((xg>0.0))
      {
        qim1_1 = (1.0/qim1);
        r1 = (qim*qim1_1);
        r2 = (phit1*(alpha*qim1_1));
        s2 = log((1.0+(Vdsx*inv_VP)));
        dL1 = ((dL+(ALP1_i*((qim1_1*r1)*s1)))+(ALP2_i*(((qbm*r2)*r2)*s2)));
        FdL = (((1.0+dL1)+(dL1*dL1))*GdL);
      }
      xg_dc = xg;
      qeff1_dc = qeff1;
      Voxm_dc = Voxm;
      alpha_dc = alpha;
      dps_dc = dps;
      qim_dc = qim;
      qim1_dc = qim1;
      GdL_dc = GdL;
      FdL_dc = FdL;
      H_dc = H;
      eta_p_dc = eta_p;
      Gvsat_dc = Gvsat;
      Gvsatinv_dc = Gvsatinv;
      Gmob_dL_dc = Gmob_dL;
      x_ds_dc = x_ds;
      x_m_dc = x_m;
      Gf_dc = Gf;
      Vdsat_dc = Vdsat;
      Udse_dc = Udse;
    }
    // End block SPcalc_dc
    if ((xg_dc<=0))
    {
      Ids = 0.0;
    }
    else
    {
      Ids = (BET_i*(((FdL_dc*qim1_dc)*dps_dc)*Gvsatinv_dc));
      if (((model_.SWIMPACT_i)!=0))
      {
        delVsat = (Vds-(A3_i*dps_dc));
        if ((delVsat>0))
        {
          temp2 = (A2_i*((1.0+(A4_i*(sqrt((phib_dc+Vsbnud))-sqrt_phib_dc)))/(delVsat+1e-30)));
          if (((-temp2)>(-2.3025850929940458e+02)))
          {
            temp = exp((-temp2));
          }
          else
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
          }
          mavl = (A1_i*(delVsat*temp));
          Iimpact = (Ids*mavl);
        }
      }
    }
    if (((((((model_.SWIGATE_i)!=0)&&((IGOV_i>0)||(IGOVD_i>0)))||(((model_.SWGIDL_i)!=0)&&((AGIDL_i>0)||(AGIDLD_i>0))))||(CGOV_i>0))||(CGOVD_i>0)))
    {
      GOV = GOV_s;
      GOV2 = GOV2_s;
      xi_ov = xi_ov_s;
      inv_xi_ov = inv_xi_ov_s;
      x_mrg_ov = x_mrg_ov_s;
      inv_xg1 = inv_xg1_s;
      if ((fabs(xgs_ov)<=x_mrg_ov))
      {
        xs_ov = ((-xgs_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgs_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgs_ov);
          SP_OV_z = ((x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgs_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgs_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgs_ov+(GOV2*0.5))-(GOV*sqrt(((xgs_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgs_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgs_ov-SP_OV_x0)*(xgs_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (SP_OV_x0+SP_OV_u);
        }
        xs_ov = (-xs_ov);
      }
      GOV = GOV_d;
      GOV2 = GOV2_d;
      xi_ov = xi_ov_d;
      inv_xi_ov = inv_xi_ov_d;
      x_mrg_ov = x_mrg_ov_d;
      inv_xg1 = inv_xg1_d;
      if ((fabs(xgd_ov)<=x_mrg_ov))
      {
        xd_ov = ((-xgd_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgd_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgd_ov);
          SP_OV_z = ((x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgd_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgd_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgd_ov+(GOV2*0.5))-(GOV*sqrt(((xgd_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgd_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgd_ov-SP_OV_x0)*(xgd_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (SP_OV_x0+SP_OV_u);
        }
        xd_ov = (-xd_ov);
      }
      Vovs = ((-(model_.phit))*(xgs_ov+xs_ov));
      Vovd = ((-(model_.phit))*(xgd_ov+xd_ov));
    }
    Igsov = 0.0;
    Igdov = 0.0;
    Igc = 0.0;
    Igb = 0.0;
    Igcs = 0.0;
    Igcd = 0.0;
    if (((model_.SWIGATE_i)!=0))
    {
      if ((IGOV_i>0))
      {
        arg2mina = (Vovs+Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovs*Vovs)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xs_ov)+(psi_t*(model_.inv_phit)));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgsPrime)*(model_.inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BOV*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igsov = (IGOV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((IGOVD_i>0))
      {
        arg2mina = (Vovd+Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovd*Vovd)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xd_ov)+(psi_t*(model_.inv_phit)));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgdPrime)*(model_.inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BOV_d*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igdov = (IGOVD_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((IGINV_i>0))
      {
        if ((xg_dc<=0.0))
        {
          temp = pow((Vds/Vdsat_lim),AX_i);
          Udse_dc = ((Vds*pow((1.0+temp),(-inv_AX)))*inv_phit1);
        }
        if (((x_ds_dc-Udse_dc)>(-2.3025850929940458e+02)))
        {
          temp = exp((x_ds_dc-Udse_dc));
        }
        else
        {
          temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
        }
        Vm = (Vsbnud+(phit1*((0.5*x_ds_dc)-log((0.5*(1.0+temp))))));
        arg2mina = (Voxm_dc+Dch);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-06))));
        }
        arg1 = (x_m_dc+(((psi_t-alpha_b)-Vm)*inv_phit1));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-((Vgs+Vsbnud)-Vm))*inv_phit1);
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BCH*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igc0 = (IGINV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
        if (((xg_dc<=0)||((GC2_i==0)&&(GC3_i==0))))
        {
          igc = 1.0;
          igcd_h = 0.5;
        }
        else
        {
          temp = (GC2_i+((2.0*GC3_i)*zg));
          u0 = (CHIB_i/(temp*BCH));
          x = (0.5*(dps_dc/u0));
          u0_div_H = (u0/H_dc);
          Bg = ((u0_div_H*(1.0-u0_div_H))*0.5);
          Ag = (0.5-(3.0*Bg));
          if ((x<1.0e-3))
          {
            xsq = (x*x);
            igc = (1.0+(xsq*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))));
            igcd_h = ((0.5*igc)-(1.6666666666666667e-01*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))));
          }
          else
          {
            inv_x = (1.0/x);
            if ((fabs(x)<2.3025850929940458e+02))
            {
              ex = exp(x);
            }
            else
            {
              if ((x<(-2.3025850929940458e+02)))
              {
                ex = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
              }
              else
              {
                ex = (1.0e100*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            inv_ex = (1.0/ex);
            temp = (ex-inv_ex);
            temp2 = (ex+inv_ex);
            igc = (0.5*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2)));
            igcd_h = (0.5*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x)));
          }
        }
        Sg = (0.5*(1.0+(xg_dc/sqrt(((xg_dc*xg_dc)+1.0e-6)))));
        Igc = ((Igc0*igc)*Sg);
        Igcd = ((Igc0*igcd_h)*Sg);
        Igcs = (Igc-Igcd);
        Igb = ((Igc0*igc)*(1.0-Sg));
      }
    }
    Igidl = 0.0;
    Igisl = 0.0;
    if (((model_.SWGIDL_i)!=0))
    {
      if (((AGIDLD_i>0)&&(Vovd<0)))
      {
        Vtovd = sqrt((((Vovd*Vovd)+((CGIDLD_i*CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6));
        temp = ((-BGIDLD_i)/Vtovd);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igidl = ((-AGIDLD_i)*(((VdbPrime*Vovd)*Vtovd)*temp2));
      }
      if (((AGIDL_i>0)&&(Vovs<0)))
      {
        Vtovs = sqrt((((Vovs*Vovs)+((CGIDL_i*CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6));
        temp = ((-BGIDL_i)/Vtovs);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igisl = ((-AGIDL_i)*(((VsbPrime*Vovs)*Vtovs)*temp2));
      }
    }
  }
  // End block evaluateStatic
  //Begin block evaluateDynamic
  {
    //Begin block SPcalc_ac
    {
      //Block-local variables for block SPcalc_ac
      double phib;
      double G_0;
      double sqrt_phib;
      AdmsFadType Vsbstar;
      AdmsFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xg;
      AdmsFadType qeff;
      AdmsFadType qeff1;
      AdmsFadType Voxm;
      AdmsFadType alpha;
      AdmsFadType dps;
      AdmsFadType qim;
      AdmsFadType qim1;
      AdmsFadType GdL;
      AdmsFadType H;
      AdmsFadType eta_p;
      AdmsFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Gvsat;
      AdmsFadType Gvsatinv;
      AdmsFadType Gmob_dL;
      AdmsFadType x_ds;
      AdmsFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType x_s;
      AdmsFadType sqm;
      AdmsFadType alpha1;
      AdmsFadType phi_inf;
      AdmsFadType za;
      AdmsFadType xitsb;
      AdmsFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType thesat1;
      AdmsFadType wsat;
      AdmsFadType ysat;
      AdmsFadType zsat;
      AdmsFadType dL;
      AdmsFadType GR;
      AdmsFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xgm;
      AdmsFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xn_s;
      AdmsFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Gf;
      AdmsFadType Gf2;
      AdmsFadType inv_Gf2;
      AdmsFadType xi;
      AdmsFadType inv_xi;
      AdmsFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_xg1;
      AdmsFadType SP_S_temp;
      AdmsFadType SP_S_temp1;
      AdmsFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_yg;
      AdmsFadType SP_S_ysub;
      AdmsFadType SP_S_y0;
      AdmsFadType SP_S_a;
      AdmsFadType SP_S_b;
      AdmsFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_bx;
      AdmsFadType SP_S_tau;
      AdmsFadType SP_S_eta;
      AdmsFadType SP_S_delta0;
      AdmsFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_pC;
      AdmsFadType SP_S_qC;
      AdmsFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_x1;
      AdmsFadType SP_S_w;
      AdmsFadType SP_S_xbar;
      AdmsFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_xi0;
      AdmsFadType SP_S_xi1;
      AdmsFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType x_d;
      AdmsFadType Rxcor;
      AdmsFadType delta_1s;
      AdmsFadType xi0s;
      AdmsFadType xi1s;
      AdmsFadType xi2s;
      AdmsFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Es;
      AdmsFadType Em;
      AdmsFadType Ed;
      AdmsFadType Ds;
      AdmsFadType Dm;
      AdmsFadType Dd;
      AdmsFadType Ps;
      AdmsFadType xgs;
      AdmsFadType qis;
      AdmsFadType qbs;
      AdmsFadType qbm;
      AdmsFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Phi_0;
      AdmsFadType Phi_2;
      AdmsFadType asat;
      AdmsFadType Phi_0_2;
      AdmsFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Vdse;
      AdmsFadType Vdsat;
      AdmsFadType Udse;
      AdmsFadType xn_d;
      AdmsFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Mutmp;
      AdmsFadType Phi_sat;
      AdmsFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType pC;
      AdmsFadType qC;
      AdmsFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType d0;
      AdmsFadType D_bar;
      AdmsFadType km;
      AdmsFadType x_pm;
      AdmsFadType xi_pd;
      AdmsFadType p_pd;
      AdmsFadType u_pd;
      AdmsFadType q_pd;
      //End of Block-local variables
      if ((((model_.SWNUD_i)==1)||((model_.SWDELVTAC_i)!=0)))
      {
        if (((model_.SWDELVTAC_i)!=0))
        {
          temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+bphi_ac))))+phix_ac);
          Vsbstar_ac = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+aphi_ac)))))+phix1_ac);
          Vsbstar = Vsbstar_ac;
          phib = phib_ac;
          G_0 = G_0_ac;
          sqrt_phib = sqrt_phib_ac;
        }
        else
        {
          Vsbstar = Vsbstar_dc;
          phib = phib_dc;
          G_0 = G_0_dc;
          sqrt_phib = sqrt_phib_dc;
        }
        alpha = 0.0;
        GdL = 1.0;
        dL = 0.0;
        qbm = 0.0;
        dps = 0.0;
        qim = 0.0;
        qim1 = 0.0;
        H = 1.0;
        eta_p = 1.0;
        Gvsat = 1.0;
        Gvsatinv = 1.0;
        SP_S_x1 = 0.0;
        x_s = 0.0;
        sqm = 0.0;
        xitsb = 0.0;
        rhob = 0.0;
        Gmob = 1.0;
        Gmob_dL = 1.0;
        Udse = 0.0;
        thesat1 = 0.0;
        xgm = 0.0;
        Vdbstar = (Vds+Vsbstar);
        Vgbstar = (Vgs+Vsbstar);
        Vgb1 = (Vgbstar-VFB_i);
        Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
        delVg = (CF_i*(Vdsx*(1+(CFB_i*Vsbx))));
        Vgb1 = (Vgb1+delVg);
        xg = (Vgb1*inv_phit1);
        if ((DNSUB_i>0.0))
        {
          Dnsub = ((DNSUB_i*0.5)*((+((Vgs+Vsb)-VNSUB_i))+sqrt((((-((Vgs+Vsb)-VNSUB_i))*(-((Vgs+Vsb)-VNSUB_i)))+NSLP_i))));
          Gf = (G_0*sqrt((1.0+Dnsub)));
        }
        else
        {
          Gf = G_0;
        }
        Gf2 = (Gf*Gf);
        inv_Gf2 = (1.0/Gf2);
        xi = (1.0+(Gf*7.0710678118654746e-01));
        inv_xi = (1.0/xi);
        Ux = (Vsbstar*inv_phit1);
        xn_s = ((phib*inv_phit1)+Ux);
        if ((xn_s<4.6051701859880916e+02))
        {
          delta_ns = exp((-xn_s));
        }
        else
        {
          delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        margin = (1e-5*xi);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
        }
        else
        {
          if ((xg<(-margin)))
          {
            SP_S_yg = (-xg);
            SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
            SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
            SP_S_temp = (SP_S_yg-SP_S_eta);
            SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
            SP_S_c = ((2.0*SP_S_temp)-Gf2);
            SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
            SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
            if ((SP_S_y0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_y0);
            }
            else
            {
              SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
            SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (SP_S_yg-SP_S_y0);
            SP_S_temp1 = (delta_ns*SP_S_delta1);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          else
          {
            SP_xg1 = (1.0/(x1+(Gf*7.324648775608221e-001)));
            SP_S_A_fac = ((((xi*x1)*SP_xg1)-1.0)*SP_xg1);
            SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
            if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
            {
              SP_S_temp = exp((-SP_S_xbar));
            }
            else
            {
              SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
            }
            SP_S_w = (1.0-SP_S_temp);
            SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
            SP_S_bx = (xn_s+3.0);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_ns*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_s));
                SP_S_delta1 = (delta_ns/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
        }
        x_d = x_s;
        x_m = x_s;
        x_ds = 0.0;
        if ((xg<=0.0))
        {
          qis = 0.0;
          xgm = (xg-x_s);
          Voxm = (xgm*phit1);
          qeff1 = Voxm;
          Vdsat = Vdsat_lim;
        }
        else
        {
          delta_1s = 0.0;
          temp = (1.0/(2.0+(x_s*x_s)));
          xi0s = ((x_s*x_s)*temp);
          xi1s = (4.0*((x_s*temp)*temp));
          xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
          if ((x_s<2.3025850929940458e+02))
          {
            delta_1s = exp(x_s);
            Es = (1.0/delta_1s);
            delta_1s = (delta_ns*delta_1s);
          }
          else
          {
            if ((x_s>(xn_s-2.3025850929940458e+02)))
            {
              delta_1s = exp((x_s-xn_s));
              Es = (delta_ns/delta_1s);
            }
            else
            {
              delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
          if ((x_s<1.0e-5))
          {
            Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
            Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
            sqm = (7.0710678118654746e-01*(x_s*temp));
            alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
          }
          else
          {
            Ps = ((x_s-1.0)+Es);
            sqm = sqrt(Ps);
            alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
          }
          Em = Es;
          Ed = Em;
          Dm = Ds;
          Dd = Dm;
          Rxcor = ((1.0+((0.2*XCOR_i)*Vsbx))/(1.0+(XCOR_i*Vsbx)));
          if ((Ds>1.0e-100))
          {
            xgs = (Gf*sqrt((Ps+Ds)));
            qis = (((Gf2*Ds)*phit1)/(xgs+(Gf*sqm)));
            qbs = ((sqm*Gf)*phit1);
            if ((RSB_i<0))
            {
              rhob = (1.0/(1.0-(RSB_i*Vsbx)));
            }
            else
            {
              rhob = (1.0+(RSB_i*Vsbx));
            }
            if ((RSG_i<0))
            {
              temp = (1.0-(RSG_i*qis));
            }
            else
            {
              temp = (1.0/(1.0+(RSG_i*qis)));
            }
            GR = (THER_i*((rhob*temp)*qis));
            Eeffm = (E_eff0*(qbs+(eta_mu*qis)));
            if (((Eeffm*MUE_i)!=0))
            {
              Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Ps/((Ps+Ds)+1.0e-14))));
            }
            else
            {
              Mutmp = (CS_i*(Ps/((Ps+Ds)+1.0e-14)));
            }
            Gmob = (((1.0+Mutmp)+GR)*Rxcor);
            if ((THESATB_i<0))
            {
              xitsb = (1.0/(1.0-(THESATB_i*Vsbx)));
            }
            else
            {
              xitsb = (1.0+(THESATB_i*Vsbx));
            }
            temp2 = (qis*xitsb);
            wsat = (100.0*(temp2/(100.0+temp2)));
            if ((THESATG_i<0))
            {
              temp = (1/(1-(THESATG_i*wsat)));
            }
            else
            {
              temp = (1+(THESATG_i*wsat));
            }
            thesat1 = (THESAT_i*(temp/Gmob));
            phi_inf = ((qis/alpha)+phit1);
            ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
            if (((model_.CHNL_TYPE)==(-1)))
            {
              ysat = (ysat/sqrt((1.0+ysat)));
            }
            za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
            temp1 = (za*ysat);
            Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
            asat = (xgs+(0.5*Gf2));
            Phi_2 = (0.98*(((Gf2*Ds)*phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
            Phi_0_2 = (Phi_0+Phi_2);
            Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
            Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
            Vdsat = (Phi_sat-(phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*phit1)))*inv_Gf2)/((phit1*phit1)*Ds))))));
          }
          else
          {
            Vdsat = Vdsat_lim;
          }
          if (((Vds/Vdsat)!=0))
          {
            temp = pow((Vds/Vdsat),AX_i);
          }
          else
          {
            temp = 0;
          }
          Vdse = (Vds*pow((1.0+temp),(-inv_AX)));
          Udse = (Vdse*inv_phit1);
          xn_d = (xn_s+Udse);
          if ((Udse<4.6051701859880916e+02))
          {
            k_ds = exp((-Udse));
          }
          else
          {
            k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
          }
          delta_nd = (delta_ns*k_ds);
          if ((fabs(xg)<=margin))
          {
            SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
            x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
          }
          else
          {
            SP_S_bx = (xn_d+3);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(1.0e-40,((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_nd*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_d));
                SP_S_delta1 = (delta_nd/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          x_ds = (x_d-x_s);
          if ((x_ds<1.0E-10))
          {
            pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
            qC = ((Gf2*(1.0-k_ds))*Ds);
            temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
            temp = ((pC*pC)-(2.0*(temp*qC)));
            x_ds = (2.0*(qC/(pC+sqrt(temp))));
            x_d = (x_s+x_ds);
          }
          dps = (x_ds*phit1);
          xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
          if ((x_d<2.3025850929940458e+02))
          {
            Ed = exp((-x_d));
            if ((x_d<1.0e-5))
            {
              Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
            }
            else
            {
              Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
            }
          }
          else
          {
            if ((x_d>(xn_d-2.3025850929940458e+02)))
            {
              temp = exp((x_d-xn_d));
              Ed = (delta_nd/temp);
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
            else
            {
              Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
          }
          x_m = (0.5*(x_s+x_d));
          Em = 0.0;
          temp = (Ed*Es);
          if ((temp>0.0))
          {
            Em = sqrt(temp);
          }
          D_bar = (0.5*(Ds+Dd));
          Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
          if ((x_m<1.0e-5))
          {
            Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((kp>0.0))
            {
              eta_p = (1.0/sqrt((1.0+(kp*xgm))));
            }
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
            sqm = (7.0710678118654746e-01*(x_m*temp));
            alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
          }
          else
          {
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((kp>0.0))
            {
              d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
              eta_p = (1.0/sqrt((1.0+(kp*xgm))));
              temp = (eta_p/(eta_p+1.0));
              x_pm = (kp*(((temp*temp)*Gf2)*Dm));
              p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
              q_pd = (x_pm*(x_pm-(2.0*xgm)));
              xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
              u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
              x_m = (x_m+u_pd);
              km = exp(u_pd);
              Em = (Em/km);
              Dm = (Dm*km);
              Pm = ((x_m-1.0)+Em);
              xgm = (Gf*sqrt((Dm+Pm)));
              help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
              x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
              dps = (x_ds*phit1);
            }
            sqm = sqrt(Pm);
            alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
          }
          qim = (phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
          qim1 = (qim+(phit1*alpha));
          qbm = ((sqm*Gf)*phit1);
          if ((RSG_i<0))
          {
            temp = (1.0-(RSG_i*qim));
          }
          else
          {
            temp = (1.0/(1.0+(RSG_i*qim)));
          }
          GR = (THER_i*((rhob*temp)*qim));
          qeff = (qbm+(eta_mu*qim));
          qeff1 = (qbm+(eta_mu1*qim));
          Eeffm = (E_eff0*qeff);
          if (((Eeffm*MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Pm/((Pm+Dm)+1.0e-14))));
          }
          else
          {
            Mutmp = (CS_i*(Pm/((Pm+Dm)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          s1 = log(((1.0+((Vds-dps)*inv_VP))/(1.0+((Vdse-dps)*inv_VP))));
          dL = (ALP_i*s1);
          GdL = (1.0/((1.0+dL)+(dL*dL)));
          temp2 = (qim*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          Gmob_dL = (Gmob*GdL);
          if ((THESATG_i<0))
          {
            temp = (1/(1-(THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(THESATG_i*wsat));
          }
          thesat1 = (THESAT_i*(temp/Gmob_dL));
          zsat = (((thesat1*thesat1)*dps)*dps);
          if (((model_.CHNL_TYPE)==(-1)))
          {
            zsat = (zsat/(1.0+(thesat1*dps)));
          }
          Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
          Gvsatinv = (1.0/Gvsat);
          Voxm = (xgm*phit1);
          temp = (Gmob_dL*Gvsatinv);
          alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
          H = ((temp*qim1)/alpha1);
        }
        xg_ac = xg;
        qeff1_ac = qeff1;
        Voxm_ac = Voxm;
        alpha_ac = alpha;
        dps_ac = dps;
        qim_ac = qim;
        qim1_ac = qim1;
        GdL_ac = GdL;
        H_ac = H;
        eta_p_ac = eta_p;
        Gvsat_ac = Gvsat;
        Gmob_dL_ac = Gmob_dL;
        x_m_ac = x_m;
        Gf_ac = Gf;
      }
      else
      {
        xg_ac = xg_dc;
        qeff1_ac = qeff1_dc;
        Voxm_ac = Voxm_dc;
        alpha_ac = alpha_dc;
        dps_ac = dps_dc;
        qim_ac = qim_dc;
        qim1_ac = qim1_dc;
        GdL_ac = GdL_dc;
        H_ac = H_dc;
        eta_p_ac = eta_p_dc;
        Gvsat_ac = Gvsat_dc;
        Gmob_dL_ac = Gmob_dL_dc;
        x_m_ac = x_m_dc;
        Gf_ac = Gf_dc;
      }
    }
    // End block SPcalc_ac
    Vgb = (Vgs+Vsb);
    COX_qm = COX_i;
    if ((qq>0.0))
    {
      COX_qm = (COX_i/(1.0+(qq*pow(((qeff1_ac*qeff1_ac)+qlim2),((-1.0)*1.6666666666666667e-01)))));
    }
    if ((xg_ac<=0.0))
    {
      QG = Voxm_ac;
      QI = 0.0;
      QD = 0.0;
      QB = QG;
    }
    else
    {
      Fj = (0.5*(dps_ac/H_ac));
      Fj2 = (Fj*Fj);
      QCLM = ((1.0-GdL_ac)*(qim_ac-(0.5*(alpha_ac*dps_ac))));
      QG = (Voxm_ac+(0.5*((eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))));
      temp = ((alpha_ac*dps_ac)*1.6666666666666667e-01);
      QI = ((GdL_ac*(qim_ac+(temp*Fj)))+QCLM);
      QD = (0.5*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac))));
      QB = (QG-QI);
    }
    Qg = (QG*COX_qm);
    Qd = ((-QD)*COX_qm);
    Qb = ((-QB)*COX_qm);
    Qgs_ov = (CGOV_i*Vovs);
    Qgd_ov = (CGOVD_i*Vovd);
    Qgb_ov = (CGBOV_i*Vgb);
    Qfgs = (CFR_i*VgsPrime);
    Qfgd = (CFRD_i*VgdPrime);
  }
  // End block evaluateDynamic
  //Begin block evaluateStaticDynamic
  {
    if (((model_.SWJUNCAP_i)>0))
    {
      if (((model_.SWJUNEXP_i)==1))
      {
        tm0 = ((Vjun_s*(model_.phitdinv))*MFOR1_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf1_s))
          {
            tm1 = (expxhf1_s*((tm0-xhighf1_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (ISATFOR1_s*(tm1-1.0));
        tm0 = ((Vjun_s*(model_.phitdinv))*MFOR2_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf2_s))
          {
            tm1 = (expxhf2_s*((tm0-xhighf2_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (ISATFOR2_s*(tm1-1.0));
        ijunrev = 0.0;
        if ((m0flag_s>0))
        {
          ijunrev = (Vjun_s*(ISATREV_s+(Vjun_s*MREV_s)));
        }
        else
        {
          tm0 = (((-Vjun_s)*(model_.phitdinv))*MREV_s);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>xhighr_s))
            {
              tm1 = (expxhr_s*((tm0-xhighr_s)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-ISATREV_s)*(tm1-1.0));
        }
        ijun_s = ((ijunfor1+ijunfor2)+ijunrev);
        tm0 = ((Vjun_d*(model_.phitdinv))*MFOR1_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf1_d))
          {
            tm1 = (expxhf1_d*((tm0-xhighf1_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (ISATFOR1_d*(tm1-1.0));
        tm0 = ((Vjun_d*(model_.phitdinv))*MFOR2_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf2_d))
          {
            tm1 = (expxhf2_d*((tm0-xhighf2_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (ISATFOR2_d*(tm1-1.0));
        ijunrev = 0.0;
        if ((m0flag_d>0))
        {
          ijunrev = (Vjun_d*(ISATREV_d+(Vjun_d*MREV_d)));
        }
        else
        {
          tm0 = (((-Vjun_d)*(model_.phitdinv))*MREV_d);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>xhighr_d))
            {
              tm1 = (expxhr_d*((tm0-xhighr_d)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-ISATREV_d)*(tm1-1.0));
        }
        ijun_d = ((ijunfor1+ijunfor2)+ijunrev);
        //Begin block evaluateDynamic
        {
          (model_.CJORBOT_i) = (model_.CJORBOTS_i);
          (model_.CJORSTI_i) = (model_.CJORSTIS_i);
          (model_.CJORGAT_i) = (model_.CJORGATS_i);
          (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
          (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
          (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
          (model_.PBOT_i) = (model_.PBOTS_i);
          (model_.PSTI_i) = (model_.PSTIS_i);
          (model_.PGAT_i) = (model_.PGATS_i);
          (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
          (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
          (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
          (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
          (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
          (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
          (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
          (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
          (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
          (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
          (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
          (model_.CTATBOT_i) = (model_.CTATBOTS_i);
          (model_.CTATSTI_i) = (model_.CTATSTIS_i);
          (model_.CTATGAT_i) = (model_.CTATGATS_i);
          (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
          (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
          (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
          (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
          (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
          (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
          (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
          (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
          (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
          (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
          (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
          (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
          (model_.VBRBOT_i) = (model_.VBRBOTS_i);
          (model_.VBRSTI_i) = (model_.VBRSTIS_i);
          (model_.VBRGAT_i) = (model_.VBRGATS_i);
          (model_.PBRBOT_i) = (model_.PBRBOTS_i);
          (model_.PBRSTI_i) = (model_.PBRSTIS_i);
          (model_.PBRGAT_i) = (model_.PBRGATS_i);
          (model_.VJUNREF_i) = (model_.VJUNREFS_i);
          (model_.FJUNQ_i) = (model_.FJUNQS_i);
          (model_.phigrbot) = (model_.phigrbot_s);
          (model_.phigrsti) = (model_.phigrsti_s);
          (model_.phigrgat) = (model_.phigrgat_s);
          (model_.phigdbot) = (model_.phigdbot_s);
          (model_.phigdsti) = (model_.phigdsti_s);
          (model_.phigdgat) = (model_.phigdgat_s);
          (model_.ftdbot) = (model_.ftdbot_s);
          (model_.ftdsti) = (model_.ftdsti_s);
          (model_.ftdgat) = (model_.ftdgat_s);
          (model_.idsatbot) = (model_.idsatbot_s);
          (model_.idsatsti) = (model_.idsatsti_s);
          (model_.idsatgat) = (model_.idsatgat_s);
          (model_.ubibot) = (model_.ubibot_s);
          (model_.ubisti) = (model_.ubisti_s);
          (model_.ubigat) = (model_.ubigat_s);
          (model_.vbibot) = (model_.vbibot_s);
          (model_.vbisti) = (model_.vbisti_s);
          (model_.vbigat) = (model_.vbigat_s);
          (model_.vbiinvbot) = (model_.vbiinvbot_s);
          (model_.vbiinvsti) = (model_.vbiinvsti_s);
          (model_.vbiinvgat) = (model_.vbiinvgat_s);
          (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
          (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
          (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
          (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
          (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
          (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
          (model_.cjobot) = (model_.cjobot_s);
          (model_.cjosti) = (model_.cjosti_s);
          (model_.cjogat) = (model_.cjogat_s);
          (model_.qprefbot) = (model_.qprefbot_s);
          (model_.qprefsti) = (model_.qprefsti_s);
          (model_.qprefgat) = (model_.qprefgat_s);
          (model_.qpref2bot) = (model_.qpref2bot_s);
          (model_.qpref2sti) = (model_.qpref2sti_s);
          (model_.qpref2gat) = (model_.qpref2gat_s);
          (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
          (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
          (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
          (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
          (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
          (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
          (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
          (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
          (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
          (model_.deltaEbot) = (model_.deltaEbot_s);
          (model_.deltaEsti) = (model_.deltaEsti_s);
          (model_.deltaEgat) = (model_.deltaEgat_s);
          (model_.atatbot) = (model_.atatbot_s);
          (model_.atatsti) = (model_.atatsti_s);
          (model_.atatgat) = (model_.atatgat_s);
          (model_.btatpartbot) = (model_.btatpartbot_s);
          (model_.btatpartsti) = (model_.btatpartsti_s);
          (model_.btatpartgat) = (model_.btatpartgat_s);
          (model_.fbbtbot) = (model_.fbbtbot_s);
          (model_.fbbtsti) = (model_.fbbtsti_s);
          (model_.fbbtgat) = (model_.fbbtgat_s);
          (model_.fbbtbot) = (model_.fbbtbot_s);
          (model_.fbbtsti) = (model_.fbbtsti_s);
          (model_.fbbtgat) = (model_.fbbtgat_s);
          (model_.fstopbot) = (model_.fstopbot_s);
          (model_.fstopsti) = (model_.fstopsti_s);
          (model_.fstopgat) = (model_.fstopgat_s);
          (model_.VBRinvbot) = (model_.VBRinvbot_s);
          (model_.VBRinvsti) = (model_.VBRinvsti_s);
          (model_.VBRinvgat) = (model_.VBRinvgat_s);
          (model_.slopebot) = (model_.slopebot_s);
          (model_.slopesti) = (model_.slopesti_s);
          (model_.slopegat) = (model_.slopegat_s);
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (Vjun_s+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vjv = (2.0*((Vjun_s*vfmin_s)/(h3+h5)));
          if ((zflagbot_s>0.5))
          {
            if (((model_.one_minus_PBOT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvbot))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvbot))),(model_.one_minus_PBOT));
            }
            qjunbot_s = (((model_.qprefbot)*(1-tmpv))+((model_.qpref2bot)*(Vjun_s-vjv)));
          }
          if ((zflagsti_s>0.5))
          {
            if (((model_.one_minus_PSTI)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvsti))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvsti))),(model_.one_minus_PSTI));
            }
            qjunsti_s = (((model_.qprefsti)*(1-tmpv))+((model_.qpref2sti)*(Vjun_s-vjv)));
          }
          if ((zflaggat_s>0.5))
          {
            if (((model_.one_minus_PGAT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvgat))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvgat))),(model_.one_minus_PGAT));
            }
            qjungat_s = (((model_.qprefgat)*(1-tmpv))+((model_.qpref2gat)*(Vjun_s-vjv)));
          }
          (model_.CJORBOT_i) = (model_.CJORBOTD_i);
          (model_.CJORSTI_i) = (model_.CJORSTID_i);
          (model_.CJORGAT_i) = (model_.CJORGATD_i);
          (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
          (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
          (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
          (model_.PBOT_i) = (model_.PBOTD_i);
          (model_.PSTI_i) = (model_.PSTID_i);
          (model_.PGAT_i) = (model_.PGATD_i);
          (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
          (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
          (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
          (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
          (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
          (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
          (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
          (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
          (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
          (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
          (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
          (model_.CTATBOT_i) = (model_.CTATBOTD_i);
          (model_.CTATSTI_i) = (model_.CTATSTID_i);
          (model_.CTATGAT_i) = (model_.CTATGATD_i);
          (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
          (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
          (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
          (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
          (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
          (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
          (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
          (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
          (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
          (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
          (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
          (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
          (model_.VBRBOT_i) = (model_.VBRBOTD_i);
          (model_.VBRSTI_i) = (model_.VBRSTID_i);
          (model_.VBRGAT_i) = (model_.VBRGATD_i);
          (model_.PBRBOT_i) = (model_.PBRBOTD_i);
          (model_.PBRSTI_i) = (model_.PBRSTID_i);
          (model_.PBRGAT_i) = (model_.PBRGATD_i);
          (model_.VJUNREF_i) = (model_.VJUNREFD_i);
          (model_.FJUNQ_i) = (model_.FJUNQD_i);
          (model_.phigrbot) = (model_.phigrbot_d);
          (model_.phigrsti) = (model_.phigrsti_d);
          (model_.phigrgat) = (model_.phigrgat_d);
          (model_.phigdbot) = (model_.phigdbot_d);
          (model_.phigdsti) = (model_.phigdsti_d);
          (model_.phigdgat) = (model_.phigdgat_d);
          (model_.ftdbot) = (model_.ftdbot_d);
          (model_.ftdsti) = (model_.ftdsti_d);
          (model_.ftdgat) = (model_.ftdgat_d);
          (model_.idsatbot) = (model_.idsatbot_d);
          (model_.idsatsti) = (model_.idsatsti_d);
          (model_.idsatgat) = (model_.idsatgat_d);
          (model_.ubibot) = (model_.ubibot_d);
          (model_.ubisti) = (model_.ubisti_d);
          (model_.ubigat) = (model_.ubigat_d);
          (model_.vbibot) = (model_.vbibot_d);
          (model_.vbisti) = (model_.vbisti_d);
          (model_.vbigat) = (model_.vbigat_d);
          (model_.vbiinvbot) = (model_.vbiinvbot_d);
          (model_.vbiinvsti) = (model_.vbiinvsti_d);
          (model_.vbiinvgat) = (model_.vbiinvgat_d);
          (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
          (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
          (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
          (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
          (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
          (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
          (model_.cjobot) = (model_.cjobot_d);
          (model_.cjosti) = (model_.cjosti_d);
          (model_.cjogat) = (model_.cjogat_d);
          (model_.qprefbot) = (model_.qprefbot_d);
          (model_.qprefsti) = (model_.qprefsti_d);
          (model_.qprefgat) = (model_.qprefgat_d);
          (model_.qpref2bot) = (model_.qpref2bot_d);
          (model_.qpref2sti) = (model_.qpref2sti_d);
          (model_.qpref2gat) = (model_.qpref2gat_d);
          (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
          (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
          (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
          (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
          (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
          (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
          (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
          (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
          (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
          (model_.deltaEbot) = (model_.deltaEbot_d);
          (model_.deltaEsti) = (model_.deltaEsti_d);
          (model_.deltaEgat) = (model_.deltaEgat_d);
          (model_.atatbot) = (model_.atatbot_d);
          (model_.atatsti) = (model_.atatsti_d);
          (model_.atatgat) = (model_.atatgat_d);
          (model_.btatpartbot) = (model_.btatpartbot_d);
          (model_.btatpartsti) = (model_.btatpartsti_d);
          (model_.btatpartgat) = (model_.btatpartgat_d);
          (model_.fbbtbot) = (model_.fbbtbot_d);
          (model_.fbbtsti) = (model_.fbbtsti_d);
          (model_.fbbtgat) = (model_.fbbtgat_d);
          (model_.fbbtbot) = (model_.fbbtbot_d);
          (model_.fbbtsti) = (model_.fbbtsti_d);
          (model_.fbbtgat) = (model_.fbbtgat_d);
          (model_.fstopbot) = (model_.fstopbot_d);
          (model_.fstopsti) = (model_.fstopsti_d);
          (model_.fstopgat) = (model_.fstopgat_d);
          (model_.VBRinvbot) = (model_.VBRinvbot_d);
          (model_.VBRinvsti) = (model_.VBRinvsti_d);
          (model_.VBRinvgat) = (model_.VBRinvgat_d);
          (model_.slopebot) = (model_.slopebot_d);
          (model_.slopesti) = (model_.slopesti_d);
          (model_.slopegat) = (model_.slopegat_d);
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (Vjun_d+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vjv = (2.0*((Vjun_d*vfmin_d)/(h3+h5)));
          if ((zflagbot_d>0.5))
          {
            if (((model_.one_minus_PBOT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvbot))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvbot))),(model_.one_minus_PBOT));
            }
            qjunbot_d = (((model_.qprefbot)*(1-tmpv))+((model_.qpref2bot)*(Vjun_d-vjv)));
          }
          if ((zflagsti_d>0.5))
          {
            if (((model_.one_minus_PSTI)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvsti))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvsti))),(model_.one_minus_PSTI));
            }
            qjunsti_d = (((model_.qprefsti)*(1-tmpv))+((model_.qpref2sti)*(Vjun_d-vjv)));
          }
          if ((zflaggat_d>0.5))
          {
            if (((model_.one_minus_PGAT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvgat))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvgat))),(model_.one_minus_PGAT));
            }
            qjungat_d = (((model_.qprefgat)*(1-tmpv))+((model_.qpref2gat)*(Vjun_d-vjv)));
          }
        }
        // End block evaluateDynamic
      }
      else
      {
        (model_.CJORBOT_i) = (model_.CJORBOTS_i);
        (model_.CJORSTI_i) = (model_.CJORSTIS_i);
        (model_.CJORGAT_i) = (model_.CJORGATS_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
        (model_.PBOT_i) = (model_.PBOTS_i);
        (model_.PSTI_i) = (model_.PSTIS_i);
        (model_.PGAT_i) = (model_.PGATS_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
        (model_.CTATBOT_i) = (model_.CTATBOTS_i);
        (model_.CTATSTI_i) = (model_.CTATSTIS_i);
        (model_.CTATGAT_i) = (model_.CTATGATS_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
        (model_.VBRBOT_i) = (model_.VBRBOTS_i);
        (model_.VBRSTI_i) = (model_.VBRSTIS_i);
        (model_.VBRGAT_i) = (model_.VBRGATS_i);
        (model_.PBRBOT_i) = (model_.PBRBOTS_i);
        (model_.PBRSTI_i) = (model_.PBRSTIS_i);
        (model_.PBRGAT_i) = (model_.PBRGATS_i);
        (model_.VJUNREF_i) = (model_.VJUNREFS_i);
        (model_.FJUNQ_i) = (model_.FJUNQS_i);
        (model_.phigrbot) = (model_.phigrbot_s);
        (model_.phigrsti) = (model_.phigrsti_s);
        (model_.phigrgat) = (model_.phigrgat_s);
        (model_.phigdbot) = (model_.phigdbot_s);
        (model_.phigdsti) = (model_.phigdsti_s);
        (model_.phigdgat) = (model_.phigdgat_s);
        (model_.ftdbot) = (model_.ftdbot_s);
        (model_.ftdsti) = (model_.ftdsti_s);
        (model_.ftdgat) = (model_.ftdgat_s);
        (model_.idsatbot) = (model_.idsatbot_s);
        (model_.idsatsti) = (model_.idsatsti_s);
        (model_.idsatgat) = (model_.idsatgat_s);
        (model_.ubibot) = (model_.ubibot_s);
        (model_.ubisti) = (model_.ubisti_s);
        (model_.ubigat) = (model_.ubigat_s);
        (model_.vbibot) = (model_.vbibot_s);
        (model_.vbisti) = (model_.vbisti_s);
        (model_.vbigat) = (model_.vbigat_s);
        (model_.vbiinvbot) = (model_.vbiinvbot_s);
        (model_.vbiinvsti) = (model_.vbiinvsti_s);
        (model_.vbiinvgat) = (model_.vbiinvgat_s);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
        (model_.cjobot) = (model_.cjobot_s);
        (model_.cjosti) = (model_.cjosti_s);
        (model_.cjogat) = (model_.cjogat_s);
        (model_.qprefbot) = (model_.qprefbot_s);
        (model_.qprefsti) = (model_.qprefsti_s);
        (model_.qprefgat) = (model_.qprefgat_s);
        (model_.qpref2bot) = (model_.qpref2bot_s);
        (model_.qpref2sti) = (model_.qpref2sti_s);
        (model_.qpref2gat) = (model_.qpref2gat_s);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
        (model_.deltaEbot) = (model_.deltaEbot_s);
        (model_.deltaEsti) = (model_.deltaEsti_s);
        (model_.deltaEgat) = (model_.deltaEgat_s);
        (model_.atatbot) = (model_.atatbot_s);
        (model_.atatsti) = (model_.atatsti_s);
        (model_.atatgat) = (model_.atatgat_s);
        (model_.btatpartbot) = (model_.btatpartbot_s);
        (model_.btatpartsti) = (model_.btatpartsti_s);
        (model_.btatpartgat) = (model_.btatpartgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fstopbot) = (model_.fstopbot_s);
        (model_.fstopsti) = (model_.fstopsti_s);
        (model_.fstopgat) = (model_.fstopgat_s);
        (model_.VBRinvbot) = (model_.VBRinvbot_s);
        (model_.VBRinvsti) = (model_.VBRinvsti_s);
        (model_.VBRinvgat) = (model_.VBRinvgat_s);
        (model_.slopebot) = (model_.slopebot_s);
        (model_.slopesti) = (model_.slopesti_s);
        (model_.slopegat) = (model_.slopegat_s);
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (Vjun_s+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((Vjun_s*vfmin_s)/(h3+h5)));
          if ((Vjun_s<VMAX_s))
          {
            if ((fabs((0.5*(Vjun_s*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(Vjun_s*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(Vjun_s*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((Vjun_s-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((Vjun_s>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_s)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((Vjun_s+vjlim)-sqrt((((Vjun_s-vjlim)*(Vjun_s-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((Vjun_s+vbbtlim_s)-sqrt((((Vjun_s-vbbtlim_s)*(Vjun_s-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((Vjun_s)-sqrt((((Vjun_s)*(Vjun_s))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot_s = 0;
          qjunbot_s = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot_s = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(Vjun_s-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti_s = 0;
          qjunsti_s = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti_s = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(Vjun_s-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat_s = 0;
          qjungat_s = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat_s = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(Vjun_s-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        ijun_s = (((ABSOURCE_i*ijunbot_s)+(LSSOURCE_i*ijunsti_s))+(LGSOURCE_i*ijungat_s));
        (model_.CJORBOT_i) = (model_.CJORBOTD_i);
        (model_.CJORSTI_i) = (model_.CJORSTID_i);
        (model_.CJORGAT_i) = (model_.CJORGATD_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
        (model_.PBOT_i) = (model_.PBOTD_i);
        (model_.PSTI_i) = (model_.PSTID_i);
        (model_.PGAT_i) = (model_.PGATD_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
        (model_.CTATBOT_i) = (model_.CTATBOTD_i);
        (model_.CTATSTI_i) = (model_.CTATSTID_i);
        (model_.CTATGAT_i) = (model_.CTATGATD_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
        (model_.VBRBOT_i) = (model_.VBRBOTD_i);
        (model_.VBRSTI_i) = (model_.VBRSTID_i);
        (model_.VBRGAT_i) = (model_.VBRGATD_i);
        (model_.PBRBOT_i) = (model_.PBRBOTD_i);
        (model_.PBRSTI_i) = (model_.PBRSTID_i);
        (model_.PBRGAT_i) = (model_.PBRGATD_i);
        (model_.VJUNREF_i) = (model_.VJUNREFD_i);
        (model_.FJUNQ_i) = (model_.FJUNQD_i);
        (model_.phigrbot) = (model_.phigrbot_d);
        (model_.phigrsti) = (model_.phigrsti_d);
        (model_.phigrgat) = (model_.phigrgat_d);
        (model_.phigdbot) = (model_.phigdbot_d);
        (model_.phigdsti) = (model_.phigdsti_d);
        (model_.phigdgat) = (model_.phigdgat_d);
        (model_.ftdbot) = (model_.ftdbot_d);
        (model_.ftdsti) = (model_.ftdsti_d);
        (model_.ftdgat) = (model_.ftdgat_d);
        (model_.idsatbot) = (model_.idsatbot_d);
        (model_.idsatsti) = (model_.idsatsti_d);
        (model_.idsatgat) = (model_.idsatgat_d);
        (model_.ubibot) = (model_.ubibot_d);
        (model_.ubisti) = (model_.ubisti_d);
        (model_.ubigat) = (model_.ubigat_d);
        (model_.vbibot) = (model_.vbibot_d);
        (model_.vbisti) = (model_.vbisti_d);
        (model_.vbigat) = (model_.vbigat_d);
        (model_.vbiinvbot) = (model_.vbiinvbot_d);
        (model_.vbiinvsti) = (model_.vbiinvsti_d);
        (model_.vbiinvgat) = (model_.vbiinvgat_d);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
        (model_.cjobot) = (model_.cjobot_d);
        (model_.cjosti) = (model_.cjosti_d);
        (model_.cjogat) = (model_.cjogat_d);
        (model_.qprefbot) = (model_.qprefbot_d);
        (model_.qprefsti) = (model_.qprefsti_d);
        (model_.qprefgat) = (model_.qprefgat_d);
        (model_.qpref2bot) = (model_.qpref2bot_d);
        (model_.qpref2sti) = (model_.qpref2sti_d);
        (model_.qpref2gat) = (model_.qpref2gat_d);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
        (model_.deltaEbot) = (model_.deltaEbot_d);
        (model_.deltaEsti) = (model_.deltaEsti_d);
        (model_.deltaEgat) = (model_.deltaEgat_d);
        (model_.atatbot) = (model_.atatbot_d);
        (model_.atatsti) = (model_.atatsti_d);
        (model_.atatgat) = (model_.atatgat_d);
        (model_.btatpartbot) = (model_.btatpartbot_d);
        (model_.btatpartsti) = (model_.btatpartsti_d);
        (model_.btatpartgat) = (model_.btatpartgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fstopbot) = (model_.fstopbot_d);
        (model_.fstopsti) = (model_.fstopsti_d);
        (model_.fstopgat) = (model_.fstopgat_d);
        (model_.VBRinvbot) = (model_.VBRinvbot_d);
        (model_.VBRinvsti) = (model_.VBRinvsti_d);
        (model_.VBRinvgat) = (model_.VBRinvgat_d);
        (model_.slopebot) = (model_.slopebot_d);
        (model_.slopesti) = (model_.slopesti_d);
        (model_.slopegat) = (model_.slopegat_d);
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (Vjun_d+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((Vjun_d*vfmin_d)/(h3+h5)));
          if ((Vjun_d<VMAX_d))
          {
            if ((fabs((0.5*(Vjun_d*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(Vjun_d*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(Vjun_d*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((Vjun_d-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((Vjun_d>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_d)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((Vjun_d+vjlim)-sqrt((((Vjun_d-vjlim)*(Vjun_d-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((Vjun_d+vbbtlim_d)-sqrt((((Vjun_d-vbbtlim_d)*(Vjun_d-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((Vjun_d)-sqrt((((Vjun_d)*(Vjun_d))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot_d = 0;
          qjunbot_d = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot_d = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(Vjun_d-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti_d = 0;
          qjunsti_d = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti_d = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(Vjun_d-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat_d = 0;
          qjungat_d = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat_d = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(Vjun_d-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        ijun_d = (((ABDRAIN_i*ijunbot_d)+(LSDRAIN_i*ijunsti_d))+(LGDRAIN_i*ijungat_d));
      }
    }
  }
  // End block evaluateStaticDynamic
  //Begin block loadStatic
  {
    Idse = (MULT_i*Ids);
    Igbe = (MULT_i*Igb);
    Igcse = (MULT_i*Igcs);
    Igcde = (MULT_i*Igcd);
    Igsove = (MULT_i*Igsov);
    Igdove = (MULT_i*Igdov);
    Igidle = (MULT_i*Igidl);
    Igisle = (MULT_i*Igisl);
    Iimpacte = (MULT_i*Iimpact);
    ijun_s = (MULT_i*ijun_s);
    ijun_d = (MULT_i*ijun_d);
    if ((sigVds>0))
    {
      // I(DI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Iimpacte);
      staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Iimpacte);
      // I(DI,SI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Idse);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Idse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcse);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igcse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcde);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igcde);
    }
    else
    {
      // I(SI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Iimpacte);
      staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Iimpacte);
      // I(SI,DI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Idse);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Idse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcse);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igcse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcde);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igcde);
    }
    // I(GP,BP) <+ ((CHNL_TYPE*Igbe))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igbe);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igbe);
    // I(GP,SI) <+ ((CHNL_TYPE*Igsove))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igsove);
    staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igsove);
    // I(GP,DI) <+ ((CHNL_TYPE*Igdove))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igdove);
    staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igdove);
    // I(SI,BP) <+ ((CHNL_TYPE*Igisle))
    staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Igisle);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igisle);
    // I(DI,BP) <+ ((CHNL_TYPE*Igidle))
    staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Igidle);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igidle);
    // I(BS,SI) <+ ((CHNL_TYPE*ijun_s))
    staticContributions[admsNodeID_BS] += ((model_.CHNL_TYPE)*ijun_s);
    staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*ijun_s);
    // I(BD,DI) <+ ((CHNL_TYPE*ijun_d))
    staticContributions[admsNodeID_BD] += ((model_.CHNL_TYPE)*ijun_d);
    staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*ijun_d);
    rgatenoise = (((model_.nt0)*MULT_i)*ggate);
    rsourcenoise = (((model_.nt0)*MULT_i)*gsource);
    rdrainnoise = (((model_.nt0)*MULT_i)*gdrain);
    rbulknoise = (((model_.nt0)*MULT_i)*gbulk);
    rjunsnoise = (((model_.nt0)*MULT_i)*gjuns);
    rjundnoise = (((model_.nt0)*MULT_i)*gjund);
    rwellnoise = (((model_.nt0)*MULT_i)*gwell);
    if ((RG_i>0.0))
    {
      // I(G,GP) <+ (((MULT_i*ggate)*V(G,GP)))
      staticContributions[admsNodeID_G] += ((MULT_i*ggate)*(probeVars[admsProbeID_V_G_GP]));
      staticContributions[admsNodeID_GP] -= ((MULT_i*ggate)*(probeVars[admsProbeID_V_G_GP]));
      // I(G,GP) <+ (white_noise(rgatenoise,"rgate"))
    }
    else
    {
      // V(G,GP) <+ (0.0)
      // do nothing at all
    }
    if ((RSE_i>0.0))
    {
      // I(S,SI) <+ (((MULT_i*gsource)*V(S,SI)))
      staticContributions[admsNodeID_S] += ((MULT_i*gsource)*(probeVars[admsProbeID_V_S_SI]));
      staticContributions[admsNodeID_SI] -= ((MULT_i*gsource)*(probeVars[admsProbeID_V_S_SI]));
      // I(S,SI) <+ (white_noise(rsourcenoise,"rsource"))
    }
    else
    {
      // V(S,SI) <+ (0.0)
      // do nothing at all
    }
    if ((RDE_i>0.0))
    {
      // I(D,DI) <+ (((MULT_i*gdrain)*V(D,DI)))
      staticContributions[admsNodeID_D] += ((MULT_i*gdrain)*(probeVars[admsProbeID_V_D_DI]));
      staticContributions[admsNodeID_DI] -= ((MULT_i*gdrain)*(probeVars[admsProbeID_V_D_DI]));
      // I(D,DI) <+ (white_noise(rdrainnoise,"rdrain"))
    }
    else
    {
      // V(D,DI) <+ (0.0)
      // do nothing at all
    }
    if ((RBULK_i>0.0))
    {
      // I(BP,BI) <+ (((MULT_i*gbulk)*V(BP,BI)))
      staticContributions[admsNodeID_BP] += ((MULT_i*gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      // I(BP,BI) <+ (white_noise(rbulknoise,"rbulk"))
    }
    else
    {
      // V(BP,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RJUNS_i>0.0))
    {
      // I(BS,BI) <+ (((MULT_i*gjuns)*V(BS,BI)))
      staticContributions[admsNodeID_BS] += ((MULT_i*gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      // I(BS,BI) <+ (white_noise(rjunsnoise,"rjuns"))
    }
    else
    {
      // V(BS,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RJUND_i>0.0))
    {
      // I(BD,BI) <+ (((MULT_i*gjund)*V(BD,BI)))
      staticContributions[admsNodeID_BD] += ((MULT_i*gjund)*(probeVars[admsProbeID_V_BD_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gjund)*(probeVars[admsProbeID_V_BD_BI]));
      // I(BD,BI) <+ (white_noise(rjundnoise,"rjund"))
    }
    else
    {
      // V(BD,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RWELL_i>0.0))
    {
      // I(B,BI) <+ (((MULT_i*gwell)*V(B,BI)))
      staticContributions[admsNodeID_B] += ((MULT_i*gwell)*(probeVars[admsProbeID_V_B_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gwell)*(probeVars[admsProbeID_V_B_BI]));
      // I(B,BI) <+ (white_noise(rwellnoise,"rwell"))
    }
    else
    {
      // V(B,BI) <+ (0.0)
      // do nothing at all
    }
    // I(DI,SI) <+ ((1E-15*V(DI,SI)))
    staticContributions[admsNodeID_DI] += (1E-15*(probeVars[admsProbeID_V_DI_SI]));
    staticContributions[admsNodeID_SI] -= (1E-15*(probeVars[admsProbeID_V_DI_SI]));
  }
  // End block loadStatic
  //Begin block loadDynamic
  {
    Qg = (MULT_i*Qg);
    Qb = (MULT_i*Qb);
    Qd = (MULT_i*Qd);
    Qs = (-((Qg+Qb)+Qd));
    Qfgs = (MULT_i*(Qfgs+Qgs_ov));
    Qfgd = (MULT_i*(Qfgd+Qgd_ov));
    Qgb_ov = (MULT_i*Qgb_ov);
    qjun_s = (MULT_i*(((ABSOURCE_i*qjunbot_s)+(LSSOURCE_i*qjunsti_s))+(LGSOURCE_i*qjungat_s)));
    qjun_d = (MULT_i*(((ABDRAIN_i*qjunbot_d)+(LSDRAIN_i*qjunsti_d))+(LGDRAIN_i*qjungat_d)));
    if ((sigVds<0))
    {
      temp = Qd;
      Qd = Qs;
      Qs = temp;
    }
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qg)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qg));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qg));
    // I(BP,SI) <+ (ddt((CHNL_TYPE*Qb)))
    dynamicContributions[admsNodeID_BP] += (((model_.CHNL_TYPE)*Qb));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qb));
    // I(DI,SI) <+ (ddt((CHNL_TYPE*Qd)))
    dynamicContributions[admsNodeID_DI] += (((model_.CHNL_TYPE)*Qd));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qd));
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qfgs)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qfgs));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qfgs));
    // I(GP,DI) <+ (ddt((CHNL_TYPE*Qfgd)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qfgd));
    dynamicContributions[admsNodeID_DI] -= (((model_.CHNL_TYPE)*Qfgd));
    // I(GP,BP) <+ (ddt((CHNL_TYPE*Qgb_ov)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qgb_ov));
    dynamicContributions[admsNodeID_BP] -= (((model_.CHNL_TYPE)*Qgb_ov));
    // I(BS,SI) <+ (ddt((CHNL_TYPE*qjun_s)))
    dynamicContributions[admsNodeID_BS] += (((model_.CHNL_TYPE)*qjun_s));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*qjun_s));
    // I(BD,DI) <+ (ddt((CHNL_TYPE*qjun_d)))
    dynamicContributions[admsNodeID_BD] += (((model_.CHNL_TYPE)*qjun_d));
    dynamicContributions[admsNodeID_DI] -= (((model_.CHNL_TYPE)*qjun_d));
  }
  // End block loadDynamic


  // -- endcode converted from analog/code block
#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << " probeVars[admsProbeID_V_DI_BD] =  "
         <<probeVars[admsProbeID_V_DI_BD].val() << endl;
    cout << " probeVars[admsProbeID_V_SI_BS] =  "
         <<probeVars[admsProbeID_V_SI_BS].val() << endl;
    cout << " probeVars[admsProbeID_V_SI_BP] =  "
         <<probeVars[admsProbeID_V_SI_BP].val() << endl;
    cout << " probeVars[admsProbeID_V_DI_SI] =  "
         <<probeVars[admsProbeID_V_DI_SI].val() << endl;
    cout << " probeVars[admsProbeID_V_GP_SI] =  "
         <<probeVars[admsProbeID_V_GP_SI].val() << endl;
    cout << " probeVars[admsProbeID_V_B_BI] =  "
         <<probeVars[admsProbeID_V_B_BI].val() << endl;
    cout << " probeVars[admsProbeID_V_BP_BI] =  "
         <<probeVars[admsProbeID_V_BP_BI].val() << endl;
    cout << " probeVars[admsProbeID_V_BD_BI] =  "
         <<probeVars[admsProbeID_V_BD_BI].val() << endl;
    cout << " probeVars[admsProbeID_V_BS_BI] =  "
         <<probeVars[admsProbeID_V_BS_BI].val() << endl;
    cout << " probeVars[admsProbeID_V_D_DI] =  "
         <<probeVars[admsProbeID_V_D_DI].val() << endl;
    cout << " probeVars[admsProbeID_V_S_SI] =  "
         <<probeVars[admsProbeID_V_S_SI].val() << endl;
    cout << " probeVars[admsProbeID_V_G_GP] =  "
         <<probeVars[admsProbeID_V_G_GP].val() << endl;
    cout << " staticContributions[admsNodeID_D] =  "
         <<staticContributions[admsNodeID_D].val() << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_D] =  "
         <<dynamicContributions[admsNodeID_D].val() << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_G] =  "
         <<staticContributions[admsNodeID_G].val() << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_G] =  "
         <<dynamicContributions[admsNodeID_G].val() << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_S] =  "
         <<staticContributions[admsNodeID_S].val() << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_S] =  "
         <<dynamicContributions[admsNodeID_S].val() << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_B] =  "
         <<staticContributions[admsNodeID_B].val() << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_B] =  "
         <<dynamicContributions[admsNodeID_B].val() << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_GP] =  "
         <<staticContributions[admsNodeID_GP].val() << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_GP] =  "
         <<dynamicContributions[admsNodeID_GP].val() << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_SI] =  "
         <<staticContributions[admsNodeID_SI].val() << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_SI] =  "
         <<dynamicContributions[admsNodeID_SI].val() << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_DI] =  "
         <<staticContributions[admsNodeID_DI].val() << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_DI] =  "
         <<dynamicContributions[admsNodeID_DI].val() << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_BI] =  "
         <<staticContributions[admsNodeID_BI].val() << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_BI] =  "
         <<dynamicContributions[admsNodeID_BI].val() << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_BP] =  "
         <<staticContributions[admsNodeID_BP].val() << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_BP] =  "
         <<dynamicContributions[admsNodeID_BP].val() << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_BS] =  "
         <<staticContributions[admsNodeID_BS].val() << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_BS] =  "
         <<dynamicContributions[admsNodeID_BS].val() << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) << endl;
    cout << " staticContributions[admsNodeID_BD] =  "
         <<staticContributions[admsNodeID_BD].val() << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) << endl;
    cout << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) << endl;
    cout << " dynamicContributions[admsNodeID_BD] =  "
         <<dynamicContributions[admsNodeID_BD].val() << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) << endl;
    cout << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) << endl;

    if (!origFlag)
      cout << "This step was limited by this device." << endl;
  }
#endif // Xyce_DEBUG_DEVICE
  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdFdx
// Purpose       :
// Special Notes : Load the dFdx ("static jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdFdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << dashedline2 << endl;
    cout << "ADMSPSP103VA::Instance::loadDAEdFdx (" << getName() << "):" << endl;
  }
#endif
  (*f_DI_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_DI_Equ_SI_Node_Ptr) += " <<  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_DI_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_DI_Equ_BP_Node_Ptr) += " <<  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_BP_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BP_Equ_SI_Node_Ptr) += " <<  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_BP_Equ_BP_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BP_Equ_BP_Node_Ptr) += " <<  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_DI_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_DI_Equ_GP_Node_Ptr) += " <<  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*f_BP_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BP_Equ_GP_Node_Ptr) += " <<  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*f_DI_Equ_DI_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_DI_Equ_DI_Node_Ptr) += " <<  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*f_BP_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BP_Equ_DI_Node_Ptr) += " <<  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*f_SI_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_SI_Equ_SI_Node_Ptr) += " <<  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_SI_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_SI_Equ_BP_Node_Ptr) += " <<  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_SI_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_SI_Equ_GP_Node_Ptr) += " <<  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*f_SI_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_SI_Equ_DI_Node_Ptr) += " <<  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*f_GP_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) -staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_GP_Equ_SI_Node_Ptr) += " <<  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) -staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_GP_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_GP_Equ_BP_Node_Ptr) += " <<  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*f_GP_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_GP_Equ_DI_Node_Ptr) += " <<  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*f_GP_Equ_GP_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_GP_Equ_GP_Node_Ptr) += " <<  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*f_BS_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BS_Equ_SI_Node_Ptr) += " <<  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*f_BS_Equ_BS_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BS_Equ_BS_Node_Ptr) += " <<  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*f_SI_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_SI_Equ_BS_Node_Ptr) += " <<  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*f_BS_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BS_Equ_DI_Node_Ptr) += " <<  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*f_BS_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BS_Equ_BD_Node_Ptr) += " <<  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*f_SI_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_SI_Equ_BD_Node_Ptr) += " <<  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*f_BD_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BD_Equ_SI_Node_Ptr) += " <<  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*f_BD_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BD_Equ_BS_Node_Ptr) += " <<  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*f_DI_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_DI_Equ_BS_Node_Ptr) += " <<  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*f_BD_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BD_Equ_DI_Node_Ptr) += " <<  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*f_BD_Equ_BD_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BD_Equ_BD_Node_Ptr) += " <<  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*f_DI_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_DI_Equ_BD_Node_Ptr) += " <<  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*f_G_Equ_G_Node_Ptr) +=  +staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_G_Equ_G_Node_Ptr) += " <<  +staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP)<< endl;
  }
#endif
  (*f_G_Equ_GP_Node_Ptr) +=  -staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_G_Equ_GP_Node_Ptr) += " <<  -staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP)<< endl;
  }
#endif
  (*f_GP_Equ_G_Node_Ptr) +=  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_GP_Equ_G_Node_Ptr) += " <<  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP)<< endl;
  }
#endif
  (*f_S_Equ_S_Node_Ptr) +=  +staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_S_Equ_S_Node_Ptr) += " <<  +staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI)<< endl;
  }
#endif
  (*f_S_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_S_Equ_SI_Node_Ptr) += " <<  -staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI)<< endl;
  }
#endif
  (*f_SI_Equ_S_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_SI_Equ_S_Node_Ptr) += " <<  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI)<< endl;
  }
#endif
  (*f_D_Equ_D_Node_Ptr) +=  +staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_D_Equ_D_Node_Ptr) += " <<  +staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI)<< endl;
  }
#endif
  (*f_D_Equ_DI_Node_Ptr) +=  -staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_D_Equ_DI_Node_Ptr) += " <<  -staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI)<< endl;
  }
#endif
  (*f_DI_Equ_D_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_DI_Equ_D_Node_Ptr) += " <<  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI)<< endl;
  }
#endif
  (*f_BP_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BP_Equ_BI_Node_Ptr) += " <<  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI)<< endl;
  }
#endif
  (*f_BI_Equ_BP_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BI_Equ_BP_Node_Ptr) += " <<  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI)<< endl;
  }
#endif
  (*f_BI_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BI_Equ_BI_Node_Ptr) += " <<  -staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI)<< endl;
  }
#endif
  (*f_BS_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BS_Equ_BI_Node_Ptr) += " <<  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI)<< endl;
  }
#endif
  (*f_BI_Equ_BS_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BI_Equ_BS_Node_Ptr) += " <<  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI)<< endl;
  }
#endif
  (*f_BD_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BD_Equ_BI_Node_Ptr) += " <<  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI)<< endl;
  }
#endif
  (*f_BI_Equ_BD_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BI_Equ_BD_Node_Ptr) += " <<  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI)<< endl;
  }
#endif
  (*f_B_Equ_B_Node_Ptr) +=  +staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_B_Equ_B_Node_Ptr) += " <<  +staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI)<< endl;
  }
#endif
  (*f_B_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_B_Equ_BI_Node_Ptr) += " <<  -staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI)<< endl;
  }
#endif
  (*f_BI_Equ_B_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_BI_Equ_B_Node_Ptr) += " <<  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI)<< endl;
  }
#endif


  return bsuccess;
}


//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdQdx
// Purpose       :
// Special Notes : Load the dQdx ("dynamic jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdQdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << dashedline2 << endl;
    cout << "ADMSPSP103VA::Instance::loadDAEdQdx (" << getName() << "):" << endl;
  }
#endif
  (*q_DI_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_DI_Equ_SI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_DI_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_DI_Equ_BP_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_BP_Equ_SI_Node_Ptr) +=  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BP_Equ_SI_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_BP_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BP_Equ_BP_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_DI_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_DI_Equ_GP_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*q_BP_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BP_Equ_GP_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*q_DI_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_DI_Equ_DI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*q_BP_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BP_Equ_DI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*q_SI_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_SI_Equ_SI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_SI_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_SI_Equ_BP_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_SI_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_SI_Equ_GP_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*q_SI_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_SI_Equ_DI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*q_GP_Equ_SI_Node_Ptr) +=  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_GP_Equ_SI_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_GP_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_GP_Equ_BP_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< endl;
  }
#endif
  (*q_GP_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_GP_Equ_DI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI)<< endl;
  }
#endif
  (*q_GP_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_GP_Equ_GP_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI)<< endl;
  }
#endif
  (*q_BS_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BS_Equ_SI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*q_BS_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BS_Equ_BS_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*q_SI_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_SI_Equ_BS_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*q_BS_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BS_Equ_DI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*q_BS_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BS_Equ_BD_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*q_SI_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_SI_Equ_BD_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*q_BD_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BD_Equ_SI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*q_BD_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BD_Equ_BS_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*q_DI_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_DI_Equ_BS_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS)<< endl;
  }
#endif
  (*q_BD_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BD_Equ_DI_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*q_BD_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_BD_Equ_BD_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif
  (*q_DI_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_DI_Equ_BD_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD)<< endl;
  }
#endif


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateTemperature
// Purpose       : Set temperature and update any parameters that depend on it
// Special Notes : In Xyce ADMS, we'll simply copy the temperature, which is
//                 in Kelvin, to our "admsTemperature" variable, which needs
//                 to be in Celsius.
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateTemperature(const double & temperatureTemp)
{

  admsTemperature = temperatureTemp;
  adms_vt_nom = adms_vt(temperatureTemp);

  return true;
}

// Class Model
//-----------------------------------------------------------------------------
// Function      : Model::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Model::processParams(string param)
{

  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter TYPE : [ (-1.0), 1.0 ]
  if ( (!((TYPE >=(-1.0) && TYPE <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter TYPE value out of range [ (-1.0), 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TR : [ (-273.0),  (+inf) [
  if ( (!((TR >=(-273.0)))) )
  {
    string msg="ADMSPSP103VA: Parameter TR value out of range [ (-273.0),  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWGEO : [ 0.0, 2.0 ]
  if ( (!((SWGEO >=0.0 && SWGEO <=2.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWGEO value out of range [ 0.0, 2.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWIGATE : [ 0.0, 1.0 ]
  if ( (!((SWIGATE >=0.0 && SWIGATE <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWIGATE value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWIMPACT : [ 0.0, 1.0 ]
  if ( (!((SWIMPACT >=0.0 && SWIMPACT <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWIMPACT value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWGIDL : [ 0.0, 1.0 ]
  if ( (!((SWGIDL >=0.0 && SWGIDL <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWGIDL value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWJUNCAP : [ 0.0, 3.0 ]
  if ( (!((SWJUNCAP >=0.0 && SWJUNCAP <=3.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWJUNCAP value out of range [ 0.0, 3.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWNUD : [ 0.0, 2.0 ]
  if ( (!((SWNUD >=0.0 && SWNUD <=2.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWNUD value out of range [ 0.0, 2.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWDELVTAC : [ 0.0, 1.0 ]
  if ( (!((SWDELVTAC >=0.0 && SWDELVTAC <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWDELVTAC value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter QMC : [ 0.0,  (+inf) [
  if ( (!((QMC >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter QMC value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TOX : [ 1e-10,  (+inf) [
  if ( (!((TOX >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter TOX value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter EPSROX : [ 1.0,  (+inf) [
  if ( (!((EPSROX >=1.0))) )
  {
    string msg="ADMSPSP103VA: Parameter EPSROX value out of range [ 1.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NEFF : [ 1e20, 1e26 ]
  if ( (!((NEFF >=1e20 && NEFF <=1e26 ))) )
  {
    string msg="ADMSPSP103VA: Parameter NEFF value out of range [ 1e20, 1e26 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter FACNEFFAC : [ 0.0,  (+inf) [
  if ( (!((FACNEFFAC >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter FACNEFFAC value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter GFACNUD : [ 0.01,  (+inf) [
  if ( (!((GFACNUD >=0.01))) )
  {
    string msg="ADMSPSP103VA: Parameter GFACNUD value out of range [ 0.01,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VSBNUD : [ 0.0,  (+inf) [
  if ( (!((VSBNUD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter VSBNUD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter DVSBNUD : [ 0.1,  (+inf) [
  if ( (!((DVSBNUD >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter DVSBNUD value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NSLP : [ 1e-3,  (+inf) [
  if ( (!((NSLP >=1e-3))) )
  {
    string msg="ADMSPSP103VA: Parameter NSLP value out of range [ 1e-3,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter DNSUB : [ 0.0, 1.0 ]
  if ( (!((DNSUB >=0.0 && DNSUB <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter DNSUB value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NP : [ 0.0,  (+inf) [
  if ( (!((NP >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter NP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CT : [ 0.0,  (+inf) [
  if ( (!((CT >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CT value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TOXOV : [ 1e-10,  (+inf) [
  if ( (!((TOXOV >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter TOXOV value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TOXOVD : [ 1e-10,  (+inf) [
  if ( (!((TOXOVD >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter TOXOVD value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NOV : [ 1e20, 1e27 ]
  if ( (!((NOV >=1e20 && NOV <=1e27 ))) )
  {
    string msg="ADMSPSP103VA: Parameter NOV value out of range [ 1e20, 1e27 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NOVD : [ 1e20, 1e27 ]
  if ( (!((NOVD >=1e20 && NOVD <=1e27 ))) )
  {
    string msg="ADMSPSP103VA: Parameter NOVD value out of range [ 1e20, 1e27 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CF : [ 0.0,  (+inf) [
  if ( (!((CF >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CFB : [ 0.0, 1.0 ]
  if ( (!((CFB >=0.0 && CFB <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter CFB value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter BETN : [ 0.0,  (+inf) [
  if ( (!((BETN >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter BETN value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MUE : [ 0.0,  (+inf) [
  if ( (!((MUE >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter MUE value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter THEMU : [ 0.0,  (+inf) [
  if ( (!((THEMU >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter THEMU value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CS : [ 0.0,  (+inf) [
  if ( (!((CS >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CS value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XCOR : [ 0.0,  (+inf) [
  if ( (!((XCOR >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter XCOR value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter FETA : [ 0.0,  (+inf) [
  if ( (!((FETA >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter FETA value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RS : [ 0.0,  (+inf) [
  if ( (!((RS >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RS value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RSB : [ (-0.5), 1.0 ]
  if ( (!((RSB >=(-0.5) && RSB <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter RSB value out of range [ (-0.5), 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RSG : [ (-0.5),  (+inf) [
  if ( (!((RSG >=(-0.5)))) )
  {
    string msg="ADMSPSP103VA: Parameter RSG value out of range [ (-0.5),  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter THESAT : [ 0.0,  (+inf) [
  if ( (!((THESAT >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter THESAT value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter THESATB : [ (-0.5), 1.0 ]
  if ( (!((THESATB >=(-0.5) && THESATB <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter THESATB value out of range [ (-0.5), 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter THESATG : [ (-0.5),  (+inf) [
  if ( (!((THESATG >=(-0.5)))) )
  {
    string msg="ADMSPSP103VA: Parameter THESATG value out of range [ (-0.5),  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AX : [ 2.0,  (+inf) [
  if ( (!((AX >=2.0))) )
  {
    string msg="ADMSPSP103VA: Parameter AX value out of range [ 2.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ALP : [ 0.0,  (+inf) [
  if ( (!((ALP >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter ALP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ALP1 : [ 0.0,  (+inf) [
  if ( (!((ALP1 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter ALP1 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ALP2 : [ 0.0,  (+inf) [
  if ( (!((ALP2 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter ALP2 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VP : [ 1e-10,  (+inf) [
  if ( (!((VP >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter VP value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter A1 : [ 0.0,  (+inf) [
  if ( (!((A1 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter A1 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter A2 : [ 0.0,  (+inf) [
  if ( (!((A2 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter A2 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter A3 : [ 0.0,  (+inf) [
  if ( (!((A3 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter A3 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter A4 : [ 0.0,  (+inf) [
  if ( (!((A4 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter A4 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter GCO : [ (-10.0), 10.0 ]
  if ( (!((GCO >=(-10.0) && GCO <=10.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter GCO value out of range [ (-10.0), 10.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IGINV : [ 0.0,  (+inf) [
  if ( (!((IGINV >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter IGINV value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IGOV : [ 0.0,  (+inf) [
  if ( (!((IGOV >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter IGOV value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IGOVD : [ 0.0,  (+inf) [
  if ( (!((IGOVD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter IGOVD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter GC2 : [ 0.0, 10.0 ]
  if ( (!((GC2 >=0.0 && GC2 <=10.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter GC2 value out of range [ 0.0, 10.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter GC3 : [ (-2.0), 2.0 ]
  if ( (!((GC3 >=(-2.0) && GC3 <=2.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter GC3 value out of range [ (-2.0), 2.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CHIB : [ 1.0,  (+inf) [
  if ( (!((CHIB >=1.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CHIB value out of range [ 1.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AGIDL : [ 0.0,  (+inf) [
  if ( (!((AGIDL >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter AGIDL value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AGIDLD : [ 0.0,  (+inf) [
  if ( (!((AGIDLD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter AGIDLD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter BGIDL : [ 0.0,  (+inf) [
  if ( (!((BGIDL >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter BGIDL value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter BGIDLD : [ 0.0,  (+inf) [
  if ( (!((BGIDLD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter BGIDLD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter COX : [ 0.0,  (+inf) [
  if ( (!((COX >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter COX value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CGOV : [ 0.0,  (+inf) [
  if ( (!((CGOV >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CGOV value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CGOVD : [ 0.0,  (+inf) [
  if ( (!((CGOVD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CGOVD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CGBOV : [ 0.0,  (+inf) [
  if ( (!((CGBOV >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CGBOV value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CFR : [ 0.0,  (+inf) [
  if ( (!((CFR >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CFR value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CFRD : [ 0.0,  (+inf) [
  if ( (!((CFRD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter CFRD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter FNT : [ 0.0,  (+inf) [
  if ( (!((FNT >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter FNT value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NFA : [ 0.0,  (+inf) [
  if ( (!((NFA >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter NFA value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NFB : [ 0.0,  (+inf) [
  if ( (!((NFB >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter NFB value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NFC : [ 0.0,  (+inf) [
  if ( (!((NFC >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter NFC value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter EF : [ 0.0,  (+inf) [
  if ( (!((EF >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter EF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RG : [ 0.0,  (+inf) [
  if ( (!((RG >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RG value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RSE : [ 0.0,  (+inf) [
  if ( (!((RSE >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RSE value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RDE : [ 0.0,  (+inf) [
  if ( (!((RDE >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RDE value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RBULK : [ 0.0,  (+inf) [
  if ( (!((RBULK >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RBULK value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RWELL : [ 0.0,  (+inf) [
  if ( (!((RWELL >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RWELL value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RJUNS : [ 0.0,  (+inf) [
  if ( (!((RJUNS >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RJUNS value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RJUND : [ 0.0,  (+inf) [
  if ( (!((RJUND >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RJUND value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TOXO : [ 1e-10,  (+inf) [
  if ( (!((TOXO >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter TOXO value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter EPSROXO : [ 1.0,  (+inf) [
  if ( (!((EPSROXO >=1.0))) )
  {
    string msg="ADMSPSP103VA: Parameter EPSROXO value out of range [ 1.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NSUBO : [ 1e20,  (+inf) [
  if ( (!((NSUBO >=1e20))) )
  {
    string msg="ADMSPSP103VA: Parameter NSUBO value out of range [ 1e20,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter WSEG : [ 1e-10,  (+inf) [
  if ( (!((WSEG >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter WSEG value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NPCK : [ 0.0,  (+inf) [
  if ( (!((NPCK >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter NPCK value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter WSEGP : [ 1e-10,  (+inf) [
  if ( (!((WSEGP >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter WSEGP value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LPCK : [ 1e-10,  (+inf) [
  if ( (!((LPCK >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter LPCK value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TOXOVO : [ 1e-10,  (+inf) [
  if ( (!((TOXOVO >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter TOXOVO value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TOXOVDO : [ 1e-10,  (+inf) [
  if ( (!((TOXOVDO >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter TOXOVDO value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LOV : [ 0.0,  (+inf) [
  if ( (!((LOV >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter LOV value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LOVD : [ 0.0,  (+inf) [
  if ( (!((LOVD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter LOVD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LP1 : [ 1e-10,  (+inf) [
  if ( (!((LP1 >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter LP1 value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LP2 : [ 1e-10,  (+inf) [
  if ( (!((LP2 >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter LP2 value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter WBET : [ 1e-10,  (+inf) [
  if ( (!((WBET >=1e-10))) )
  {
    string msg="ADMSPSP103VA: Parameter WBET value out of range [ 1e-10,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AXL : [ 0.0,  (+inf) [
  if ( (!((AXL >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter AXL value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ALP1L2 : [ 0.0,  (+inf) [
  if ( (!((ALP1L2 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter ALP1L2 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ALP2L2 : [ 0.0,  (+inf) [
  if ( (!((ALP2L2 >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter ALP2L2 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RINT : [ 0.0,  (+inf) [
  if ( (!((RINT >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RINT value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RVPOLY : [ 0.0,  (+inf) [
  if ( (!((RVPOLY >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RVPOLY value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RSHG : [ 0.0,  (+inf) [
  if ( (!((RSHG >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter RSHG value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SAREF : [ 1e-9,  (+inf) [
  if ( (!((SAREF >=1e-9))) )
  {
    string msg="ADMSPSP103VA: Parameter SAREF value out of range [ 1e-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SBREF : [ 1e-9,  (+inf) [
  if ( (!((SBREF >=1e-9))) )
  {
    string msg="ADMSPSP103VA: Parameter SBREF value out of range [ 1e-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter KVSAT : [ (-1.0), 1.0 ]
  if ( (!((KVSAT >=(-1.0) && KVSAT <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter KVSAT value out of range [ (-1.0), 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LLODKUO : [ 0.0,  (+inf) [
  if ( (!((LLODKUO >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter LLODKUO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter WLODKUO : [ 0.0,  (+inf) [
  if ( (!((WLODKUO >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter WLODKUO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LLODVTH : [ 0.0,  (+inf) [
  if ( (!((LLODVTH >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter LLODVTH value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter WLODVTH : [ 0.0,  (+inf) [
  if ( (!((WLODVTH >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter WLODVTH value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter LODETAO : [ 0.0,  (+inf) [
  if ( (!((LODETAO >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter LODETAO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SCREF : [ 0.0,  (+inf) [
  if ( (!((SCREF >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter SCREF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IMAX : [ 1E-12,  (+inf) [
  if ( (!((IMAX >=1E-12))) )
  {
    string msg="ADMSPSP103VA: Parameter IMAX value out of range [ 1E-12,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TRJ : [ (-250),  (+inf) [
  if ( (!((TRJ >=(-250)))) )
  {
    string msg="ADMSPSP103VA: Parameter TRJ value out of range [ (-250),  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJORBOT : [ 1E-12,  (+inf) [
  if ( (!((CJORBOT >=1E-12))) )
  {
    string msg="ADMSPSP103VA: Parameter CJORBOT value out of range [ 1E-12,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJORSTI : [ 1E-18,  (+inf) [
  if ( (!((CJORSTI >=1E-18))) )
  {
    string msg="ADMSPSP103VA: Parameter CJORSTI value out of range [ 1E-18,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJORGAT : [ 1E-18,  (+inf) [
  if ( (!((CJORGAT >=1E-18))) )
  {
    string msg="ADMSPSP103VA: Parameter CJORGAT value out of range [ 1E-18,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBIRBOT : [ 0.050,  (+inf) [
  if ( (!((VBIRBOT >=0.050))) )
  {
    string msg="ADMSPSP103VA: Parameter VBIRBOT value out of range [ 0.050,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBIRSTI : [ 0.050,  (+inf) [
  if ( (!((VBIRSTI >=0.050))) )
  {
    string msg="ADMSPSP103VA: Parameter VBIRSTI value out of range [ 0.050,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBIRGAT : [ 0.050,  (+inf) [
  if ( (!((VBIRGAT >=0.050))) )
  {
    string msg="ADMSPSP103VA: Parameter VBIRGAT value out of range [ 0.050,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBOT : [ 0.05, 0.95 ]
  if ( (!((PBOT >=0.05 && PBOT <=0.95 ))) )
  {
    string msg="ADMSPSP103VA: Parameter PBOT value out of range [ 0.05, 0.95 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PSTI : [ 0.05, 0.95 ]
  if ( (!((PSTI >=0.05 && PSTI <=0.95 ))) )
  {
    string msg="ADMSPSP103VA: Parameter PSTI value out of range [ 0.05, 0.95 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PGAT : [ 0.05, 0.95 ]
  if ( (!((PGAT >=0.05 && PGAT <=0.95 ))) )
  {
    string msg="ADMSPSP103VA: Parameter PGAT value out of range [ 0.05, 0.95 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IDSATRBOT : [ 0,  (+inf) [
  if ( (!((IDSATRBOT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter IDSATRBOT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IDSATRSTI : [ 0,  (+inf) [
  if ( (!((IDSATRSTI >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter IDSATRSTI value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IDSATRGAT : [ 0,  (+inf) [
  if ( (!((IDSATRGAT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter IDSATRGAT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CSRHBOT : [ 0,  (+inf) [
  if ( (!((CSRHBOT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CSRHBOT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CSRHSTI : [ 0,  (+inf) [
  if ( (!((CSRHSTI >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CSRHSTI value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CSRHGAT : [ 0,  (+inf) [
  if ( (!((CSRHGAT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CSRHGAT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XJUNSTI : [ 1E-9,  (+inf) [
  if ( (!((XJUNSTI >=1E-9))) )
  {
    string msg="ADMSPSP103VA: Parameter XJUNSTI value out of range [ 1E-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XJUNGAT : [ 1E-9,  (+inf) [
  if ( (!((XJUNGAT >=1E-9))) )
  {
    string msg="ADMSPSP103VA: Parameter XJUNGAT value out of range [ 1E-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CTATBOT : [ 0,  (+inf) [
  if ( (!((CTATBOT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CTATBOT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CTATSTI : [ 0,  (+inf) [
  if ( (!((CTATSTI >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CTATSTI value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CTATGAT : [ 0,  (+inf) [
  if ( (!((CTATGAT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CTATGAT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MEFFTATBOT : [ 0.01,  (+inf) [
  if ( (!((MEFFTATBOT >=0.01))) )
  {
    string msg="ADMSPSP103VA: Parameter MEFFTATBOT value out of range [ 0.01,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MEFFTATSTI : [ 0.01,  (+inf) [
  if ( (!((MEFFTATSTI >=0.01))) )
  {
    string msg="ADMSPSP103VA: Parameter MEFFTATSTI value out of range [ 0.01,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MEFFTATGAT : [ 0.01,  (+inf) [
  if ( (!((MEFFTATGAT >=0.01))) )
  {
    string msg="ADMSPSP103VA: Parameter MEFFTATGAT value out of range [ 0.01,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBBTBOT : [ 0,  (+inf) [
  if ( (!((CBBTBOT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CBBTBOT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBBTSTI : [ 0,  (+inf) [
  if ( (!((CBBTSTI >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CBBTSTI value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBBTGAT : [ 0,  (+inf) [
  if ( (!((CBBTGAT >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CBBTGAT value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBRBOT : [ 0.1,  (+inf) [
  if ( (!((VBRBOT >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter VBRBOT value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBRSTI : [ 0.1,  (+inf) [
  if ( (!((VBRSTI >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter VBRSTI value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBRGAT : [ 0.1,  (+inf) [
  if ( (!((VBRGAT >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter VBRGAT value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBRBOT : [ 0.1,  (+inf) [
  if ( (!((PBRBOT >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter PBRBOT value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBRSTI : [ 0.1,  (+inf) [
  if ( (!((PBRSTI >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter PBRSTI value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBRGAT : [ 0.1,  (+inf) [
  if ( (!((PBRGAT >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter PBRGAT value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJORBOTD : [ 1E-12,  (+inf) [
  if ( (!((CJORBOTD >=1E-12))) )
  {
    string msg="ADMSPSP103VA: Parameter CJORBOTD value out of range [ 1E-12,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJORSTID : [ 1E-18,  (+inf) [
  if ( (!((CJORSTID >=1E-18))) )
  {
    string msg="ADMSPSP103VA: Parameter CJORSTID value out of range [ 1E-18,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJORGATD : [ 1E-18,  (+inf) [
  if ( (!((CJORGATD >=1E-18))) )
  {
    string msg="ADMSPSP103VA: Parameter CJORGATD value out of range [ 1E-18,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBIRBOTD : [ 0.050,  (+inf) [
  if ( (!((VBIRBOTD >=0.050))) )
  {
    string msg="ADMSPSP103VA: Parameter VBIRBOTD value out of range [ 0.050,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBIRSTID : [ 0.050,  (+inf) [
  if ( (!((VBIRSTID >=0.050))) )
  {
    string msg="ADMSPSP103VA: Parameter VBIRSTID value out of range [ 0.050,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBIRGATD : [ 0.050,  (+inf) [
  if ( (!((VBIRGATD >=0.050))) )
  {
    string msg="ADMSPSP103VA: Parameter VBIRGATD value out of range [ 0.050,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBOTD : [ 0.05, 0.95 ]
  if ( (!((PBOTD >=0.05 && PBOTD <=0.95 ))) )
  {
    string msg="ADMSPSP103VA: Parameter PBOTD value out of range [ 0.05, 0.95 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PSTID : [ 0.05, 0.95 ]
  if ( (!((PSTID >=0.05 && PSTID <=0.95 ))) )
  {
    string msg="ADMSPSP103VA: Parameter PSTID value out of range [ 0.05, 0.95 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PGATD : [ 0.05, 0.95 ]
  if ( (!((PGATD >=0.05 && PGATD <=0.95 ))) )
  {
    string msg="ADMSPSP103VA: Parameter PGATD value out of range [ 0.05, 0.95 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IDSATRBOTD : [ 0,  (+inf) [
  if ( (!((IDSATRBOTD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter IDSATRBOTD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IDSATRSTID : [ 0,  (+inf) [
  if ( (!((IDSATRSTID >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter IDSATRSTID value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IDSATRGATD : [ 0,  (+inf) [
  if ( (!((IDSATRGATD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter IDSATRGATD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CSRHBOTD : [ 0,  (+inf) [
  if ( (!((CSRHBOTD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CSRHBOTD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CSRHSTID : [ 0,  (+inf) [
  if ( (!((CSRHSTID >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CSRHSTID value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CSRHGATD : [ 0,  (+inf) [
  if ( (!((CSRHGATD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CSRHGATD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XJUNSTID : [ 1E-9,  (+inf) [
  if ( (!((XJUNSTID >=1E-9))) )
  {
    string msg="ADMSPSP103VA: Parameter XJUNSTID value out of range [ 1E-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XJUNGATD : [ 1E-9,  (+inf) [
  if ( (!((XJUNGATD >=1E-9))) )
  {
    string msg="ADMSPSP103VA: Parameter XJUNGATD value out of range [ 1E-9,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CTATBOTD : [ 0,  (+inf) [
  if ( (!((CTATBOTD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CTATBOTD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CTATSTID : [ 0,  (+inf) [
  if ( (!((CTATSTID >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CTATSTID value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CTATGATD : [ 0,  (+inf) [
  if ( (!((CTATGATD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CTATGATD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MEFFTATBOTD : [ 0.01,  (+inf) [
  if ( (!((MEFFTATBOTD >=0.01))) )
  {
    string msg="ADMSPSP103VA: Parameter MEFFTATBOTD value out of range [ 0.01,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MEFFTATSTID : [ 0.01,  (+inf) [
  if ( (!((MEFFTATSTID >=0.01))) )
  {
    string msg="ADMSPSP103VA: Parameter MEFFTATSTID value out of range [ 0.01,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MEFFTATGATD : [ 0.01,  (+inf) [
  if ( (!((MEFFTATGATD >=0.01))) )
  {
    string msg="ADMSPSP103VA: Parameter MEFFTATGATD value out of range [ 0.01,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBBTBOTD : [ 0,  (+inf) [
  if ( (!((CBBTBOTD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CBBTBOTD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBBTSTID : [ 0,  (+inf) [
  if ( (!((CBBTSTID >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CBBTSTID value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBBTGATD : [ 0,  (+inf) [
  if ( (!((CBBTGATD >=0))) )
  {
    string msg="ADMSPSP103VA: Parameter CBBTGATD value out of range [ 0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBRBOTD : [ 0.1,  (+inf) [
  if ( (!((VBRBOTD >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter VBRBOTD value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBRSTID : [ 0.1,  (+inf) [
  if ( (!((VBRSTID >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter VBRSTID value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VBRGATD : [ 0.1,  (+inf) [
  if ( (!((VBRGATD >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter VBRGATD value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBRBOTD : [ 0.1,  (+inf) [
  if ( (!((PBRBOTD >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter PBRBOTD value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBRSTID : [ 0.1,  (+inf) [
  if ( (!((PBRSTID >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter PBRSTID value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PBRGATD : [ 0.1,  (+inf) [
  if ( (!((PBRGATD >=0.1))) )
  {
    string msg="ADMSPSP103VA: Parameter PBRGATD value out of range [ 0.1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter SWJUNEXP : [ 0.0, 1.0 ]
  if ( (!((SWJUNEXP >=0.0 && SWJUNEXP <=1.0 ))) )
  {
    string msg="ADMSPSP103VA: Parameter SWJUNEXP value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VJUNREF : [ 0.5,  (+inf) [
  if ( (!((VJUNREF >=0.5))) )
  {
    string msg="ADMSPSP103VA: Parameter VJUNREF value out of range [ 0.5,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter FJUNQ : [ 0.0,  (+inf) [
  if ( (!((FJUNQ >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter FJUNQ value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VJUNREFD : [ 0.5,  (+inf) [
  if ( (!((VJUNREFD >=0.5))) )
  {
    string msg="ADMSPSP103VA: Parameter VJUNREFD value out of range [ 0.5,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter FJUNQD : [ 0.0,  (+inf) [
  if ( (!((FJUNQD >=0.0))) )
  {
    string msg="ADMSPSP103VA: Parameter FJUNQD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }


  // and of course, this routine is where we should put the initial_model
  // stuff
  double deltaphigd;
  double deltaphigr;
  double phitrinv;
  double KBOL_over_QELE;
  double auxt;
  double tkd;
  double tkr;
  double TRJ_i;
  double TKD_sq;
  double TKR;
  double TR_i;
  //Begin block initial_model
  {
    if ((TYPE>=0))
    {
      CHNL_TYPE = (+1);
    }
    else
    {
      CHNL_TYPE = (-1);
    }
    SWGEO_i = floor((((SWGEO>0.0)?((SWGEO<2.0)?SWGEO:2.0):0.0)+0.5));
    SWIGATE_i = floor((((SWIGATE>0.0)?((SWIGATE<1.0)?SWIGATE:1.0):0.0)+0.5));
    SWIMPACT_i = floor((((SWIMPACT>0.0)?((SWIMPACT<1.0)?SWIMPACT:1.0):0.0)+0.5));
    SWGIDL_i = floor((((SWGIDL>0.0)?((SWGIDL<1.0)?SWGIDL:1.0):0.0)+0.5));
    SWJUNCAP_i = floor((((SWJUNCAP>0.0)?((SWJUNCAP<3.0)?SWJUNCAP:3.0):0.0)+0.5));
    SWJUNASYM_i = floor((((SWJUNASYM>0.0)?((SWJUNASYM<1.0)?SWJUNASYM:1.0):0.0)+0.5));
    SWNUD_i = floor((((SWNUD>0.0)?((SWNUD<2.0)?SWNUD:2.0):0.0)+0.5));
    SWDELVTAC_i = floor((((SWDELVTAC>0.0)?((SWDELVTAC<1.0)?SWDELVTAC:1.0):0.0)+0.5));
    QMC_i = ((QMC>0.0)?QMC:0.0);
    TOXO_i = ((TOXO>1e-10)?TOXO:1e-10);
    EPSROXO_i = ((EPSROXO>1.0)?EPSROXO:1.0);
    NSUBO_i = ((NSUBO>1e20)?NSUBO:1e20);
    WSEG_i = ((WSEG>1e-10)?WSEG:1e-10);
    NPCK_i = ((NPCK>0.0)?NPCK:0.0);
    WSEGP_i = ((WSEGP>1e-10)?WSEGP:1e-10);
    LPCK_i = ((LPCK>1e-10)?LPCK:1e-10);
    TOXOVO_i = ((TOXOVO>1e-10)?TOXOVO:1e-10);
    TOXOVDO_i = ((TOXOVDO>1e-10)?TOXOVDO:1e-10);
    LOV_i = ((LOV>0.0)?LOV:0.0);
    LOVD_i = ((LOVD>0.0)?LOVD:0.0);
    LP1_i = ((LP1>1e-10)?LP1:1e-10);
    LP2_i = ((LP2>1e-10)?LP2:1e-10);
    WBET_i = ((WBET>1e-10)?WBET:1e-10);
    AXL_i = ((AXL>0.0)?AXL:0.0);
    ALP1L2_i = ((ALP1L2>0.0)?ALP1L2:0.0);
    ALP2L2_i = ((ALP2L2>0.0)?ALP2L2:0.0);
    SAREF_i = ((SAREF>1e-9)?SAREF:1e-9);
    SBREF_i = ((SBREF>1e-9)?SBREF:1e-9);
    KVSAT_i = ((KVSAT>(-1.0))?((KVSAT<1.0)?KVSAT:1.0):(-1.0));
    LLODKUO_i = ((LLODKUO>0.0)?LLODKUO:0.0);
    WLODKUO_i = ((WLODKUO>0.0)?WLODKUO:0.0);
    LLODVTH_i = ((LLODVTH>0.0)?LLODVTH:0.0);
    WLODVTH_i = ((WLODVTH>0.0)?WLODVTH:0.0);
    LODETAO_i = ((LODETAO>0.0)?LODETAO:0.0);
    SCREF_i = ((SCREF>0.0)?SCREF:0.0);
    WEB_i = WEB;
    WEC_i = WEC;
    RSHG_i = ((RSHG>0.0)?RSHG:0.0);
    RSH_i = ((RSH>0.0)?RSH:0.0);
    RSHD_i = ((RSHD>0.0)?RSHD:0.0);
    RINT_i = ((RINT>0.0)?RINT:0.0);
    RVPOLY_i = ((RVPOLY>0.0)?RVPOLY:0.0);
    TR_i = ((TR>(-273))?TR:(-273));
    TKR = (273.15+TR_i);
    TKD = (admsModTemp+DTA);
    TKD_sq = (TKD*TKD);
    dT = (TKD-TKR);
    rT = (TKD/TKR);
    rTn = (TKR/TKD);
    phit = ((TKD*1.3806505E-23)/1.6021918E-19);
    inv_phit = (1.0/phit);
    Eg = ((1.179-(9.025e-5*TKD))-(3.05e-7*TKD_sq));
    phibFac = ((((1.045+(4.5e-4*TKD))*((0.523+(1.4e-3*TKD))-(1.48e-6*TKD_sq)))*TKD_sq)/9.0E4);
    phibFac = ((phibFac>1.0E-3)?phibFac:1.0E-3);
    EPSSI = (8.8541878176E-12*11.8);
    nt0 = ((4*1.3806505E-23)*TKD);
    TRJ_i = ((TRJ>(-250))?TRJ:(-250));
    IMAX_i = ((IMAX>1E-12)?IMAX:1E-12);
    CJORBOT_i = ((CJORBOT>1E-12)?CJORBOT:1E-12);
    CJORSTI_i = ((CJORSTI>1E-18)?CJORSTI:1E-18);
    CJORGAT_i = ((CJORGAT>1E-18)?CJORGAT:1E-18);
    VBIRBOT_i = ((VBIRBOT>0.050)?VBIRBOT:0.050);
    VBIRSTI_i = ((VBIRSTI>0.050)?VBIRSTI:0.050);
    VBIRGAT_i = ((VBIRGAT>0.050)?VBIRGAT:0.050);
    PBOT_i = ((PBOT>0.05)?((PBOT<0.95)?PBOT:0.95):0.05);
    PSTI_i = ((PSTI>0.05)?((PSTI<0.95)?PSTI:0.95):0.05);
    PGAT_i = ((PGAT>0.05)?((PGAT<0.95)?PGAT:0.95):0.05);
    PHIGBOT_i = PHIGBOT;
    PHIGSTI_i = PHIGSTI;
    PHIGGAT_i = PHIGGAT;
    IDSATRBOT_i = ((IDSATRBOT>0)?IDSATRBOT:0);
    IDSATRSTI_i = ((IDSATRSTI>0)?IDSATRSTI:0);
    IDSATRGAT_i = ((IDSATRGAT>0)?IDSATRGAT:0);
    CSRHBOT_i = ((CSRHBOT>0)?CSRHBOT:0);
    CSRHSTI_i = ((CSRHSTI>0)?CSRHSTI:0);
    CSRHGAT_i = ((CSRHGAT>0)?CSRHGAT:0);
    XJUNSTI_i = ((XJUNSTI>1E-9)?XJUNSTI:1E-9);
    XJUNGAT_i = ((XJUNGAT>1E-9)?XJUNGAT:1E-9);
    CTATBOT_i = ((CTATBOT>0)?CTATBOT:0);
    CTATSTI_i = ((CTATSTI>0)?CTATSTI:0);
    CTATGAT_i = ((CTATGAT>0)?CTATGAT:0);
    MEFFTATBOT_i = ((MEFFTATBOT>0.01)?MEFFTATBOT:0.01);
    MEFFTATSTI_i = ((MEFFTATSTI>0.01)?MEFFTATSTI:0.01);
    MEFFTATGAT_i = ((MEFFTATGAT>0.01)?MEFFTATGAT:0.01);
    CBBTBOT_i = ((CBBTBOT>0)?CBBTBOT:0);
    CBBTSTI_i = ((CBBTSTI>0)?CBBTSTI:0);
    CBBTGAT_i = ((CBBTGAT>0)?CBBTGAT:0);
    FBBTRBOT_i = FBBTRBOT;
    FBBTRSTI_i = FBBTRSTI;
    FBBTRGAT_i = FBBTRGAT;
    STFBBTBOT_i = STFBBTBOT;
    STFBBTSTI_i = STFBBTSTI;
    STFBBTGAT_i = STFBBTGAT;
    VBRBOT_i = ((VBRBOT>0.1)?VBRBOT:0.1);
    VBRSTI_i = ((VBRSTI>0.1)?VBRSTI:0.1);
    VBRGAT_i = ((VBRGAT>0.1)?VBRGAT:0.1);
    PBRBOT_i = ((PBRBOT>0.1)?PBRBOT:0.1);
    PBRSTI_i = ((PBRSTI>0.1)?PBRSTI:0.1);
    PBRGAT_i = ((PBRGAT>0.1)?PBRGAT:0.1);
    SWJUNEXP_i = 0.0;
    if ((SWJUNEXP>0.5))
    {
      SWJUNEXP_i = 1.0;
    }
    else
    {
      SWJUNEXP_i = 0.0;
    }
    VJUNREF_i = ((VJUNREF>0.5)?VJUNREF:0.5);
    FJUNQ_i = ((FJUNQ>0.0)?FJUNQ:0.0);
    CJORBOTS_i = CJORBOT_i;
    CJORSTIS_i = CJORSTI_i;
    CJORGATS_i = CJORGAT_i;
    VBIRBOTS_i = VBIRBOT_i;
    VBIRSTIS_i = VBIRSTI_i;
    VBIRGATS_i = VBIRGAT_i;
    PBOTS_i = PBOT_i;
    PSTIS_i = PSTI_i;
    PGATS_i = PGAT_i;
    PHIGBOTS_i = PHIGBOT_i;
    PHIGSTIS_i = PHIGSTI_i;
    PHIGGATS_i = PHIGGAT_i;
    IDSATRBOTS_i = IDSATRBOT_i;
    IDSATRSTIS_i = IDSATRSTI_i;
    IDSATRGATS_i = IDSATRGAT_i;
    CSRHBOTS_i = CSRHBOT_i;
    CSRHSTIS_i = CSRHSTI_i;
    CSRHGATS_i = CSRHGAT_i;
    XJUNSTIS_i = XJUNSTI_i;
    XJUNGATS_i = XJUNGAT_i;
    CTATBOTS_i = CTATBOT_i;
    CTATSTIS_i = CTATSTI_i;
    CTATGATS_i = CTATGAT_i;
    MEFFTATBOTS_i = MEFFTATBOT_i;
    MEFFTATSTIS_i = MEFFTATSTI_i;
    MEFFTATGATS_i = MEFFTATGAT_i;
    CBBTBOTS_i = CBBTBOT_i;
    CBBTSTIS_i = CBBTSTI_i;
    CBBTGATS_i = CBBTGAT_i;
    FBBTRBOTS_i = FBBTRBOT_i;
    FBBTRSTIS_i = FBBTRSTI_i;
    FBBTRGATS_i = FBBTRGAT_i;
    STFBBTBOTS_i = STFBBTBOT_i;
    STFBBTSTIS_i = STFBBTSTI_i;
    STFBBTGATS_i = STFBBTGAT_i;
    VBRBOTS_i = VBRBOT_i;
    VBRSTIS_i = VBRSTI_i;
    VBRGATS_i = VBRGAT_i;
    PBRBOTS_i = PBRBOT_i;
    PBRSTIS_i = PBRSTI_i;
    PBRGATS_i = PBRGAT_i;
    VJUNREFS_i = VJUNREF_i;
    FJUNQS_i = FJUNQ_i;
    if ((SWJUNASYM==0.0))
    {
      CJORBOTD_i = CJORBOTS_i;
      CJORSTID_i = CJORSTIS_i;
      CJORGATD_i = CJORGATS_i;
      VBIRBOTD_i = VBIRBOTS_i;
      VBIRSTID_i = VBIRSTIS_i;
      VBIRGATD_i = VBIRGATS_i;
      PBOTD_i = PBOTS_i;
      PSTID_i = PSTIS_i;
      PGATD_i = PGATS_i;
      PHIGBOTD_i = PHIGBOTS_i;
      PHIGSTID_i = PHIGSTIS_i;
      PHIGGATD_i = PHIGGATS_i;
      IDSATRBOTD_i = IDSATRBOTS_i;
      IDSATRSTID_i = IDSATRSTIS_i;
      IDSATRGATD_i = IDSATRGATS_i;
      CSRHBOTD_i = CSRHBOTS_i;
      CSRHSTID_i = CSRHSTIS_i;
      CSRHGATD_i = CSRHGATS_i;
      XJUNSTID_i = XJUNSTIS_i;
      XJUNGATD_i = XJUNGATS_i;
      CTATBOTD_i = CTATBOTS_i;
      CTATSTID_i = CTATSTIS_i;
      CTATGATD_i = CTATGATS_i;
      MEFFTATBOTD_i = MEFFTATBOTS_i;
      MEFFTATSTID_i = MEFFTATSTIS_i;
      MEFFTATGATD_i = MEFFTATGATS_i;
      CBBTBOTD_i = CBBTBOTS_i;
      CBBTSTID_i = CBBTSTIS_i;
      CBBTGATD_i = CBBTGATS_i;
      FBBTRBOTD_i = FBBTRBOTS_i;
      FBBTRSTID_i = FBBTRSTIS_i;
      FBBTRGATD_i = FBBTRGATS_i;
      STFBBTBOTD_i = STFBBTBOTS_i;
      STFBBTSTID_i = STFBBTSTIS_i;
      STFBBTGATD_i = STFBBTGATS_i;
      VBRBOTD_i = VBRBOTS_i;
      VBRSTID_i = VBRSTIS_i;
      VBRGATD_i = VBRGATS_i;
      PBRBOTD_i = PBRBOTS_i;
      PBRSTID_i = PBRSTIS_i;
      PBRGATD_i = PBRGATS_i;
      VJUNREFD_i = VJUNREFS_i;
      FJUNQD_i = FJUNQS_i;
    }
    else
    {
      CJORBOTD_i = ((CJORBOTD>1E-12)?CJORBOTD:1E-12);
      CJORSTID_i = ((CJORSTID>1E-18)?CJORSTID:1E-18);
      CJORGATD_i = ((CJORGATD>1E-18)?CJORGATD:1E-18);
      VBIRBOTD_i = ((VBIRBOTD>0.050)?VBIRBOTD:0.050);
      VBIRSTID_i = ((VBIRSTID>0.050)?VBIRSTID:0.050);
      VBIRGATD_i = ((VBIRGATD>0.050)?VBIRGATD:0.050);
      PBOTD_i = ((PBOTD>0.05)?((PBOTD<0.95)?PBOTD:0.95):0.05);
      PSTID_i = ((PSTID>0.05)?((PSTID<0.95)?PSTID:0.95):0.05);
      PGATD_i = ((PGATD>0.05)?((PGATD<0.95)?PGATD:0.95):0.05);
      PHIGBOTD_i = PHIGBOTD;
      PHIGSTID_i = PHIGSTID;
      PHIGGATD_i = PHIGGATD;
      IDSATRBOTD_i = ((IDSATRBOTD>0)?IDSATRBOTD:0);
      IDSATRSTID_i = ((IDSATRSTID>0)?IDSATRSTID:0);
      IDSATRGATD_i = ((IDSATRGATD>0)?IDSATRGATD:0);
      CSRHBOTD_i = ((CSRHBOTD>0)?CSRHBOTD:0);
      CSRHSTID_i = ((CSRHSTID>0)?CSRHSTID:0);
      CSRHGATD_i = ((CSRHGATD>0)?CSRHGATD:0);
      XJUNSTID_i = ((XJUNSTID>1E-9)?XJUNSTID:1E-9);
      XJUNGATD_i = ((XJUNGATD>1E-9)?XJUNGATD:1E-9);
      CTATBOTD_i = ((CTATBOTD>0)?CTATBOTD:0);
      CTATSTID_i = ((CTATSTID>0)?CTATSTID:0);
      CTATGATD_i = ((CTATGATD>0)?CTATGATD:0);
      MEFFTATBOTD_i = ((MEFFTATBOTD>0.01)?MEFFTATBOTD:0.01);
      MEFFTATSTID_i = ((MEFFTATSTID>0.01)?MEFFTATSTID:0.01);
      MEFFTATGATD_i = ((MEFFTATGATD>0.01)?MEFFTATGATD:0.01);
      CBBTBOTD_i = ((CBBTBOTD>0)?CBBTBOTD:0);
      CBBTSTID_i = ((CBBTSTID>0)?CBBTSTID:0);
      CBBTGATD_i = ((CBBTGATD>0)?CBBTGATD:0);
      FBBTRBOTD_i = FBBTRBOTD;
      FBBTRSTID_i = FBBTRSTID;
      FBBTRGATD_i = FBBTRGATD;
      STFBBTBOTD_i = STFBBTBOTD;
      STFBBTSTID_i = STFBBTSTID;
      STFBBTGATD_i = STFBBTGATD;
      VBRBOTD_i = ((VBRBOTD>0.1)?VBRBOTD:0.1);
      VBRSTID_i = ((VBRSTID>0.1)?VBRSTID:0.1);
      VBRGATD_i = ((VBRGATD>0.1)?VBRGATD:0.1);
      PBRBOTD_i = ((PBRBOTD>0.1)?PBRBOTD:0.1);
      PBRSTID_i = ((PBRSTID>0.1)?PBRSTID:0.1);
      PBRGATD_i = ((PBRGATD>0.1)?PBRGATD:0.1);
      VJUNREFD_i = ((VJUNREFD>0.5)?VJUNREFD:0.5);
      FJUNQD_i = ((FJUNQD>0.0)?FJUNQD:0.0);
    }
    tkr = (273.15+TRJ_i);
    tkd = max((admsModTemp+DTA),(273.15+(-250)));
    auxt = (tkd/tkr);
    KBOL_over_QELE = (1.3806505E-23/1.6021918E-19);
    phitr = (KBOL_over_QELE*tkr);
    phitrinv = (1.0/phitr);
    phitd = (KBOL_over_QELE*tkd);
    phitdinv = (1.0/phitd);
    deltaphigr = ((-((7.02e-4*tkr)*tkr))/(1108.0+tkr));
    phigrbot = (PHIGBOT_i+deltaphigr);
    phigrsti = (PHIGSTI_i+deltaphigr);
    phigrgat = (PHIGGAT_i+deltaphigr);
    deltaphigd = ((-((7.02e-4*tkd)*tkd))/(1108.0+tkd));
    phigdbot = (PHIGBOT_i+deltaphigd);
    phigdsti = (PHIGSTI_i+deltaphigd);
    phigdgat = (PHIGGAT_i+deltaphigd);
    ftdbot = (pow(auxt,1.5)*exp((0.5*((phigrbot*phitrinv)-(phigdbot*phitdinv)))));
    ftdsti = (pow(auxt,1.5)*exp((0.5*((phigrsti*phitrinv)-(phigdsti*phitdinv)))));
    ftdgat = (pow(auxt,1.5)*exp((0.5*((phigrgat*phitrinv)-(phigdgat*phitdinv)))));
    idsatbot = ((IDSATRBOT_i*ftdbot)*ftdbot);
    idsatsti = ((IDSATRSTI_i*ftdsti)*ftdsti);
    idsatgat = ((IDSATRGAT_i*ftdgat)*ftdgat);
    ubibot = ((VBIRBOT_i*auxt)-((2*phitd)*log(ftdbot)));
    ubisti = ((VBIRSTI_i*auxt)-((2*phitd)*log(ftdsti)));
    ubigat = ((VBIRGAT_i*auxt)-((2*phitd)*log(ftdgat)));
    vbibot = (ubibot+(phitd*log((1+exp(((0.050-ubibot)*phitdinv))))));
    vbisti = (ubisti+(phitd*log((1+exp(((0.050-ubisti)*phitdinv))))));
    vbigat = (ubigat+(phitd*log((1+exp(((0.050-ubigat)*phitdinv))))));
    vbiinvbot = (1.0/vbibot);
    vbiinvsti = (1.0/vbisti);
    vbiinvgat = (1.0/vbigat);
    one_minus_PBOT = (1-PBOT_i);
    one_minus_PSTI = (1-PSTI_i);
    one_minus_PGAT = (1-PGAT_i);
    one_over_one_minus_PBOT = (1/one_minus_PBOT);
    one_over_one_minus_PSTI = (1/one_minus_PSTI);
    one_over_one_minus_PGAT = (1/one_minus_PGAT);
    cjobot = (CJORBOT_i*pow((VBIRBOT_i*vbiinvbot),PBOT_i));
    cjosti = (CJORSTI_i*pow((VBIRSTI_i*vbiinvsti),PSTI_i));
    cjogat = (CJORGAT_i*pow((VBIRGAT_i*vbiinvgat),PGAT_i));
    qprefbot = ((cjobot*vbibot)*one_over_one_minus_PBOT);
    qprefsti = ((cjosti*vbisti)*one_over_one_minus_PSTI);
    qprefgat = ((cjogat*vbigat)*one_over_one_minus_PGAT);
    qpref2bot = (2*cjobot);
    qpref2sti = (2*cjosti);
    qpref2gat = (2*cjogat);
    wdepnulrbot = (EPSSI/CJORBOT_i);
    wdepnulrsti = ((XJUNSTI_i*EPSSI)/CJORSTI_i);
    wdepnulrgat = ((XJUNGAT_i*EPSSI)/CJORGAT_i);
    wdepnulrinvbot = (1/wdepnulrbot);
    wdepnulrinvsti = (1/wdepnulrsti);
    wdepnulrinvgat = (1/wdepnulrgat);
    VBIRBOTinv = (1/VBIRBOT_i);
    VBIRSTIinv = (1/VBIRSTI_i);
    VBIRGATinv = (1/VBIRGAT_i);
    perfc = (1.77245385090551603*0.29214664);
    berfc = (((((-5)*0.29214664)+6)-pow(perfc,(-2)))/3);
    cerfc = ((1.0-0.29214664)-berfc);
    deltaEbot = max((0.5*phigdbot),phitd);
    deltaEsti = max((0.5*phigdsti),phitd);
    deltaEgat = max((0.5*phigdgat),phitd);
    atatbot = (deltaEbot*phitdinv);
    atatsti = (deltaEsti*phitdinv);
    atatgat = (deltaEgat*phitdinv);
    btatpartbot = (sqrt(((((32*MEFFTATBOT_i)*9.1093826E-31)*1.6021918E-19)*((deltaEbot*deltaEbot)*deltaEbot)))/(3*1.05457168E-34));
    btatpartsti = (sqrt(((((32*MEFFTATSTI_i)*9.1093826E-31)*1.6021918E-19)*((deltaEsti*deltaEsti)*deltaEsti)))/(3*1.05457168E-34));
    btatpartgat = (sqrt(((((32*MEFFTATGAT_i)*9.1093826E-31)*1.6021918E-19)*((deltaEgat*deltaEgat)*deltaEgat)))/(3*1.05457168E-34));
    fbbtbot = (FBBTRBOT_i*(1+(STFBBTBOT_i*(tkd-tkr))));
    fbbtsti = (FBBTRSTI_i*(1+(STFBBTSTI_i*(tkd-tkr))));
    fbbtgat = (FBBTRGAT_i*(1+(STFBBTGAT_i*(tkd-tkr))));
    fbbtbot = ((fbbtbot>0)?fbbtbot:0);
    fbbtsti = ((fbbtsti>0)?fbbtsti:0);
    fbbtgat = ((fbbtgat>0)?fbbtgat:0);
    fstopbot = (1/(1-pow(0.999,PBRBOT_i)));
    fstopsti = (1/(1-pow(0.999,PBRSTI_i)));
    fstopgat = (1/(1-pow(0.999,PBRGAT_i)));
    VBRinvbot = (1/VBRBOT_i);
    VBRinvsti = (1/VBRSTI_i);
    VBRinvgat = (1/VBRGAT_i);
    slopebot = (((-((fstopbot*fstopbot)*pow(0.999,(PBRBOT_i-1))))*PBRBOT_i)*VBRinvbot);
    slopesti = (((-((fstopsti*fstopsti)*pow(0.999,(PBRSTI_i-1))))*PBRSTI_i)*VBRinvsti);
    slopegat = (((-((fstopgat*fstopgat)*pow(0.999,(PBRGAT_i-1))))*PBRGAT_i)*VBRinvgat);
    phigrbot_s = phigrbot;
    phigrsti_s = phigrsti;
    phigrgat_s = phigrgat;
    phigdbot_s = phigdbot;
    phigdsti_s = phigdsti;
    phigdgat_s = phigdgat;
    ftdbot_s = ftdbot;
    ftdsti_s = ftdsti;
    ftdgat_s = ftdgat;
    idsatbot_s = idsatbot;
    idsatsti_s = idsatsti;
    idsatgat_s = idsatgat;
    ubibot_s = ubibot;
    ubisti_s = ubisti;
    ubigat_s = ubigat;
    vbibot_s = vbibot;
    vbisti_s = vbisti;
    vbigat_s = vbigat;
    vbiinvbot_s = vbiinvbot;
    vbiinvsti_s = vbiinvsti;
    vbiinvgat_s = vbiinvgat;
    one_minus_PBOT_s = one_minus_PBOT;
    one_minus_PSTI_s = one_minus_PSTI;
    one_minus_PGAT_s = one_minus_PGAT;
    one_over_one_minus_PBOT_s = one_over_one_minus_PBOT;
    one_over_one_minus_PSTI_s = one_over_one_minus_PSTI;
    one_over_one_minus_PGAT_s = one_over_one_minus_PGAT;
    cjobot_s = cjobot;
    cjosti_s = cjosti;
    cjogat_s = cjogat;
    qprefbot_s = qprefbot;
    qprefsti_s = qprefsti;
    qprefgat_s = qprefgat;
    qpref2bot_s = qpref2bot;
    qpref2sti_s = qpref2sti;
    qpref2gat_s = qpref2gat;
    wdepnulrbot_s = wdepnulrbot;
    wdepnulrsti_s = wdepnulrsti;
    wdepnulrgat_s = wdepnulrgat;
    wdepnulrinvbot_s = wdepnulrinvbot;
    wdepnulrinvsti_s = wdepnulrinvsti;
    wdepnulrinvgat_s = wdepnulrinvgat;
    VBIRBOTinv_s = VBIRBOTinv;
    VBIRSTIinv_s = VBIRSTIinv;
    VBIRGATinv_s = VBIRGATinv;
    deltaEbot_s = deltaEbot;
    deltaEsti_s = deltaEsti;
    deltaEgat_s = deltaEgat;
    atatbot_s = atatbot;
    atatsti_s = atatsti;
    atatgat_s = atatgat;
    btatpartbot_s = btatpartbot;
    btatpartsti_s = btatpartsti;
    btatpartgat_s = btatpartgat;
    fbbtbot_s = fbbtbot;
    fbbtsti_s = fbbtsti;
    fbbtgat_s = fbbtgat;
    fbbtbot_s = fbbtbot;
    fbbtsti_s = fbbtsti;
    fbbtgat_s = fbbtgat;
    fstopbot_s = fstopbot;
    fstopsti_s = fstopsti;
    fstopgat_s = fstopgat;
    VBRinvbot_s = VBRinvbot;
    VBRinvsti_s = VBRinvsti;
    VBRinvgat_s = VBRinvgat;
    slopebot_s = slopebot;
    slopesti_s = slopesti;
    slopegat_s = slopegat;
    phigrbot_d = (PHIGBOTD_i+deltaphigr);
    phigrsti_d = (PHIGSTID_i+deltaphigr);
    phigrgat_d = (PHIGGATD_i+deltaphigr);
    phigdbot_d = (PHIGBOTD_i+deltaphigd);
    phigdsti_d = (PHIGSTID_i+deltaphigd);
    phigdgat_d = (PHIGGATD_i+deltaphigd);
    ftdbot_d = (pow(auxt,1.5)*exp((0.5*((phigrbot_d*phitrinv)-(phigdbot_d*phitdinv)))));
    ftdsti_d = (pow(auxt,1.5)*exp((0.5*((phigrsti_d*phitrinv)-(phigdsti_d*phitdinv)))));
    ftdgat_d = (pow(auxt,1.5)*exp((0.5*((phigrgat_d*phitrinv)-(phigdgat_d*phitdinv)))));
    idsatbot_d = ((IDSATRBOTD_i*ftdbot_d)*ftdbot_d);
    idsatsti_d = ((IDSATRSTID_i*ftdsti_d)*ftdsti_d);
    idsatgat_d = ((IDSATRGATD_i*ftdgat_d)*ftdgat_d);
    ubibot_d = ((VBIRBOTD_i*auxt)-((2*phitd)*log(ftdbot_d)));
    ubisti_d = ((VBIRSTID_i*auxt)-((2*phitd)*log(ftdsti_d)));
    ubigat_d = ((VBIRGATD_i*auxt)-((2*phitd)*log(ftdgat_d)));
    vbibot_d = (ubibot_d+(phitd*log((1+exp(((0.050-ubibot_d)*phitdinv))))));
    vbisti_d = (ubisti_d+(phitd*log((1+exp(((0.050-ubisti_d)*phitdinv))))));
    vbigat_d = (ubigat_d+(phitd*log((1+exp(((0.050-ubigat_d)*phitdinv))))));
    vbiinvbot_d = (1.0/vbibot_d);
    vbiinvsti_d = (1.0/vbisti_d);
    vbiinvgat_d = (1.0/vbigat_d);
    one_minus_PBOT_d = (1-PBOTD_i);
    one_minus_PSTI_d = (1-PSTID_i);
    one_minus_PGAT_d = (1-PGATD_i);
    one_over_one_minus_PBOT_d = (1/one_minus_PBOT_d);
    one_over_one_minus_PSTI_d = (1/one_minus_PSTI_d);
    one_over_one_minus_PGAT_d = (1/one_minus_PGAT_d);
    cjobot_d = (CJORBOTD_i*pow((VBIRBOTD_i*vbiinvbot_d),PBOTD_i));
    cjosti_d = (CJORSTID_i*pow((VBIRSTID_i*vbiinvsti_d),PSTID_i));
    cjogat_d = (CJORGATD_i*pow((VBIRGATD_i*vbiinvgat_d),PGATD_i));
    qprefbot_d = ((cjobot_d*vbibot_d)*one_over_one_minus_PBOT_d);
    qprefsti_d = ((cjosti_d*vbisti_d)*one_over_one_minus_PSTI_d);
    qprefgat_d = ((cjogat_d*vbigat_d)*one_over_one_minus_PGAT_d);
    qpref2bot_d = (2*cjobot_d);
    qpref2sti_d = (2*cjosti_d);
    qpref2gat_d = (2*cjogat_d);
    wdepnulrbot_d = (EPSSI/CJORBOTD_i);
    wdepnulrsti_d = ((XJUNSTID_i*EPSSI)/CJORSTID_i);
    wdepnulrgat_d = ((XJUNGATD_i*EPSSI)/CJORGATD_i);
    wdepnulrinvbot_d = (1/wdepnulrbot_d);
    wdepnulrinvsti_d = (1/wdepnulrsti_d);
    wdepnulrinvgat_d = (1/wdepnulrgat_d);
    VBIRBOTinv_d = (1/VBIRBOTD_i);
    VBIRSTIinv_d = (1/VBIRSTID_i);
    VBIRGATinv_d = (1/VBIRGATD_i);
    deltaEbot_d = max((0.5*phigdbot_d),phitd);
    deltaEsti_d = max((0.5*phigdsti_d),phitd);
    deltaEgat_d = max((0.5*phigdgat_d),phitd);
    atatbot_d = (deltaEbot_d*phitdinv);
    atatsti_d = (deltaEsti_d*phitdinv);
    atatgat_d = (deltaEgat_d*phitdinv);
    btatpartbot_d = (sqrt(((((32*MEFFTATBOTD_i)*9.1093826E-31)*1.6021918E-19)*((deltaEbot_d*deltaEbot_d)*deltaEbot_d)))/(3*1.05457168E-34));
    btatpartsti_d = (sqrt(((((32*MEFFTATSTID_i)*9.1093826E-31)*1.6021918E-19)*((deltaEsti_d*deltaEsti_d)*deltaEsti_d)))/(3*1.05457168E-34));
    btatpartgat_d = (sqrt(((((32*MEFFTATGATD_i)*9.1093826E-31)*1.6021918E-19)*((deltaEgat_d*deltaEgat_d)*deltaEgat_d)))/(3*1.05457168E-34));
    fbbtbot_d = (FBBTRBOTD_i*(1+(STFBBTBOTD_i*(tkd-tkr))));
    fbbtsti_d = (FBBTRSTID_i*(1+(STFBBTSTID_i*(tkd-tkr))));
    fbbtgat_d = (FBBTRGATD_i*(1+(STFBBTGATD_i*(tkd-tkr))));
    fbbtbot_d = ((fbbtbot_d>0)?fbbtbot_d:0);
    fbbtsti_d = ((fbbtsti_d>0)?fbbtsti_d:0);
    fbbtgat_d = ((fbbtgat_d>0)?fbbtgat_d:0);
    fstopbot_d = (1/(1-pow(0.999,PBRBOTD_i)));
    fstopsti_d = (1/(1-pow(0.999,PBRSTID_i)));
    fstopgat_d = (1/(1-pow(0.999,PBRGATD_i)));
    VBRinvbot_d = (1/VBRBOTD_i);
    VBRinvsti_d = (1/VBRSTID_i);
    VBRinvgat_d = (1/VBRGATD_i);
    slopebot_d = (((-((fstopbot_d*fstopbot_d)*pow(0.999,(PBRBOTD_i-1))))*PBRBOTD_i)*VBRinvbot_d);
    slopesti_d = (((-((fstopsti_d*fstopsti_d)*pow(0.999,(PBRSTID_i-1))))*PBRSTID_i)*VBRinvsti_d);
    slopegat_d = (((-((fstopgat_d*fstopgat_d)*pow(0.999,(PBRGATD_i-1))))*PBRGATD_i)*VBRinvgat_d);
  }
  // End block initial_model


  return true;
}
//----------------------------------------------------------------------------
// Function      : Model::processInstanceParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//----------------------------------------------------------------------------
bool Model::processInstanceParams(string param)
{

  vector<Instance*>::iterator iter;
  vector<Instance*>::iterator first = instanceContainer.begin();
  vector<Instance*>::iterator last  = instanceContainer.end();

  for (iter=first; iter!=last; ++iter)
  {
    (*iter)->processParams();
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Model::Model
// Purpose       : model block constructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::Model(const ModelBlock & MB,
             SolverState & ss1,
             DeviceOptions & do1)
  : DeviceModel(MB,ss1,do1),
    LEVEL(103),
    TYPE(1.0),
    TR(21.0),
    SWGEO(1.0),
    SWIGATE(0.0),
    SWIMPACT(0.0),
    SWGIDL(0.0),
    SWJUNCAP(0.0),
    SWJUNASYM(0.0),
    SWNUD(0.0),
    SWDELVTAC(0.0),
    QMC(1.0),
    VFB((-1.0)),
    STVFB(5.0e-4),
    TOX(2.0e-09),
    EPSROX(3.9),
    NEFF(5.0e+23),
    FACNEFFAC(1.0),
    GFACNUD(1.0),
    VSBNUD(0.0),
    DVSBNUD(1.0),
    VNSUB(0.0),
                                                     NSLP(0.05),
                                                     DNSUB(0.0),
                                                     DPHIB(0.0),
                                                     DELVTAC(0.0),
                                                     NP(1.0e+26),
                                                     CT(0.0),
                                                     TOXOV(2.0e-09),
                                                     TOXOVD(2.0e-09),
                                                     NOV(5.0e+25),
                                                     NOVD(5.0e+25),
                                                     CF(0.0),
                                                     CFB(0.0),
                                                     BETN(7e-2),
                                                     STBET(1.0),
                                                     MUE(0.5),
                                                     STMUE(0.0),
                                                     THEMU(1.5),
                                                     STTHEMU(1.5),
                                                     CS(0.0),
                                                     STCS(0.0),
                                                     XCOR(0.0),
                                                     STXCOR(0.0),
                                                     FETA(1.0),
                                                     RS(30),
                                                     STRS(1.0),
                                                     RSB(0.0),
                                                     RSG(0.0),
                                                     THESAT(1.0),
                                                     STTHESAT(1.0),
                                                     THESATB(0.0),
                                                     THESATG(0.0),
                                                     AX(3.0),
                                                     ALP(0.01),
                                                     ALP1(0.00),
                                                     ALP2(0.00),
                                                     VP(0.05),
                                                     A1(1.0),
                                                     A2(10.0),
                                                     STA2(0.0),
                                                     A3(1.0),
                                                     A4(0.0),
                                                     GCO(0.0),
                                                     IGINV(0.0),
                                                     IGOV(0.0),
                                                     IGOVD(0.0),
                                                     STIG(2.0),
                                                     GC2(0.375),
                                                     GC3(0.063),
                                                     CHIB(3.1),
                                                     AGIDL(0.0),
                                                     AGIDLD(0.0),
                                                     BGIDL(41.0),
                                                     BGIDLD(41.0),
                                                     STBGIDL(0.0),
                                                     STBGIDLD(0.0),
                                                     CGIDL(0.0),
                                                     CGIDLD(0.0),
                                                     COX(1.0e-14),
                                                     CGOV(1.0e-15),
                                                     CGOVD(1.0e-15),
                                                     CGBOV(0.0),
                                                     CFR(0.0),
                                                     CFRD(0.0),
                                                     FNT(1.0),
                                                     NFA(8.0e+22),
                                                     NFB(3.0e+07),
                                                     NFC(0.0),
                                                     EF(1.0),
                                                     RG(0.0),
                                                     RSE(0.0),
                                                     RDE(0.0),
                                                     RBULK(0.0),
                                                     RWELL(0.0),
                                                     RJUNS(0.0),
                                                     RJUND(0.0),
                                                     POVFB((-1)),
                                                     PLVFB(0.0),
                                                     PWVFB(0.0),
                                                     PLWVFB(0.0),
                                                     POSTVFB(0.0005),
                                                     PLSTVFB(0.0),
                                                     PWSTVFB(0.0),
                                                     PLWSTVFB(0.0),
                                                     POTOX(2E-09),
                                                     POEPSROX(3.9),
                                                     PONEFF(5E+23),
                                                     PLNEFF(0.0),
                                                     PWNEFF(0.0),
                                                     PLWNEFF(0.0),
                                                     POFACNEFFAC(1.0),
                                                     PLFACNEFFAC(0.0),
                                                     PWFACNEFFAC(0.0),
                                                     PLWFACNEFFAC(0.0),
                                                     POGFACNUD(1.0),
                                                     PLGFACNUD(0.0),
                                                     PWGFACNUD(0.0),
                                                     PLWGFACNUD(0.0),
                                                     POVSBNUD(0.0),
                                                     PODVSBNUD(1.0),
                                                     POVNSUB(0),
                                                     PONSLP(0.05),
                                                     PODNSUB(0),
                                                     PODPHIB(0),
                                                     PLDPHIB(0.0),
                                                     PWDPHIB(0.0),
                                                     PLWDPHIB(0.0),
                                                     PODELVTAC(0),
                                                     PLDELVTAC(0.0),
                                                     PWDELVTAC(0.0),
                                                     PLWDELVTAC(0.0),
                                                     PONP(1E+26),
                                                     PLNP(0.0),
                                                     PWNP(0.0),
                                                     PLWNP(0.0),
                                                     POCT(0),
                                                     PLCT(0.0),
                                                     PWCT(0.0),
                                                     PLWCT(0.0),
                                                     POTOXOV(2E-09),
                                                     POTOXOVD(2E-09),
                                                     PONOV(5E+25),
                                                     PLNOV(0.0),
                                                     PWNOV(0.0),
                                                     PLWNOV(0.0),
                                                     PONOVD(5E+25),
                                                     PLNOVD(0.0),
                                                     PWNOVD(0.0),
                                                     PLWNOVD(0.0),
                                                     POCF(0),
                                                     PLCF(0.0),
                                                     PWCF(0.0),
                                                     PLWCF(0.0),
                                                     POCFB(0),
                                                     POBETN(0.07),
                                                     PLBETN(0.0),
                                                     PWBETN(0.0),
                                                     PLWBETN(0.0),
                                                     POSTBET(1),
                                                     PLSTBET(0.0),
                                                     PWSTBET(0.0),
                                                     PLWSTBET(0.0),
                                                     POMUE(0.5),
                                                     PLMUE(0.0),
                                                     PWMUE(0.0),
                                                     PLWMUE(0.0),
                                                     POSTMUE(0),
                                                     POTHEMU(1.5),
                                                     POSTTHEMU(1.5),
                                                     POCS(0),
                                                     PLCS(0.0),
                                                     PWCS(0.0),
                                                     PLWCS(0.0),
                                                     POSTCS(0),
                                                     POXCOR(0),
                                                     PLXCOR(0.0),
                                                     PWXCOR(0.0),
                                                     PLWXCOR(0.0),
                                                     POSTXCOR(0),
                                                     POFETA(1),
                                                     PORS(30),
                                                     PLRS(0.0),
                                                     PWRS(0.0),
                                                     PLWRS(0.0),
                                                     POSTRS(1),
                                                     PORSB(0),
                                                     PORSG(0),
                                                     POTHESAT(1),
                                                     PLTHESAT(0.0),
                                                     PWTHESAT(0.0),
                                                     PLWTHESAT(0.0),
                                                     POSTTHESAT(1),
                                                     PLSTTHESAT(0.0),
                                                     PWSTTHESAT(0.0),
                                                     PLWSTTHESAT(0.0),
                                                     POTHESATB(0),
                                                     PLTHESATB(0.0),
                                                     PWTHESATB(0.0),
                                                     PLWTHESATB(0.0),
                                                     POTHESATG(0),
                                                     PLTHESATG(0.0),
                                                     PWTHESATG(0.0),
                                                     PLWTHESATG(0.0),
                                                     POAX(3),
                                                     PLAX(0.0),
                                                     PWAX(0.0),
                                                     PLWAX(0.0),
                                                     POALP(0.01),
                                                     PLALP(0.0),
                                                     PWALP(0.0),
                                                     PLWALP(0.0),
                                                     POALP1(0),
                                                     PLALP1(0.0),
                                                     PWALP1(0.0),
                                                     PLWALP1(0.0),
                                                     POALP2(0),
                                                     PLALP2(0.0),
                                                     PWALP2(0.0),
                                                     PLWALP2(0.0),
                                                     POVP(0.05),
                                                     POA1(1),
                                                     PLA1(0.0),
                                                     PWA1(0.0),
                                                     PLWA1(0.0),
                                                     POA2(10),
                                                     POSTA2(0),
                                                     POA3(1),
                                                     PLA3(0.0),
                                                     PWA3(0.0),
                                                     PLWA3(0.0),
                                                     POA4(0),
                                                     PLA4(0.0),
                                                     PWA4(0.0),
                                                     PLWA4(0.0),
                                                     POGCO(0),
                                                     POIGINV(0),
                                                     PLIGINV(0.0),
                                                     PWIGINV(0.0),
                                                     PLWIGINV(0.0),
                                                     POIGOV(0),
                                                     PLIGOV(0.0),
                                                     PWIGOV(0.0),
                                                     PLWIGOV(0.0),
                                                     POIGOVD(0),
                                                     PLIGOVD(0.0),
                                                     PWIGOVD(0.0),
                                                     PLWIGOVD(0.0),
                                                     POSTIG(2),
                                                     POGC2(0.375),
                                                     POGC3(0.063),
                                                     POCHIB(3.1),
                                                     POAGIDL(0),
                                                     PLAGIDL(0.0),
                                                     PWAGIDL(0.0),
                                                     PLWAGIDL(0.0),
                                                     POAGIDLD(0),
                                                     PLAGIDLD(0.0),
                                                     PWAGIDLD(0.0),
                                                     PLWAGIDLD(0.0),
                                                     POBGIDL(41),
                                                     POBGIDLD(41),
                                                     POSTBGIDL(0),
                                                     POSTBGIDLD(0),
                                                     POCGIDL(0),
                                                     POCGIDLD(0),
                                                     POCOX(1E-14),
                                                     PLCOX(0.0),
                                                     PWCOX(0.0),
                                                     PLWCOX(0.0),
                                                     POCGOV(1E-15),
                                                     PLCGOV(0.0),
                                                     PWCGOV(0.0),
                                                     PLWCGOV(0.0),
                                                     POCGOVD(1E-15),
                                                     PLCGOVD(0.0),
                                                     PWCGOVD(0.0),
                                                     PLWCGOVD(0.0),
                                                     POCGBOV(0),
                                                     PLCGBOV(0.0),
                                                     PWCGBOV(0.0),
                                                     PLWCGBOV(0.0),
                                                     POCFR(0),
                                                     PLCFR(0.0),
                                                     PWCFR(0.0),
                                                     PLWCFR(0.0),
                                                     POCFRD(0),
                                                     PLCFRD(0.0),
                                                     PWCFRD(0.0),
                                                     PLWCFRD(0.0),
                                                     POFNT(1),
                                                     PONFA(8E+22),
                                                     PLNFA(0.0),
                                                     PWNFA(0.0),
                                                     PLWNFA(0.0),
                                                     PONFB(3E+07),
                                                     PLNFB(0.0),
                                                     PWNFB(0.0),
                                                     PLWNFB(0.0),
                                                     PONFC(0),
                                                     PLNFC(0.0),
                                                     PWNFC(0.0),
                                                     PLWNFC(0.0),
                                                     POEF(1.0),
                                                     POKVTHOWE(0),
                                                     PLKVTHOWE(0),
                                                     PWKVTHOWE(0),
                                                     PLWKVTHOWE(0),
                                                     POKUOWE(0),
                                                     PLKUOWE(0),
                                                     PWKUOWE(0),
                                                     PLWKUOWE(0),
                                                     LMIN(0),
                                                     LMAX(1.0),
                                                     WMIN(0),
                                                     WMAX(1.0),
                                                     LVARO(0.0),
                                                     LVARL(0.0),
                                                     LVARW(0.0),
                                                     LAP(0.0),
                                                     WVARO(0.0),
                                                     WVARL(0.0),
                                                     WVARW(0.0),
                                                     WOT(0.0),
                                                     DLQ(0.0),
                                                     DWQ(0.0),
                                                     VFBO((-1.0)),
                                                     VFBL(0.0),
                                                     VFBW(0.0),
                                                     VFBLW(0.0),
                                                     STVFBO(5e-4),
                                                     STVFBL(0.0),
                                                     STVFBW(0.0),
                                                     STVFBLW(0.0),
                                                     TOXO(2e-9),
                                                     EPSROXO(3.9),
                                                     NSUBO(3e23),
                                                     NSUBW(0.0),
                                                     WSEG(1e-8),
                                                     NPCK(1e24),
                                                     NPCKW(0.0),
                                                     WSEGP(1e-8),
                                                     LPCK(1e-8),
                                                     LPCKW(0.0),
                                                     FOL1(0.0),
                                                     FOL2(0.0),
                                                     FACNEFFACO(1.0),
                                                     FACNEFFACL(0.0),
                                                     FACNEFFACW(0.0),
                                                     FACNEFFACLW(0.0),
                                                     GFACNUDO(1.0),
                                                     GFACNUDL(0.0),
                                                     GFACNUDLEXP(1.0),
                                                     GFACNUDW(0.0),
                                                     GFACNUDLW(0.0),
                                                     VSBNUDO(0.0),
                                                     DVSBNUDO(1.0),
                                                     VNSUBO(0.0),
                                                     NSLPO(0.05),
                                                     DNSUBO(0.0),
                                                     DPHIBO(0.0),
                                                     DPHIBL(0.0),
                                                     DPHIBLEXP(1.0),
                                                     DPHIBW(0.0),
                                                     DPHIBLW(0.0),
                                                     DELVTACO(0.0),
                                                     DELVTACL(0.0),
                                                     DELVTACLEXP(1.0),
                                                     DELVTACW(0.0),
                                                     DELVTACLW(0.0),
                                                     NPO(1e26),
                                                     NPL(0.0),
                                                     CTO(0.0),
                                                     CTL(0.0),
                                                     CTLEXP(1.0),
                                                     CTW(0.0),
                                                     CTLW(0.0),
                                                     TOXOVO(2e-9),
                                                     TOXOVDO(2e-9),
                                                     LOV(0),
                                                     LOVD(0),
                                                     NOVO(5e25),
                                                     NOVDO(5e25),
                                                     CFL(0.0),
                                                     CFLEXP(2.0),
                                                     CFW(0.0),
                                                     CFBO(0.0),
                                                     UO(5e-2),
                                                     FBET1(0.0),
                                                     FBET1W(0.0),
                                                     LP1(1e-8),
                                                     LP1W(0.0),
                                                     FBET2(0.0),
                                                     LP2(1e-8),
                                                     BETW1(0.0),
                                                     BETW2(0.0),
                                                     WBET(1e-9),
                                                     STBETO(1.0),
                                                     STBETL(0.0),
                                                     STBETW(0.0),
                                                     STBETLW(0.0),
                                                     MUEO(0.5),
                                                     MUEW(0.0),
                                                     STMUEO(0.0),
                                                     THEMUO(1.5),
                                                     STTHEMUO(1.5),
                                                     CSO(0.0),
                                                     CSL(0.0),
                                                     CSLEXP(1.0),
                                                     CSW(0.0),
                                                     CSLW(0.0),
                                                     STCSO(0.0),
                                                     XCORO(0.0),
                                                     XCORL(0.0),
                                                     XCORW(0.0),
                                                     XCORLW(0.0),
                                                     STXCORO(0.0),
                                                     FETAO(1.0),
                                                     RSW1(50.0),
                                                     RSW2(0.0),
                                                     STRSO(1.0),
                                                     RSBO(0.0),
                                                     RSGO(0.0),
                                                     THESATO(0.0),
                                                     THESATL(0.05),
                                                     THESATLEXP(1.0),
                                                     THESATW(0.0),
                                                     THESATLW(0.0),
                                                     STTHESATO(1.0),
                                                     STTHESATL(0.0),
                                                     STTHESATW(0.0),
                                                     STTHESATLW(0.0),
                                                     THESATBO(0.0),
                                                     THESATGO(0.0),
                                                     AXO(18),
                                                     AXL(0.4),
                                                     ALPL(5e-4),
                                                     ALPLEXP(1.0),
                                                     ALPW(0.0),
                                                     ALP1L1(0.0),
                                                     ALP1LEXP(0.5),
                                                     ALP1L2(0.0),
                                                     ALP1W(0.0),
                                                     ALP2L1(0.0),
                                                     ALP2LEXP(0.5),
                                                     ALP2L2(0.0),
                                                     ALP2W(0.0),
                                                     VPO(0.05),
                                                     A1O(1.0),
                                                     A1L(0.0),
                                                     A1W(0.0),
                                                     A2O(10),
                                                     STA2O(0.0),
                                                     A3O(1.0),
                                                     A3L(0.0),
                                                     A3W(0.0),
                                                     A4O(0.0),
                                                     A4L(0.0),
                                                     A4W(0.0),
                                                     GCOO(0.0),
                                                     IGINVLW(0.0),
                                                     IGOVW(0.0),
                                                     IGOVDW(0.0),
                                                     STIGO(2.0),
                                                     GC2O(0.375),
                                                     GC3O(0.063),
                                                     CHIBO(3.1),
                                                     AGIDLW(0.0),
                                                     AGIDLDW(0.0),
                                                     BGIDLO(41),
                                                     BGIDLDO(41),
                                                     STBGIDLO(0.0),
                                                     STBGIDLDO(0.0),
                                                     CGIDLO(0.0),
                                                     CGIDLDO(0.0),
                                                     CGBOVL(0.0),
                                                     CFRW(0.0),
                                                     CFRDW(0.0),
                                                     FNTO(1.0),
                                                     NFALW(8e22),
                                                     NFBLW(3e7),
                                                     NFCLW(0.0),
                                                     EFO(1.0),
                                                     LINTNOI(0.0),
                                                     ALPNOI(2.0),
                                                     KVTHOWEO(0),
                                                     KVTHOWEL(0),
                                                     KVTHOWEW(0),
                                                     KVTHOWELW(0),
                                                     KUOWEO(0),
                                                     KUOWEL(0),
                                                     KUOWEW(0),
                                                     KUOWELW(0),
                                                     RGO(0.0),
                                                     RINT(0.0),
                                                     RVPOLY(0.0),
                                                     RSHG(0.0),
                                                     DLSIL(0.0),
                                                     RSH(0.0),
                                                     RSHD(0.0),
                                                     RBULKO(0.0),
                                                     RWELLO(0.0),
                                                     RJUNSO(0.0),
                                                     RJUNDO(0.0),
                                                     SAREF(1.0e-6),
                                                     SBREF(1.0e-6),
                                                     WLOD(0),
                                                     KUO(0),
                                                     KVSAT(0),
                                                     TKUO(0),
                                                     LKUO(0),
                                                     WKUO(0),
                                                     PKUO(0),
                                                     LLODKUO(0),
                                                     WLODKUO(0),
                                                     KVTHO(0),
                                                     LKVTHO(0),
                                                     WKVTHO(0),
                                                     PKVTHO(0),
                                                     LLODVTH(0),
                                                     WLODVTH(0),
                                                     STETAO(0),
                                                     LODETAO(1.0),
                                                     SCREF(1.0e-6),
                                                     WEB(0),
                                                     WEC(0),
                                                     IMAX(1000),
                                                     TRJ(21),
                                                     CJORBOT(1E-3),
                                                     CJORSTI(1E-9),
                                                     CJORGAT(1E-9),
                                                     VBIRBOT(1),
                                                     VBIRSTI(1),
                                                     VBIRGAT(1),
                                                     PBOT(0.5),
                                                     PSTI(0.5),
                                                     PGAT(0.5),
                                                     PHIGBOT(1.16),
                                                     PHIGSTI(1.16),
                                                     PHIGGAT(1.16),
                                                     IDSATRBOT(1E-12),
                                                     IDSATRSTI(1E-18),
                                                     IDSATRGAT(1E-18),
                                                     CSRHBOT(1E2),
                                                     CSRHSTI(1E-4),
                                                     CSRHGAT(1E-4),
                                                     XJUNSTI(100E-9),
                                                     XJUNGAT(100E-9),
                                                     CTATBOT(1E2),
                                                     CTATSTI(1E-4),
                                                     CTATGAT(1E-4),
                                                     MEFFTATBOT(0.25),
                                                     MEFFTATSTI(0.25),
                                                     MEFFTATGAT(0.25),
                                                     CBBTBOT(1E-12),
                                                     CBBTSTI(1E-18),
                                                     CBBTGAT(1E-18),
                                                     FBBTRBOT(1E9),
                                                     FBBTRSTI(1E9),
                                                     FBBTRGAT(1E9),
                                                     STFBBTBOT((-1E-3)),
                                                     STFBBTSTI((-1E-3)),
                                                     STFBBTGAT((-1E-3)),
                                                     VBRBOT(10),
                                                     VBRSTI(10),
                                                     VBRGAT(10),
                                                     PBRBOT(4),
                                                     PBRSTI(4),
                                                     PBRGAT(4),
                                                     CJORBOTD(1E-3),
                                                     CJORSTID(1E-9),
                                                     CJORGATD(1E-9),
                                                     VBIRBOTD(1),
                                                     VBIRSTID(1),
                                                     VBIRGATD(1),
                                                     PBOTD(0.5),
                                                     PSTID(0.5),
                                                     PGATD(0.5),
                                                     PHIGBOTD(1.16),
                                                     PHIGSTID(1.16),
                                                     PHIGGATD(1.16),
                                                     IDSATRBOTD(1E-12),
                                                     IDSATRSTID(1E-18),
                                                     IDSATRGATD(1E-18),
                                                     CSRHBOTD(1E2),
                                                     CSRHSTID(1E-4),
                                                     CSRHGATD(1E-4),
                                                     XJUNSTID(100E-9),
                                                     XJUNGATD(100E-9),
                                                     CTATBOTD(1E2),
                                                     CTATSTID(1E-4),
                                                     CTATGATD(1E-4),
                                                     MEFFTATBOTD(0.25),
                                                     MEFFTATSTID(0.25),
                                                     MEFFTATGATD(0.25),
                                                     CBBTBOTD(1E-12),
                                                     CBBTSTID(1E-18),
                                                     CBBTGATD(1E-18),
                                                     FBBTRBOTD(1E9),
                                                     FBBTRSTID(1E9),
                                                     FBBTRGATD(1E9),
                                                     STFBBTBOTD((-1E-3)),
                                                     STFBBTSTID((-1E-3)),
                                                     STFBBTGATD((-1E-3)),
                                                     VBRBOTD(10),
                                                     VBRSTID(10),
                                                     VBRGATD(10),
                                                     PBRBOTD(4),
                                                     PBRSTID(4),
                                                     PBRGATD(4),
                                                     SWJUNEXP(0.0),
                                                     VJUNREF(2.5),
                                                     FJUNQ(0.03),
                                                     VJUNREFD(2.5),
                                                     FJUNQD(0.03),
                                                     DTA(0.0),
                                                     NSUBO_i(0.0),
                                                     WSEG_i(0.0),
                                                     NPCK_i(0.0),
                                                     WSEGP_i(0.0),
                                                     LPCK_i(0.0),
                                                     LOV_i(0.0),
                                                     LOVD_i(0.0),
                                                     LP1_i(0.0),
                                                     LP2_i(0.0),
                                                     WBET_i(0.0),
                                                     AXL_i(0.0),
                                                     ALP1L2_i(0.0),
                                                     ALP2L2_i(0.0),
                                                     TOXO_i(0.0),
                                                     TOXOVO_i(0.0),
                                                     TOXOVDO_i(0.0),
                                                     EPSROXO_i(0.0),
                                                     RINT_i(0.0),
                                                     RVPOLY_i(0.0),
                                                     RSHG_i(0.0),
                                                     RSH_i(0.0),
                                                     RSHD_i(0.0),
                                                     SAREF_i(0.0),
                                                     SBREF_i(0.0),
                                                     KVSAT_i(0.0),
                                                     LLODKUO_i(0.0),
                                                     WLODKUO_i(0.0),
                                                     LLODVTH_i(0.0),
                                                     WLODVTH_i(0.0),
                                                     LODETAO_i(0.0),
                                                     SCREF_i(0.0),
                                                     WEB_i(0.0),
                                                     WEC_i(0.0),
                                                     QMC_i(0.0),
                                                     TKD(0.0),
                                                     dT(0.0),
                                                     rT(0.0),
                                                     rTn(0.0),
                                                     EPSSI(0.0),
                                                     phit(0.0),
                                                     inv_phit(0.0),
                                                     Eg(0.0),
                                                     phibFac(0.0),
                                                     nt0(0.0),
                                                     CHNL_TYPE(0),
                                                     SWGEO_i(0),
                                                     SWIGATE_i(0),
                                                     SWIMPACT_i(0),
                                                     SWGIDL_i(0),
                                                     SWJUNCAP_i(0),
                                                     SWJUNASYM_i(0),
                                                     SWNUD_i(0),
                                                     SWDELVTAC_i(0),
                                                     IMAX_i(0.0),
                                                     CJORBOT_i(0.0),
                                                     CJORSTI_i(0.0),
                                                     CJORGAT_i(0.0),
                                                     VBIRBOT_i(0.0),
                                                     VBIRSTI_i(0.0),
                                                     VBIRGAT_i(0.0),
                                                     PBOT_i(0.0),
                                                     PSTI_i(0.0),
                                                     PGAT_i(0.0),
                                                     PHIGBOT_i(0.0),
                                                     PHIGSTI_i(0.0),
                                                     PHIGGAT_i(0.0),
                                                     IDSATRBOT_i(0.0),
                                                     IDSATRSTI_i(0.0),
                                                     IDSATRGAT_i(0.0),
                                                     XJUNSTI_i(0.0),
                                                     XJUNGAT_i(0.0),
                                                     CSRHBOT_i(0.0),
                                                     CSRHSTI_i(0.0),
                                                     CSRHGAT_i(0.0),
                                                     CTATBOT_i(0.0),
                                                     CTATSTI_i(0.0),
                                                     CTATGAT_i(0.0),
                                                     MEFFTATBOT_i(0.0),
                                                     MEFFTATSTI_i(0.0),
                                                     MEFFTATGAT_i(0.0),
                                                     CBBTBOT_i(0.0),
                                                     CBBTSTI_i(0.0),
                                                     CBBTGAT_i(0.0),
                                                     FBBTRBOT_i(0.0),
                                                     FBBTRSTI_i(0.0),
                                                     FBBTRGAT_i(0.0),
                                                     STFBBTBOT_i(0.0),
                                                     STFBBTSTI_i(0.0),
                                                     STFBBTGAT_i(0.0),
                                                     VBRBOT_i(0.0),
                                                     VBRSTI_i(0.0),
                                                     VBRGAT_i(0.0),
                                                     PBRBOT_i(0.0),
                                                     PBRSTI_i(0.0),
                                                     PBRGAT_i(0.0),
                                                     SWJUNEXP_i(0.0),
                                                     VJUNREF_i(0.0),
                                                     FJUNQ_i(0.0),
                                                     phitr(0.0),
                                                     phitd(0.0),
                                                     phitdinv(0.0),
                                                     perfc(0.0),
                                                     berfc(0.0),
                                                     cerfc(0.0),
                                                     phigrbot(0.0),
                                                     phigrsti(0.0),
                                                     phigrgat(0.0),
                                                     phigdbot(0.0),
                                                     phigdsti(0.0),
                                                     phigdgat(0.0),
                                                     ftdbot(0.0),
                                                     ftdsti(0.0),
                                                     ftdgat(0.0),
                                                     idsatbot(0.0),
                                                     idsatsti(0.0),
                                                     idsatgat(0.0),
                                                     ubibot(0.0),
                                                     ubisti(0.0),
                                                     ubigat(0.0),
                                                     vbibot(0.0),
                                                     vbisti(0.0),
                                                     vbigat(0.0),
                                                     vbiinvbot(0.0),
                                                     vbiinvsti(0.0),
                                                     vbiinvgat(0.0),
                                                     one_minus_PBOT(0.0),
                                                     one_minus_PSTI(0.0),
                                                     one_minus_PGAT(0.0),
                                                     one_over_one_minus_PBOT(0.0),
                                                     one_over_one_minus_PSTI(0.0),
                                                     one_over_one_minus_PGAT(0.0),
                                                     cjobot(0.0),
                                                     cjosti(0.0),
                                                     cjogat(0.0),
                                                     qprefbot(0.0),
                                                     qprefsti(0.0),
                                                     qprefgat(0.0),
                                                     qpref2bot(0.0),
                                                     qpref2sti(0.0),
                                                     qpref2gat(0.0),
                                                     wdepnulrbot(0.0),
                                                     wdepnulrsti(0.0),
                                                     wdepnulrgat(0.0),
                                                     wdepnulrinvbot(0.0),
                                                     wdepnulrinvsti(0.0),
                                                     wdepnulrinvgat(0.0),
                                                     VBIRBOTinv(0.0),
                                                     VBIRSTIinv(0.0),
                                                     VBIRGATinv(0.0),
                                                     deltaEbot(0.0),
                                                     deltaEsti(0.0),
                                                     deltaEgat(0.0),
                                                     atatbot(0.0),
                                                     atatsti(0.0),
                                                     atatgat(0.0),
                                                     btatpartbot(0.0),
                                                     btatpartsti(0.0),
                                                     btatpartgat(0.0),
                                                     fbbtbot(0.0),
                                                     fbbtsti(0.0),
                                                     fbbtgat(0.0),
                                                     fstopbot(0.0),
                                                     fstopsti(0.0),
                                                     fstopgat(0.0),
                                                     VBRinvbot(0.0),
                                                     VBRinvsti(0.0),
                                                     VBRinvgat(0.0),
                                                     slopebot(0.0),
                                                     slopesti(0.0),
                                                     slopegat(0.0),
                                                     CJORBOTS_i(0.0),
                                                     CJORSTIS_i(0.0),
                                                     CJORGATS_i(0.0),
                                                     VBIRBOTS_i(0.0),
                                                     VBIRSTIS_i(0.0),
                                                     VBIRGATS_i(0.0),
                                                     PBOTS_i(0.0),
                                                     PSTIS_i(0.0),
                                                     PGATS_i(0.0),
                                                     PHIGBOTS_i(0.0),
                                                     PHIGSTIS_i(0.0),
                                                     PHIGGATS_i(0.0),
                                                     IDSATRBOTS_i(0.0),
                                                     IDSATRSTIS_i(0.0),
                                                     IDSATRGATS_i(0.0),
                                                     XJUNSTIS_i(0.0),
                                                     XJUNGATS_i(0.0),
                                                     CSRHBOTS_i(0.0),
                                                     CSRHSTIS_i(0.0),
                                                     CSRHGATS_i(0.0),
                                                     CTATBOTS_i(0.0),
                                                     CTATSTIS_i(0.0),
                                                     CTATGATS_i(0.0),
                                                     MEFFTATBOTS_i(0.0),
                                                     MEFFTATSTIS_i(0.0),
                                                     MEFFTATGATS_i(0.0),
                                                     CBBTBOTS_i(0.0),
                                                     CBBTSTIS_i(0.0),
                                                     CBBTGATS_i(0.0),
                                                     FBBTRBOTS_i(0.0),
                                                     FBBTRSTIS_i(0.0),
                                                     FBBTRGATS_i(0.0),
                                                     STFBBTBOTS_i(0.0),
                                                     STFBBTSTIS_i(0.0),
                                                     STFBBTGATS_i(0.0),
                                                     VBRBOTS_i(0.0),
                                                     VBRSTIS_i(0.0),
                                                     VBRGATS_i(0.0),
                                                     PBRBOTS_i(0.0),
                                                     PBRSTIS_i(0.0),
                                                     PBRGATS_i(0.0),
                                                     CJORBOTD_i(0.0),
                                                     CJORSTID_i(0.0),
                                                     CJORGATD_i(0.0),
                                                     VBIRBOTD_i(0.0),
                                                     VBIRSTID_i(0.0),
                                                     VBIRGATD_i(0.0),
                                                     PBOTD_i(0.0),
                                                     PSTID_i(0.0),
                                                     PGATD_i(0.0),
                                                     PHIGBOTD_i(0.0),
                                                     PHIGSTID_i(0.0),
                                                     PHIGGATD_i(0.0),
                                                     IDSATRBOTD_i(0.0),
                                                     IDSATRSTID_i(0.0),
                                                     IDSATRGATD_i(0.0),
                                                     XJUNSTID_i(0.0),
                                                     XJUNGATD_i(0.0),
                                                     CSRHBOTD_i(0.0),
                                                     CSRHSTID_i(0.0),
                                                     CSRHGATD_i(0.0),
                                                     CTATBOTD_i(0.0),
                                                     CTATSTID_i(0.0),
                                                     CTATGATD_i(0.0),
                                                     MEFFTATBOTD_i(0.0),
                                                     MEFFTATSTID_i(0.0),
                                                     MEFFTATGATD_i(0.0),
                                                     CBBTBOTD_i(0.0),
                                                     CBBTSTID_i(0.0),
                                                     CBBTGATD_i(0.0),
                                                     FBBTRBOTD_i(0.0),
                                                     FBBTRSTID_i(0.0),
                                                     FBBTRGATD_i(0.0),
                                                     STFBBTBOTD_i(0.0),
                                                     STFBBTSTID_i(0.0),
                                                     STFBBTGATD_i(0.0),
                                                     VBRBOTD_i(0.0),
                                                     VBRSTID_i(0.0),
                                                     VBRGATD_i(0.0),
                                                     PBRBOTD_i(0.0),
                                                     PBRSTID_i(0.0),
                                                     PBRGATD_i(0.0),
                                                     VJUNREFS_i(0.0),
                                                     FJUNQS_i(0.0),
                                                     VJUNREFD_i(0.0),
                                                     FJUNQD_i(0.0),
                                                     phigrbot_s(0.0),
                                                     phigrsti_s(0.0),
                                                     phigrgat_s(0.0),
                                                     phigdbot_s(0.0),
                                                     phigdsti_s(0.0),
                                                     phigdgat_s(0.0),
                                                     ftdbot_s(0.0),
                                                     ftdsti_s(0.0),
                                                     ftdgat_s(0.0),
                                                     idsatbot_s(0.0),
                                                     idsatsti_s(0.0),
                                                     idsatgat_s(0.0),
                                                     ubibot_s(0.0),
                                                     ubisti_s(0.0),
                                                     ubigat_s(0.0),
                                                     vbibot_s(0.0),
                                                     vbisti_s(0.0),
                                                     vbigat_s(0.0),
                                                     vbiinvbot_s(0.0),
                                                     vbiinvsti_s(0.0),
                                                     vbiinvgat_s(0.0),
                                                     one_minus_PBOT_s(0.0),
                                                     one_minus_PSTI_s(0.0),
                                                     one_minus_PGAT_s(0.0),
                                                     one_over_one_minus_PBOT_s(0.0),
                                                     one_over_one_minus_PSTI_s(0.0),
                                                     one_over_one_minus_PGAT_s(0.0),
                                                     cjobot_s(0.0),
                                                     cjosti_s(0.0),
                                                     cjogat_s(0.0),
                                                     qprefbot_s(0.0),
                                                     qprefsti_s(0.0),
                                                     qprefgat_s(0.0),
                                                     qpref2bot_s(0.0),
                                                     qpref2sti_s(0.0),
                                                     qpref2gat_s(0.0),
                                                     wdepnulrbot_s(0.0),
                                                     wdepnulrsti_s(0.0),
                                                     wdepnulrgat_s(0.0),
                                                     wdepnulrinvbot_s(0.0),
                                                     wdepnulrinvsti_s(0.0),
                                                     wdepnulrinvgat_s(0.0),
                                                     VBIRBOTinv_s(0.0),
                                                     VBIRSTIinv_s(0.0),
                                                     VBIRGATinv_s(0.0),
                                                     deltaEbot_s(0.0),
                                                     deltaEsti_s(0.0),
                                                     deltaEgat_s(0.0),
                                                     atatbot_s(0.0),
                                                     atatsti_s(0.0),
                                                     atatgat_s(0.0),
                                                     btatpartbot_s(0.0),
                                                     btatpartsti_s(0.0),
                                                     btatpartgat_s(0.0),
                                                     fbbtbot_s(0.0),
                                                     fbbtsti_s(0.0),
                                                     fbbtgat_s(0.0),
                                                     fstopbot_s(0.0),
                                                     fstopsti_s(0.0),
                                                     fstopgat_s(0.0),
                                                     VBRinvbot_s(0.0),
                                                     VBRinvsti_s(0.0),
                                                     VBRinvgat_s(0.0),
                                                     slopebot_s(0.0),
                                                     slopesti_s(0.0),
                                                     slopegat_s(0.0),
                                                     phigrbot_d(0.0),
                                                     phigrsti_d(0.0),
                                                     phigrgat_d(0.0),
                                                     phigdbot_d(0.0),
                                                     phigdsti_d(0.0),
                                                     phigdgat_d(0.0),
                                                     ftdbot_d(0.0),
                                                     ftdsti_d(0.0),
                                                     ftdgat_d(0.0),
                                                     idsatbot_d(0.0),
                                                     idsatsti_d(0.0),
                                                     idsatgat_d(0.0),
                                                     ubibot_d(0.0),
                                                     ubisti_d(0.0),
                                                     ubigat_d(0.0),
                                                     vbibot_d(0.0),
                                                     vbisti_d(0.0),
                                                     vbigat_d(0.0),
                                                     vbiinvbot_d(0.0),
                                                     vbiinvsti_d(0.0),
                                                     vbiinvgat_d(0.0),
                                                     one_minus_PBOT_d(0.0),
                                                     one_minus_PSTI_d(0.0),
                                                     one_minus_PGAT_d(0.0),
                                                     one_over_one_minus_PBOT_d(0.0),
                                                     one_over_one_minus_PSTI_d(0.0),
                                                     one_over_one_minus_PGAT_d(0.0),
                                                     cjobot_d(0.0),
                                                     cjosti_d(0.0),
                                                     cjogat_d(0.0),
                                                     qprefbot_d(0.0),
                                                     qprefsti_d(0.0),
                                                     qprefgat_d(0.0),
                                                     qpref2bot_d(0.0),
                                                     qpref2sti_d(0.0),
                                                     qpref2gat_d(0.0),
                                                     wdepnulrbot_d(0.0),
                                                     wdepnulrsti_d(0.0),
                                                     wdepnulrgat_d(0.0),
                                                     wdepnulrinvbot_d(0.0),
                                                     wdepnulrinvsti_d(0.0),
                                                     wdepnulrinvgat_d(0.0),
                                                     VBIRBOTinv_d(0.0),
                                                     VBIRSTIinv_d(0.0),
                                                     VBIRGATinv_d(0.0),
                                                     deltaEbot_d(0.0),
                                                     deltaEsti_d(0.0),
                                                     deltaEgat_d(0.0),
                                                     atatbot_d(0.0),
                                                     atatsti_d(0.0),
                                                     atatgat_d(0.0),
                                                     btatpartbot_d(0.0),
                                                     btatpartsti_d(0.0),
                                                     btatpartgat_d(0.0),
                                                     fbbtbot_d(0.0),
                                                     fbbtsti_d(0.0),
                                                     fbbtgat_d(0.0),
                                                     fstopbot_d(0.0),
                                                     fstopsti_d(0.0),
                                                     fstopgat_d(0.0),
                                                     VBRinvbot_d(0.0),
                                                     VBRinvsti_d(0.0),
                                                     VBRinvgat_d(0.0),
                                                     slopebot_d(0.0),
                                                     slopesti_d(0.0),
                                                     slopegat_d(0.0)
{

  // Set params to constant default values (from parTable):

  setDefaultParams();

  // Set params according to .model line and constant defaults from metadata:

  setModParams(MB.params);

  // Set any non-constant parameter defaults:

  if (!given("XYCEADMSMODTEMP"))
    admsModTemp=getDeviceOptions().temp.dVal();

  // Calculate any parameters specified as expressions:

  updateDependentParameters();

  // Manually added code:
  if (getType() == "pmos" || getType() == "PMOS")
    TYPE = -1;


  // calculate dependent (ie computed) params and check for errors:
  processParams();

}

//-----------------------------------------------------------------------------
// Function      : Model::~Model
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::~Model()
{
  vector<Instance*>::iterator iterI;
  vector<Instance*>::iterator firstI = instanceContainer.begin ();
  vector<Instance*>::iterator lastI  = instanceContainer.end ();

  // loop over instances:
  for (iterI = firstI; iterI != lastI; ++iterI)
  {
    delete (*iterI);
  }
}

//-----------------------------------------------------------------------------
// Function      : Model::printOutInstances
// Purpose       : debugging tool.
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
std::ostream &Model::printOutInstances(std::ostream &os) const
{
  vector<Instance*>::const_iterator iter;
  vector<Instance*>::const_iterator first = instanceContainer.begin();
  vector<Instance*>::const_iterator last  = instanceContainer.end();

  int i;
  os << endl;
  os << "    name     getModelName()  Parameters" << endl;
  for (i=0, iter=first; iter!=last; ++iter, ++i)
  {
    os << "  " << i << ": " << (*iter)->getName() << "      ";
    os << (*iter)->getModelName();

    os << endl;
    os << "L  =  " << (*iter)->L << endl;
    os << "W  =  " << (*iter)->W << endl;
    os << "SA  =  " << (*iter)->SA << endl;
    os << "SB  =  " << (*iter)->SB << endl;
    os << "SD  =  " << (*iter)->SD << endl;
    os << "SCA  =  " << (*iter)->SCA << endl;
    os << "SCB  =  " << (*iter)->SCB << endl;
    os << "SCC  =  " << (*iter)->SCC << endl;
    os << "SC  =  " << (*iter)->SC << endl;
    os << "NF  =  " << (*iter)->NF << endl;
    os << "NGCON  =  " << (*iter)->NGCON << endl;
    os << "XGW  =  " << (*iter)->XGW << endl;
    os << "NRS  =  " << (*iter)->NRS << endl;
    os << "NRD  =  " << (*iter)->NRD << endl;
    os << "JW  =  " << (*iter)->JW << endl;
    os << "DELVTO  =  " << (*iter)->DELVTO << endl;
    os << "FACTUO  =  " << (*iter)->FACTUO << endl;
    os << "ABSOURCE  =  " << (*iter)->ABSOURCE << endl;
    os << "LSSOURCE  =  " << (*iter)->LSSOURCE << endl;
    os << "LGSOURCE  =  " << (*iter)->LGSOURCE << endl;
    os << "ABDRAIN  =  " << (*iter)->ABDRAIN << endl;
    os << "LSDRAIN  =  " << (*iter)->LSDRAIN << endl;
    os << "LGDRAIN  =  " << (*iter)->LGDRAIN << endl;
    os << "AS  =  " << (*iter)->AS << endl;
    os << "PS  =  " << (*iter)->PS << endl;
    os << "AD  =  " << (*iter)->AD << endl;
    os << "PD  =  " << (*iter)->PD << endl;
    os << "MULT  =  " << (*iter)->MULT << endl; 
    os << endl;
  }

  os << endl;

  return os;
}

} // namespace ADMSPSP103VA
} // namespace Device
} // namespace Xyce
