
//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2013  Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Filename       : $RCSfile: N_DEV_ADMSvbic.C,v $
//
// Purpose        :
//
// Special Notes  : Generated from verilog file vbic_3T_et_cf_Xyce_typed.vla with ADMS 
//                  interface for Xyce 6.0.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.0
//
// Creation Date  : Tue, 04 Jun 2013 09:58:46
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.36.2.1 $
//
// Revision Date  : $Date: 2013/10/03 17:23:34 $
//
// Current Owner  : $Author: tvrusso $
//-------------------------------------------------------------------------

// ---------- Standard Includes ----------
// ----------   Xyce Includes   ----------
#include <Xyce_config.h>
#include <N_UTL_Misc.h>
#include <N_DEV_Const.h>
#include <N_DEV_ADMSvbic.h>

#include <N_DEV_ExternData.h>
#include <N_DEV_SolverState.h>
#include <N_DEV_DeviceOptions.h>
#include <N_DEV_MatrixLoadData.h>

#include <N_LAS_Matrix.h>
#include <N_LAS_Vector.h>

namespace Xyce {
namespace Device {

template<>
ParametricData<ADMSvbic::Instance>::ParametricData()
{
  // Set up configuration constants:
  // This assumes NO optional nodes on the instance line.  Might need that
  // fixed?
  setNumNodes(4);
  setNumOptionalNodes(5);
  setNumFillNodes(0);
  setModelRequired(1);

  // we're going to have to come up with a way of generating the addModelType
  // deal
  addModelType("VBIC");
  addModelType("NPN");
  addModelType("PNP");

  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  //  This kludge is to force us always to have an instance parameter
  //  that the device manager can set to the temperature, even if we have
  //  no "TEMP".
  addPar("XYCEADMSINSTTEMP",0.0,false,ParameterType::NO_DEP,&ADMSvbic::Instance::admsInstTemp,NULL,U_DEGK,CAT_TEMP,"Internal-use parameter for setting device instance temperature");
  addPar("M",static_cast<int>(1), false, ParameterType::NO_DEP, &ADMSvbic::Instance::M, NULL, U_NONE, CAT_NONE,"Number of devices in parallel");


}

template<>
ParametricData<ADMSvbic::Model>::ParametricData()
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.
  //  This kludge is to force us always to have a model parameter
  //  that the device manager can set to the temperature, even if we have
  //  no "TEMP".
  addPar("XYCEADMSMODTEMP",0.0,false,ParameterType::NO_DEP,&ADMSvbic::Model::admsModTemp,NULL,U_DEGK,CAT_TEMP,"Internal-use parameter for setting device model temperature");
  addPar("TNOM",static_cast<double>(27.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TNOM, NULL, U_DEGC, CAT_NONE,"Nominal temperature");
  addPar("RCX",static_cast<double>(0.0), false, ParameterType::MIN_RES, &ADMSvbic::Model::RCX, NULL, U_OHM, CAT_NONE,"Extrinsic Collector resistance");
  addPar("RCI",static_cast<double>(0.0), false, ParameterType::MIN_RES, &ADMSvbic::Model::RCI, NULL, U_OHM, CAT_NONE,"Intrinsic Collector resistance");
  addPar("VO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::VO, NULL, U_VOLT, CAT_NONE,"Epi drift saturation voltage");
  addPar("GAMM",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::GAMM, NULL, U_NONE, CAT_NONE,"Epi doping parameter");
  addPar("HRCF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::HRCF, NULL, U_NONE, CAT_NONE,"High current RC factor");
  addPar("RBX",static_cast<double>(0.0), false, ParameterType::MIN_RES, &ADMSvbic::Model::RBX, NULL, U_OHM, CAT_NONE,"Extrinsic base resistance");
  addPar("RBI",static_cast<double>(0.0), false, ParameterType::MIN_RES, &ADMSvbic::Model::RBI, NULL, U_OHM, CAT_NONE,"Intrinsic base resistance");
  addPar("RE",static_cast<double>(0.0), false, ParameterType::MIN_RES, &ADMSvbic::Model::RE, NULL, U_OHM, CAT_NONE,"Emitter resistance");
  addPar("RS",static_cast<double>(0.0), false, ParameterType::MIN_RES, &ADMSvbic::Model::RS, NULL, U_OHM, CAT_NONE,"Substrate resistance");
  addPar("RBP",static_cast<double>(0.0), false, ParameterType::MIN_RES, &ADMSvbic::Model::RBP, NULL, U_OHM, CAT_NONE,"Parasitic base resistance");
  addPar("IS",static_cast<double>(1.0e-16), false, ParameterType::NO_DEP, &ADMSvbic::Model::IS, NULL, U_AMP, CAT_NONE,"Transport saturation current");
  addPar("NF",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NF, NULL, U_NONE, CAT_NONE,"Forward emission coefficient");
  addPar("NR",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NR, NULL, U_NONE, CAT_NONE,"Reverse emission coefficient");
  addPar("FC",static_cast<double>(0.9), false, ParameterType::NO_DEP, &ADMSvbic::Model::FC, NULL, U_NONE, CAT_NONE,"Forward-bias depletion capacitance limit");
  addPar("CBEO",static_cast<double>(0.0), false, ParameterType::MIN_CAP, &ADMSvbic::Model::CBEO, NULL, U_FARAD, CAT_NONE,"Extrinsic B-E overlap capacitance");
  addPar("CJE",static_cast<double>(0.0), false, ParameterType::MIN_CAP, &ADMSvbic::Model::CJE, NULL, U_FARAD, CAT_NONE,"B-E zero-bias capacitance");
  addPar("PE",static_cast<double>(0.75), false, ParameterType::NO_DEP, &ADMSvbic::Model::PE, NULL, U_NONE, CAT_NONE,"B-E built-in potential");
  addPar("ME",static_cast<double>(0.33), false, ParameterType::NO_DEP, &ADMSvbic::Model::ME, NULL, U_NONE, CAT_NONE,"B-E grading coefficient");
  addPar("AJE",static_cast<double>((-0.5)), false, ParameterType::NO_DEP, &ADMSvbic::Model::AJE, NULL, U_NONE, CAT_NONE,"Base-Emitter capacitor smoothing factor");
  addPar("CBCO",static_cast<double>(0.0), false, ParameterType::MIN_CAP, &ADMSvbic::Model::CBCO, NULL, U_FARAD, CAT_NONE,"Extrinsic B-C overlap capacitance");
  addPar("CJC",static_cast<double>(0.0), false, ParameterType::MIN_CAP, &ADMSvbic::Model::CJC, NULL, U_FARAD, CAT_NONE,"B-C zero-bias capacitance");
  addPar("QCO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::QCO, NULL, U_COULOMB, CAT_NONE,"Epi charge parameter");
  addPar("CJEP",static_cast<double>(0.0), false, ParameterType::MIN_CAP, &ADMSvbic::Model::CJEP, NULL, U_FARAD, CAT_NONE,"S-E zero-bias capacitance");
  addPar("PC",static_cast<double>(0.75), false, ParameterType::NO_DEP, &ADMSvbic::Model::PC, NULL, U_NONE, CAT_NONE,"B-C built-in potential");
  addPar("MC",static_cast<double>(0.33), false, ParameterType::NO_DEP, &ADMSvbic::Model::MC, NULL, U_NONE, CAT_NONE,"B-C grading coefficient");
  addPar("AJC",static_cast<double>((-0.5)), false, ParameterType::NO_DEP, &ADMSvbic::Model::AJC, NULL, U_NONE, CAT_NONE,"Base-Collector capacitor smoothing factor");
  addPar("CJCP",static_cast<double>(0.0), false, ParameterType::MIN_CAP, &ADMSvbic::Model::CJCP, NULL, U_FARAD, CAT_NONE,"S-C zero-bias capacitance");
  addPar("PS",static_cast<double>(0.75), false, ParameterType::NO_DEP, &ADMSvbic::Model::PS, NULL, U_NONE, CAT_NONE,"S-C built-in potential");
  addPar("MS",static_cast<double>(0.33), false, ParameterType::NO_DEP, &ADMSvbic::Model::MS, NULL, U_NONE, CAT_NONE,"S-C grading coefficient");
  addPar("AJS",static_cast<double>((-0.5)), false, ParameterType::NO_DEP, &ADMSvbic::Model::AJS, NULL, U_NONE, CAT_NONE,"Substrate-collector capacitor smoothing factor (unused)");
  addPar("IBEI",static_cast<double>(1.0e-18), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBEI, NULL, U_AMP, CAT_NONE,"Ideal B-E saturation current");
  addPar("WBE",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::WBE, NULL, U_NONE, CAT_NONE,"Portion of Ibei from Vbei");
  addPar("NEI",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NEI, NULL, U_NONE, CAT_NONE,"Ideal B-E emission coefficient");
  addPar("IBEN",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBEN, NULL, U_AMP, CAT_NONE,"Nonideal B-E saturation current");
  addPar("NEN",static_cast<double>(2.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NEN, NULL, U_NONE, CAT_NONE,"Non-ideal B-E emission coefficient");
  addPar("IBCI",static_cast<double>(1.0e-16), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBCI, NULL, U_AMP, CAT_NONE,"Ideal B-C saturation current");
  addPar("NCI",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NCI, NULL, U_NONE, CAT_NONE,"Ideal B-C emission coefficient");
  addPar("IBCN",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBCN, NULL, U_AMP, CAT_NONE,"Nonideal B-C saturation current");
  addPar("NCN",static_cast<double>(2.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NCN, NULL, U_NONE, CAT_NONE,"Non-ideal B-C emission coefficient");
  addPar("AVC1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::AVC1, NULL, U_VOLTM1, CAT_NONE,"B-C weak avalanche parameter");
  addPar("AVC2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::AVC2, NULL, U_VOLTM1, CAT_NONE,"B-C weak avalanche parameter");
  addPar("ISP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::ISP, NULL, U_AMP, CAT_NONE,"Parasitic transport saturation current");
  addPar("WSP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::WSP, NULL, U_NONE, CAT_NONE,"Portion of Iccp from Vbep");
  addPar("NFP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NFP, NULL, U_NONE, CAT_NONE,"Parasitic forward emission coefficient");
  addPar("IBEIP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBEIP, NULL, U_AMP, CAT_NONE,"Ideal parasitic B-E saturation current");
  addPar("IBENP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBENP, NULL, U_AMP, CAT_NONE,"Nonideal parasitic B-E saturation current");
  addPar("IBCIP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBCIP, NULL, U_AMP, CAT_NONE,"Ideal parasitic B-C saturation current");
  addPar("NCIP",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NCIP, NULL, U_NONE, CAT_NONE,"Ideal parasitic B-C emission coefficient");
  addPar("IBCNP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBCNP, NULL, U_AMP, CAT_NONE,"Nonideal parasitic B-C saturation current");
  addPar("NCNP",static_cast<double>(2.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NCNP, NULL, U_NONE, CAT_NONE,"Non-ideal parasitic B-C emission coefficient");
  addPar("VEF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::VEF, NULL, U_VOLT, CAT_NONE,"Forward Early voltage");
  addPar("VER",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::VER, NULL, U_VOLT, CAT_NONE,"Reverse Early voltage");
  addPar("IKF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IKF, NULL, U_AMP, CAT_NONE,"Forward knee current");
  addPar("IKR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IKR, NULL, U_AMP, CAT_NONE,"Reverse knee current");
  addPar("IKP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::IKP, NULL, U_AMP, CAT_NONE,"Parasitic knee current");
  addPar("TF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TF, NULL, U_SECOND, CAT_NONE,"Forward transit time");
  addPar("QTF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::QTF, NULL, U_NONE, CAT_NONE,"Variation of tf with base width modulation");
  addPar("XTF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XTF, NULL, U_NONE, CAT_NONE,"Coefficient of tf with bias dependence");
  addPar("VTF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::VTF, NULL, U_NONE, CAT_NONE,"Coefficient of tf dependence on Vbc");
  addPar("ITF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::ITF, NULL, U_NONE, CAT_NONE,"Coefficient of tf dependence on Ic");
  addPar("TR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TR, NULL, U_NONE, CAT_NONE,"Reverse transit time");
  addPar("TD",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TD, NULL, U_NONE, CAT_NONE,"Forward excess-phase delay time (unused in this version)");
  addPar("KFN",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::KFN, NULL, U_NONE, CAT_NONE,"B-E flicker (1/f) noise coefficient (unused)");
  addPar("AFN",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::AFN, NULL, U_NONE, CAT_NONE,"Base-Emitter Flicker Noise coefficient (unused)");
  addPar("BFN",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::BFN, NULL, U_NONE, CAT_NONE,"B-E flicker noise dependence (unused)");
  addPar("XRE",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XRE, NULL, U_NONE, CAT_NONE,"Temperature exponent of re");
  addPar("XRBI",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XRBI, NULL, U_NONE, CAT_NONE,"");
  addPar("XRCI",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XRCI, NULL, U_NONE, CAT_NONE,"");
  addPar("XRS",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XRS, NULL, U_NONE, CAT_NONE,"Temperature exponent of rs");
  addPar("XVO",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XVO, NULL, U_NONE, CAT_NONE,"Temperature exponent of vo");
  addPar("EA",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EA, NULL, U_EV, CAT_NONE,"Activation energy for IS");
  addPar("EAIE",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EAIE, NULL, U_EV, CAT_NONE,"Activation energy for IBEI");
  addPar("EAIC",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EAIC, NULL, U_EV, CAT_NONE,"Activation energy for IBCI");
  addPar("EAIS",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EAIS, NULL, U_EV, CAT_NONE,"Activation energy for IBCIP");
  addPar("EANE",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EANE, NULL, U_EV, CAT_NONE,"Activation energy for IBEN");
  addPar("EANC",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EANC, NULL, U_EV, CAT_NONE,"Activation energy for IBCN");
  addPar("EANS",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EANS, NULL, U_EV, CAT_NONE,"Activation energy for IBCNP");
  addPar("XIS",static_cast<double>(3.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XIS, NULL, U_NONE, CAT_NONE,"Temperature exponent of IS");
  addPar("XII",static_cast<double>(3.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XII, NULL, U_NONE, CAT_NONE,"Temperature exponent of Ibei, Ibci, Ibeip, and Ibcip");
  addPar("XIN",static_cast<double>(3.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XIN, NULL, U_NONE, CAT_NONE,"Temperature exponent of Iben, Ibcn, Ibenp, and Ibcnp");
  addPar("TNF",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TNF, NULL, U_NONE, CAT_NONE,"Temperature coefficient of Nf");
  addPar("TAVC",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TAVC, NULL, U_NONE, CAT_NONE,"Temperature coefficient of Avc2");
  addPar("RTH",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::RTH, NULL, U_OHM, CAT_NONE,"Thermal resistance, must be given for self-heating");
  addPar("CTH",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::CTH, NULL, U_FARAD, CAT_NONE,"Thermal capacitance");
  addPar("VRT",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::VRT, NULL, U_NONE, CAT_NONE,"");
  addPar("ART",static_cast<double>(0.1), false, ParameterType::NO_DEP, &ADMSvbic::Model::ART, NULL, U_NONE, CAT_NONE,"");
  addPar("CCSO",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::CCSO, NULL, U_NONE, CAT_NONE,"(unused)");
  addPar("QBM",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::QBM, NULL, U_NONE, CAT_NONE,"");
  addPar("NKF",static_cast<double>(0.5), false, ParameterType::NO_DEP, &ADMSvbic::Model::NKF, NULL, U_NONE, CAT_NONE,"");
  addPar("XIKF",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XIKF, NULL, U_NONE, CAT_NONE,"");
  addPar("XRCX",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XRCX, NULL, U_NONE, CAT_NONE,"");
  addPar("XRBX",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XRBX, NULL, U_NONE, CAT_NONE,"");
  addPar("XRBP",static_cast<double>(0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XRBP, NULL, U_NONE, CAT_NONE,"");
  addPar("ISRR",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::ISRR, NULL, U_NONE, CAT_NONE,"Saturation current for reverse operation");
  addPar("XISR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::XISR, NULL, U_NONE, CAT_NONE,"Temperature exponent of ISRR");
  addPar("DEAR",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::DEAR, NULL, U_NONE, CAT_NONE,"Activation energy for ISRR");
  addPar("EAP",static_cast<double>(1.12), false, ParameterType::NO_DEP, &ADMSvbic::Model::EAP, NULL, U_NONE, CAT_NONE,"Activation energy for ISP");
  addPar("VBBE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::VBBE, NULL, U_NONE, CAT_NONE,"");
  addPar("NBBE",static_cast<double>(1.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::NBBE, NULL, U_NONE, CAT_NONE,"");
  addPar("IBBE",static_cast<double>(1.0e-6), false, ParameterType::NO_DEP, &ADMSvbic::Model::IBBE, NULL, U_NONE, CAT_NONE,"");
  addPar("TVBBE1",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TVBBE1, NULL, U_NONE, CAT_NONE,"");
  addPar("TVBBE2",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TVBBE2, NULL, U_NONE, CAT_NONE,"");
  addPar("TNBBE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::TNBBE, NULL, U_NONE, CAT_NONE,"");
  addPar("EBBE",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::EBBE, NULL, U_NONE, CAT_NONE,"(unused)");
  addPar("DTEMP",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::DTEMP, NULL, U_NONE, CAT_NONE,"Device temperature (use 0.0 for ambient)");
  addPar("VERS",static_cast<double>(1.2), false, ParameterType::NO_DEP, &ADMSvbic::Model::VERS, NULL, U_NONE, CAT_NONE,"Version of this VBIC model");
  addPar("VREV",static_cast<double>(0.0), false, ParameterType::NO_DEP, &ADMSvbic::Model::VREV, NULL, U_NONE, CAT_NONE,"");
  //Hidden parameter dtype

}

namespace ADMSvbic {


ParametricData<Instance> &Instance::getParametricData()
{
  static ParametricData<Instance> parMap;
  return parMap;
}

ParametricData<Model> &Model::getParametricData()
{
  static ParametricData<Model> parMap;
  return parMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::processParams(string param)
{
  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter M : [ 1,  (+inf) [
  if ( (!((M >=1))) )
  {
    string msg="ADMSvbic: Parameter M value out of range [ 1,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }


  // this seems a little stupid, but verilog models that use $temperature
  // don't also use a defined parameter "Temp", and count on $temperature
  // to be the one the simulator wants:

  updateTemperature(admsInstTemp);

  // and of course, this routine is where we should put the initial_instance
  // stuff


  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::Instance
// Purpose       : "instance block" constructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------

Instance::Instance(
   InstanceBlock & IB,
   Model & Miter,
   MatrixLoadData & mlData1,
   SolverState & ss1,
   ExternData  & ed1,
   DeviceOptions & do1)
  : DeviceInstance(IB, mlData1, ss1, ed1, do1),
    model_(Miter),
    M(1),
    li_c(-1),
    li_b(-1),
    li_e(-1),
    li_dt(-1),
    li_cx(-1),
    li_ci(-1),
    li_bx(-1),
    li_bi(-1),
    li_ei(-1),
    li_bp(-1),
    f_bi_Equ_bi_Node_Ptr(0),
    f_bi_Equ_ei_Node_Ptr(0),
    f_ei_Equ_bi_Node_Ptr(0),
    f_ei_Equ_ei_Node_Ptr(0),
    f_bi_Equ_dt_Node_Ptr(0),
  f_ei_Equ_dt_Node_Ptr(0),
  f_bx_Equ_bx_Node_Ptr(0),
  f_bx_Equ_ei_Node_Ptr(0),
  f_ei_Equ_bx_Node_Ptr(0),
  f_bx_Equ_dt_Node_Ptr(0),
  f_ci_Equ_bi_Node_Ptr(0),
  f_ci_Equ_ci_Node_Ptr(0),
  f_ei_Equ_ci_Node_Ptr(0),
  f_ci_Equ_ei_Node_Ptr(0),
  f_ci_Equ_dt_Node_Ptr(0),
  f_bi_Equ_ci_Node_Ptr(0),
  f_bx_Equ_bp_Node_Ptr(0),
  f_bp_Equ_bx_Node_Ptr(0),
  f_bp_Equ_bp_Node_Ptr(0),
  f_bp_Equ_dt_Node_Ptr(0),
  f_c_Equ_dt_Node_Ptr(0),
  f_cx_Equ_dt_Node_Ptr(0),
  f_c_Equ_c_Node_Ptr(0),
  f_c_Equ_cx_Node_Ptr(0),
  f_cx_Equ_c_Node_Ptr(0),
  f_cx_Equ_cx_Node_Ptr(0),
  f_cx_Equ_bi_Node_Ptr(0),
  f_ci_Equ_cx_Node_Ptr(0),
  f_cx_Equ_ci_Node_Ptr(0),
  f_b_Equ_dt_Node_Ptr(0),
  f_b_Equ_b_Node_Ptr(0),
  f_b_Equ_bx_Node_Ptr(0),
  f_bx_Equ_b_Node_Ptr(0),
  f_bx_Equ_bi_Node_Ptr(0),
  f_bx_Equ_ci_Node_Ptr(0),
  f_bi_Equ_bx_Node_Ptr(0),
  f_e_Equ_dt_Node_Ptr(0),
  f_e_Equ_e_Node_Ptr(0),
  f_e_Equ_ei_Node_Ptr(0),
  f_ei_Equ_e_Node_Ptr(0),
  f_bp_Equ_bi_Node_Ptr(0),
  f_bp_Equ_ci_Node_Ptr(0),
  f_cx_Equ_bx_Node_Ptr(0),
  f_cx_Equ_bp_Node_Ptr(0),
  f_bp_Equ_cx_Node_Ptr(0),
  f_bi_Equ_cx_Node_Ptr(0),
  f_b_Equ_e_Node_Ptr(0),
  f_e_Equ_b_Node_Ptr(0),
  f_b_Equ_c_Node_Ptr(0),
  f_c_Equ_b_Node_Ptr(0),
  f_dt_Equ_dt_Node_Ptr(0),
  f_dt_Equ_bp_Node_Ptr(0),
  f_dt_Equ_cx_Node_Ptr(0),
  f_dt_Equ_e_Node_Ptr(0),
  f_dt_Equ_ei_Node_Ptr(0),
  f_dt_Equ_bx_Node_Ptr(0),
  f_dt_Equ_bi_Node_Ptr(0),
  f_dt_Equ_b_Node_Ptr(0),
  f_dt_Equ_ci_Node_Ptr(0),
  f_dt_Equ_c_Node_Ptr(0),
  q_bi_Equ_bi_Node_Ptr(0),
  q_bi_Equ_ei_Node_Ptr(0),
  q_ei_Equ_bi_Node_Ptr(0),
  q_ei_Equ_ei_Node_Ptr(0),
  q_bi_Equ_dt_Node_Ptr(0),
  q_ei_Equ_dt_Node_Ptr(0),
  q_bx_Equ_bx_Node_Ptr(0),
  q_bx_Equ_ei_Node_Ptr(0),
  q_ei_Equ_bx_Node_Ptr(0),
  q_bx_Equ_dt_Node_Ptr(0),
  q_ci_Equ_bi_Node_Ptr(0),
  q_ci_Equ_ci_Node_Ptr(0),
  q_ei_Equ_ci_Node_Ptr(0),
  q_ci_Equ_ei_Node_Ptr(0),
  q_ci_Equ_dt_Node_Ptr(0),
  q_bi_Equ_ci_Node_Ptr(0),
  q_bx_Equ_bp_Node_Ptr(0),
  q_bp_Equ_bx_Node_Ptr(0),
  q_bp_Equ_bp_Node_Ptr(0),
  q_bp_Equ_dt_Node_Ptr(0),
  q_c_Equ_dt_Node_Ptr(0),
  q_cx_Equ_dt_Node_Ptr(0),
  q_c_Equ_c_Node_Ptr(0),
  q_c_Equ_cx_Node_Ptr(0),
  q_cx_Equ_c_Node_Ptr(0),
  q_cx_Equ_cx_Node_Ptr(0),
  q_cx_Equ_bi_Node_Ptr(0),
  q_ci_Equ_cx_Node_Ptr(0),
  q_cx_Equ_ci_Node_Ptr(0),
  q_b_Equ_dt_Node_Ptr(0),
  q_b_Equ_b_Node_Ptr(0),
  q_b_Equ_bx_Node_Ptr(0),
  q_bx_Equ_b_Node_Ptr(0),
  q_bx_Equ_bi_Node_Ptr(0),
  q_bx_Equ_ci_Node_Ptr(0),
  q_bi_Equ_bx_Node_Ptr(0),
  q_e_Equ_dt_Node_Ptr(0),
  q_e_Equ_e_Node_Ptr(0),
  q_e_Equ_ei_Node_Ptr(0),
  q_ei_Equ_e_Node_Ptr(0),
  q_bp_Equ_bi_Node_Ptr(0),
  q_bp_Equ_ci_Node_Ptr(0),
  q_cx_Equ_bx_Node_Ptr(0),
  q_cx_Equ_bp_Node_Ptr(0),
  q_bp_Equ_cx_Node_Ptr(0),
  q_bi_Equ_cx_Node_Ptr(0),
  q_b_Equ_e_Node_Ptr(0),
  q_e_Equ_b_Node_Ptr(0),
  q_b_Equ_c_Node_Ptr(0),
  q_c_Equ_b_Node_Ptr(0),
  q_dt_Equ_dt_Node_Ptr(0),
  q_dt_Equ_bp_Node_Ptr(0),
  q_dt_Equ_cx_Node_Ptr(0),
  q_dt_Equ_e_Node_Ptr(0),
  q_dt_Equ_ei_Node_Ptr(0),
  q_dt_Equ_bx_Node_Ptr(0),
  q_dt_Equ_bi_Node_Ptr(0),
  q_dt_Equ_b_Node_Ptr(0),
  q_dt_Equ_ci_Node_Ptr(0),
  q_dt_Equ_c_Node_Ptr(0),
  admsTemperature(getDeviceOptions().temp.dVal()),
  externalNodeMode(false)

{
  numIntVars = 6 + 0;
  numExtVars = 4;


  // Right now, we only have state for limited probes...
  numStateVars = 7;

  // Manually inserted code:
  devConMap.resize(4);
  devConMap[0] = 1;
  devConMap[1] = 1;
  devConMap[2] = 1;
  devConMap[3] = 2;

  if ( IB.numExtVars > 4)
  {
    numExtVars = IB.numExtVars;
    externalNodeMode = true;
    numIntVars -= numExtVars-4;
    devConMap.resize(numExtVars);
    for (int i1=4; i1<numExtVars; ++i1)
      devConMap[i1]=1;
  }
  // End manually inserted code

  // Set up jacobian stamp:

  if (jacStamp.empty())
  {
    jacStamp.resize(10);
    jacStamp[admsNodeID_c].resize(4);
    jacStamp[admsNodeID_c][0] = admsNodeID_dt;
    jacStamp[admsNodeID_c][1] = admsNodeID_c;
    jacStamp[admsNodeID_c][2] = admsNodeID_cx;
    jacStamp[admsNodeID_c][3] = admsNodeID_b;
    jacStamp[admsNodeID_b].resize(5);
    jacStamp[admsNodeID_b][0] = admsNodeID_dt;
    jacStamp[admsNodeID_b][1] = admsNodeID_b;
    jacStamp[admsNodeID_b][2] = admsNodeID_bx;
    jacStamp[admsNodeID_b][3] = admsNodeID_e;
    jacStamp[admsNodeID_b][4] = admsNodeID_c;
    jacStamp[admsNodeID_e].resize(4);
    jacStamp[admsNodeID_e][0] = admsNodeID_dt;
    jacStamp[admsNodeID_e][1] = admsNodeID_e;
    jacStamp[admsNodeID_e][2] = admsNodeID_ei;
    jacStamp[admsNodeID_e][3] = admsNodeID_b;
    jacStamp[admsNodeID_dt].resize(10);
    jacStamp[admsNodeID_dt][0] = admsNodeID_dt;
    jacStamp[admsNodeID_dt][1] = admsNodeID_bp;
    jacStamp[admsNodeID_dt][2] = admsNodeID_cx;
    jacStamp[admsNodeID_dt][3] = admsNodeID_e;
    jacStamp[admsNodeID_dt][4] = admsNodeID_ei;
    jacStamp[admsNodeID_dt][5] = admsNodeID_bx;
    jacStamp[admsNodeID_dt][6] = admsNodeID_bi;
    jacStamp[admsNodeID_dt][7] = admsNodeID_b;
    jacStamp[admsNodeID_dt][8] = admsNodeID_ci;
    jacStamp[admsNodeID_dt][9] = admsNodeID_c;
    jacStamp[admsNodeID_cx].resize(7);
    jacStamp[admsNodeID_cx][0] = admsNodeID_dt;
    jacStamp[admsNodeID_cx][1] = admsNodeID_c;
    jacStamp[admsNodeID_cx][2] = admsNodeID_cx;
    jacStamp[admsNodeID_cx][3] = admsNodeID_bi;
    jacStamp[admsNodeID_cx][4] = admsNodeID_ci;
    jacStamp[admsNodeID_cx][5] = admsNodeID_bx;
    jacStamp[admsNodeID_cx][6] = admsNodeID_bp;
    jacStamp[admsNodeID_ci].resize(5);
    jacStamp[admsNodeID_ci][0] = admsNodeID_bi;
    jacStamp[admsNodeID_ci][1] = admsNodeID_ci;
    jacStamp[admsNodeID_ci][2] = admsNodeID_ei;
    jacStamp[admsNodeID_ci][3] = admsNodeID_dt;
    jacStamp[admsNodeID_ci][4] = admsNodeID_cx;
    jacStamp[admsNodeID_bx].resize(7);
    jacStamp[admsNodeID_bx][0] = admsNodeID_bx;
    jacStamp[admsNodeID_bx][1] = admsNodeID_ei;
    jacStamp[admsNodeID_bx][2] = admsNodeID_dt;
    jacStamp[admsNodeID_bx][3] = admsNodeID_bp;
    jacStamp[admsNodeID_bx][4] = admsNodeID_b;
    jacStamp[admsNodeID_bx][5] = admsNodeID_bi;
    jacStamp[admsNodeID_bx][6] = admsNodeID_ci;
    jacStamp[admsNodeID_bi].resize(6);
    jacStamp[admsNodeID_bi][0] = admsNodeID_bi;
    jacStamp[admsNodeID_bi][1] = admsNodeID_ei;
    jacStamp[admsNodeID_bi][2] = admsNodeID_dt;
    jacStamp[admsNodeID_bi][3] = admsNodeID_ci;
    jacStamp[admsNodeID_bi][4] = admsNodeID_bx;
    jacStamp[admsNodeID_bi][5] = admsNodeID_cx;
    jacStamp[admsNodeID_ei].resize(6);
    jacStamp[admsNodeID_ei][0] = admsNodeID_bi;
    jacStamp[admsNodeID_ei][1] = admsNodeID_ei;
    jacStamp[admsNodeID_ei][2] = admsNodeID_dt;
    jacStamp[admsNodeID_ei][3] = admsNodeID_bx;
    jacStamp[admsNodeID_ei][4] = admsNodeID_ci;
    jacStamp[admsNodeID_ei][5] = admsNodeID_e;
    jacStamp[admsNodeID_bp].resize(6);
    jacStamp[admsNodeID_bp][0] = admsNodeID_bx;
    jacStamp[admsNodeID_bp][1] = admsNodeID_bp;
    jacStamp[admsNodeID_bp][2] = admsNodeID_dt;
    jacStamp[admsNodeID_bp][3] = admsNodeID_bi;
    jacStamp[admsNodeID_bp][4] = admsNodeID_ci;
    jacStamp[admsNodeID_bp][5] = admsNodeID_cx;


    // This is really not strictly necessary when not mapping away nodes,
    // but makes life easier when we get to registerJacLIDs.  This block
    // simply makes a map that leaves everything in place.  Later, when we
    // start making nodes go away, we will need to modify this.

    int mapSize = jacStamp.size();
    jacMap.clear();
    jacMap2.clear();
    jacMap.resize(mapSize);
    jacMap2.resize(mapSize);
    for (int i=0;i<mapSize;++i)
    {
      int rowSize=jacStamp[i].size();
      jacMap[i]=i;
      jacMap2[i].resize(rowSize);
      for (int j=0;j<rowSize;++j)
      {
        jacMap2[i][j] = j;
      }
    }

  }


  setDefaultParams();
  setParams(IB.params);
  // set any non-constant parameter defaults

  // Real bogosity here...
  if (!given("XYCEADMSINSTTEMP"))
    admsInstTemp=getDeviceOptions().temp.dVal();

  //calculate any parameters specified as expressions
  updateDependentParameters();

  // calculate dependent (i.e. computed params) and check for errors.
  processParams();
  collapseNodes();

  // Manually added code
  // there are always ci and bi, but the others could be mapped away.
  int numExist = ((collapseNode_cx)?0:1) + ((collapseNode_bx)?0:1) + ((collapseNode_ei)?0:1) + 2;
  ;

  if (externalNodeMode && (numExtVars != 4+numExist))
  {
    string msg = ": ";
    msg += " name= " + getName();
    msg += " wrong number of external nodes are set!";
    msg += " If you specify any internal nodes as external, you must set all that exist. ";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL, msg);
  }
  // End manually added code
}

//-----------------------------------------------------------------------------
// Function      : Instance::collapseNodes
// Purpose       : function to handle collapsing of nodes
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::collapseNodes()
{double slTF;
  double IITF;
  double IVTF;
  double IHRCF;
  double IIKP;
  double IIKR;
  double IVER;
  double IVEF;
  double Tini;
  double tVCrit;
  collapseNode_cx = false;
  collapseNode_bx = false;
  collapseNode_ei = false;
  tVCrit = (adms_vt(admsTemperature)*log((adms_vt(admsTemperature)/(1.41421356237309504880*(model_.IS)))));

  Tini = (2.731500e+02+(model_.TNOM));

  IVEF = (((model_.VEF)>0.0)?(1.0/(model_.VEF)):0.0);

  IVER = (((model_.VER)>0.0)?(1.0/(model_.VER)):0.0);

  IIKR = (((model_.IKR)>0.0)?(1.0/(model_.IKR)):0.0);

  IIKP = (((model_.IKP)>0.0)?(1.0/(model_.IKP)):0.0);

  IHRCF = (((model_.HRCF)>0.0)?(1.0/(model_.HRCF)):0.0);

  IVTF = (((model_.VTF)>0.0)?(1.0/(model_.VTF)):0.0);

  IITF = (((model_.ITF)>0.0)?(1.0/(model_.ITF)):0.0);

  slTF = (((model_.ITF)>0.0)?0.0:1.0);

  if (!(((model_.RCX)>0)))
  {
    collapseNode_cx = true;

  }

  if (!(((model_.RBX)>0)))
  {
    collapseNode_bx = true;

  }

  if (!(((model_.RE)>0)))
  {
    collapseNode_ei = true;

  }



  // Map away any unneeded internal nodes:
  // temporary stamps and maps
  vector< vector<int> > tempStamp;
  vector<int> tempMap;
  vector< vector<int> > tempMap2;

  int OriginalSize = jacMap.size();

  // If the columns of the jacstamp are not in ascending order then
  // jacStampMap will do bogus things.  Our ADMS back-end doesn't guarantee
  // in-order jacStamps.  So we reorder (through the maps)
  jacStampMap_fixOrder(jacStamp,jacMap2,tempStamp,tempMap2);
  jacStamp=tempStamp; jacMap2=tempMap2;

  if (collapseNode_cx)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_cx] , jacMap[admsNodeID_c],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_bx)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_bx] , jacMap[admsNodeID_b],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_ei)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_ei] , jacMap[admsNodeID_e],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::~Instance
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
Instance::~Instance()
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerLIDs
// Purpose       : function for registering, and setting up, local ID's.
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerLIDs( const vector<int> & intLIDVecRef,
                             const vector<int> & extLIDVecRef)
{
  string msg;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline =
    "------------------------------------------------------------------------"
    "-----";

  if (getDeviceOptions().debugLevel > 0)
  {
    cout << endl << dashedline << endl;
    cout << "In ADMSvbic::Instance::register LIDs\n\n";
    cout << "name             = " << getName() << endl;
  }
#endif

  // Check if the size of the ID lists corresponds to the
  // proper number of internal and external variables.
  int numInt = intLIDVecRef.size();
  int numExt = extLIDVecRef.size();

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "number of internal variables: " << numInt << endl;
    cout << "number of external variables: " << numExt << endl;
  }
#endif

  if (numExt != numExtVars)
  {
    msg = "ADMSvbic::Instance::registerLIDs:";
    msg += "numExt != numExtVars";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::DEV_FATAL, msg);
  }

  // copy over the global ID lists.
  intLIDVec = intLIDVecRef;
  extLIDVec = extLIDVecRef;

  // Now use these lists to obtain the indices into the linear algebra
  // entities.  This assumes an order.
  int i=0;
  li_c = extLIDVecRef[i++];
  li_b = extLIDVecRef[i++];
  li_e = extLIDVecRef[i++];
  li_dt = extLIDVecRef[i++];

  // Manually modified code
  int j=0;
  if (!collapseNode_cx)
  {
    if (externalNodeMode)
      li_cx = extLIDVecRef[i++];
    else
      li_cx = intLIDVecRef[j++];
  }
  else
    li_cx = li_c;
  if (externalNodeMode)
    li_ci = extLIDVecRef[i++];
  else
    li_ci = intLIDVecRef[j++];

  if (!collapseNode_bx)
  {
    if (externalNodeMode)
      li_bx = extLIDVecRef[i++];
    else
      li_bx = intLIDVecRef[j++];
  }
  else
    li_bx = li_b;
  if (externalNodeMode)
    li_bi = extLIDVecRef[i++];
  else
    li_bi = intLIDVecRef[j++];
  if (!collapseNode_ei)
  {
    if (externalNodeMode)
      li_ei = extLIDVecRef[i++];
    else
      li_ei = intLIDVecRef[j++];
  }
  else
    li_ei = li_e;
  li_bp = intLIDVecRef[j++];
  // End manually modified code

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "\nSolution and RHS variables:\n";
    cout << "\nli_c = " << li_c << endl;
    cout << "\nli_b = " << li_b << endl;
    cout << "\nli_e = " << li_e << endl;
    cout << "\nli_dt = " << li_dt << endl;
    cout << "\nli_cx = " << li_cx << endl;
    cout << "\nli_ci = " << li_ci << endl;
    cout << "\nli_bx = " << li_bx << endl;
    cout << "\nli_bi = " << li_bi << endl;
    cout << "\nli_ei = " << li_ei << endl;
    cout << "\nli_bp = " << li_bp << endl;
  }
#endif

#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0)
  {
    cout << "\nEnd of ADMSvbic::Instance::register LIDs\n";
    cout << dashedline << endl;
  }
#endif
}

//-----------------------------------------------------------------------------
// Function      : Instance::getIntNameMap
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
map<int,string> & Instance::getIntNameMap ()
{

  if (intNameMap.empty())
  {
    string tmpstr;
    // Manually Modified Code
    if (!collapseNode_cx && !externalNodeMode)
    {

      tmpstr = getName() + "_cx";
      spiceInternalName(tmpstr);
      intNameMap[li_cx] = tmpstr;
    }

    if (!externalNodeMode)
    {
      tmpstr = getName() + "_ci";
      spiceInternalName(tmpstr);
      intNameMap[li_ci] = tmpstr;
    }

    if (!collapseNode_bx && !externalNodeMode)
    {

      tmpstr = getName() + "_bx";
      spiceInternalName(tmpstr);
      intNameMap[li_bx] = tmpstr;
    }

    if (!externalNodeMode)
    {
      tmpstr = getName() + "_bi";
      spiceInternalName(tmpstr);
      intNameMap[li_bi] = tmpstr;
    }

    if (!collapseNode_ei && !externalNodeMode)
    {

      tmpstr = getName() + "_ei";
      spiceInternalName(tmpstr);
      intNameMap[li_ei] = tmpstr;
    }

    tmpstr = getName() + "_bp";
    spiceInternalName(tmpstr);
    intNameMap[li_bp] = tmpstr;
    // End manually modified code
  }
  return intNameMap;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerStateLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerStateLIDs( const vector <int> & staLIDVecRef)
{
  int numSta = staLIDVecRef.size();

  if (numSta != numStateVars)
  {
    string msg = "ADMSvbic::Instance::registerStateLIDs:";
    msg += "numSta != numStateVars";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::DEV_FATAL, msg);
  }

  if (numSta > 0)
  {
    int i=0;
    staLIDVec = staLIDVecRef;

    li_state_admsProbeID_V_bi_ei = staLIDVec[i++];
    li_state_admsProbeID_V_bi_ci = staLIDVec[i++];
    li_state_admsProbeID_V_bx_ei = staLIDVec[i++];
    li_state_admsProbeID_V_bi_cx = staLIDVec[i++];
    li_state_admsProbeID_V_bx_bp = staLIDVec[i++];
    li_state_admsProbeID_V_dt_GND = staLIDVec[i++];
    li_state_admsProbeID_V_b_e = staLIDVec[i++];
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::jacobianStamp
// Purpose       :
// Special Notes : In initial version, we won't support mapping away nodes
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
const vector< vector<int> > & Instance::jacobianStamp() const
{
  return jacStamp;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerJacLIDs
// Purpose       : Create Offset variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerJacLIDs( const vector < vector <int> > & jacLIDVec)
{
  DeviceInstance::registerJacLIDs(jacLIDVec);
  vector<int> & map=jacMap;
  vector< vector<int> > & map2=jacMap2;


  // do nothing, we won't use the jac lids anymore, we'll use pointers

}

//-----------------------------------------------------------------------------
// Function      : Instance::setupPointers
// Purpose       : Create pointer variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupPointers( )
{

  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;
  f_c_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_c,li_dt);
  q_c_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_c,li_dt);
  f_c_Equ_c_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_c,li_c);
  q_c_Equ_c_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_c,li_c);
  f_c_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_c,li_cx);
  q_c_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_c,li_cx);
  f_c_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_c,li_b);
  q_c_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_c,li_b);
  f_b_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_dt);
  q_b_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_dt);
  f_b_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_b);
  q_b_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_b);
  f_b_Equ_bx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_bx);
  q_b_Equ_bx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_bx);
  f_b_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_e);
  q_b_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_e);
  f_b_Equ_c_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_b,li_c);
  q_b_Equ_c_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_b,li_c);
  f_e_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_dt);
  q_e_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_dt);
  f_e_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_e);
  q_e_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_e);
  f_e_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_ei);
  q_e_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_ei);
  f_e_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_e,li_b);
  q_e_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_e,li_b);
  f_dt_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_dt);
  q_dt_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_dt);
  f_dt_Equ_bp_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_bp);
  q_dt_Equ_bp_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_bp);
  f_dt_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_cx);
  q_dt_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_cx);
  f_dt_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_e);
  q_dt_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_e);
  f_dt_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_ei);
  q_dt_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_ei);
  f_dt_Equ_bx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_bx);
  q_dt_Equ_bx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_bx);
  f_dt_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_bi);
  q_dt_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_bi);
  f_dt_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_b);
  q_dt_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_b);
  f_dt_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_ci);
  q_dt_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_ci);
  f_dt_Equ_c_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_dt,li_c);
  q_dt_Equ_c_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_dt,li_c);
  f_cx_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_dt);
  q_cx_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_dt);
  f_cx_Equ_c_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_c);
  q_cx_Equ_c_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_c);
  f_cx_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_cx);
  q_cx_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_cx);
  f_cx_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_bi);
  q_cx_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_bi);
  f_cx_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_ci);
  q_cx_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_ci);
  f_cx_Equ_bx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_bx);
  q_cx_Equ_bx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_bx);
  f_cx_Equ_bp_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_cx,li_bp);
  q_cx_Equ_bp_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_cx,li_bp);
  f_ci_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_bi);
  q_ci_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_bi);
  f_ci_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_ci);
  q_ci_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_ci);
  f_ci_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_ei);
  q_ci_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_ei);
  f_ci_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_dt);
  q_ci_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_dt);
  f_ci_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ci,li_cx);
  q_ci_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ci,li_cx);
  f_bx_Equ_bx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bx,li_bx);
  q_bx_Equ_bx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bx,li_bx);
  f_bx_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bx,li_ei);
  q_bx_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bx,li_ei);
  f_bx_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bx,li_dt);
  q_bx_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bx,li_dt);
  f_bx_Equ_bp_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bx,li_bp);
  q_bx_Equ_bp_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bx,li_bp);
  f_bx_Equ_b_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bx,li_b);
  q_bx_Equ_b_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bx,li_b);
  f_bx_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bx,li_bi);
  q_bx_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bx,li_bi);
  f_bx_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bx,li_ci);
  q_bx_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bx,li_ci);
  f_bi_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_bi);
  q_bi_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_bi);
  f_bi_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_ei);
  q_bi_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_ei);
  f_bi_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_dt);
  q_bi_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_dt);
  f_bi_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_ci);
  q_bi_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_ci);
  f_bi_Equ_bx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_bx);
  q_bi_Equ_bx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_bx);
  f_bi_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bi,li_cx);
  q_bi_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bi,li_cx);
  f_ei_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_bi);
  q_ei_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_bi);
  f_ei_Equ_ei_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_ei);
  q_ei_Equ_ei_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_ei);
  f_ei_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_dt);
  q_ei_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_dt);
  f_ei_Equ_bx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_bx);
  q_ei_Equ_bx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_bx);
  f_ei_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_ci);
  q_ei_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_ci);
  f_ei_Equ_e_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_ei,li_e);
  q_ei_Equ_e_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_ei,li_e);
  f_bp_Equ_bx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bp,li_bx);
  q_bp_Equ_bx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bp,li_bx);
  f_bp_Equ_bp_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bp,li_bp);
  q_bp_Equ_bp_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bp,li_bp);
  f_bp_Equ_dt_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bp,li_dt);
  q_bp_Equ_dt_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bp,li_dt);
  f_bp_Equ_bi_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bp,li_bi);
  q_bp_Equ_bi_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bp,li_bi);
  f_bp_Equ_ci_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bp,li_ci);
  q_bp_Equ_ci_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bp,li_ci);
  f_bp_Equ_cx_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_bp,li_cx);
  q_bp_Equ_cx_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_bp,li_cx);
 

}

// RHS load functions

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEFVector
// Purpose       : load F vector (static contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEFVector()
{

  bool bsuccess=true;

  (*extData.daeFVectorPtr)[li_c] += staticContributions[admsNodeID_c].val();
  (*extData.daeFVectorPtr)[li_b] += staticContributions[admsNodeID_b].val();
  (*extData.daeFVectorPtr)[li_e] += staticContributions[admsNodeID_e].val();
  (*extData.daeFVectorPtr)[li_dt] += staticContributions[admsNodeID_dt].val();
  (*extData.daeFVectorPtr)[li_cx] += staticContributions[admsNodeID_cx].val();
  (*extData.daeFVectorPtr)[li_ci] += staticContributions[admsNodeID_ci].val();
  (*extData.daeFVectorPtr)[li_bx] += staticContributions[admsNodeID_bx].val();
  (*extData.daeFVectorPtr)[li_bi] += staticContributions[admsNodeID_bi].val();
  (*extData.daeFVectorPtr)[li_ei] += staticContributions[admsNodeID_ei].val();
  (*extData.daeFVectorPtr)[li_bp] += staticContributions[admsNodeID_bp].val();
  if (getDeviceOptions().voltageLimiterFlag && !origFlag)
  {
    double *dFdxdVp = extData.dFdxdVpVectorRawPtr;
    dFdxdVp[li_c] += Jdxp_static[admsNodeID_c];
    dFdxdVp[li_b] += Jdxp_static[admsNodeID_b];
    dFdxdVp[li_e] += Jdxp_static[admsNodeID_e];
    dFdxdVp[li_dt] += Jdxp_static[admsNodeID_dt];
    dFdxdVp[li_cx] += Jdxp_static[admsNodeID_cx];
    dFdxdVp[li_ci] += Jdxp_static[admsNodeID_ci];
    dFdxdVp[li_bx] += Jdxp_static[admsNodeID_bx];
    dFdxdVp[li_bi] += Jdxp_static[admsNodeID_bi];
    dFdxdVp[li_ei] += Jdxp_static[admsNodeID_ei];
    dFdxdVp[li_bp] += Jdxp_static[admsNodeID_bp];

  }

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEQVector
// Purpose       : load Q vector (dynamic contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEQVector()
{
  (*extData.daeQVectorPtr)[li_c] += dynamicContributions[admsNodeID_c].val();
  (*extData.daeQVectorPtr)[li_b] += dynamicContributions[admsNodeID_b].val();
  (*extData.daeQVectorPtr)[li_e] += dynamicContributions[admsNodeID_e].val();
  (*extData.daeQVectorPtr)[li_dt] += dynamicContributions[admsNodeID_dt].val();
  (*extData.daeQVectorPtr)[li_cx] += dynamicContributions[admsNodeID_cx].val();
  (*extData.daeQVectorPtr)[li_ci] += dynamicContributions[admsNodeID_ci].val();
  (*extData.daeQVectorPtr)[li_bx] += dynamicContributions[admsNodeID_bx].val();
  (*extData.daeQVectorPtr)[li_bi] += dynamicContributions[admsNodeID_bi].val();
  (*extData.daeQVectorPtr)[li_ei] += dynamicContributions[admsNodeID_ei].val();
  (*extData.daeQVectorPtr)[li_bp] += dynamicContributions[admsNodeID_bp].val();
  if (getDeviceOptions().voltageLimiterFlag && !origFlag)
  {
    double *dQdxdVp = extData.dQdxdVpVectorRawPtr;
    dQdxdVp[li_c] += Jdxp_dynamic[admsNodeID_c];
    dQdxdVp[li_b] += Jdxp_dynamic[admsNodeID_b];
    dQdxdVp[li_e] += Jdxp_dynamic[admsNodeID_e];
    dQdxdVp[li_dt] += Jdxp_dynamic[admsNodeID_dt];
    dQdxdVp[li_cx] += Jdxp_dynamic[admsNodeID_cx];
    dQdxdVp[li_ci] += Jdxp_dynamic[admsNodeID_ci];
    dQdxdVp[li_bx] += Jdxp_dynamic[admsNodeID_bx];
    dQdxdVp[li_bi] += Jdxp_dynamic[admsNodeID_bi];
    dQdxdVp[li_ei] += Jdxp_dynamic[admsNodeID_ei];
    dQdxdVp[li_bp] += Jdxp_dynamic[admsNodeID_bp];
  }

  return true;
}


//-----------------------------------------------------------------------------
// Function      : Instance::updatePrimaryState
// Purpose       :
// Special Notes : In this initial implementation, does little more than
//                 call updateIntermediateVars()
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updatePrimaryState()
{
  bool bsuccess = true;

  bsuccess = updateIntermediateVars();

  // if old DAE were implemented, we'd save dynamic contributions as state
  // here.

  double * staVec = extData.nextStaVectorRawPtr;
  // Also need to save limited voltage drops
  // This formulation assumes that we have *always* written the
  // limited voltages back into the probeVars[] array.

  staVec[li_state_admsProbeID_V_bi_ei] = probeVars[admsProbeID_V_bi_ei].val();
  staVec[li_state_admsProbeID_V_bi_ci] = probeVars[admsProbeID_V_bi_ci].val();
  staVec[li_state_admsProbeID_V_bx_ei] = probeVars[admsProbeID_V_bx_ei].val();
  staVec[li_state_admsProbeID_V_bi_cx] = probeVars[admsProbeID_V_bi_cx].val();
  staVec[li_state_admsProbeID_V_bx_bp] = probeVars[admsProbeID_V_bx_bp].val();
  staVec[li_state_admsProbeID_V_dt_GND] = probeVars[admsProbeID_V_dt_GND].val();
  staVec[li_state_admsProbeID_V_b_e] = probeVars[admsProbeID_V_b_e].val();

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateSecondaryState
// Purpose       :
// Special Notes : In this initial implementation, does nothing
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateSecondaryState()
{
  bool bsuccess = true;

  // were old DAE implemented, we'd pull dynamic contribution derivatives
  // out of state.

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateIntermediateVars
// Purpose       : update intermediate variables for one vbic instance
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateIntermediateVars()
{

  bool bsuccess=true;
  N_LAS_Vector * solVectorPtr = extData.nextSolVectorPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline =
    "------------------------------------------------------------------------"
    "-----";
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << endl << dashedline2 << endl;
    cout << "  In ADMSvbic::Instance::updateIntermediateVars\n\n";
    cout << "  name = " << getName() << endl;
  }
#endif

  // Local variables
  AdmsFadType Qcth;
  AdmsFadType Irth;
  AdmsFadType Ith;
  AdmsFadType Qbco;
  AdmsFadType Qbeo;
  AdmsFadType Qbep;
  AdmsFadType Qbcx;
  AdmsFadType Qbc;
  AdmsFadType Qbex;
  AdmsFadType Qbe;
  AdmsFadType tff;
  AdmsFadType tff_exparg;
  AdmsFadType mIf;
  AdmsFadType rIf;
  AdmsFadType sgIf;
  AdmsFadType Irbp;
  AdmsFadType Ire;
  AdmsFadType Irbi;
  AdmsFadType Irbx;
  AdmsFadType Irci;
  AdmsFadType derf;
  AdmsFadType Iohm;
  AdmsFadType rKp1;
  AdmsFadType Kbcx;
  AdmsFadType Kbci;
  AdmsFadType expx_vbcx;
  AdmsFadType argx_vbcx;
  AdmsFadType Ircx;
  AdmsFadType Ibc;
  AdmsFadType Igc;
  AdmsFadType avalf;
  AdmsFadType avalf_exparg;
  AdmsFadType Ibep;
  AdmsFadType expn_vbep;
  AdmsFadType argn_vbep;
  AdmsFadType Ibcj;
  AdmsFadType expn_vbci;
  AdmsFadType argn_vbci;
  AdmsFadType Ibex;
  AdmsFadType Ibe;
  AdmsFadType expx_vbei;
  AdmsFadType argx_vbei;
  AdmsFadType expn_vbei;
  AdmsFadType argn_vbei;
  AdmsFadType argi_vbex;
  AdmsFadType expi_vbex;
  AdmsFadType argn_vbex;
  AdmsFadType expn_vbex;
  AdmsFadType argx_vbex;
  AdmsFadType expx_vbex;
  AdmsFadType qbp;
  AdmsFadType q2p;
  AdmsFadType Ifp;
  AdmsFadType expx_vbci;
  AdmsFadType argx_vbci;
  AdmsFadType expi_vbep;
  AdmsFadType argi_vbep;
  AdmsFadType Itzf;
  AdmsFadType Itzr;
  AdmsFadType qb;
  AdmsFadType q2;
  AdmsFadType q1;
  AdmsFadType q1z;
  AdmsFadType Iri;
  AdmsFadType expi_vbci;
  AdmsFadType argi_vbci;
  AdmsFadType Ifi;
  AdmsFadType expi_vbei;
  AdmsFadType argi_vbei;
  AdmsFadType qdbep;
  AdmsFadType qhi_vbep;
  AdmsFadType qlo_vbep;
  AdmsFadType dvh_vbep;
  AdmsFadType ql_vbep;
  AdmsFadType cl_vbep;
  AdmsFadType sel_vbep;
  AdmsFadType vl_vbep;
  AdmsFadType vnl_vbep;
  AdmsFadType vn_vbep;
  AdmsFadType mv_vbep;
  AdmsFadType dv_vbep;
  AdmsFadType qdbc;
  AdmsFadType qhi_vbci;
  AdmsFadType qlo_vbci;
  AdmsFadType dvh_vbci;
  AdmsFadType ql_vbci;
  AdmsFadType cl_vbci;
  AdmsFadType cmx;
  AdmsFadType crt;
  AdmsFadType sel_vbci;
  AdmsFadType vl_vbci;
  AdmsFadType vnl_vbci;
  AdmsFadType vn_vbci;
  AdmsFadType qlo0;
  AdmsFadType vnl0;
  AdmsFadType vn0;
  AdmsFadType mv_vbci;
  AdmsFadType dv_vbci;
  AdmsFadType qdbex;
  AdmsFadType qhi_vbex;
  AdmsFadType qlo_vbex;
  AdmsFadType dvh_vbex;
  AdmsFadType vl_vbex;
  AdmsFadType mv_vbex;
  AdmsFadType dv_vbex;
  AdmsFadType qdbe;
  AdmsFadType qhi_vbei;
  AdmsFadType qlo_vbei;
  double pwq;
  AdmsFadType dvh_vbei;
  AdmsFadType vl_vbei;
  AdmsFadType mv_vbei;
  AdmsFadType dv_vbei;
  AdmsFadType q0;
  AdmsFadType vl0;
  AdmsFadType mv0;
  AdmsFadType dv0;
  double slTF;
  double IITF;
  double IVTF;
  double IHRCF;
  AdmsFadType IVO;
  double IIKP;
  double IIKR;
  AdmsFadType IIKF;
  double IVER;
  double IVEF;
  AdmsFadType EBBEatT;
  AdmsFadType VOatT;
  AdmsFadType GAMMatT;
  AdmsFadType CJCPatT;
  AdmsFadType CJEPatT;
  AdmsFadType CJCatT;
  AdmsFadType CJEatT;
  AdmsFadType PSatT;
  AdmsFadType PCatT;
  AdmsFadType PEatT;
  AdmsFadType psiin;
  AdmsFadType psiio;
  AdmsFadType NBBEatT;
  AdmsFadType VBBEatT;
  AdmsFadType AVC2atT;
  AdmsFadType NRatT;
  AdmsFadType NFatT;
  AdmsFadType IBCNPatT;
  AdmsFadType IBCIPatT;
  AdmsFadType IBENPatT;
  AdmsFadType IBEIPatT;
  AdmsFadType IBCNatT;
  AdmsFadType IBCIatT;
  AdmsFadType IBENatT;
  AdmsFadType IBEIatT;
  AdmsFadType ISPatT;
  AdmsFadType ISRRatT;
  AdmsFadType ISatT;
  AdmsFadType RBPatT;
  AdmsFadType RSatT;
  AdmsFadType REatT;
  AdmsFadType RBIatT;
  AdmsFadType RBXatT;
  AdmsFadType RCIatT;
  AdmsFadType RCXatT;
  AdmsFadType IKFatT;
  AdmsFadType dT;
  AdmsFadType rT;
  AdmsFadType Vtv;
  AdmsFadType Tdev;
  double Tini;
  AdmsFadType Vcei;
  AdmsFadType Vbc;
  AdmsFadType Vrbp;
  AdmsFadType Vre;
  AdmsFadType Vrbx;
  AdmsFadType Vrbi;
  AdmsFadType Vrci;
  AdmsFadType Vrcx;
  AdmsFadType Vbe;
  AdmsFadType Vrth;
  AdmsFadType Vbep;
  AdmsFadType Vbcx;
  AdmsFadType Vbex;
  AdmsFadType Vbci;
  AdmsFadType Vbei;
  double tVCrit;
  // temporary variables for limiting
  double Vbe_orig,Vbe_limited,Vbe_old;
  double Vrth_orig,Vrth_limited,Vrth_old;
  double Vbep_orig,Vbep_limited,Vbep_old;
  double Vbcx_orig,Vbcx_limited,Vbcx_old;
  double Vbex_orig,Vbex_limited,Vbex_old;
  double Vbci_orig,Vbci_limited,Vbci_old;
  double Vbei_orig,Vbei_limited,Vbei_old;


  // set the sizes of the Fad arrays:

  if (probeVars.size() != (15))
  {
    probeVars.resize(15);
    staticContributions.resize(10+0);
    dynamicContributions.resize(10+0);
    probeDiffs.resize(15,0.0);
    Jdxp_static.resize(10+0);
    Jdxp_dynamic.resize(10+0);
  }

  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 10+0 ; ++i)
  {
    staticContributions[i]=0;
    dynamicContributions[i]=0;
    Jdxp_static[i]=0;
    Jdxp_dynamic[i]=0;
  }

  for (int i=0; i < 15 ; ++i)
  {
    probeDiffs[i] = 0.0;
  }
  // extract solution variables and set as Fad independent variables.
  probeVars[admsProbeID_V_ci_ei] = (*solVectorPtr)[li_ci] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_ci_ei].diff(admsProbeID_V_ci_ei,15);

  probeVars[admsProbeID_V_b_c] = (*solVectorPtr)[li_b] - (*solVectorPtr)[li_c];
  probeVars[admsProbeID_V_b_c].diff(admsProbeID_V_b_c,15);

  probeVars[admsProbeID_V_bp_cx] = (*solVectorPtr)[li_bp] - (*solVectorPtr)[li_cx];
  probeVars[admsProbeID_V_bp_cx].diff(admsProbeID_V_bp_cx,15);

  probeVars[admsProbeID_V_e_ei] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_e_ei].diff(admsProbeID_V_e_ei,15);

  probeVars[admsProbeID_V_b_bx] = (*solVectorPtr)[li_b] - (*solVectorPtr)[li_bx];
  probeVars[admsProbeID_V_b_bx].diff(admsProbeID_V_b_bx,15);

  probeVars[admsProbeID_V_bx_bi] = (*solVectorPtr)[li_bx] - (*solVectorPtr)[li_bi];
  probeVars[admsProbeID_V_bx_bi].diff(admsProbeID_V_bx_bi,15);

  probeVars[admsProbeID_V_cx_ci] = (*solVectorPtr)[li_cx] - (*solVectorPtr)[li_ci];
  probeVars[admsProbeID_V_cx_ci].diff(admsProbeID_V_cx_ci,15);

  probeVars[admsProbeID_V_c_cx] = (*solVectorPtr)[li_c] - (*solVectorPtr)[li_cx];
  probeVars[admsProbeID_V_c_cx].diff(admsProbeID_V_c_cx,15);

  probeVars[admsProbeID_V_b_e] = (*solVectorPtr)[li_b] - (*solVectorPtr)[li_e];
  probeVars[admsProbeID_V_b_e].diff(admsProbeID_V_b_e,15);

  probeVars[admsProbeID_V_dt_GND] = (*solVectorPtr)[li_dt];
  probeVars[admsProbeID_V_dt_GND].diff(admsProbeID_V_dt_GND,15);

  probeVars[admsProbeID_V_bx_bp] = (*solVectorPtr)[li_bx] - (*solVectorPtr)[li_bp];
  probeVars[admsProbeID_V_bx_bp].diff(admsProbeID_V_bx_bp,15);

  probeVars[admsProbeID_V_bi_cx] = (*solVectorPtr)[li_bi] - (*solVectorPtr)[li_cx];
  probeVars[admsProbeID_V_bi_cx].diff(admsProbeID_V_bi_cx,15);

  probeVars[admsProbeID_V_bx_ei] = (*solVectorPtr)[li_bx] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_bx_ei].diff(admsProbeID_V_bx_ei,15);

  probeVars[admsProbeID_V_bi_ci] = (*solVectorPtr)[li_bi] - (*solVectorPtr)[li_ci];
  probeVars[admsProbeID_V_bi_ci].diff(admsProbeID_V_bi_ci,15);

  probeVars[admsProbeID_V_bi_ei] = (*solVectorPtr)[li_bi] - (*solVectorPtr)[li_ei];
  probeVars[admsProbeID_V_bi_ei].diff(admsProbeID_V_bi_ei,15);


  // pre-multiply any "typed" probes (i.e. those limited with "typedpnjlim")
  probeVars[admsProbeID_V_b_e] *= (model_.dtype);
  probeVars[admsProbeID_V_bx_bp] *= (model_.dtype);
  probeVars[admsProbeID_V_bi_cx] *= (model_.dtype);
  probeVars[admsProbeID_V_bx_ei] *= (model_.dtype);
  probeVars[admsProbeID_V_bi_ci] *= (model_.dtype);
  probeVars[admsProbeID_V_bi_ei] *= (model_.dtype);

  // Copy probes into limiting vars
  Vbe_orig = Vbe_limited = probeVars[admsProbeID_V_b_e].val();
  probeDiffs[admsProbeID_V_b_e] = 0.0;
  Vrth_orig = Vrth_limited = probeVars[admsProbeID_V_dt_GND].val();
  probeDiffs[admsProbeID_V_dt_GND] = 0.0;
  Vbep_orig = Vbep_limited = probeVars[admsProbeID_V_bx_bp].val();
  probeDiffs[admsProbeID_V_bx_bp] = 0.0;
  Vbcx_orig = Vbcx_limited = probeVars[admsProbeID_V_bi_cx].val();
  probeDiffs[admsProbeID_V_bi_cx] = 0.0;
  Vbex_orig = Vbex_limited = probeVars[admsProbeID_V_bx_ei].val();
  probeDiffs[admsProbeID_V_bx_ei] = 0.0;
  Vbci_orig = Vbci_limited = probeVars[admsProbeID_V_bi_ci].val();
  probeDiffs[admsProbeID_V_bi_ci] = 0.0;
  Vbei_orig = Vbei_limited = probeVars[admsProbeID_V_bi_ei].val();
  probeDiffs[admsProbeID_V_bi_ei] = 0.0;

  origFlag = true;

  // code manually moved from below, because we need it earlier than predicted by adms
  tVCrit = (adms_vt(admsTemperature)*log((adms_vt(admsTemperature)/(1.41421356237309504880*(model_.IS)))));

  if (getSolverState().newtonIter == 0)
  {

    if (getSolverState().initJctFlag && getDeviceOptions().voltageLimiterFlag)
    {
      // manually inserted code:
      if (getSolverState().inputOPFlag)
      {
        N_LAS_Vector * flagSolVectorPtr = (extData.flagSolVectorPtr);
        if ((*flagSolVectorPtr)[li_e] == 0 ||
            (*flagSolVectorPtr)[li_ei] == 0 ||
            (*flagSolVectorPtr)[li_b] == 0 ||
            (*flagSolVectorPtr)[li_bi] == 0 ||
            (*flagSolVectorPtr)[li_bx] == 0 ||
            (*flagSolVectorPtr)[li_bp] == 0 ||
            (*flagSolVectorPtr)[li_c] == 0 ||
            (*flagSolVectorPtr)[li_ci] == 0 ||
            (*flagSolVectorPtr)[li_cx] == 0 ||
            (*flagSolVectorPtr)[li_dt] == 0 )
        {
          Vbci_limited = Vbcx_limited = Vbep_limited = 0;
          Vbe_limited = Vbei_limited = Vbex_limited = tVCrit;
          Vrth_limited = 0;
          origFlag = false;
        }
      }
      else
      {
        Vbci_limited = Vbcx_limited = Vbep_limited = 0;
        Vbe_limited = Vbei_limited = Vbex_limited = tVCrit;
        Vrth_limited = 0;
        origFlag = false;
#ifdef Xyce_DEBUG_DEVICE
        if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
        {
          cout << " Setting device initial condition to Base-Emitter drop=tVCrit (" << tVCrit << ")"<<endl;
        }
#endif
      }
    }
    // end manually inserted code

    if (!(getSolverState().dcopFlag)||(getSolverState().locaEnabledFlag && getSolverState().dcopFlag))
    {
      Vbe_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_b_e];
      Vrth_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_dt_GND];
      Vbep_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bx_bp];
      Vbcx_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bi_cx];
      Vbex_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bx_ei];
      Vbci_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bi_ci];
      Vbei_old = ((*extData.currStaVectorPtr))[li_state_admsProbeID_V_bi_ei];
    }
    else
    {
      Vbe_old = Vbe_limited;
      Vrth_old = Vrth_limited;
      Vbep_old = Vbep_limited;
      Vbcx_old = Vbcx_limited;
      Vbex_old = Vbex_limited;
      Vbci_old = Vbci_limited;
      Vbei_old = Vbei_limited;
    }
  }
  else
  {
    Vbe_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_b_e];
    Vrth_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_dt_GND];
    Vbep_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bx_bp];
    Vbcx_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bi_cx];
    Vbex_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bx_ei];
    Vbci_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bi_ci];
    Vbei_old = ((*extData.nextStaVectorPtr))[li_state_admsProbeID_V_bi_ei];
  }

  // -- code converted from analog/code block
  // manually moved to above, we need it earlier than this:
  //tVCrit = (adms_vt(admsTemperature)*log((adms_vt(admsTemperature)/(1.41421356237309504880*(model_.IS)))));


  //Vbei = ($limit(V(bi,ei),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    Vbei_limited = devSupport.pnjlim_new(Vbei_limited,Vbei_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bi_ei] = Vbei_limited - Vbei_orig;
      probeVars[admsProbeID_V_bi_ei] += probeDiffs[admsProbeID_V_bi_ei];
    }
  }
  Vbei = probeVars[admsProbeID_V_bi_ei];



  //Vbci = ($limit(V(bi,ci),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    Vbci_limited = devSupport.pnjlim_new(Vbci_limited,Vbci_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bi_ci] = Vbci_limited - Vbci_orig;
      probeVars[admsProbeID_V_bi_ci] += probeDiffs[admsProbeID_V_bi_ci];
    }
  }
  Vbci = probeVars[admsProbeID_V_bi_ci];



  //Vbex = ($limit(V(bx,ei),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    Vbex_limited = devSupport.pnjlim_new(Vbex_limited,Vbex_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bx_ei] = Vbex_limited - Vbex_orig;
      probeVars[admsProbeID_V_bx_ei] += probeDiffs[admsProbeID_V_bx_ei];
    }
  }
  Vbex = probeVars[admsProbeID_V_bx_ei];



  //Vbcx = ($limit(V(bi,cx),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    Vbcx_limited = devSupport.pnjlim_new(Vbcx_limited,Vbcx_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bi_cx] = Vbcx_limited - Vbcx_orig;
      probeVars[admsProbeID_V_bi_cx] += probeDiffs[admsProbeID_V_bi_cx];
    }
  }
  Vbcx = probeVars[admsProbeID_V_bi_cx];



  //Vbep = ($limit(V(bx,bp),"typedpnjlim",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    Vbep_limited = devSupport.pnjlim_new(Vbep_limited,Vbep_old,adms_vt_nom,tVCrit,&icheck);
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_bx_bp] = Vbep_limited - Vbep_orig;
      probeVars[admsProbeID_V_bx_bp] += probeDiffs[admsProbeID_V_bx_bp];
    }
  }
  Vbep = probeVars[admsProbeID_V_bx_bp];



  //Vrth = ($limit(V(dt,GND),"limRTH"));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    Vrth_limited = model_.analogFunctions.limRTH(Vrth_limited,Vrth_old);
    if (Vrth_limited != Vrth_orig)
    {
      icheck=1;
    }
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_dt_GND] = Vrth_limited - Vrth_orig;
      probeVars[admsProbeID_V_dt_GND] += probeDiffs[admsProbeID_V_dt_GND];
    }
  }
  Vrth = probeVars[admsProbeID_V_dt_GND];



  //Vbe = ($limit(V(b,e),"typeddummy",$vt(),tVCrit,dtype));
  if (getDeviceOptions().voltageLimiterFlag)
  {
    int icheck=0;
    // dummy limiting for initialization purposes
    if (icheck == 1)
      origFlag = false;
    if (!origFlag)
    {
      probeDiffs[admsProbeID_V_b_e] = Vbe_limited - Vbe_orig;
      probeVars[admsProbeID_V_b_e] += probeDiffs[admsProbeID_V_b_e];
    }
  }
  Vbe = probeVars[admsProbeID_V_b_e];

  Vrcx = ((model_.dtype)*(probeVars[admsProbeID_V_c_cx]));
  Vrci = ((model_.dtype)*(probeVars[admsProbeID_V_cx_ci]));
  Vrbi = ((model_.dtype)*(probeVars[admsProbeID_V_bx_bi]));
  Vrbx = ((model_.dtype)*(probeVars[admsProbeID_V_b_bx]));
  Vre = ((model_.dtype)*(probeVars[admsProbeID_V_e_ei]));
  Vrbp = ((model_.dtype)*(probeVars[admsProbeID_V_bp_cx]));
  Vbc = ((model_.dtype)*(probeVars[admsProbeID_V_b_c]));
  Vcei = ((model_.dtype)*(probeVars[admsProbeID_V_ci_ei]));
  Tini = (2.731500e+02+(model_.TNOM));
  Tdev = ((admsTemperature+(model_.DTEMP))+Vrth);
  Vtv = ((1.380662e-23*Tdev)/1.602189e-19);
  rT = (Tdev/Tini);
  dT = (Tdev-Tini);
  IKFatT = ((model_.IKF)*pow(rT,(model_.XIKF)));
  RCXatT = ((model_.RCX)*pow(rT,(model_.XRCX)));
  RCIatT = ((model_.RCI)*pow(rT,(model_.XRCI)));
  RBXatT = ((model_.RBX)*pow(rT,(model_.XRBX)));
  RBIatT = ((model_.RBI)*pow(rT,(model_.XRBI)));
  REatT = ((model_.RE)*pow(rT,(model_.XRE)));
  RSatT = ((model_.RS)*pow(rT,(model_.XRS)));
  RBPatT = ((model_.RBP)*pow(rT,(model_.XRBP)));
  ISatT = ((model_.IS)*pow((pow(rT,(model_.XIS))*exp((((-(model_.EA))*(1.0-rT))/Vtv))),(1.0/(model_.NF))));
  ISRRatT = ((model_.ISRR)*pow((pow(rT,(model_.XISR))*exp((((-(model_.DEAR))*(1.0-rT))/Vtv))),(1.0/(model_.NR))));
  ISPatT = ((model_.ISP)*pow((pow(rT,(model_.XIS))*exp((((-(model_.EAP))*(1.0-rT))/Vtv))),(1.0/(model_.NFP))));
  IBEIatT = ((model_.IBEI)*pow((pow(rT,(model_.XII))*exp((((-(model_.EAIE))*(1.0-rT))/Vtv))),(1.0/(model_.NEI))));
  IBENatT = ((model_.IBEN)*pow((pow(rT,(model_.XIN))*exp((((-(model_.EANE))*(1.0-rT))/Vtv))),(1.0/(model_.NEN))));
  IBCIatT = ((model_.IBCI)*pow((pow(rT,(model_.XII))*exp((((-(model_.EAIC))*(1.0-rT))/Vtv))),(1.0/(model_.NCI))));
  IBCNatT = ((model_.IBCN)*pow((pow(rT,(model_.XIN))*exp((((-(model_.EANC))*(1.0-rT))/Vtv))),(1.0/(model_.NCN))));
  IBEIPatT = ((model_.IBEIP)*pow((pow(rT,(model_.XII))*exp((((-(model_.EAIC))*(1.0-rT))/Vtv))),(1.0/(model_.NCI))));
  IBENPatT = ((model_.IBENP)*pow((pow(rT,(model_.XIN))*exp((((-(model_.EANC))*(1.0-rT))/Vtv))),(1.0/(model_.NCN))));
  IBCIPatT = ((model_.IBCIP)*pow((pow(rT,(model_.XII))*exp((((-(model_.EAIS))*(1.0-rT))/Vtv))),(1.0/(model_.NCIP))));
  IBCNPatT = ((model_.IBCNP)*pow((pow(rT,(model_.XIN))*exp((((-(model_.EANS))*(1.0-rT))/Vtv))),(1.0/(model_.NCNP))));
  NFatT = ((model_.NF)*(1.0+(dT*(model_.TNF))));
  NRatT = ((model_.NR)*(1.0+(dT*(model_.TNF))));
  AVC2atT = ((model_.AVC2)*(1.0+(dT*(model_.TAVC))));
  VBBEatT = ((model_.VBBE)*(1.0+(dT*((model_.TVBBE1)+(dT*(model_.TVBBE2))))));
  NBBEatT = ((model_.NBBE)*(1.0+(dT*(model_.TNBBE))));
  psiio = ((2.0*(Vtv/rT))*log((exp((((0.5*(model_.PE))*rT)/Vtv))-exp(((((-0.5)*(model_.PE))*rT)/Vtv)))));
  psiin = (((psiio*rT)-((3.0*Vtv)*log(rT)))-((model_.EAIE)*(rT-1.0)));
  PEatT = (psiin+((2.0*Vtv)*log((0.5*(1.0+sqrt((1.0+(4.0*exp(((-psiin)/Vtv))))))))));
  psiio = ((2.0*(Vtv/rT))*log((exp((((0.5*(model_.PC))*rT)/Vtv))-exp(((((-0.5)*(model_.PC))*rT)/Vtv)))));
  psiin = (((psiio*rT)-((3.0*Vtv)*log(rT)))-((model_.EAIC)*(rT-1.0)));
  PCatT = (psiin+((2.0*Vtv)*log((0.5*(1.0+sqrt((1.0+(4.0*exp(((-psiin)/Vtv))))))))));
  psiio = ((2.0*(Vtv/rT))*log((exp((((0.5*(model_.PS))*rT)/Vtv))-exp(((((-0.5)*(model_.PS))*rT)/Vtv)))));
  psiin = (((psiio*rT)-((3.0*Vtv)*log(rT)))-((model_.EAIS)*(rT-1.0)));
  PSatT = (psiin+((2.0*Vtv)*log((0.5*(1.0+sqrt((1.0+(4.0*exp(((-psiin)/Vtv))))))))));
  CJEatT = ((model_.CJE)*pow(((model_.PE)/PEatT),(model_.ME)));
  CJCatT = ((model_.CJC)*pow(((model_.PC)/PCatT),(model_.MC)));
  CJEPatT = ((model_.CJEP)*pow(((model_.PC)/PCatT),(model_.MC)));
  CJCPatT = ((model_.CJCP)*pow(((model_.PS)/PSatT),(model_.MS)));
  GAMMatT = (((model_.GAMM)*pow(rT,(model_.XIS)))*exp((((-(model_.EA))*(1.0-rT))/Vtv)));
  VOatT = ((model_.VO)*pow(rT,(model_.XVO)));
  EBBEatT = exp(((-VBBEatT)/(NBBEatT*Vtv)));
  IVEF = (((model_.VEF)>0.0)?(1.0/(model_.VEF)):0.0);
  IVER = (((model_.VER)>0.0)?(1.0/(model_.VER)):0.0);
  IIKF = 0.0;
  if (((model_.IKF)>0.0))
  {
    IIKF = (1.0/IKFatT);
  }
  IIKR = (((model_.IKR)>0.0)?(1.0/(model_.IKR)):0.0);
  IIKP = (((model_.IKP)>0.0)?(1.0/(model_.IKP)):0.0);
  IVO = 0.0;
  if (((model_.VO)>0.0))
  {
    IVO = (1.0/VOatT);
  }
  IHRCF = (((model_.HRCF)>0.0)?(1.0/(model_.HRCF)):0.0);
  IVTF = (((model_.VTF)>0.0)?(1.0/(model_.VTF)):0.0);
  IITF = (((model_.ITF)>0.0)?(1.0/(model_.ITF)):0.0);
  slTF = (((model_.ITF)>0.0)?0.0:1.0);
  dv0 = ((-PEatT)*(model_.FC));
  if (((model_.AJE)<=0.0))
  {
    dvh_vbei = (Vbei+dv0);
    if ((dvh_vbei>0.0))
    {
      pwq = pow((1.0-(model_.FC)),((-1.0)-(model_.ME)));
      qlo_vbei = ((PEatT*(1.0-((pwq*(1.0-(model_.FC)))*(1.0-(model_.FC)))))/(1.0-(model_.ME)));
      qhi_vbei = ((dvh_vbei*((1.0-(model_.FC))+(((0.5*(model_.ME))*dvh_vbei)/PEatT)))*pwq);
    }
    else
    {
      qlo_vbei = ((PEatT*(1.0-pow((1.0-(Vbei/PEatT)),(1.0-(model_.ME)))))/(1.0-(model_.ME)));
      qhi_vbei = 0.0;
    }
    qdbe = (qlo_vbei+qhi_vbei);
  }
  else
  {
    mv0 = sqrt(((dv0*dv0)+((4*(model_.AJE))*(model_.AJE))));
    vl0 = ((-0.5)*(dv0+mv0));
    q0 = (((-PEatT)*pow((1.0-(vl0/PEatT)),(1.0-(model_.ME))))/(1.0-(model_.ME)));
    dv_vbei = (Vbei+dv0);
    mv_vbei = sqrt(((dv_vbei*dv_vbei)+((4*(model_.AJE))*(model_.AJE))));
    vl_vbei = ((0.5*(dv_vbei-mv_vbei))-dv0);
    qlo_vbei = (((-PEatT)*pow((1.0-(vl_vbei/PEatT)),(1.0-(model_.ME))))/(1.0-(model_.ME)));
    qdbe = ((qlo_vbei+(pow((1.0-(model_.FC)),(-(model_.ME)))*((Vbei-vl_vbei)+vl0)))-q0);
  }
  dv0 = ((-PEatT)*(model_.FC));
  if (((model_.AJE)<=0.0))
  {
    dvh_vbex = (Vbex+dv0);
    if ((dvh_vbex>0.0))
    {
      pwq = pow((1.0-(model_.FC)),((-1.0)-(model_.ME)));
      qlo_vbex = ((PEatT*(1.0-((pwq*(1.0-(model_.FC)))*(1.0-(model_.FC)))))/(1.0-(model_.ME)));
      qhi_vbex = ((dvh_vbex*((1.0-(model_.FC))+(((0.5*(model_.ME))*dvh_vbex)/PEatT)))*pwq);
    }
    else
    {
      qlo_vbex = ((PEatT*(1.0-pow((1.0-(Vbex/PEatT)),(1.0-(model_.ME)))))/(1.0-(model_.ME)));
      qhi_vbex = 0.0;
    }
    qdbex = (qlo_vbex+qhi_vbex);
  }
  else
  {
    mv0 = sqrt(((dv0*dv0)+((4*(model_.AJE))*(model_.AJE))));
    vl0 = ((-0.5)*(dv0+mv0));
    q0 = (((-PEatT)*pow((1.0-(vl0/PEatT)),(1.0-(model_.ME))))/(1.0-(model_.ME)));
    dv_vbex = (Vbex+dv0);
    mv_vbex = sqrt(((dv_vbex*dv_vbex)+((4*(model_.AJE))*(model_.AJE))));
    vl_vbex = ((0.5*(dv_vbex-mv_vbex))-dv0);
    qlo_vbex = (((-PEatT)*pow((1.0-(vl_vbex/PEatT)),(1.0-(model_.ME))))/(1.0-(model_.ME)));
    qdbex = ((qlo_vbex+(pow((1.0-(model_.FC)),(-(model_.ME)))*((Vbex-vl_vbex)+vl0)))-q0);
  }
  dv0 = ((-PCatT)*(model_.FC));
  if (((model_.AJC)<=0.0))
  {
    dvh_vbci = (Vbci+dv0);
    if ((dvh_vbci>0.0))
    {
      pwq = pow((1.0-(model_.FC)),((-1.0)-(model_.MC)));
      qlo_vbci = ((PCatT*(1.0-((pwq*(1.0-(model_.FC)))*(1.0-(model_.FC)))))/(1.0-(model_.MC)));
      qhi_vbci = ((dvh_vbci*((1.0-(model_.FC))+(((0.5*(model_.MC))*dvh_vbci)/PCatT)))*pwq);
    }
    else
    {
      if ((((model_.VRT)>0.0)&&(Vbci<(-(model_.VRT)))))
      {
        qlo_vbci = ((PCatT*(1.0-(pow((1.0+((model_.VRT)/PCatT)),(1.0-(model_.MC)))*(1.0-(((1.0-(model_.MC))*(Vbci+(model_.VRT)))/(PCatT+(model_.VRT)))))))/(1.0-(model_.MC)));
      }
      else
      {
        qlo_vbci = ((PCatT*(1.0-pow((1.0-(Vbci/PCatT)),(1.0-(model_.MC)))))/(1.0-(model_.MC)));
      }
      qhi_vbci = 0.0;
    }
    qdbc = (qlo_vbci+qhi_vbci);
  }
  else
  {
    if ((((model_.VRT)>0.0)&&((model_.ART)>0.0)))
    {
      vn0 = (((model_.VRT)+dv0)/((model_.VRT)-dv0));
      vnl0 = ((2.0*vn0)/(sqrt((((vn0-1.0)*(vn0-1))+((4*(model_.AJC))*(model_.AJC))))+sqrt((((vn0+1.0)*(vn0+1))+((4*(model_.ART))*(model_.ART))))));
      vl0 = (0.5*(((vnl0*((model_.VRT)-dv0))-(model_.VRT))-dv0));
      qlo0 = ((PCatT*(1.0-pow((1.0-(vl0/PCatT)),(1.0-(model_.MC)))))/(1.0-(model_.MC)));
      vn_vbci = ((((2*Vbci)+(model_.VRT))+dv0)/((model_.VRT)-dv0));
      vnl_vbci = ((2.0*vn_vbci)/(sqrt((((vn_vbci-1.0)*(vn_vbci-1))+((4*(model_.AJC))*(model_.AJC))))+sqrt((((vn_vbci+1.0)*(vn_vbci+1))+((4*(model_.ART))*(model_.ART))))));
      vl_vbci = (0.5*(((vnl_vbci*((model_.VRT)-dv0))-(model_.VRT))-dv0));
      qlo_vbci = ((PCatT*(1.0-pow((1.0-(vl_vbci/PCatT)),(1.0-(model_.MC)))))/(1.0-(model_.MC)));
      sel_vbci = (0.5*(vnl_vbci+1.0));
      crt = pow((1.0+((model_.VRT)/PCatT)),(-(model_.MC)));
      cmx = pow((1.0+(dv0/PCatT)),(-(model_.MC)));
      cl_vbci = (((1.0-sel_vbci)*crt)+(sel_vbci*cmx));
      ql_vbci = (((Vbci-vl_vbci)+vl0)*cl_vbci);
      qdbc = ((ql_vbci+qlo_vbci)-qlo0);
    }
    else
    {
      mv0 = sqrt(((dv0*dv0)+((4*(model_.AJC))*(model_.AJC))));
      vl0 = ((-0.5)*(dv0+mv0));
      q0 = (((-PCatT)*pow((1.0-(vl0/PCatT)),(1.0-(model_.MC))))/(1.0-(model_.MC)));
      dv_vbci = (Vbci+dv0);
      mv_vbci = sqrt(((dv_vbci*dv_vbci)+((4*(model_.AJC))*(model_.AJC))));
      vl_vbci = ((0.5*(dv_vbci-mv_vbci))-dv0);
      qlo_vbci = (((-PCatT)*pow((1.0-(vl_vbci/PCatT)),(1.0-(model_.MC))))/(1.0-(model_.MC)));
      qdbc = ((qlo_vbci+(pow((1.0-(model_.FC)),(-(model_.MC)))*((Vbci-vl_vbci)+vl0)))-q0);
    }
  }
  dv0 = ((-PCatT)*(model_.FC));
  if (((model_.AJC)<=0.0))
  {
    dvh_vbep = (Vbep+dv0);
    if ((dvh_vbep>0.0))
    {
      pwq = pow((1.0-(model_.FC)),((-1.0)-(model_.MC)));
      qlo_vbep = ((PCatT*(1.0-((pwq*(1.0-(model_.FC)))*(1.0-(model_.FC)))))/(1.0-(model_.MC)));
      qhi_vbep = ((dvh_vbep*((1.0-(model_.FC))+(((0.5*(model_.MC))*dvh_vbep)/PCatT)))*pwq);
    }
    else
    {
      if ((((model_.VRT)>0.0)&&(Vbep<(-(model_.VRT)))))
      {
        qlo_vbep = ((PCatT*(1.0-(pow((1.0+((model_.VRT)/PCatT)),(1.0-(model_.MC)))*(1.0-(((1.0-(model_.MC))*(Vbep+(model_.VRT)))/(PCatT+(model_.VRT)))))))/(1.0-(model_.MC)));
      }
      else
      {
        qlo_vbep = ((PCatT*(1.0-pow((1.0-(Vbep/PCatT)),(1.0-(model_.MC)))))/(1.0-(model_.MC)));
      }
      qhi_vbep = 0.0;
    }
    qdbep = (qlo_vbep+qhi_vbep);
  }
  else
  {
    if ((((model_.VRT)>0.0)&&((model_.ART)>0.0)))
    {
      vn0 = (((model_.VRT)+dv0)/((model_.VRT)-dv0));
      vnl0 = ((2.0*vn0)/(sqrt((((vn0-1.0)*(vn0-1))+((4*(model_.AJC))*(model_.AJC))))+sqrt((((vn0+1.0)*(vn0+1))+((4*(model_.ART))*(model_.ART))))));
      vl0 = (0.5*(((vnl0*((model_.VRT)-dv0))-(model_.VRT))-dv0));
      qlo0 = ((PCatT*(1.0-pow((1.0-(vl0/PCatT)),(1.0-(model_.MC)))))/(1.0-(model_.MC)));
      vn_vbep = ((((2*Vbep)+(model_.VRT))+dv0)/((model_.VRT)-dv0));
      vnl_vbep = ((2.0*vn_vbep)/(sqrt((((vn_vbep-1.0)*(vn_vbep-1))+((4*(model_.AJC))*(model_.AJC))))+sqrt((((vn_vbep+1.0)*(vn_vbep+1))+((4*(model_.ART))*(model_.ART))))));
      vl_vbep = (0.5*(((vnl_vbep*((model_.VRT)-dv0))-(model_.VRT))-dv0));
      qlo_vbep = ((PCatT*(1.0-pow((1.0-(vl_vbep/PCatT)),(1.0-(model_.MC)))))/(1.0-(model_.MC)));
      sel_vbep = (0.5*(vnl_vbep+1.0));
      crt = pow((1.0+((model_.VRT)/PCatT)),(-(model_.MC)));
      cmx = pow((1.0+(dv0/PCatT)),(-(model_.MC)));
      cl_vbep = (((1.0-sel_vbep)*crt)+(sel_vbep*cmx));
      ql_vbep = (((Vbep-vl_vbep)+vl0)*cl_vbep);
      qdbep = ((ql_vbep+qlo_vbep)-qlo0);
    }
    else
    {
      mv0 = sqrt(((dv0*dv0)+((4*(model_.AJC))*(model_.AJC))));
      vl0 = ((-0.5)*(dv0+mv0));
      q0 = (((-PCatT)*pow((1.0-(vl0/PCatT)),(1.0-(model_.MC))))/(1.0-(model_.MC)));
      dv_vbep = (Vbep+dv0);
      mv_vbep = sqrt(((dv_vbep*dv_vbep)+((4*(model_.AJC))*(model_.AJC))));
      vl_vbep = ((0.5*(dv_vbep-mv_vbep))-dv0);
      qlo_vbep = (((-PCatT)*pow((1.0-(vl_vbep/PCatT)),(1.0-(model_.MC))))/(1.0-(model_.MC)));
      qdbep = ((qlo_vbep+(pow((1.0-(model_.FC)),(-(model_.MC)))*((Vbep-vl_vbep)+vl0)))-q0);
    }
  }
  argi_vbei = (Vbei/(NFatT*Vtv));
  expi_vbei = limexp<AdmsFadType>(argi_vbei);
  Ifi = (ISatT*(expi_vbei-1.0));
  argi_vbci = (Vbci/(NRatT*Vtv));
  expi_vbci = limexp<AdmsFadType>(argi_vbci);
  Iri = ((ISatT*ISRRatT)*(expi_vbci-1.0));
  q1z = ((1.0+(qdbe*IVER))+(qdbc*IVEF));
  q1 = ((0.5*((sqrt((((q1z-1.0e-4)*(q1z-1.0e-4))+1.0e-8))+q1z)-1.0e-4))+1.0e-4);
  q2 = ((Ifi*IIKF)+(Iri*IIKR));
  if ((q2>0))
  {
    if (((model_.QBM)<0.5))
    {
      qb = (0.5*(q1+pow((pow(q1,(1.0/(model_.NKF)))+(4.0*q2)),(model_.NKF))));
    }
    else
    {
      qb = ((0.5*q1)*(1.0+pow((1.0+(4.0*q2)),(model_.NKF))));
    }
  }
  else
  {
    qb = q1;
  }
  Itzr = (Iri/qb);
  Itzf = (Ifi/qb);
  if (((model_.ISP)>0.0))
  {
    argi_vbep = (Vbep/((model_.NFP)*Vtv));
    expi_vbep = limexp<AdmsFadType>(argi_vbep);
    argx_vbci = (Vbci/((model_.NFP)*Vtv));
    expx_vbci = limexp<AdmsFadType>(argx_vbci);
    Ifp = (ISPatT*((((model_.WSP)*expi_vbep)+((1.0-(model_.WSP))*expx_vbci))-1.0));
    q2p = (Ifp*IIKP);
    qbp = (0.5*(1.0+sqrt((1.0+(4.0*q2p)))));
  }
  else
  {
    Ifp = 0.0;
    qbp = 1.0;
  }
  if (((model_.WBE)==1.0))
  {
    argi_vbei = (Vbei/((model_.NEI)*Vtv));
    expi_vbei = limexp<AdmsFadType>(argi_vbei);
    argn_vbei = (Vbei/((model_.NEN)*Vtv));
    expn_vbei = limexp<AdmsFadType>(argn_vbei);
    if (((model_.VBBE)>0.0))
    {
      argx_vbei = (((-VBBEatT)-Vbei)/(NBBEatT*Vtv));
      expx_vbei = limexp<AdmsFadType>(argx_vbei);
      Ibe = (((IBEIatT*(expi_vbei-1.0))+(IBENatT*(expn_vbei-1.0)))-((model_.IBBE)*(expx_vbei-EBBEatT)));
    }
    else
    {
      Ibe = ((IBEIatT*(expi_vbei-1.0))+(IBENatT*(expn_vbei-1.0)));
    }
    Ibex = 0.0;
  }
  else
  {
    if (((model_.WBE)==0.0))
    {
      Ibe = 0.0;
      argi_vbex = (Vbex/((model_.NEI)*Vtv));
      expi_vbex = limexp<AdmsFadType>(argi_vbex);
      argn_vbex = (Vbex/((model_.NEN)*Vtv));
      expn_vbex = limexp<AdmsFadType>(argn_vbex);
      if (((model_.VBBE)>0.0))
      {
        argx_vbex = (((-VBBEatT)-Vbex)/(NBBEatT*Vtv));
        expx_vbex = limexp<AdmsFadType>(argx_vbex);
        Ibex = (((IBEIatT*(expi_vbex-1.0))+(IBENatT*(expn_vbex-1.0)))-((model_.IBBE)*(expx_vbex-EBBEatT)));
      }
      else
      {
        Ibex = ((IBEIatT*(expi_vbex-1.0))+(IBENatT*(expn_vbex-1.0)));
      }
    }
    else
    {
      argi_vbei = (Vbei/((model_.NEI)*Vtv));
      expi_vbei = limexp<AdmsFadType>(argi_vbei);
      argn_vbei = (Vbei/((model_.NEN)*Vtv));
      expn_vbei = limexp<AdmsFadType>(argn_vbei);
      if (((model_.VBBE)>0.0))
      {
        argx_vbei = (((-VBBEatT)-Vbei)/(NBBEatT*Vtv));
        expx_vbei = limexp<AdmsFadType>(argx_vbei);
        Ibe = ((model_.WBE)*(((IBEIatT*(expi_vbei-1.0))+(IBENatT*(expn_vbei-1.0)))-((model_.IBBE)*(expx_vbei-EBBEatT))));
      }
      else
      {
        Ibe = ((model_.WBE)*((IBEIatT*(expi_vbei-1.0))+(IBENatT*(expn_vbei-1.0))));
      }
      argi_vbex = (Vbex/((model_.NEI)*Vtv));
      expi_vbex = limexp<AdmsFadType>(argi_vbex);
      argn_vbex = (Vbex/((model_.NEN)*Vtv));
      expn_vbex = limexp<AdmsFadType>(argn_vbex);
      if (((model_.VBBE)>0.0))
      {
        argx_vbex = (((-VBBEatT)-Vbex)/(NBBEatT*Vtv));
        expx_vbex = limexp<AdmsFadType>(argx_vbex);
        Ibex = ((1.0-(model_.WBE))*(((IBEIatT*(expi_vbex-1.0))+(IBENatT*(expn_vbex-1.0)))-((model_.IBBE)*(expx_vbex-EBBEatT))));
      }
      else
      {
        Ibex = ((1.0-(model_.WBE))*((IBEIatT*(expi_vbex-1.0))+(IBENatT*(expn_vbex-1.0))));
      }
    }
  }
  argi_vbci = (Vbci/((model_.NCI)*Vtv));
  expi_vbci = limexp<AdmsFadType>(argi_vbci);
  argn_vbci = (Vbci/((model_.NCN)*Vtv));
  expn_vbci = limexp<AdmsFadType>(argn_vbci);
  Ibcj = ((IBCIatT*(expi_vbci-1.0))+(IBCNatT*(expn_vbci-1.0)));
  if ((((model_.IBEIP)>0.0)||((model_.IBENP)>0.0)))
  {
    argi_vbep = (Vbep/((model_.NCI)*Vtv));
    expi_vbep = limexp<AdmsFadType>(argi_vbep);
    argn_vbep = (Vbep/((model_.NCN)*Vtv));
    expn_vbep = limexp<AdmsFadType>(argn_vbep);
    Ibep = ((IBEIPatT*(expi_vbep-1.0))+(IBENPatT*(expn_vbep-1.0)));
  }
  else
  {
    Ibep = 0.0;
  }
  if (((model_.AVC1)>0.0))
  {
    vl_vbci = (0.5*(sqrt((((PCatT-Vbci)*(PCatT-Vbci))+0.01))+(PCatT-Vbci)));
    avalf_exparg = ((-AVC2atT)*pow(vl_vbci,((model_.MC)-1.0)));
    avalf = (((model_.AVC1)*vl_vbci)*limexp<AdmsFadType>(avalf_exparg));
    Igc = (((Itzf-Itzr)-Ibcj)*avalf);
  }
  else
  {
    Igc = 0.0;
  }
  Ibc = (Ibcj-Igc);
  if (((model_.RCX)>0.0))
  {
    Ircx = (Vrcx/RCXatT);
  }
  else
  {
    Ircx = 0.0;
  }
  argi_vbci = (Vbci/Vtv);
  expi_vbci = limexp<AdmsFadType>(argi_vbci);
  argx_vbcx = (Vbcx/Vtv);
  expx_vbcx = limexp<AdmsFadType>(argx_vbcx);
  Kbci = sqrt((1.0+(GAMMatT*expi_vbci)));
  Kbcx = sqrt((1.0+(GAMMatT*expx_vbcx)));
  if (((model_.RCI)>0.0))
  {
    rKp1 = ((Kbci+1.0)/(Kbcx+1.0));
    Iohm = ((Vrci+(Vtv*((Kbci-Kbcx)-log(rKp1))))/RCIatT);
    derf = (((IVO*RCIatT)*Iohm)/(1.0+(((0.5*IVO)*IHRCF)*sqrt(((Vrci*Vrci)+0.01)))));
    Irci = (Iohm/sqrt((1+(derf*derf))));
  }
  else
  {
    Irci = 0.0;
  }
  if (((model_.RBX)>0.0))
  {
    Irbx = (Vrbx/RBXatT);
  }
  else
  {
    Irbx = 0.0;
  }
  if (((model_.RBI)>0.0))
  {
    Irbi = ((Vrbi*qb)/RBIatT);
  }
  else
  {
    Irbi = 0.0;
  }
  if (((model_.RE)>0.0))
  {
    Ire = (Vre/REatT);
  }
  else
  {
    Ire = 0.0;
  }
  if (((model_.RBP)>0.0))
  {
    Irbp = ((Vrbp*qbp)/RBPatT);
  }
  else
  {
    Irbp = 0.0;
  }
  sgIf = ((Ifi>0.0)?1.0:0.0);
  rIf = ((Ifi*sgIf)*IITF);
  mIf = (rIf/(rIf+1.0));
  tff_exparg = ((Vbci*IVTF)/1.44);
  tff = (((model_.TF)*(1.0+((model_.QTF)*q1)))*(1.0+((((model_.XTF)*limexp<AdmsFadType>(tff_exparg))*(slTF+(mIf*mIf)))*sgIf)));
  Qbe = (((CJEatT*qdbe)*(model_.WBE))+((tff*Ifi)/qb));
  Qbex = ((CJEatT*qdbex)*(1.0-(model_.WBE)));
  Qbc = (((CJCatT*qdbc)+((model_.TR)*Iri))+((model_.QCO)*Kbci));
  Qbcx = ((model_.QCO)*Kbcx);
  Qbep = ((CJEPatT*qdbep)+((model_.TR)*Ifp));
  Qbeo = (Vbe*(model_.CBEO));
  Qbco = (Vbc*(model_.CBCO));
  Ith = (-(((((((((((Ibe*Vbei)+(Ibc*Vbci))+((Itzf-Itzr)*Vcei))+(Ibex*Vbex))+(Ibep*Vbep))+(Ircx*Vrcx))+(Irci*Vrci))+(Irbx*Vrbx))+(Irbi*Vrbi))+(Ire*Vre))+(Irbp*Vrbp)));
  if (((model_.RTH)>0.0))
  {
    Irth = (Vrth/(model_.RTH));
  }
  else
  {
    Irth = 0.0;
  }
  Qcth = (Vrth*(model_.CTH));
  // I(bi,ei) <+ (((M*dtype)*(Ibe+($simparam("gmin")*Vbei))))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Ibe+(getDeviceOptions().gmin*Vbei)));
    staticContributions[admsNodeID_bi] += contribTemp;
    staticContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_static[admsNodeID_bi] += contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bx,ei) <+ (((M*dtype)*(Ibex+($simparam("gmin")*Vbex))))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Ibex+(getDeviceOptions().gmin*Vbex)));
    staticContributions[admsNodeID_bx] += contribTemp;
    staticContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_static[admsNodeID_bx] += contribTemp.dx(admsProbeID_V_bx_ei)*probeDiffs[admsProbeID_V_bx_ei]*probeVars[admsProbeID_V_bx_ei].dx(admsProbeID_V_bx_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bx_ei)*probeDiffs[admsProbeID_V_bx_ei]*probeVars[admsProbeID_V_bx_ei].dx(admsProbeID_V_bx_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(ci,ei) <+ (((M*dtype)*Itzf))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*Itzf);
    staticContributions[admsNodeID_ci] += contribTemp;
    staticContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_static[admsNodeID_ci] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(ei,ci) <+ (((M*dtype)*Itzr))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*Itzr);
    staticContributions[admsNodeID_ei] += contribTemp;
    staticContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_static[admsNodeID_ei] += contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bi,ci) <+ (((M*dtype)*(Ibc+($simparam("gmin")*Vbci))))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Ibc+(getDeviceOptions().gmin*Vbci)));
    staticContributions[admsNodeID_bi] += contribTemp;
    staticContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_static[admsNodeID_bi] += contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bx,bp) <+ (((M*dtype)*(Ibep+($simparam("gmin")*Vbep))))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Ibep+(getDeviceOptions().gmin*Vbep)));
    staticContributions[admsNodeID_bx] += contribTemp;
    staticContributions[admsNodeID_bp] -= contribTemp;

    Jdxp_static[admsNodeID_bx] += contribTemp.dx(admsProbeID_V_bx_bp)*probeDiffs[admsProbeID_V_bx_bp]*probeVars[admsProbeID_V_bx_bp].dx(admsProbeID_V_bx_bp)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_bp] -= contribTemp.dx(admsProbeID_V_bx_bp)*probeDiffs[admsProbeID_V_bx_bp]*probeVars[admsProbeID_V_bx_bp].dx(admsProbeID_V_bx_bp)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  if (((model_.RCX)>0))
  {
    // I(c,cx) <+ (((M*dtype)*Ircx))
    {
      AdmsFadType contribTemp;
      contribTemp= ((M*(model_.dtype))*Ircx);
      staticContributions[admsNodeID_c] += contribTemp;
      staticContributions[admsNodeID_cx] -= contribTemp;

      Jdxp_static[admsNodeID_c] += contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
      Jdxp_static[admsNodeID_cx] -= contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    }
  }
  else
  {
    // V(c,cx) <+ (0.0)
    // do nothing at all
  }
  // I(cx,ci) <+ (((M*dtype)*(Irci+($simparam("gmin")*Vrci))))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Irci+(getDeviceOptions().gmin*Vrci)));
    staticContributions[admsNodeID_cx] += contribTemp;
    staticContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_static[admsNodeID_cx] += contribTemp.dx(admsProbeID_V_bi_cx)*probeDiffs[admsProbeID_V_bi_cx]*probeVars[admsProbeID_V_bi_cx].dx(admsProbeID_V_bi_cx)+contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bi_cx)*probeDiffs[admsProbeID_V_bi_cx]*probeVars[admsProbeID_V_bi_cx].dx(admsProbeID_V_bi_cx)+contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  if (((model_.RBX)>0))
  {
    // I(b,bx) <+ (((M*dtype)*Irbx))
    {
      AdmsFadType contribTemp;
      contribTemp= ((M*(model_.dtype))*Irbx);
      staticContributions[admsNodeID_b] += contribTemp;
      staticContributions[admsNodeID_bx] -= contribTemp;

      Jdxp_static[admsNodeID_b] += contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
      Jdxp_static[admsNodeID_bx] -= contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    }
  }
  else
  {
    // V(b,bx) <+ (0.0)
    // do nothing at all
  }
  // I(bx,bi) <+ (((M*dtype)*Irbi))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*Irbi);
    staticContributions[admsNodeID_bx] += contribTemp;
    staticContributions[admsNodeID_bi] -= contribTemp;

    Jdxp_static[admsNodeID_bx] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND)+contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei);
    Jdxp_static[admsNodeID_bi] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND)+contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei);
  }
  if (((model_.RE)>0))
  {
    // I(e,ei) <+ (((M*dtype)*Ire))
    {
      AdmsFadType contribTemp;
      contribTemp= ((M*(model_.dtype))*Ire);
      staticContributions[admsNodeID_e] += contribTemp;
      staticContributions[admsNodeID_ei] -= contribTemp;

      Jdxp_static[admsNodeID_e] += contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
      Jdxp_static[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    }
  }
  else
  {
    // V(e,ei) <+ (0.0)
    // do nothing at all
  }
  // I(bp,cx) <+ (((M*dtype)*Irbp))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*Irbp);
    staticContributions[admsNodeID_bp] += contribTemp;
    staticContributions[admsNodeID_cx] -= contribTemp;

    Jdxp_static[admsNodeID_bp] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bx_bp)*probeDiffs[admsProbeID_V_bx_bp]*probeVars[admsProbeID_V_bx_bp].dx(admsProbeID_V_bx_bp)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_static[admsNodeID_cx] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bx_bp)*probeDiffs[admsProbeID_V_bx_bp]*probeVars[admsProbeID_V_bx_bp].dx(admsProbeID_V_bx_bp)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bi,ei) <+ (((M*dtype)*ddt(Qbe)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Qbe));
    dynamicContributions[admsNodeID_bi] += contribTemp;
    dynamicContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bi] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_dynamic[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bx,ei) <+ (((M*dtype)*ddt(Qbex)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Qbex));
    dynamicContributions[admsNodeID_bx] += contribTemp;
    dynamicContributions[admsNodeID_ei] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bx] += contribTemp.dx(admsProbeID_V_bx_ei)*probeDiffs[admsProbeID_V_bx_ei]*probeVars[admsProbeID_V_bx_ei].dx(admsProbeID_V_bx_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_dynamic[admsNodeID_ei] -= contribTemp.dx(admsProbeID_V_bx_ei)*probeDiffs[admsProbeID_V_bx_ei]*probeVars[admsProbeID_V_bx_ei].dx(admsProbeID_V_bx_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bi,ci) <+ (((M*dtype)*ddt(Qbc)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Qbc));
    dynamicContributions[admsNodeID_bi] += contribTemp;
    dynamicContributions[admsNodeID_ci] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bi] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_dynamic[admsNodeID_ci] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bi,cx) <+ (((M*dtype)*ddt(Qbcx)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Qbcx));
    dynamicContributions[admsNodeID_bi] += contribTemp;
    dynamicContributions[admsNodeID_cx] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bi] += contribTemp.dx(admsProbeID_V_bi_cx)*probeDiffs[admsProbeID_V_bi_cx]*probeVars[admsProbeID_V_bi_cx].dx(admsProbeID_V_bi_cx)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_dynamic[admsNodeID_cx] -= contribTemp.dx(admsProbeID_V_bi_cx)*probeDiffs[admsProbeID_V_bi_cx]*probeVars[admsProbeID_V_bi_cx].dx(admsProbeID_V_bi_cx)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(bx,bp) <+ (((M*dtype)*ddt(Qbep)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Qbep));
    dynamicContributions[admsNodeID_bx] += contribTemp;
    dynamicContributions[admsNodeID_bp] -= contribTemp;

    Jdxp_dynamic[admsNodeID_bx] += contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bx_bp)*probeDiffs[admsProbeID_V_bx_bp]*probeVars[admsProbeID_V_bx_bp].dx(admsProbeID_V_bx_bp)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
    Jdxp_dynamic[admsNodeID_bp] -= contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bx_bp)*probeDiffs[admsProbeID_V_bx_bp]*probeVars[admsProbeID_V_bx_bp].dx(admsProbeID_V_bx_bp)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(b,e) <+ (((M*dtype)*ddt(Qbeo)))
  {
    AdmsFadType contribTemp;
    contribTemp= ((M*(model_.dtype))*(Qbeo));
    dynamicContributions[admsNodeID_b] += contribTemp;
    dynamicContributions[admsNodeID_e] -= contribTemp;

    Jdxp_dynamic[admsNodeID_b] += contribTemp.dx(admsProbeID_V_b_e)*probeDiffs[admsProbeID_V_b_e]*probeVars[admsProbeID_V_b_e].dx(admsProbeID_V_b_e);
    Jdxp_dynamic[admsNodeID_e] -= contribTemp.dx(admsProbeID_V_b_e)*probeDiffs[admsProbeID_V_b_e]*probeVars[admsProbeID_V_b_e].dx(admsProbeID_V_b_e);
  }
  // I(b,c) <+ (((M*dtype)*ddt(Qbco)))
  dynamicContributions[admsNodeID_b] += ((M*(model_.dtype))*(Qbco));
  dynamicContributions[admsNodeID_c] -= ((M*(model_.dtype))*(Qbco));
  // I(dt,GND) <+ (Irth)
  {
    AdmsFadType contribTemp;
    contribTemp= Irth;
    staticContributions[admsNodeID_dt] += contribTemp;

    Jdxp_static[admsNodeID_dt] += contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(dt,GND) <+ (Ith)
  {
    AdmsFadType contribTemp;
    contribTemp= Ith;
    staticContributions[admsNodeID_dt] += contribTemp;

    Jdxp_static[admsNodeID_dt] += contribTemp.dx(admsProbeID_V_bi_cx)*probeDiffs[admsProbeID_V_bi_cx]*probeVars[admsProbeID_V_bi_cx].dx(admsProbeID_V_bi_cx)+contribTemp.dx(admsProbeID_V_bx_bp)*probeDiffs[admsProbeID_V_bx_bp]*probeVars[admsProbeID_V_bx_bp].dx(admsProbeID_V_bx_bp)+contribTemp.dx(admsProbeID_V_bx_ei)*probeDiffs[admsProbeID_V_bx_ei]*probeVars[admsProbeID_V_bx_ei].dx(admsProbeID_V_bx_ei)+contribTemp.dx(admsProbeID_V_bi_ci)*probeDiffs[admsProbeID_V_bi_ci]*probeVars[admsProbeID_V_bi_ci].dx(admsProbeID_V_bi_ci)+contribTemp.dx(admsProbeID_V_bi_ei)*probeDiffs[admsProbeID_V_bi_ei]*probeVars[admsProbeID_V_bi_ei].dx(admsProbeID_V_bi_ei)+contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }
  // I(dt,GND) <+ (ddt(Qcth))
  {
    AdmsFadType contribTemp;
    contribTemp= (Qcth);
    dynamicContributions[admsNodeID_dt] += contribTemp;

    Jdxp_dynamic[admsNodeID_dt] += contribTemp.dx(admsProbeID_V_dt_GND)*probeDiffs[admsProbeID_V_dt_GND]*probeVars[admsProbeID_V_dt_GND].dx(admsProbeID_V_dt_GND);
  }


  // -- endcode converted from analog/code block
#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << " probeVars[admsProbeID_V_ci_ei] =  "
         <<probeVars[admsProbeID_V_ci_ei].val() << endl;
    cout << " probeVars[admsProbeID_V_b_c] =  "
         <<probeVars[admsProbeID_V_b_c].val() << endl;
    cout << " probeVars[admsProbeID_V_bp_cx] =  "
         <<probeVars[admsProbeID_V_bp_cx].val() << endl;
    cout << " probeVars[admsProbeID_V_e_ei] =  "
         <<probeVars[admsProbeID_V_e_ei].val() << endl;
    cout << " probeVars[admsProbeID_V_b_bx] =  "
         <<probeVars[admsProbeID_V_b_bx].val() << endl;
    cout << " probeVars[admsProbeID_V_bx_bi] =  "
         <<probeVars[admsProbeID_V_bx_bi].val() << endl;
    cout << " probeVars[admsProbeID_V_cx_ci] =  "
         <<probeVars[admsProbeID_V_cx_ci].val() << endl;
    cout << " probeVars[admsProbeID_V_c_cx] =  "
         <<probeVars[admsProbeID_V_c_cx].val() << endl;
    cout << " probeVars[admsProbeID_V_b_e] =  "
         <<probeVars[admsProbeID_V_b_e].val() << endl;
    cout << " probeVars[admsProbeID_V_dt_GND] =  "
         <<probeVars[admsProbeID_V_dt_GND].val() << endl;
    cout << " probeVars[admsProbeID_V_bx_bp] =  "
         <<probeVars[admsProbeID_V_bx_bp].val() << endl;
    cout << " probeVars[admsProbeID_V_bi_cx] =  "
         <<probeVars[admsProbeID_V_bi_cx].val() << endl;
    cout << " probeVars[admsProbeID_V_bx_ei] =  "
         <<probeVars[admsProbeID_V_bx_ei].val() << endl;
    cout << " probeVars[admsProbeID_V_bi_ci] =  "
         <<probeVars[admsProbeID_V_bi_ci].val() << endl;
    cout << " probeVars[admsProbeID_V_bi_ei] =  "
         <<probeVars[admsProbeID_V_bi_ei].val() << endl;
    cout << " staticContributions[admsNodeID_c] =  "
         <<staticContributions[admsNodeID_c].val() << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_c].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_c] =  "
         <<dynamicContributions[admsNodeID_c].val() << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_c].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_c] =  "
         <<Jdxp_static[admsNodeID_c] << endl;
    cout << " Jdxp_dynamic[admsNodeID_c] =  "
         <<Jdxp_dynamic[admsNodeID_c] << endl;
    cout << " staticContributions[admsNodeID_b] =  "
         <<staticContributions[admsNodeID_b].val() << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_b].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_b] =  "
         <<dynamicContributions[admsNodeID_b].val() << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_b].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_b] =  "
         <<Jdxp_static[admsNodeID_b] << endl;
    cout << " Jdxp_dynamic[admsNodeID_b] =  "
         <<Jdxp_dynamic[admsNodeID_b] << endl;
    cout << " staticContributions[admsNodeID_e] =  "
         <<staticContributions[admsNodeID_e].val() << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_e].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_e] =  "
         <<dynamicContributions[admsNodeID_e].val() << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_e].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_e] =  "
         <<Jdxp_static[admsNodeID_e] << endl;
    cout << " Jdxp_dynamic[admsNodeID_e] =  "
         <<Jdxp_dynamic[admsNodeID_e] << endl;
    cout << " staticContributions[admsNodeID_dt] =  "
         <<staticContributions[admsNodeID_dt].val() << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_dt] =  "
         <<dynamicContributions[admsNodeID_dt].val() << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_dt] =  "
         <<Jdxp_static[admsNodeID_dt] << endl;
    cout << " Jdxp_dynamic[admsNodeID_dt] =  "
         <<Jdxp_dynamic[admsNodeID_dt] << endl;
    cout << " staticContributions[admsNodeID_cx] =  "
         <<staticContributions[admsNodeID_cx].val() << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_cx] =  "
         <<dynamicContributions[admsNodeID_cx].val() << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_cx] =  "
         <<Jdxp_static[admsNodeID_cx] << endl;
    cout << " Jdxp_dynamic[admsNodeID_cx] =  "
         <<Jdxp_dynamic[admsNodeID_cx] << endl;
    cout << " staticContributions[admsNodeID_ci] =  "
         <<staticContributions[admsNodeID_ci].val() << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_ci] =  "
         <<dynamicContributions[admsNodeID_ci].val() << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_ci] =  "
         <<Jdxp_static[admsNodeID_ci] << endl;
    cout << " Jdxp_dynamic[admsNodeID_ci] =  "
         <<Jdxp_dynamic[admsNodeID_ci] << endl;
    cout << " staticContributions[admsNodeID_bx] =  "
         <<staticContributions[admsNodeID_bx].val() << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_bx] =  "
         <<dynamicContributions[admsNodeID_bx].val() << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_bx] =  "
         <<Jdxp_static[admsNodeID_bx] << endl;
    cout << " Jdxp_dynamic[admsNodeID_bx] =  "
         <<Jdxp_dynamic[admsNodeID_bx] << endl;
    cout << " staticContributions[admsNodeID_bi] =  "
         <<staticContributions[admsNodeID_bi].val() << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_bi] =  "
         <<dynamicContributions[admsNodeID_bi].val() << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_bi] =  "
         <<Jdxp_static[admsNodeID_bi] << endl;
    cout << " Jdxp_dynamic[admsNodeID_bi] =  "
         <<Jdxp_dynamic[admsNodeID_bi] << endl;
    cout << " staticContributions[admsNodeID_ei] =  "
         <<staticContributions[admsNodeID_ei].val() << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_ei] =  "
         <<dynamicContributions[admsNodeID_ei].val() << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_ei] =  "
         <<Jdxp_static[admsNodeID_ei] << endl;
    cout << " Jdxp_dynamic[admsNodeID_ei] =  "
         <<Jdxp_dynamic[admsNodeID_ei] << endl;
    cout << " staticContributions[admsNodeID_bp] =  "
         <<staticContributions[admsNodeID_bp].val() << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_ci_ei) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_b_c) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_b_c) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_e_ei) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_e_ei) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_b_bx) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_b_bx) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bi) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_cx_ci) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_c_cx) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_c_cx) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_b_e) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_b_e) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_cx) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_ei) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ei) =  " <<staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ei) << endl;
    cout << " dynamicContributions[admsNodeID_bp] =  "
         <<dynamicContributions[admsNodeID_bp].val() << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_ci_ei) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_ci_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_b_c) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_b_c) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_e_ei) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_e_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_b_bx) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_b_bx) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bi) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bi) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_cx_ci) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_cx_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_c_cx) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_c_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_b_e) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_b_e) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_cx) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_cx) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_ei) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_ei) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci) << endl;
    cout << "    dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ei) =  " <<dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ei) << endl;
    cout << " Jdxp_static[admsNodeID_bp] =  "
         <<Jdxp_static[admsNodeID_bp] << endl;
    cout << " Jdxp_dynamic[admsNodeID_bp] =  "
         <<Jdxp_dynamic[admsNodeID_bp] << endl;

    if (!origFlag)
    {
      cout << "This step was limited by this device." << endl;
      cout << " Vbei_limited = " << Vbei_limited << " _orig = " << Vbei_orig << " diff = " << Vbei_limited - Vbei_orig << endl;
      cout << " Vbci_limited = " << Vbci_limited << " _orig = " << Vbci_orig << " diff = " << Vbci_limited - Vbci_orig << endl;
      cout << " Vbex_limited = " << Vbex_limited << " _orig = " << Vbex_orig << " diff = " << Vbex_limited - Vbex_orig << endl;
      cout << " Vbcx_limited = " << Vbcx_limited << " _orig = " << Vbcx_orig << " diff = " << Vbcx_limited - Vbcx_orig << endl;
      cout << " Vbep_limited = " << Vbep_limited << " _orig = " << Vbep_orig << " diff = " << Vbep_limited - Vbep_orig << endl;
      cout << " Vrth_limited = " << Vrth_limited << " _orig = " << Vrth_orig << " diff = " << Vrth_limited - Vrth_orig << endl;
    }
  }
#endif // Xyce_DEBUG_DEVICE
  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdFdx
// Purpose       :
// Special Notes : Load the dFdx ("static jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdFdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << dashedline2 << endl;
    cout << "ADMSvbic::Instance::loadDAEdFdx (" << getName() << "):" << endl;
  }
#endif
  (*f_bi_Equ_bi_Node_Ptr) +=  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi) +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_bi_Node_Ptr) += " <<  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi) +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei)<< endl;
  }
#endif
  (*f_bi_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei)<< endl;
  }
#endif
  (*f_ei_Equ_bi_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_bi_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei)<< endl;
  }
#endif
  (*f_ei_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei)<< endl;
  }
#endif
  (*f_bi_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_ei_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_bx_Equ_bx_Node_Ptr) +=  +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) -staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bx_Equ_bx_Node_Ptr) += " <<  +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) -staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei)<< endl;
  }
#endif
  (*f_bx_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bx_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei)<< endl;
  }
#endif
  (*f_ei_Equ_bx_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_bx_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei)<< endl;
  }
#endif
  (*f_bx_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bx_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_ci_Equ_bi_Node_Ptr) +=  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx) +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei) +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_bi_Node_Ptr) += " <<  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx) +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei) +staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_ci_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_ei_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_ci_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ei)<< endl;
  }
#endif
  (*f_ci_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_bi_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_bx_Equ_bp_Node_Ptr) +=  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bx_Equ_bp_Node_Ptr) += " <<  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*f_bp_Equ_bx_Node_Ptr) +=  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bp_Equ_bx_Node_Ptr) += " <<  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*f_bp_Equ_bp_Node_Ptr) +=  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx) -staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bp_Equ_bp_Node_Ptr) += " <<  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx) -staticContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*f_bp_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bp_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_c_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_c].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_c_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_c].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_cx_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_c_Equ_c_Node_Ptr) +=  +staticContributions[admsNodeID_c].dx(admsProbeID_V_c_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_c_Equ_c_Node_Ptr) += " <<  +staticContributions[admsNodeID_c].dx(admsProbeID_V_c_cx)<< endl;
  }
#endif
  (*f_c_Equ_cx_Node_Ptr) +=  -staticContributions[admsNodeID_c].dx(admsProbeID_V_c_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_c_Equ_cx_Node_Ptr) += " <<  -staticContributions[admsNodeID_c].dx(admsProbeID_V_c_cx)<< endl;
  }
#endif
  (*f_cx_Equ_c_Node_Ptr) +=  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_c_Node_Ptr) += " <<  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx)<< endl;
  }
#endif
  (*f_cx_Equ_cx_Node_Ptr) +=  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) +staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_cx_Node_Ptr) += " <<  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) +staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_c_cx)<< endl;
  }
#endif
  (*f_cx_Equ_bi_Node_Ptr) +=  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_bi_Node_Ptr) += " <<  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx)<< endl;
  }
#endif
  (*f_ci_Equ_cx_Node_Ptr) +=  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ci_Equ_cx_Node_Ptr) += " <<  +staticContributions[admsNodeID_ci].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_ci].dx(admsProbeID_V_bi_cx)<< endl;
  }
#endif
  (*f_cx_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_cx].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_b_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_b].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_b_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_b].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_b_Equ_b_Node_Ptr) +=  +staticContributions[admsNodeID_b].dx(admsProbeID_V_b_bx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_b_Equ_b_Node_Ptr) += " <<  +staticContributions[admsNodeID_b].dx(admsProbeID_V_b_bx)<< endl;
  }
#endif
  (*f_b_Equ_bx_Node_Ptr) +=  -staticContributions[admsNodeID_b].dx(admsProbeID_V_b_bx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_b_Equ_bx_Node_Ptr) += " <<  -staticContributions[admsNodeID_b].dx(admsProbeID_V_b_bx)<< endl;
  }
#endif
  (*f_bx_Equ_b_Node_Ptr) +=  +staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bx_Equ_b_Node_Ptr) += " <<  +staticContributions[admsNodeID_bx].dx(admsProbeID_V_b_bx)<< endl;
  }
#endif
  (*f_bx_Equ_bi_Node_Ptr) +=  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bx_Equ_bi_Node_Ptr) += " <<  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bi) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ei) +staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_bx_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bx_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_bi_Equ_bx_Node_Ptr) +=  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bi_Equ_bx_Node_Ptr) += " <<  +staticContributions[admsNodeID_bi].dx(admsProbeID_V_bx_bi)<< endl;
  }
#endif
  (*f_e_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_e].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_e_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_e].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_e_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_e].dx(admsProbeID_V_e_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_e_Equ_e_Node_Ptr) += " <<  +staticContributions[admsNodeID_e].dx(admsProbeID_V_e_ei)<< endl;
  }
#endif
  (*f_e_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_e].dx(admsProbeID_V_e_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_e_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_e].dx(admsProbeID_V_e_ei)<< endl;
  }
#endif
  (*f_ei_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_ei_Equ_e_Node_Ptr) += " <<  +staticContributions[admsNodeID_ei].dx(admsProbeID_V_e_ei)<< endl;
  }
#endif
  (*f_bp_Equ_bi_Node_Ptr) +=  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bp_Equ_bi_Node_Ptr) += " <<  +staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_bp_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bp_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*f_cx_Equ_bx_Node_Ptr) +=  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_bx_Node_Ptr) += " <<  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*f_cx_Equ_bp_Node_Ptr) +=  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_cx_Equ_bp_Node_Ptr) += " <<  +staticContributions[admsNodeID_cx].dx(admsProbeID_V_bp_cx) -staticContributions[admsNodeID_cx].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*f_bp_Equ_cx_Node_Ptr) +=  -staticContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_bp_Equ_cx_Node_Ptr) += " <<  -staticContributions[admsNodeID_bp].dx(admsProbeID_V_bp_cx)<< endl;
  }
#endif
  (*f_dt_Equ_dt_Node_Ptr) +=  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_dt_Node_Ptr) += " <<  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*f_dt_Equ_bp_Node_Ptr) +=  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_bp_Node_Ptr) += " <<  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx)<< endl;
  }
#endif
  (*f_dt_Equ_cx_Node_Ptr) +=  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_cx_Node_Ptr) += " <<  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bp_cx)<< endl;
  }
#endif
  (*f_dt_Equ_e_Node_Ptr) +=  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_e_Node_Ptr) += " <<  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei)<< endl;
  }
#endif
  (*f_dt_Equ_ei_Node_Ptr) +=  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_ei_Node_Ptr) += " <<  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_e_ei)<< endl;
  }
#endif
  (*f_dt_Equ_bx_Node_Ptr) +=  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_bx_Node_Ptr) += " <<  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_ei) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bp) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi)<< endl;
  }
#endif
  (*f_dt_Equ_bi_Node_Ptr) +=  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_bi_Node_Ptr) += " <<  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ei) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_cx) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bx_bi)<< endl;
  }
#endif
  (*f_dt_Equ_b_Node_Ptr) +=  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_b_Node_Ptr) += " <<  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_b_bx)<< endl;
  }
#endif
  (*f_dt_Equ_ci_Node_Ptr) +=  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_ci_Node_Ptr) += " <<  -staticContributions[admsNodeID_dt].dx(admsProbeID_V_bi_ci) +staticContributions[admsNodeID_dt].dx(admsProbeID_V_ci_ei) -staticContributions[admsNodeID_dt].dx(admsProbeID_V_cx_ci)<< endl;
  }
#endif
  (*f_dt_Equ_c_Node_Ptr) +=  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*f_dt_Equ_c_Node_Ptr) += " <<  +staticContributions[admsNodeID_dt].dx(admsProbeID_V_c_cx)<< endl;
  }
#endif


  return bsuccess;
}


//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdQdx
// Purpose       :
// Special Notes : Load the dQdx ("dynamic jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdQdx()
{
  bool bsuccess = true;
  N_LAS_Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;

#ifdef Xyce_DEBUG_DEVICE
  const string dashedline2 = "---------------------";
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << dashedline2 << endl;
    cout << "ADMSvbic::Instance::loadDAEdQdx (" << getName() << "):" << endl;
  }
#endif
  (*q_bi_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx) +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei) +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx) +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei) +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_bi_Equ_ei_Node_Ptr) +=  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_ei_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ei)<< endl;
  }
#endif
  (*q_ei_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei) +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei) +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_ei_Equ_ei_Node_Ptr) +=  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_ei_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei) -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ei)<< endl;
  }
#endif
  (*q_bi_Equ_dt_Node_Ptr) +=  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_dt_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*q_ei_Equ_dt_Node_Ptr) +=  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_dt_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*q_bx_Equ_bx_Node_Ptr) +=  +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bx_Equ_bx_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp) +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei)<< endl;
  }
#endif
  (*q_bx_Equ_ei_Node_Ptr) +=  -dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bx_Equ_ei_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_ei)<< endl;
  }
#endif
  (*q_ei_Equ_bx_Node_Ptr) +=  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_bx_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bx_ei)<< endl;
  }
#endif
  (*q_bx_Equ_dt_Node_Ptr) +=  +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bx_Equ_dt_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*q_ci_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_ci_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_ei_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ei_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_ei].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_ci_Equ_dt_Node_Ptr) +=  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_ci_Equ_dt_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_ci].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*q_bi_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_bx_Equ_bp_Node_Ptr) +=  -dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bx_Equ_bp_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*q_bp_Equ_bx_Node_Ptr) +=  +dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bp_Equ_bx_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*q_bp_Equ_bp_Node_Ptr) +=  -dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bp_Equ_bp_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bx_bp)<< endl;
  }
#endif
  (*q_bp_Equ_dt_Node_Ptr) +=  +dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bp_Equ_dt_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*q_cx_Equ_dt_Node_Ptr) +=  +dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_cx_Equ_dt_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif
  (*q_c_Equ_c_Node_Ptr) +=  -dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_c_Equ_c_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c)<< endl;
  }
#endif
  (*q_cx_Equ_cx_Node_Ptr) +=  -dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_cx_Equ_cx_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx)<< endl;
  }
#endif
  (*q_cx_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_cx_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_cx].dx(admsProbeID_V_bi_cx)<< endl;
  }
#endif
  (*q_b_Equ_b_Node_Ptr) +=  +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_b_Equ_b_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c) +dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_e)<< endl;
  }
#endif
  (*q_bx_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bx_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_bx_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bx_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bx].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_e_Equ_e_Node_Ptr) +=  -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_e_Equ_e_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_e)<< endl;
  }
#endif
  (*q_bp_Equ_bi_Node_Ptr) +=  +dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bp_Equ_bi_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_bp_Equ_ci_Node_Ptr) +=  -dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bp_Equ_ci_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bp].dx(admsProbeID_V_bi_ci)<< endl;
  }
#endif
  (*q_bi_Equ_cx_Node_Ptr) +=  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_bi_Equ_cx_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_bi].dx(admsProbeID_V_bi_cx)<< endl;
  }
#endif
  (*q_b_Equ_e_Node_Ptr) +=  -dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_b_Equ_e_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_e)<< endl;
  }
#endif
  (*q_e_Equ_b_Node_Ptr) +=  +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_e);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_e_Equ_b_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_e].dx(admsProbeID_V_b_e)<< endl;
  }
#endif
  (*q_b_Equ_c_Node_Ptr) +=  -dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_b_Equ_c_Node_Ptr) += " <<  -dynamicContributions[admsNodeID_b].dx(admsProbeID_V_b_c)<< endl;
  }
#endif
  (*q_c_Equ_b_Node_Ptr) +=  +dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_c_Equ_b_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_c].dx(admsProbeID_V_b_c)<< endl;
  }
#endif
  (*q_dt_Equ_dt_Node_Ptr) +=  +dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND);


#ifdef Xyce_DEBUG_DEVICE
  if (getDeviceOptions().debugLevel > 0 && getSolverState().debugTimeFlag)
  {
    cout << "       (*q_dt_Equ_dt_Node_Ptr) += " <<  +dynamicContributions[admsNodeID_dt].dx(admsProbeID_V_dt_GND)<< endl;
  }
#endif


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateTemperature
// Purpose       : Set temperature and update any parameters that depend on it
// Special Notes : In Xyce ADMS, we'll simply copy the temperature, which is
//                 in Kelvin, to our "admsTemperature" variable, which needs
//                 to be in Celsius.
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateTemperature(const double & temperatureTemp)
{

  admsTemperature = temperatureTemp;
  adms_vt_nom = adms_vt(temperatureTemp);

  return true;
}

// Class Model
//-----------------------------------------------------------------------------
// Function      : Model::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Model::processParams(string param)
{

  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter RCX : [ 0.0,  (+inf) [
  if ( (!((RCX >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RCX value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RCI : [ 0.0,  (+inf) [
  if ( (!((RCI >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RCI value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VO : [ 0.0,  (+inf) [
  if ( (!((VO >=0.0))) )
  {
    string msg="ADMSvbic: Parameter VO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter GAMM : [ 0.0,  (+inf) [
  if ( (!((GAMM >=0.0))) )
  {
    string msg="ADMSvbic: Parameter GAMM value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter HRCF : [ 0.0,  (+inf) [
  if ( (!((HRCF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter HRCF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RBX : [ 0.0,  (+inf) [
  if ( (!((RBX >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RBX value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RBI : [ 0.0,  (+inf) [
  if ( (!((RBI >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RBI value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RE : [ 0.0,  (+inf) [
  if ( (!((RE >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RE value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RS : [ 0.0,  (+inf) [
  if ( (!((RS >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RS value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RBP : [ 0.0,  (+inf) [
  if ( (!((RBP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RBP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IS : ] 0.0,  (+inf) [
  if ( (!((IS >0.0))) )
  {
    string msg="ADMSvbic: Parameter IS value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NF : ] 0.0,  (+inf) [
  if ( (!((NF >0.0))) )
  {
    string msg="ADMSvbic: Parameter NF value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NR : ] 0.0,  (+inf) [
  if ( (!((NR >0.0))) )
  {
    string msg="ADMSvbic: Parameter NR value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter FC : [ 0.0, 1.0 [
  if ( (!((FC >=0.0 && FC <1.0 ))) )
  {
    string msg="ADMSvbic: Parameter FC value out of range [ 0.0, 1.0 [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBEO : [ 0.0,  (+inf) [
  if ( (!((CBEO >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CBEO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJE : [ 0.0,  (+inf) [
  if ( (!((CJE >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CJE value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PE : ] 0.0,  (+inf) [
  if ( (!((PE >0.0))) )
  {
    string msg="ADMSvbic: Parameter PE value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ME : ] 0.0, 1.0 ]
  if ( (!((ME >0.0 && ME <=1.0 ))) )
  {
    string msg="ADMSvbic: Parameter ME value out of range ] 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CBCO : [ 0.0,  (+inf) [
  if ( (!((CBCO >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CBCO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJC : [ 0.0,  (+inf) [
  if ( (!((CJC >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CJC value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter QCO : [ 0.0,  (+inf) [
  if ( (!((QCO >=0.0))) )
  {
    string msg="ADMSvbic: Parameter QCO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJEP : [ 0.0,  (+inf) [
  if ( (!((CJEP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CJEP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PC : ] 0.0,  (+inf) [
  if ( (!((PC >0.0))) )
  {
    string msg="ADMSvbic: Parameter PC value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MC : ] 0.0, 1.0 ]
  if ( (!((MC >0.0 && MC <=1.0 ))) )
  {
    string msg="ADMSvbic: Parameter MC value out of range ] 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CJCP : [ 0.0,  (+inf) [
  if ( (!((CJCP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CJCP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter PS : ] 0.0,  (+inf) [
  if ( (!((PS >0.0))) )
  {
    string msg="ADMSvbic: Parameter PS value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter MS : ] 0.0, 1.0 ]
  if ( (!((MS >0.0 && MS <=1.0 ))) )
  {
    string msg="ADMSvbic: Parameter MS value out of range ] 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBEI : ] 0.0,  (+inf) [
  if ( (!((IBEI >0.0))) )
  {
    string msg="ADMSvbic: Parameter IBEI value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter WBE : [ 0.0, 1.0 ]
  if ( (!((WBE >=0.0 && WBE <=1.0 ))) )
  {
    string msg="ADMSvbic: Parameter WBE value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NEI : ] 0.0,  (+inf) [
  if ( (!((NEI >0.0))) )
  {
    string msg="ADMSvbic: Parameter NEI value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBEN : [ 0.0,  (+inf) [
  if ( (!((IBEN >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IBEN value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NEN : ] 0.0,  (+inf) [
  if ( (!((NEN >0.0))) )
  {
    string msg="ADMSvbic: Parameter NEN value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBCI : ] 0.0,  (+inf) [
  if ( (!((IBCI >0.0))) )
  {
    string msg="ADMSvbic: Parameter IBCI value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NCI : ] 0.0,  (+inf) [
  if ( (!((NCI >0.0))) )
  {
    string msg="ADMSvbic: Parameter NCI value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBCN : [ 0.0,  (+inf) [
  if ( (!((IBCN >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IBCN value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NCN : ] 0.0,  (+inf) [
  if ( (!((NCN >0.0))) )
  {
    string msg="ADMSvbic: Parameter NCN value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AVC1 : [ 0.0,  (+inf) [
  if ( (!((AVC1 >=0.0))) )
  {
    string msg="ADMSvbic: Parameter AVC1 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AVC2 : [ 0.0,  (+inf) [
  if ( (!((AVC2 >=0.0))) )
  {
    string msg="ADMSvbic: Parameter AVC2 value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ISP : [ 0.0,  (+inf) [
  if ( (!((ISP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter ISP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter WSP : [ 0.0, 1.0 ]
  if ( (!((WSP >=0.0 && WSP <=1.0 ))) )
  {
    string msg="ADMSvbic: Parameter WSP value out of range [ 0.0, 1.0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NFP : ] 0.0,  (+inf) [
  if ( (!((NFP >0.0))) )
  {
    string msg="ADMSvbic: Parameter NFP value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBEIP : [ 0.0,  (+inf) [
  if ( (!((IBEIP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IBEIP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBENP : [ 0.0,  (+inf) [
  if ( (!((IBENP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IBENP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBCIP : [ 0.0,  (+inf) [
  if ( (!((IBCIP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IBCIP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NCIP : ] 0.0,  (+inf) [
  if ( (!((NCIP >0.0))) )
  {
    string msg="ADMSvbic: Parameter NCIP value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IBCNP : [ 0.0,  (+inf) [
  if ( (!((IBCNP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IBCNP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NCNP : ] 0.0,  (+inf) [
  if ( (!((NCNP >0.0))) )
  {
    string msg="ADMSvbic: Parameter NCNP value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VEF : [ 0.0,  (+inf) [
  if ( (!((VEF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter VEF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VER : [ 0.0,  (+inf) [
  if ( (!((VER >=0.0))) )
  {
    string msg="ADMSvbic: Parameter VER value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IKF : [ 0.0,  (+inf) [
  if ( (!((IKF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IKF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IKR : [ 0.0,  (+inf) [
  if ( (!((IKR >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IKR value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter IKP : [ 0.0,  (+inf) [
  if ( (!((IKP >=0.0))) )
  {
    string msg="ADMSvbic: Parameter IKP value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TF : [ 0.0,  (+inf) [
  if ( (!((TF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter TF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter QTF : [ 0.0,  (+inf) [
  if ( (!((QTF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter QTF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter XTF : [ 0.0,  (+inf) [
  if ( (!((XTF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter XTF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VTF : [ 0.0,  (+inf) [
  if ( (!((VTF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter VTF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ITF : [ 0.0,  (+inf) [
  if ( (!((ITF >=0.0))) )
  {
    string msg="ADMSvbic: Parameter ITF value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TR : [ 0.0,  (+inf) [
  if ( (!((TR >=0.0))) )
  {
    string msg="ADMSvbic: Parameter TR value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter TD : [ 0.0,  (+inf) [
  if ( (!((TD >=0.0))) )
  {
    string msg="ADMSvbic: Parameter TD value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter KFN : [ 0.0,  (+inf) [
  if ( (!((KFN >=0.0))) )
  {
    string msg="ADMSvbic: Parameter KFN value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter AFN : ] 0.0,  (+inf) [
  if ( (!((AFN >0.0))) )
  {
    string msg="ADMSvbic: Parameter AFN value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter BFN : ] 0.0,  (+inf) [
  if ( (!((BFN >0.0))) )
  {
    string msg="ADMSvbic: Parameter BFN value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter RTH : [ 0.0,  (+inf) [
  if ( (!((RTH >=0.0))) )
  {
    string msg="ADMSvbic: Parameter RTH value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CTH : [ 0.0,  (+inf) [
  if ( (!((CTH >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CTH value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter VRT : [ 0.0,  (+inf) [
  if ( (!((VRT >=0.0))) )
  {
    string msg="ADMSvbic: Parameter VRT value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ART : ] 0.0,  (+inf) [
  if ( (!((ART >0.0))) )
  {
    string msg="ADMSvbic: Parameter ART value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter CCSO : [ 0.0,  (+inf) [
  if ( (!((CCSO >=0.0))) )
  {
    string msg="ADMSvbic: Parameter CCSO value out of range [ 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NKF : ] 0.0,  (+inf) [
  if ( (!((NKF >0.0))) )
  {
    string msg="ADMSvbic: Parameter NKF value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter ISRR : ] 0.0,  (+inf) [
  if ( (!((ISRR >0.0))) )
  {
    string msg="ADMSvbic: Parameter ISRR value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter NBBE : ] 0.0,  (+inf) [
  if ( (!((NBBE >0.0))) )
  {
    string msg="ADMSvbic: Parameter NBBE value out of range ] 0.0,  (+inf) [\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }

  //    Parameter dtype : [ (-1), 1 ][ 0, 0 ]
  if ( (!((dtype >=(-1) && dtype <=1 )) || (dtype >=0 && dtype <=0 )) )
  {
    string msg="ADMSvbic: Parameter dtype value out of range [ (-1), 1 ] or in excluded range [ 0, 0 ]\n";
    N_ERH_ErrorMgr::report(N_ERH_ErrorMgr::USR_FATAL,msg);
  }


  // and of course, this routine is where we should put the initial_model
  // stuff


  return true;
}
//----------------------------------------------------------------------------
// Function      : Model::processInstanceParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//----------------------------------------------------------------------------
bool Model::processInstanceParams(string param)
{

  vector<Instance*>::iterator iter;
  vector<Instance*>::iterator first = instanceContainer.begin();
  vector<Instance*>::iterator last  = instanceContainer.end();

  for (iter=first; iter!=last; ++iter)
  {
    (*iter)->processParams();
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Model::Model
// Purpose       : model block constructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::Model(const ModelBlock & MB,
             SolverState & ss1,
             DeviceOptions & do1)
  : DeviceModel(MB,ss1,do1),
    TNOM(27.0),
    RCX(0.0),
    RCI(0.0),
    VO(0.0),
    GAMM(0.0),
    HRCF(0.0),
    RBX(0.0),
    RBI(0.0),
    RE(0.0),
    RS(0.0),
    RBP(0.0),
    IS(1.0e-16),
    NF(1.0),
    NR(1.0),
    FC(0.9),
    CBEO(0.0),
    CJE(0.0),
    PE(0.75),
    ME(0.33),
    AJE((-0.5)),
    CBCO(0.0),
    CJC(0.0),
    QCO(0.0),
    CJEP(0.0),
    PC(0.75),
    MC(0.33),
    AJC((-0.5)),
                                                     CJCP(0.0),
                                                     PS(0.75),
                                                     MS(0.33),
                                                     AJS((-0.5)),
                                                     IBEI(1.0e-18),
                                                     WBE(1.0),
                                                     NEI(1.0),
                                                     IBEN(0.0),
                                                     NEN(2.0),
                                                     IBCI(1.0e-16),
                                                     NCI(1.0),
                                                     IBCN(0.0),
                                                     NCN(2.0),
                                                     AVC1(0.0),
                                                     AVC2(0.0),
                                                     ISP(0.0),
                                                     WSP(1.0),
                                                     NFP(1.0),
                                                     IBEIP(0.0),
                                                     IBENP(0.0),
                                                     IBCIP(0.0),
                                                     NCIP(1.0),
                                                     IBCNP(0.0),
                                                     NCNP(2.0),
                                                     VEF(0.0),
                                                     VER(0.0),
                                                     IKF(0.0),
                                                     IKR(0.0),
                                                     IKP(0.0),
                                                     TF(0.0),
                                                     QTF(0.0),
                                                     XTF(0.0),
                                                     VTF(0.0),
                                                     ITF(0.0),
                                                     TR(0.0),
                                                     TD(0.0),
                                                     KFN(0.0),
                                                     AFN(1.0),
                                                     BFN(1.0),
                                                     XRE(0),
                                                     XRBI(0),
                                                     XRCI(0),
                                                     XRS(0),
                                                     XVO(0),
                                                     EA(1.12),
                                                     EAIE(1.12),
                                                     EAIC(1.12),
                                                     EAIS(1.12),
                                                     EANE(1.12),
                                                     EANC(1.12),
                                                     EANS(1.12),
                                                     XIS(3.0),
                                                     XII(3.0),
                                                     XIN(3.0),
                                                     TNF(0.0),
                                                     TAVC(0.0),
                                                     RTH(0.0),
                                                     CTH(0.0),
                                                     VRT(0.0),
                                                     ART(0.1),
                                                     CCSO(0.0),
                                                     QBM(0.0),
                                                     NKF(0.5),
                                                     XIKF(0),
                                                     XRCX(0),
                                                     XRBX(0),
                                                     XRBP(0),
                                                     ISRR(1.0),
                                                     XISR(0.0),
                                                     DEAR(0.0),
                                                     EAP(1.12),
                                                     VBBE(0.0),
                                                     NBBE(1.0),
                                                     IBBE(1.0e-6),
                                                     TVBBE1(0.0),
                                                     TVBBE2(0.0),
                                                     TNBBE(0.0),
                                                     EBBE(0.0),
                                                     DTEMP(0.0),
                                                     VERS(1.2),
                                                     VREV(0.0),
                                                     dtype(1)
{

  // Set params to constant default values (from parTable):

  setDefaultParams();

  // Set params according to .model line and constant defaults from metadata:

  setModParams(MB.params);

  // Set any non-constant parameter defaults:

  if (!given("XYCEADMSMODTEMP"))
    admsModTemp=getDeviceOptions().temp.dVal();

  // Fix the TNOM parameter that has "helpfully" been converted to Kelvin
  // by the DeviceEntity class

  if (given("TNOM"))
    TNOM -= CONSTCtoK;

  // Calculate any parameters specified as expressions:

  updateDependentParameters();

  // calculate dependent (ie computed) params and check for errors:

  //Manually inserted these two lines:
  if (getType() == "pnp" || getType() == "PNP")
    dtype = -1;

  processParams();
}

//-----------------------------------------------------------------------------
// Function      : Model::~Model
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::~Model()
{
  vector<Instance*>::iterator iterI;
  vector<Instance*>::iterator firstI = instanceContainer.begin ();
  vector<Instance*>::iterator lastI  = instanceContainer.end ();

  // loop over instances:
  for (iterI = firstI; iterI != lastI; ++iterI)
  {
    delete (*iterI);
  }
}

//-----------------------------------------------------------------------------
// Function      : Model::printOutInstances
// Purpose       : debugging tool.
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
std::ostream &Model::printOutInstances(std::ostream &os) const
{
  vector<Instance*>::const_iterator iter;
  vector<Instance*>::const_iterator first = instanceContainer.begin();
  vector<Instance*>::const_iterator last  = instanceContainer.end();

  int i;
  os << endl;
  os << "    name     getModelName()  Parameters" << endl;
  for (i=0, iter=first; iter!=last; ++iter, ++i)
  {
    os << "  " << i << ": " << (*iter)->getName() << "      ";
    os << (*iter)->getModelName();

    os << endl;
    os << "M  =  " << (*iter)->M << endl; 
    os << endl;
  }

  os << endl;

  return os;
}

} // namespace ADMSvbic
} // namespace Device
} // namespace Xyce
